/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (yyin)
		fclose(yyin);
	if (yyout)
		fclose(yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 652 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQLERROR = 292,
     SQL_SQLPRINT = 293,
     SQL_SQLWARNING = 294,
     SQL_START = 295,
     SQL_STOP = 296,
     SQL_STRUCT = 297,
     SQL_UNSIGNED = 298,
     SQL_VAR = 299,
     SQL_WHENEVER = 300,
     S_ADD = 301,
     S_AND = 302,
     S_ANYTHING = 303,
     S_AUTO = 304,
     S_CONST = 305,
     S_DEC = 306,
     S_DIV = 307,
     S_DOTPOINT = 308,
     S_EQUAL = 309,
     S_EXTERN = 310,
     S_INC = 311,
     S_LSHIFT = 312,
     S_MEMPOINT = 313,
     S_MEMBER = 314,
     S_MOD = 315,
     S_MUL = 316,
     S_NEQUAL = 317,
     S_OR = 318,
     S_REGISTER = 319,
     S_RSHIFT = 320,
     S_STATIC = 321,
     S_SUB = 322,
     S_VOLATILE = 323,
     S_TYPEDEF = 324,
     CSTRING = 325,
     CVARIABLE = 326,
     CPP_LINE = 327,
     IP = 328,
     DOLCONST = 329,
     ECONST = 330,
     NCONST = 331,
     UCONST = 332,
     UIDENT = 333,
     IDENT = 334,
     FCONST = 335,
     SCONST = 336,
     BCONST = 337,
     XCONST = 338,
     Op = 339,
     ICONST = 340,
     PARAM = 341,
     TYPECAST = 342,
     DOT_DOT = 343,
     COLON_EQUALS = 344,
     EQUALS_GREATER = 345,
     LESS_EQUALS = 346,
     GREATER_EQUALS = 347,
     NOT_EQUALS = 348,
     ABORT_P = 349,
     ABSOLUTE_P = 350,
     ACCESS = 351,
     ACTION = 352,
     ADD_P = 353,
     ADMIN = 354,
     AFTER = 355,
     AGGREGATE = 356,
     ALL = 357,
     ALSO = 358,
     ALTER = 359,
     ALWAYS = 360,
     ANALYSE = 361,
     ANALYZE = 362,
     AND = 363,
     ANY = 364,
     ARRAY = 365,
     AS = 366,
     ASC = 367,
     ASSERTION = 368,
     ASSIGNMENT = 369,
     ASYMMETRIC = 370,
     AT = 371,
     ATTRIBUTE = 372,
     AUTHORIZATION = 373,
     BACKWARD = 374,
     BEFORE = 375,
     BEGIN_P = 376,
     BETWEEN = 377,
     BIGINT = 378,
     BINARY = 379,
     BIT = 380,
     BOOLEAN_P = 381,
     BOTH = 382,
     BY = 383,
     CACHE = 384,
     CALLED = 385,
     CASCADE = 386,
     CASCADED = 387,
     CASE = 388,
     CAST = 389,
     CATALOG_P = 390,
     CHAIN = 391,
     CHAR_P = 392,
     CHARACTER = 393,
     CHARACTERISTICS = 394,
     CHECK = 395,
     CHECKPOINT = 396,
     CLASS = 397,
     CLOSE = 398,
     CLUSTER = 399,
     COALESCE = 400,
     COLLATE = 401,
     COLLATION = 402,
     COLUMN = 403,
     COMMENT = 404,
     COMMENTS = 405,
     COMMIT = 406,
     COMMITTED = 407,
     CONCURRENTLY = 408,
     CONFIGURATION = 409,
     CONFLICT = 410,
     CONNECTION = 411,
     CONSTRAINT = 412,
     CONSTRAINTS = 413,
     CONTENT_P = 414,
     CONTINUE_P = 415,
     CONVERSION_P = 416,
     COPY = 417,
     COST = 418,
     CREATE = 419,
     CROSS = 420,
     CSV = 421,
     CUBE = 422,
     CURRENT_P = 423,
     CURRENT_CATALOG = 424,
     CURRENT_DATE = 425,
     CURRENT_ROLE = 426,
     CURRENT_SCHEMA = 427,
     CURRENT_TIME = 428,
     CURRENT_TIMESTAMP = 429,
     CURRENT_USER = 430,
     CURSOR = 431,
     CYCLE = 432,
     DATA_P = 433,
     DATABASE = 434,
     DAY_P = 435,
     DEALLOCATE = 436,
     DEC = 437,
     DECIMAL_P = 438,
     DECLARE = 439,
     DEFAULT = 440,
     DEFAULTS = 441,
     DEFERRABLE = 442,
     DEFERRED = 443,
     DEFINER = 444,
     DELETE_P = 445,
     DELIMITER = 446,
     DELIMITERS = 447,
     DESC = 448,
     DICTIONARY = 449,
     DISABLE_P = 450,
     DISCARD = 451,
     DISTINCT = 452,
     DO = 453,
     DOCUMENT_P = 454,
     DOMAIN_P = 455,
     DOUBLE_P = 456,
     DROP = 457,
     EACH = 458,
     ELSE = 459,
     ENABLE_P = 460,
     ENCODING = 461,
     ENCRYPTED = 462,
     END_P = 463,
     ENUM_P = 464,
     ESCAPE = 465,
     EVENT = 466,
     EXCEPT = 467,
     EXCLUDE = 468,
     EXCLUDING = 469,
     EXCLUSIVE = 470,
     EXECUTE = 471,
     EXISTS = 472,
     EXPLAIN = 473,
     EXTENSION = 474,
     EXTERNAL = 475,
     EXTRACT = 476,
     FALSE_P = 477,
     FAMILY = 478,
     FETCH = 479,
     FILTER = 480,
     FIRST_P = 481,
     FLOAT_P = 482,
     FOLLOWING = 483,
     FOR = 484,
     FORCE = 485,
     FOREIGN = 486,
     FORWARD = 487,
     FREEZE = 488,
     FROM = 489,
     FULL = 490,
     FUNCTION = 491,
     FUNCTIONS = 492,
     GLOBAL = 493,
     GRANT = 494,
     GRANTED = 495,
     GREATEST = 496,
     GROUP_P = 497,
     GROUPING = 498,
     HANDLER = 499,
     HAVING = 500,
     HEADER_P = 501,
     HOLD = 502,
     HOUR_P = 503,
     IDENTITY_P = 504,
     IF_P = 505,
     ILIKE = 506,
     IMMEDIATE = 507,
     IMMUTABLE = 508,
     IMPLICIT_P = 509,
     IMPORT_P = 510,
     IN_P = 511,
     INCLUDING = 512,
     INCREMENT = 513,
     INDEX = 514,
     INDEXES = 515,
     INHERIT = 516,
     INHERITS = 517,
     INITIALLY = 518,
     INLINE_P = 519,
     INNER_P = 520,
     INOUT = 521,
     INPUT_P = 522,
     INSENSITIVE = 523,
     INSERT = 524,
     INSTEAD = 525,
     INT_P = 526,
     INTEGER = 527,
     INTERSECT = 528,
     INTERVAL = 529,
     INTO = 530,
     INVOKER = 531,
     IS = 532,
     ISNULL = 533,
     ISOLATION = 534,
     JOIN = 535,
     KEY = 536,
     LABEL = 537,
     LANGUAGE = 538,
     LARGE_P = 539,
     LAST_P = 540,
     LATERAL_P = 541,
     LEADING = 542,
     LEAKPROOF = 543,
     LEAST = 544,
     LEFT = 545,
     LEVEL = 546,
     LIKE = 547,
     LIMIT = 548,
     LISTEN = 549,
     LOAD = 550,
     LOCAL = 551,
     LOCALTIME = 552,
     LOCALTIMESTAMP = 553,
     LOCATION = 554,
     LOCK_P = 555,
     LOCKED = 556,
     LOGGED = 557,
     MAPPING = 558,
     MATCH = 559,
     MATERIALIZED = 560,
     MAXVALUE = 561,
     MINUTE_P = 562,
     MINVALUE = 563,
     MODE = 564,
     MONTH_P = 565,
     MOVE = 566,
     NAME_P = 567,
     NAMES = 568,
     NATIONAL = 569,
     NATURAL = 570,
     NCHAR = 571,
     NEXT = 572,
     NO = 573,
     NONE = 574,
     NOT = 575,
     NOTHING = 576,
     NOTIFY = 577,
     NOTNULL = 578,
     NOWAIT = 579,
     NULL_P = 580,
     NULLIF = 581,
     NULLS_P = 582,
     NUMERIC = 583,
     OBJECT_P = 584,
     OF = 585,
     OFF = 586,
     OFFSET = 587,
     OIDS = 588,
     ON = 589,
     ONLY = 590,
     OPERATOR = 591,
     OPTION = 592,
     OPTIONS = 593,
     OR = 594,
     ORDER = 595,
     ORDINALITY = 596,
     OUT_P = 597,
     OUTER_P = 598,
     OVER = 599,
     OVERLAPS = 600,
     OVERLAY = 601,
     OWNED = 602,
     OWNER = 603,
     PARSER = 604,
     PARTIAL = 605,
     PARTITION = 606,
     PASSING = 607,
     PASSWORD = 608,
     PLACING = 609,
     PLANS = 610,
     POLICY = 611,
     POSITION = 612,
     PRECEDING = 613,
     PRECISION = 614,
     PRESERVE = 615,
     PREPARE = 616,
     PREPARED = 617,
     PRIMARY = 618,
     PRIOR = 619,
     PRIVILEGES = 620,
     PROCEDURAL = 621,
     PROCEDURE = 622,
     PROGRAM = 623,
     QUOTE = 624,
     RANGE = 625,
     READ = 626,
     REAL = 627,
     REASSIGN = 628,
     RECHECK = 629,
     RECURSIVE = 630,
     REF = 631,
     REFERENCES = 632,
     REFRESH = 633,
     REINDEX = 634,
     RELATIVE_P = 635,
     RELEASE = 636,
     RENAME = 637,
     REPEATABLE = 638,
     REPLACE = 639,
     REPLICA = 640,
     RESET = 641,
     RESTART = 642,
     RESTRICT = 643,
     RETURNING = 644,
     RETURNS = 645,
     REVOKE = 646,
     RIGHT = 647,
     ROLE = 648,
     ROLLBACK = 649,
     ROLLUP = 650,
     ROW = 651,
     ROWS = 652,
     RULE = 653,
     SAVEPOINT = 654,
     SCHEMA = 655,
     SCROLL = 656,
     SEARCH = 657,
     SECOND_P = 658,
     SECURITY = 659,
     SELECT = 660,
     SEQUENCE = 661,
     SEQUENCES = 662,
     SERIALIZABLE = 663,
     SERVER = 664,
     SESSION = 665,
     SESSION_USER = 666,
     SET = 667,
     SETS = 668,
     SETOF = 669,
     SHARE = 670,
     SHOW = 671,
     SIMILAR = 672,
     SIMPLE = 673,
     SKIP = 674,
     SMALLINT = 675,
     SNAPSHOT = 676,
     SOME = 677,
     SQL_P = 678,
     STABLE = 679,
     STANDALONE_P = 680,
     START = 681,
     STATEMENT = 682,
     STATISTICS = 683,
     STDIN = 684,
     STDOUT = 685,
     STORAGE = 686,
     STRICT_P = 687,
     STRIP_P = 688,
     SUBSTRING = 689,
     SYMMETRIC = 690,
     SYSID = 691,
     SYSTEM_P = 692,
     TABLE = 693,
     TABLES = 694,
     TABLESAMPLE = 695,
     TABLESPACE = 696,
     TEMP = 697,
     TEMPLATE = 698,
     TEMPORARY = 699,
     TEXT_P = 700,
     THEN = 701,
     TIME = 702,
     TIMESTAMP = 703,
     TO = 704,
     TRAILING = 705,
     TRANSACTION = 706,
     TRANSFORM = 707,
     TREAT = 708,
     TRIGGER = 709,
     TRIM = 710,
     TRUE_P = 711,
     TRUNCATE = 712,
     TRUSTED = 713,
     TYPE_P = 714,
     TYPES_P = 715,
     UNBOUNDED = 716,
     UNCOMMITTED = 717,
     UNENCRYPTED = 718,
     UNION = 719,
     UNIQUE = 720,
     UNKNOWN = 721,
     UNLISTEN = 722,
     UNLOGGED = 723,
     UNTIL = 724,
     UPDATE = 725,
     USER = 726,
     USING = 727,
     VACUUM = 728,
     VALID = 729,
     VALIDATE = 730,
     VALIDATOR = 731,
     VALUE_P = 732,
     VALUES = 733,
     VARCHAR = 734,
     VARIADIC = 735,
     VARYING = 736,
     VERBOSE = 737,
     VERSION_P = 738,
     VIEW = 739,
     VIEWS = 740,
     VOLATILE = 741,
     WHEN = 742,
     WHERE = 743,
     WHITESPACE_P = 744,
     WINDOW = 745,
     WITH = 746,
     WITHIN = 747,
     WITHOUT = 748,
     WORK = 749,
     WRAPPER = 750,
     WRITE = 751,
     XML_P = 752,
     XMLATTRIBUTES = 753,
     XMLCONCAT = 754,
     XMLELEMENT = 755,
     XMLEXISTS = 756,
     XMLFOREST = 757,
     XMLPARSE = 758,
     XMLPI = 759,
     XMLROOT = 760,
     XMLSERIALIZE = 761,
     YEAR_P = 762,
     YES_P = 763,
     ZONE = 764,
     NOT_LA = 765,
     NULLS_LA = 766,
     WITH_LA = 767,
     POSTFIXOP = 768,
     UMINUS = 769
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 581 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1219 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1244 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   125566

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  534
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  754
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2957
/* YYNRULES -- Number of states.  */
#define YYNSTATES  5560

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   769

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   521,     2,     2,
     526,   527,   519,   517,   529,   518,   528,   520,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   531,   530,
     513,   515,   514,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   524,     2,   525,   522,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   532,     2,   533,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   516,   523
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   265,   267,   269,   271,   273,   275,   277,
     279,   281,   283,   285,   287,   288,   294,   296,   298,   299,
     302,   303,   306,   307,   310,   313,   317,   321,   323,   327,
     331,   334,   336,   338,   341,   344,   347,   351,   355,   361,
     367,   368,   372,   378,   384,   390,   395,   399,   405,   409,
     415,   421,   428,   430,   432,   436,   442,   449,   454,   464,
     472,   474,   475,   478,   479,   481,   483,   485,   487,   489,
     491,   494,   498,   502,   505,   511,   513,   517,   521,   525,
     529,   531,   535,   539,   542,   545,   548,   551,   555,   559,
     563,   567,   569,   573,   575,   579,   581,   583,   586,   589,
     592,   594,   596,   598,   600,   602,   604,   606,   610,   616,
     618,   620,   622,   624,   626,   627,   629,   631,   634,   636,
     639,   643,   646,   648,   650,   653,   655,   658,   660,   664,
     669,   675,   680,   683,   688,   690,   692,   694,   696,   698,
     701,   704,   707,   710,   713,   718,   725,   736,   750,   755,
     762,   773,   787,   792,   799,   804,   811,   817,   825,   837,
     852,   854,   858,   861,   865,   870,   877,   884,   891,   897,
     903,   910,   917,   922,   931,   936,   939,   944,   948,   955,
     960,   964,   968,   972,   976,   979,   982,   986,   991,   996,
    1000,  1004,  1008,  1012,  1016,  1020,  1025,  1030,  1034,  1037,
    1041,  1044,  1047,  1051,  1055,  1058,  1061,  1065,  1070,  1075,
    1077,  1081,  1084,  1086,  1088,  1089,  1092,  1093,  1096,  1097,
    1099,  1101,  1103,  1107,  1111,  1114,  1115,  1117,  1121,  1125,
    1127,  1133,  1137,  1142,  1144,  1148,  1153,  1160,  1165,  1174,
    1177,  1180,  1192,  1200,  1202,  1204,  1206,  1207,  1209,  1211,
    1213,  1215,  1219,  1222,  1223,  1225,  1227,  1229,  1233,  1237,
    1239,  1241,  1245,  1249,  1253,  1257,  1262,  1266,  1269,  1271,
    1272,  1275,  1276,  1280,  1281,  1283,  1284,  1286,  1290,  1293,
    1295,  1297,  1299,  1303,  1304,  1306,  1310,  1312,  1324,  1339,
    1350,  1364,  1366,  1368,  1371,  1374,  1377,  1380,  1382,  1383,
    1385,  1386,  1390,  1391,  1393,  1397,  1399,  1403,  1405,  1407,
    1409,  1411,  1413,  1418,  1423,  1426,  1427,  1431,  1433,  1435,
    1438,  1441,  1443,  1447,  1452,  1458,  1461,  1467,  1469,  1472,
    1475,  1478,  1482,  1486,  1490,  1491,  1493,  1495,  1497,  1499,
    1501,  1503,  1507,  1509,  1515,  1523,  1527,  1536,  1541,  1551,
    1563,  1566,  1567,  1571,  1572,  1574,  1578,  1580,  1583,  1586,
    1589,  1590,  1592,  1596,  1600,  1607,  1612,  1613,  1615,  1617,
    1620,  1623,  1624,  1628,  1632,  1635,  1637,  1639,  1642,  1645,
    1650,  1651,  1654,  1657,  1660,  1661,  1665,  1670,  1675,  1676,
    1679,  1680,  1685,  1686,  1690,  1696,  1699,  1703,  1704,  1713,
    1725,  1730,  1732,  1733,  1740,  1746,  1755,  1760,  1767,  1769,
    1770,  1772,  1775,  1778,  1780,  1783,  1787,  1790,  1793,  1796,
    1799,  1803,  1807,  1809,  1813,  1815,  1816,  1818,  1821,  1823,
    1825,  1829,  1836,  1847,  1849,  1850,  1852,  1855,  1858,  1859,
    1862,  1865,  1867,  1868,  1874,  1882,  1884,  1885,  1893,  1896,
    1897,  1901,  1907,  1913,  1922,  1925,  1926,  1929,  1932,  1935,
    1941,  1944,  1945,  1948,  1956,  1967,  1974,  1981,  1988,  1995,
    2003,  2011,  2021,  2031,  2038,  2046,  2053,  2062,  2071,  2080,
    2089,  2096,  2103,  2111,  2119,  2128,  2135,  2145,  2152,  2160,
    2163,  2166,  2169,  2172,  2174,  2177,  2179,  2180,  2187,  2196,
    2204,  2211,  2216,  2217,  2219,  2223,  2228,  2230,  2234,  2236,
    2239,  2242,  2245,  2248,  2250,  2252,  2263,  2266,  2267,  2270,
    2273,  2275,  2276,  2281,  2288,  2294,  2299,  2304,  2316,  2331,
    2337,  2345,  2357,  2360,  2362,  2367,  2368,  2377,  2379,  2381,
    2389,  2399,  2408,  2418,  2427,  2434,  2443,  2448,  2449,  2455,
    2456,  2459,  2460,  2463,  2464,  2467,  2468,  2470,  2472,  2474,
    2476,  2478,  2494,  2515,  2517,  2519,  2522,  2524,  2528,  2530,
    2532,  2534,  2538,  2540,  2544,  2545,  2547,  2548,  2550,  2552,
    2557,  2558,  2560,  2564,  2565,  2567,  2569,  2571,  2573,  2576,
    2577,  2578,  2581,  2584,  2586,  2589,  2592,  2595,  2598,  2605,
    2614,  2626,  2640,  2642,  2646,  2652,  2654,  2658,  2664,  2666,
    2669,  2672,  2674,  2683,  2688,  2694,  2699,  2704,  2709,  2713,
    2721,  2730,  2737,  2744,  2751,  2758,  2765,  2770,  2776,  2780,
    2782,  2786,  2790,  2792,  2794,  2796,  2798,  2800,  2802,  2806,
    2808,  2812,  2816,  2818,  2819,  2821,  2825,  2833,  2843,  2853,
    2857,  2858,  2872,  2874,  2878,  2884,  2891,  2896,  2904,  2907,
    2909,  2910,  2913,  2914,  2917,  2922,  2923,  2925,  2926,  2933,
    2942,  2951,  2953,  2957,  2963,  2969,  2977,  2987,  2995,  3005,
    3011,  3018,  3025,  3030,  3035,  3042,  3047,  3054,  3060,  3068,
    3070,  3072,  3074,  3077,  3079,  3082,  3085,  3087,  3089,  3091,
    3093,  3097,  3101,  3105,  3109,  3111,  3115,  3117,  3120,  3123,
    3127,  3129,  3133,  3139,  3142,  3145,  3146,  3153,  3160,  3167,
    3175,  3183,  3191,  3200,  3210,  3219,  3228,  3235,  3245,  3254,
    3264,  3274,  3282,  3293,  3301,  3303,  3305,  3307,  3309,  3311,
    3313,  3315,  3318,  3320,  3322,  3324,  3326,  3328,  3331,  3333,
    3337,  3340,  3344,  3348,  3352,  3356,  3358,  3360,  3369,  3378,
    3387,  3397,  3407,  3417,  3427,  3430,  3431,  3433,  3435,  3438,
    3441,  3443,  3445,  3447,  3449,  3451,  3453,  3456,  3458,  3460,
    3463,  3466,  3470,  3475,  3481,  3486,  3492,  3496,  3501,  3505,
    3510,  3512,  3515,  3519,  3523,  3527,  3531,  3536,  3541,  3545,
    3549,  3554,  3559,  3564,  3569,  3571,  3573,  3575,  3576,  3584,
    3592,  3603,  3605,  3607,  3610,  3615,  3621,  3623,  3627,  3630,
    3633,  3636,  3639,  3641,  3644,  3647,  3652,  3656,  3659,  3662,
    3665,  3668,  3672,  3675,  3678,  3681,  3687,  3693,  3699,  3701,
    3705,  3707,  3710,  3714,  3715,  3717,  3721,  3724,  3731,  3738,
    3748,  3752,  3753,  3757,  3758,  3764,  3767,  3768,  3772,  3776,
    3780,  3788,  3796,  3807,  3809,  3811,  3813,  3815,  3830,  3848,
    3850,  3851,  3853,  3854,  3856,  3857,  3860,  3861,  3863,  3867,
    3873,  3879,  3887,  3890,  3891,  3893,  3896,  3897,  3899,  3901,
    3902,  3905,  3908,  3909,  3919,  3932,  3940,  3943,  3944,  3948,
    3951,  3953,  3957,  3961,  3964,  3966,  3970,  3974,  3978,  3981,
    3984,  3986,  3988,  3990,  3992,  3995,  3997,  3999,  4001,  4003,
    4008,  4014,  4016,  4020,  4024,  4026,  4030,  4034,  4040,  4047,
    4049,  4053,  4055,  4058,  4063,  4069,  4071,  4073,  4075,  4077,
    4081,  4085,  4088,  4091,  4093,  4096,  4099,  4102,  4104,  4107,
    4110,  4113,  4115,  4117,  4119,  4123,  4127,  4133,  4136,  4137,
    4140,  4142,  4146,  4152,  4154,  4157,  4159,  4160,  4166,  4174,
    4180,  4188,  4194,  4202,  4206,  4212,  4218,  4224,  4226,  4230,
    4233,  4235,  4238,  4240,  4243,  4255,  4266,  4277,  4280,  4283,
    4284,  4294,  4297,  4298,  4309,  4321,  4333,  4339,  4345,  4354,
    4358,  4362,  4369,  4376,  4378,  4380,  4382,  4384,  4386,  4388,
    4392,  4394,  4400,  4406,  4414,  4421,  4428,  4435,  4442,  4451,
    4460,  4467,  4474,  4482,  4492,  4502,  4511,  4522,  4529,  4536,
    4543,  4552,  4559,  4568,  4575,  4584,  4592,  4602,  4609,  4618,
    4626,  4636,  4645,  4656,  4666,  4678,  4687,  4698,  4708,  4720,
    4729,  4738,  4746,  4753,  4760,  4767,  4776,  4785,  4794,  4803,
    4810,  4820,  4822,  4823,  4826,  4827,  4835,  4842,  4849,  4856,
    4863,  4870,  4878,  4888,  4898,  4905,  4914,  4923,  4932,  4941,
    4950,  4957,  4966,  4973,  4982,  4990,  5000,  5008,  5018,  5025,
    5033,  5040,  5047,  5054,  5061,  5068,  5076,  5084,  5092,  5102,
    5112,  5119,  5126,  5133,  5142,  5151,  5160,  5167,  5175,  5189,
    5191,  5193,  5197,  5201,  5203,  5205,  5207,  5209,  5211,  5213,
    5215,  5216,  5218,  5220,  5222,  5224,  5226,  5228,  5229,  5236,
    5245,  5249,  5252,  5253,  5256,  5259,  5262,  5265,  5269,  5273,
    5276,  5279,  5282,  5285,  5289,  5292,  5298,  5303,  5307,  5311,
    5315,  5317,  5319,  5320,  5324,  5327,  5330,  5332,  5335,  5337,
    5341,  5344,  5346,  5347,  5357,  5369,  5382,  5397,  5401,  5406,
    5411,  5412,  5415,  5421,  5423,  5424,  5426,  5429,  5433,  5437,
    5441,  5443,  5446,  5448,  5450,  5452,  5454,  5456,  5458,  5459,
    5465,  5470,  5477,  5482,  5486,  5492,  5497,  5502,  5509,  5514,
    5521,  5528,  5534,  5542,  5552,  5559,  5561,  5562,  5569,  5581,
    5593,  5605,  5619,  5629,  5641,  5643,  5645,  5656,  5661,  5664,
    5670,  5673,  5674,  5679,  5685,  5691,  5696,  5703,  5705,  5709,
    5711,  5713,  5715,  5717,  5720,  5725,  5727,  5729,  5731,  5732,
    5734,  5735,  5737,  5738,  5742,  5743,  5746,  5751,  5755,  5761,
    5763,  5765,  5767,  5769,  5771,  5773,  5775,  5777,  5779,  5781,
    5785,  5788,  5790,  5792,  5794,  5796,  5797,  5803,  5808,  5812,
    5813,  5815,  5817,  5819,  5821,  5826,  5836,  5840,  5841,  5849,
    5851,  5855,  5857,  5862,  5865,  5867,  5871,  5874,  5883,  5889,
    5890,  5895,  5899,  5900,  5904,  5905,  5913,  5916,  5917,  5923,
    5927,  5928,  5931,  5934,  5937,  5941,  5943,  5947,  5949,  5952,
    5954,  5955,  5957,  5960,  5961,  5970,  5972,  5976,  5978,  5980,
    5984,  5990,  5996,  5999,  6001,  6005,  6013,  6015,  6017,  6018,
    6022,  6025,  6028,  6031,  6032,  6035,  6038,  6040,  6042,  6046,
    6050,  6052,  6055,  6060,  6065,  6068,  6072,  6078,  6084,  6086,
    6088,  6098,  6108,  6110,  6113,  6118,  6123,  6128,  6131,  6134,
    6138,  6140,  6144,  6151,  6153,  6154,  6157,  6159,  6160,  6164,
    6168,  6173,  6178,  6183,  6188,  6192,  6195,  6197,  6199,  6200,
    6202,  6204,  6205,  6207,  6213,  6215,  6216,  6218,  6219,  6223,
    6225,  6229,  6234,  6238,  6241,  6244,  6246,  6248,  6250,  6251,
    6254,  6259,  6265,  6268,  6272,  6274,  6276,  6278,  6280,  6284,
    6285,  6287,  6289,  6291,  6293,  6295,  6299,  6300,  6302,  6306,
    6308,  6310,  6312,  6314,  6316,  6319,  6324,  6329,  6335,  6338,
    6339,  6341,  6345,  6347,  6348,  6350,  6353,  6357,  6360,  6365,
    6368,  6372,  6375,  6376,  6379,  6383,  6386,  6387,  6389,  6393,
    6396,  6400,  6403,  6407,  6410,  6414,  6416,  6421,  6425,  6430,
    6436,  6441,  6447,  6452,  6458,  6461,  6466,  6468,  6470,  6471,
    6473,  6478,  6484,  6489,  6490,  6493,  6496,  6499,  6501,  6503,
    6504,  6509,  6512,  6514,  6517,  6520,  6525,  6527,  6531,  6533,
    6536,  6540,  6547,  6552,  6553,  6556,  6563,  6566,  6568,  6572,
    6577,  6578,  6581,  6582,  6585,  6586,  6589,  6594,  6595,  6597,
    6598,  6600,  6604,  6608,  6611,  6615,  6621,  6628,  6631,  6635,
    6639,  6644,  6645,  6647,  6649,  6651,  6653,  6655,  6658,  6663,
    6665,  6667,  6669,  6671,  6674,  6678,  6682,  6683,  6685,  6687,
    6689,  6691,  6693,  6696,  6699,  6702,  6705,  6708,  6710,  6714,
    6715,  6717,  6719,  6721,  6723,  6729,  6732,  6734,  6736,  6738,
    6740,  6746,  6749,  6752,  6755,  6757,  6761,  6765,  6768,  6770,
    6771,  6775,  6776,  6782,  6785,  6791,  6794,  6796,  6800,  6804,
    6805,  6807,  6809,  6811,  6813,  6815,  6817,  6821,  6825,  6829,
    6833,  6837,  6841,  6845,  6846,  6848,  6853,  6855,  6859,  6863,
    6869,  6872,  6875,  6879,  6883,  6887,  6891,  6895,  6899,  6903,
    6907,  6911,  6915,  6919,  6923,  6927,  6930,  6933,  6937,  6941,
    6944,  6947,  6951,  6957,  6962,  6969,  6973,  6979,  6984,  6991,
    6996,  7003,  7009,  7017,  7021,  7024,  7029,  7032,  7036,  7040,
    7045,  7049,  7054,  7058,  7063,  7069,  7076,  7083,  7091,  7098,
    7106,  7113,  7121,  7125,  7130,  7135,  7142,  7145,  7149,  7154,
    7156,  7160,  7163,  7166,  7170,  7174,  7178,  7182,  7186,  7190,
    7194,  7198,  7202,  7206,  7210,  7214,  7218,  7221,  7224,  7230,
    7237,  7244,  7252,  7256,  7261,  7263,  7265,  7268,  7273,  7275,
    7277,  7279,  7282,  7285,  7288,  7291,  7293,  7295,  7300,  7304,
    7310,  7317,  7326,  7333,  7340,  7345,  7350,  7352,  7354,  7356,
    7362,  7364,  7366,  7371,  7373,  7378,  7380,  7385,  7387,  7392,
    7394,  7396,  7398,  7400,  7402,  7404,  7411,  7416,  7421,  7426,
    7431,  7438,  7444,  7450,  7456,  7461,  7468,  7473,  7478,  7483,
    7488,  7494,  7502,  7510,  7520,  7526,  7531,  7538,  7544,  7552,
    7560,  7568,  7571,  7575,  7579,  7583,  7588,  7589,  7594,  7596,
    7600,  7604,  7606,  7608,  7610,  7613,  7616,  7617,  7620,  7625,
    7630,  7637,  7643,  7644,  7650,  7651,  7654,  7655,  7657,  7661,
    7665,  7668,  7671,  7672,  7679,  7681,  7682,  7686,  7687,  7690,
    7693,  7694,  7696,  7701,  7704,  7707,  7710,  7713,  7716,  7721,
    7725,  7731,  7736,  7740,  7746,  7748,  7750,  7752,  7754,  7756,
    7758,  7760,  7762,  7764,  7766,  7768,  7770,  7772,  7774,  7776,
    7778,  7780,  7782,  7787,  7789,  7794,  7796,  7801,  7803,  7806,
    7808,  7811,  7813,  7817,  7819,  7823,  7825,  7829,  7833,  7835,
    7839,  7843,  7847,  7850,  7852,  7856,  7860,  7861,  7863,  7865,
    7867,  7869,  7871,  7873,  7875,  7877,  7882,  7886,  7889,  7893,
    7894,  7898,  7902,  7905,  7908,  7910,  7911,  7914,  7917,  7921,
    7924,  7926,  7928,  7932,  7938,  7940,  7943,  7948,  7951,  7952,
    7954,  7955,  7957,  7960,  7963,  7966,  7970,  7976,  7978,  7981,
    7982,  7985,  7987,  7988,  7990,  7992,  7994,  7998,  8002,  8004,
    8005,  8007,  8011,  8015,  8018,  8020,  8022,  8024,  8028,  8030,
    8033,  8035,  8039,  8041,  8043,  8045,  8047,  8049,  8051,  8053,
    8056,  8058,  8060,  8062,  8064,  8066,  8069,  8076,  8079,  8083,
    8089,  8091,  8093,  8095,  8097,  8099,  8101,  8103,  8105,  8108,
    8111,  8113,  8115,  8117,  8119,  8121,  8125,  8127,  8129,  8131,
    8133,  8135,  8137,  8139,  8141,  8143,  8145,  8147,  8149,  8151,
    8153,  8155,  8157,  8159,  8161,  8163,  8165,  8167,  8169,  8171,
    8173,  8175,  8177,  8179,  8181,  8183,  8185,  8187,  8189,  8191,
    8193,  8195,  8197,  8199,  8201,  8203,  8205,  8207,  8209,  8211,
    8213,  8215,  8217,  8219,  8221,  8223,  8225,  8227,  8229,  8231,
    8233,  8235,  8237,  8239,  8241,  8243,  8245,  8247,  8249,  8251,
    8253,  8255,  8257,  8259,  8261,  8263,  8265,  8267,  8269,  8271,
    8273,  8275,  8277,  8279,  8281,  8283,  8285,  8287,  8289,  8291,
    8293,  8295,  8297,  8299,  8301,  8303,  8305,  8307,  8309,  8311,
    8313,  8315,  8317,  8319,  8321,  8323,  8325,  8327,  8329,  8331,
    8333,  8335,  8337,  8339,  8341,  8343,  8345,  8347,  8349,  8351,
    8353,  8355,  8357,  8359,  8361,  8363,  8365,  8367,  8369,  8371,
    8373,  8375,  8377,  8379,  8381,  8383,  8385,  8387,  8389,  8391,
    8393,  8395,  8397,  8399,  8401,  8403,  8405,  8407,  8409,  8411,
    8413,  8415,  8417,  8419,  8421,  8423,  8425,  8427,  8429,  8431,
    8433,  8435,  8437,  8439,  8441,  8443,  8445,  8447,  8449,  8451,
    8453,  8455,  8457,  8459,  8461,  8463,  8465,  8467,  8469,  8471,
    8473,  8475,  8477,  8479,  8481,  8483,  8485,  8487,  8489,  8491,
    8493,  8495,  8497,  8499,  8501,  8503,  8505,  8507,  8509,  8511,
    8513,  8515,  8517,  8519,  8521,  8523,  8525,  8527,  8529,  8531,
    8533,  8535,  8537,  8539,  8541,  8543,  8545,  8547,  8549,  8551,
    8553,  8555,  8557,  8559,  8561,  8563,  8565,  8567,  8569,  8571,
    8573,  8575,  8577,  8579,  8581,  8583,  8585,  8587,  8589,  8591,
    8593,  8595,  8597,  8599,  8601,  8603,  8605,  8607,  8609,  8611,
    8613,  8615,  8617,  8619,  8621,  8623,  8625,  8627,  8629,  8631,
    8633,  8635,  8637,  8639,  8641,  8643,  8645,  8647,  8649,  8651,
    8653,  8655,  8657,  8659,  8661,  8663,  8665,  8667,  8669,  8671,
    8673,  8675,  8677,  8679,  8681,  8683,  8685,  8687,  8689,  8691,
    8693,  8695,  8697,  8699,  8701,  8703,  8705,  8707,  8709,  8711,
    8713,  8715,  8717,  8719,  8721,  8723,  8725,  8727,  8729,  8731,
    8733,  8735,  8737,  8739,  8741,  8743,  8745,  8747,  8749,  8751,
    8753,  8755,  8757,  8759,  8761,  8763,  8765,  8767,  8769,  8771,
    8773,  8775,  8777,  8779,  8781,  8783,  8785,  8787,  8789,  8791,
    8793,  8795,  8797,  8799,  8801,  8803,  8805,  8807,  8809,  8811,
    8813,  8815,  8817,  8819,  8821,  8823,  8825,  8827,  8829,  8831,
    8833,  8835,  8837,  8839,  8841,  8843,  8845,  8847,  8849,  8851,
    8853,  8855,  8857,  8859,  8861,  8863,  8865,  8867,  8869,  8871,
    8873,  8875,  8877,  8879,  8881,  8883,  8885,  8887,  8889,  8891,
    8893,  8895,  8897,  8899,  8901,  8903,  8905,  8907,  8909,  8911,
    8913,  8915,  8917,  8919,  8921,  8923,  8925,  8927,  8929,  8931,
    8933,  8935,  8937,  8938,  8941,  8946,  8950,  8953,  8955,  8957,
    8959,  8961,  8963,  8964,  8973,  8976,  8982,  8986,  8989,  8992,
    8996,  9004,  9006,  9008,  9010,  9011,  9014,  9017,  9019,  9020,
    9022,  9026,  9028,  9031,  9032,  9035,  9036,  9039,  9040,  9042,
    9046,  9051,  9055,  9057,  9059,  9061,  9063,  9066,  9067,  9070,
    9075,  9076,  9079,  9082,  9085,  9087,  9089,  9097,  9101,  9103,
    9105,  9107,  9109,  9112,  9113,  9115,  9119,  9123,  9127,  9131,
    9132,  9137,  9143,  9149,  9150,  9152,  9154,  9156,  9159,  9162,
    9164,  9167,  9168,  9176,  9177,  9183,  9184,  9189,  9192,  9195,
    9196,  9199,  9201,  9203,  9205,  9207,  9209,  9211,  9213,  9215,
    9217,  9219,  9221,  9227,  9230,  9232,  9236,  9239,  9242,  9246,
    9247,  9253,  9255,  9256,  9262,  9265,  9268,  9270,  9272,  9274,
    9277,  9280,  9284,  9286,  9289,  9292,  9296,  9300,  9305,  9308,
    9310,  9313,  9315,  9317,  9320,  9323,  9327,  9329,  9331,  9333,
    9335,  9336,  9338,  9342,  9348,  9349,  9352,  9353,  9355,  9358,
    9362,  9365,  9367,  9369,  9371,  9372,  9374,  9376,  9378,  9380,
    9382,  9385,  9388,  9392,  9393,  9395,  9398,  9400,  9405,  9409,
    9414,  9418,  9421,  9423,  9427,  9429,  9431,  9433,  9435,  9438,
    9441,  9443,  9446,  9449,  9451,  9453,  9455,  9460,  9465,  9470,
    9475,  9480,  9482,  9483,  9487,  9491,  9496,  9498,  9502,  9506,
    9511,  9513,  9517,  9521,  9523,  9525,  9527,  9534,  9536,  9540,
    9544,  9551,  9553,  9557,  9561,  9563,  9565,  9568,  9571,  9573,
    9575,  9577,  9579,  9581,  9583,  9585,  9587,  9589,  9591,  9593,
    9595,  9597,  9599,  9601,  9603,  9608,  9613,  9615,  9617,  9622,
    9627,  9631,  9632,  9640,  9642,  9643,  9644,  9652,  9656,  9661,
    9665,  9667,  9669,  9671,  9674,  9678,  9684,  9687,  9693,  9696,
    9698,  9700,  9702,  9704,  9706,  9708,  9710,  9712,  9714,  9716,
    9718,  9720,  9722,  9724,  9726,  9728,  9730,  9732,  9734,  9736,
    9738,  9740,  9742,  9744,  9746,  9748,  9750,  9752,  9754,  9756,
    9758,  9760,  9762,  9764,  9766,  9768,  9770,  9772,  9774,  9776,
    9778,  9780,  9782,  9784,  9786,  9788,  9790,  9792,  9794,  9796,
    9798,  9800,  9802,  9804,  9806,  9808,  9810,  9812,  9814,  9816,
    9818,  9820,  9822,  9824,  9826,  9828,  9830,  9832,  9834,  9836,
    9838,  9840,  9842,  9844,  9846,  9848,  9850,  9852,  9854,  9856,
    9858,  9860,  9862,  9864,  9866,  9868,  9870,  9872,  9874,  9876,
    9878,  9880,  9882,  9884,  9886,  9888,  9890,  9894,  9896,  9897,
    9899,  9902,  9904,  9907,  9909,  9911,  9913,  9916,  9919,  9921,
    9923,  9925,  9927,  9929,  9931,  9933,  9935,  9937,  9939,  9941,
    9943,  9945,  9947,  9949,  9951,  9954,  9958,  9960,  9963,  9965,
    9969,  9971,  9975,  9977,  9979,  9981,  9983,  9985,  9987,  9989,
    9991,  9993,  9995,  9997,  9999, 10001, 10003, 10005, 10007, 10009,
   10011, 10013, 10015, 10017, 10019, 10021, 10023, 10025, 10027, 10029,
   10031, 10033, 10035, 10037, 10039, 10041, 10043, 10045, 10047, 10049,
   10051, 10053, 10055, 10057, 10059, 10061, 10063, 10065, 10067, 10069,
   10071, 10073, 10075, 10077, 10079, 10081, 10083, 10085, 10087, 10089,
   10091, 10093, 10095, 10097, 10100, 10104, 10107, 10111, 10113, 10117,
   10121, 10125, 10129, 10133, 10137, 10139, 10141, 10146, 10147, 10150,
   10153, 10155, 10157, 10160, 10162, 10164, 10166, 10167
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     535,     0,    -1,  1139,    -1,   739,    -1,   898,    -1,   899,
      -1,   804,    -1,   903,    -1,   753,    -1,   679,    -1,   682,
      -1,   688,    -1,   702,    -1,   704,    -1,   843,    -1,   552,
      -1,   870,    -1,   871,    -1,   713,    -1,   658,    -1,   901,
      -1,   582,    -1,   866,    -1,   594,    -1,   546,    -1,   544,
      -1,   906,    -1,   905,    -1,   711,    -1,   548,    -1,   547,
      -1,   914,    -1,   580,    -1,   597,    -1,   909,    -1,   778,
      -1,   577,    -1,   598,    -1,  1141,    -1,   741,    -1,   854,
      -1,   908,    -1,   902,    -1,   676,    -1,   683,    -1,   697,
      -1,   703,    -1,   820,    -1,   551,    -1,   653,    -1,   755,
      -1,   762,    -1,   763,    -1,   712,    -1,   665,    -1,   555,
      -1,   657,    -1,   614,    -1,   673,    -1,   858,    -1,   721,
      -1,   735,    -1,   537,    -1,   543,    -1,   708,    -1,   892,
      -1,  1282,    -1,   953,    -1,   743,    -1,   939,    -1,   581,
      -1,   851,    -1,   742,    -1,   856,    -1,   687,    -1,   701,
      -1,   554,    -1,   766,    -1,   767,    -1,   768,    -1,   714,
      -1,   671,    -1,   879,    -1,   770,    -1,   675,    -1,   860,
      -1,   734,    -1,   549,    -1,   550,    -1,   710,    -1,   900,
      -1,   929,    -1,   920,    -1,   785,    -1,   789,    -1,   800,
      -1,   705,    -1,   809,    -1,   931,    -1,   882,    -1,   656,
      -1,   891,    -1,   941,    -1,   880,    -1,   926,    -1,   769,
      -1,   861,    -1,   847,    -1,   846,    -1,   848,    -1,   867,
      -1,   790,    -1,   801,    -1,   872,    -1,   781,    -1,   957,
      -1,   884,    -1,   776,    -1,   883,    -1,   946,    -1,   911,
      -1,   571,    -1,   559,    -1,   576,    -1,   889,    -1,  1218,
      -1,  1144,    -1,  1161,    -1,  1219,    -1,  1201,    -1,  1216,
      -1,  1202,    -1,  1162,    -1,  1206,    -1,  1228,    -1,  1220,
      -1,  1207,    -1,  1236,    -1,  1238,    -1,  1231,    -1,  1223,
      -1,  1239,    -1,  1242,    -1,  1244,    -1,    -1,   164,   393,
    1131,   538,   539,    -1,   491,    -1,   512,    -1,    -1,   539,
     542,    -1,    -1,   540,   541,    -1,    -1,   353,  1272,    -1,
     353,   325,    -1,   207,   353,  1272,    -1,   463,   353,  1272,
      -1,   261,    -1,   156,   293,  1130,    -1,   474,   469,  1272,
      -1,   471,  1133,    -1,  1274,    -1,   541,    -1,   436,  1129,
      -1,    99,  1133,    -1,   393,  1133,    -1,   256,   393,  1133,
      -1,   256,   242,  1133,    -1,   164,   471,  1131,   538,   539,
      -1,   104,   393,  1132,   538,   540,    -1,    -1,   256,   179,
    1122,    -1,   104,   393,  1132,   545,   574,    -1,   104,   393,
     102,   545,   574,    -1,   104,   471,  1132,   538,   540,    -1,
     104,   471,  1132,   574,    -1,   202,   393,  1133,    -1,   202,
     393,   250,   217,  1133,    -1,   202,   471,  1133,    -1,   202,
     471,   250,   217,  1133,    -1,   164,   242,  1131,   538,   539,
      -1,   104,   242,  1132,   553,   471,  1133,    -1,    98,    -1,
     202,    -1,   202,   242,  1133,    -1,   202,   242,   250,   217,
    1133,    -1,   164,   400,   556,   118,  1132,   557,    -1,   164,
     400,  1252,   557,    -1,   164,   400,   250,   320,   217,   556,
     118,  1132,   557,    -1,   164,   400,   250,   320,   217,  1252,
     557,    -1,  1252,    -1,    -1,   557,   558,    -1,    -1,   614,
      -1,   809,    -1,   657,    -1,   721,    -1,   789,    -1,   889,
      -1,   412,   560,    -1,   412,   296,   560,    -1,   412,   410,
     560,    -1,   451,   887,    -1,   410,   139,   111,   451,   887,
      -1,   562,    -1,   563,   449,   564,    -1,   563,   515,   564,
      -1,   563,   449,   185,    -1,   563,   515,   185,    -1,   561,
      -1,   563,   234,   168,    -1,   447,   509,   568,    -1,   135,
    1272,    -1,   400,  1272,    -1,   313,   569,    -1,   393,   570,
      -1,   410,   118,   570,    -1,   410,   118,   185,    -1,   497,
     337,  1062,    -1,   451,   421,  1272,    -1,  1251,    -1,   563,
     528,  1252,    -1,   565,    -1,   564,   529,   565,    -1,   567,
      -1,   663,    -1,   371,   462,    -1,   371,   152,    -1,   383,
     371,    -1,   408,    -1,   456,    -1,   222,    -1,   334,    -1,
     570,    -1,  1272,    -1,  1274,    -1,  1046,  1272,  1048,    -1,
    1046,   526,  1129,   527,  1272,    -1,   663,    -1,   185,    -1,
     296,    -1,  1272,    -1,   185,    -1,    -1,  1134,    -1,  1272,
      -1,   386,   572,    -1,   573,    -1,   447,   509,    -1,   451,
     279,   291,    -1,   410,   118,    -1,   563,    -1,   102,    -1,
     412,   560,    -1,   571,    -1,   412,   562,    -1,   571,    -1,
     416,   563,  1285,    -1,   416,   447,   509,  1285,    -1,   416,
     451,   279,   291,  1285,    -1,   416,   410,   118,  1285,    -1,
     416,   102,    -1,   412,   158,   578,   579,    -1,   102,    -1,
    1118,    -1,   188,    -1,   252,    -1,   141,    -1,   196,   102,
      -1,   196,   442,    -1,   196,   444,    -1,   196,   355,    -1,
     196,   407,    -1,   104,   438,  1011,   583,    -1,   104,   438,
     250,   217,  1011,   583,    -1,   104,   438,   102,   256,   441,
    1121,   412,   441,  1121,   944,    -1,   104,   438,   102,   256,
     441,  1121,   347,   128,  1133,   412,   441,  1121,   944,    -1,
     104,   259,  1119,   583,    -1,   104,   259,   250,   217,  1119,
     583,    -1,   104,   259,   102,   256,   441,  1121,   412,   441,
    1121,   944,    -1,   104,   259,   102,   256,   441,  1121,   347,
     128,  1133,   412,   441,  1121,   944,    -1,   104,   406,  1119,
     583,    -1,   104,   406,   250,   217,  1119,   583,    -1,   104,
     484,  1119,   583,    -1,   104,   484,   250,   217,  1119,   583,
      -1,   104,   305,   484,  1119,   583,    -1,   104,   305,   484,
     250,   217,  1119,   583,    -1,   104,   305,   484,   102,   256,
     441,  1121,   412,   441,  1121,   944,    -1,   104,   305,   484,
     102,   256,   441,  1121,   347,   128,  1133,   412,   441,  1121,
     944,    -1,   584,    -1,   583,   529,   584,    -1,    98,   622,
      -1,    98,   148,   622,    -1,   104,   868,  1252,   585,    -1,
     104,   868,  1252,   202,   320,   325,    -1,   104,   868,  1252,
     412,   320,   325,    -1,   104,   868,  1252,   412,   428,  1130,
      -1,   104,   868,  1252,   412,   590,    -1,   104,   868,  1252,
     386,   590,    -1,   104,   868,  1252,   412,   431,  1252,    -1,
     202,   868,   250,   217,  1252,   586,    -1,   202,   868,  1252,
     586,    -1,   104,   868,  1252,   869,   459,  1026,   587,   588,
      -1,   104,   868,  1252,   691,    -1,    98,   631,    -1,   104,
     157,  1121,   732,    -1,   475,   157,  1121,    -1,   202,   157,
     250,   217,  1121,   586,    -1,   202,   157,  1121,   586,    -1,
     412,   491,   333,    -1,   412,   493,   333,    -1,   144,   334,
    1121,    -1,   412,   493,   144,    -1,   412,   302,    -1,   412,
     468,    -1,   205,   454,  1121,    -1,   205,   105,   454,  1121,
      -1,   205,   385,   454,  1121,    -1,   205,   454,   102,    -1,
     205,   454,   471,    -1,   195,   454,  1121,    -1,   195,   454,
     102,    -1,   195,   454,   471,    -1,   205,   398,  1121,    -1,
     205,   105,   398,  1121,    -1,   205,   385,   398,  1121,    -1,
     195,   398,  1121,    -1,   261,  1119,    -1,   318,   261,  1119,
      -1,   330,   773,    -1,   320,   330,    -1,   348,   449,  1132,
      -1,   412,   441,  1121,    -1,   412,   590,    -1,   386,   590,
      -1,   385,   249,   589,    -1,   205,   396,   291,   404,    -1,
     195,   396,   291,   404,    -1,   691,    -1,   412,   185,  1050,
      -1,   202,   185,    -1,   131,    -1,   388,    -1,    -1,   146,
     773,    -1,    -1,   472,  1050,    -1,    -1,   321,    -1,   235,
      -1,   185,    -1,   472,   259,  1121,    -1,   526,   592,   527,
      -1,   491,   590,    -1,    -1,   593,    -1,   592,   529,   593,
      -1,  1254,   515,   747,    -1,  1254,    -1,  1254,   528,  1254,
     515,   747,    -1,  1254,   528,  1254,    -1,   104,   459,   773,
     595,    -1,   596,    -1,   595,   529,   596,    -1,    98,   117,
    1025,   586,    -1,   202,   117,   250,   217,  1252,   586,    -1,
     202,   117,  1252,   586,    -1,   104,   117,  1252,   869,   459,
    1026,   587,   586,    -1,   143,   954,    -1,   143,   102,    -1,
     162,   605,  1119,   634,   606,   599,   600,   601,   607,   538,
     602,    -1,   162,   958,   449,   600,   601,   538,   602,    -1,
     234,    -1,   449,    -1,   368,    -1,    -1,  1272,    -1,   429,
      -1,   430,    -1,   603,    -1,   526,   609,   527,    -1,   603,
     604,    -1,    -1,   124,    -1,   333,    -1,   233,    -1,   191,
     904,  1272,    -1,   325,   904,  1272,    -1,   166,    -1,   246,
      -1,   369,   904,  1272,    -1,   210,   904,  1272,    -1,   230,
     369,   635,    -1,   230,   369,   519,    -1,   230,   320,   325,
     635,    -1,   230,   325,   635,    -1,   206,  1272,    -1,   124,
      -1,    -1,   491,   333,    -1,    -1,   608,   192,  1272,    -1,
      -1,   472,    -1,    -1,   610,    -1,   609,   529,   610,    -1,
    1254,   611,    -1,   567,    -1,   663,    -1,   519,    -1,   526,
     612,   527,    -1,    -1,   613,    -1,   612,   529,   613,    -1,
     567,    -1,   164,   615,   438,  1119,   526,   616,   527,   645,
     646,   647,   648,    -1,   164,   615,   438,   250,   320,   217,
    1119,   526,   616,   527,   645,   646,   647,   648,    -1,   164,
     615,   438,  1119,   330,   773,   617,   646,   647,   648,    -1,
     164,   615,   438,   250,   320,   217,  1119,   330,   773,   617,
     646,   647,   648,    -1,   444,    -1,   442,    -1,   296,   444,
      -1,   296,   442,    -1,   238,   444,    -1,   238,   442,    -1,
     468,    -1,    -1,   618,    -1,    -1,   526,   619,   527,    -1,
      -1,   620,    -1,   618,   529,   620,    -1,   621,    -1,   619,
     529,   621,    -1,   622,    -1,   628,    -1,   631,    -1,   623,
      -1,   631,    -1,  1252,  1026,   689,   624,    -1,  1252,   491,
     338,   624,    -1,   624,   625,    -1,    -1,   157,  1121,   626,
      -1,   626,    -1,   627,    -1,   146,   773,    -1,   320,   325,
      -1,   325,    -1,   465,   840,   649,    -1,   363,   281,   840,
     649,    -1,   140,   526,  1050,   527,   633,    -1,   185,  1051,
      -1,   377,  1119,   634,   637,   641,    -1,   187,    -1,   320,
     187,    -1,   263,   188,    -1,   263,   252,    -1,   292,  1119,
     629,    -1,   629,   257,   630,    -1,   629,   214,   630,    -1,
      -1,   186,    -1,   158,    -1,   260,    -1,   431,    -1,   150,
      -1,   102,    -1,   157,  1121,   632,    -1,   632,    -1,   140,
     526,  1050,   527,   732,    -1,   465,   526,   635,   527,   840,
     649,   732,    -1,   465,   650,   732,    -1,   363,   281,   526,
     635,   527,   840,   649,   732,    -1,   363,   281,   650,   732,
      -1,   213,   813,   526,   638,   527,   840,   649,   640,   732,
      -1,   231,   281,   526,   635,   527,   377,  1119,   634,   637,
     641,   732,    -1,   318,   261,    -1,    -1,   526,   635,   527,
      -1,    -1,   636,    -1,   635,   529,   636,    -1,  1252,    -1,
     304,   235,    -1,   304,   350,    -1,   304,   418,    -1,    -1,
     639,    -1,   638,   529,   639,    -1,   815,   491,   850,    -1,
     815,   491,   336,   526,   850,   527,    -1,   488,   526,  1050,
     527,    -1,    -1,   642,    -1,   643,    -1,   642,   643,    -1,
     643,   642,    -1,    -1,   334,   470,   644,    -1,   334,   190,
     644,    -1,   318,    97,    -1,   388,    -1,   131,    -1,   412,
     325,    -1,   412,   185,    -1,   262,   526,  1118,   527,    -1,
      -1,   491,   590,    -1,   491,   333,    -1,   493,   333,    -1,
      -1,   334,   151,   202,    -1,   334,   151,   190,   397,    -1,
     334,   151,   360,   397,    -1,    -1,   441,  1121,    -1,    -1,
     472,   259,   441,  1121,    -1,    -1,   472,   259,  1125,    -1,
    1119,   634,   646,   647,   648,    -1,   491,   178,    -1,   491,
     318,   178,    -1,    -1,   164,   655,   305,   484,   654,   111,
     957,   652,    -1,   164,   655,   305,   484,   250,   320,   217,
     654,   111,   957,   652,    -1,  1119,   634,   591,   648,    -1,
     468,    -1,    -1,   378,   305,   484,   811,  1119,   652,    -1,
     164,   615,   406,  1119,   659,    -1,   164,   615,   406,   250,
     320,   217,  1119,   659,    -1,   104,   406,  1119,   660,    -1,
     104,   406,   250,   217,  1119,   660,    -1,   660,    -1,    -1,
     661,    -1,   660,   661,    -1,   129,   663,    -1,   177,    -1,
     318,   177,    -1,   258,   662,   663,    -1,   306,   663,    -1,
     308,   663,    -1,   318,   306,    -1,   318,   308,    -1,   347,
     128,   773,    -1,   426,   538,   663,    -1,   387,    -1,   387,
     538,   663,    -1,   128,    -1,    -1,  1271,    -1,   518,  1271,
      -1,  1130,    -1,   663,    -1,   664,   529,   663,    -1,   164,
     821,   666,   672,   283,   570,    -1,   164,   821,   666,   672,
     283,   570,   244,   667,   668,   670,    -1,   458,    -1,    -1,
    1121,    -1,  1121,   774,    -1,   264,   667,    -1,    -1,   476,
     667,    -1,   318,   476,    -1,   669,    -1,    -1,   202,   672,
     283,   570,   586,    -1,   202,   672,   283,   250,   217,   570,
     586,    -1,   366,    -1,    -1,   164,   441,  1121,   674,   299,
    1272,   591,    -1,   348,  1132,    -1,    -1,   202,   441,  1121,
      -1,   202,   441,   250,   217,  1121,    -1,   164,   219,  1121,
     538,   677,    -1,   164,   219,   250,   320,   217,  1121,   538,
     677,    -1,   677,   678,    -1,    -1,   400,  1121,    -1,   483,
     570,    -1,   234,   570,    -1,   104,   219,  1121,   470,   680,
      -1,   680,   681,    -1,    -1,   449,   570,    -1,   104,   219,
    1121,   553,   101,  1127,   833,    -1,   104,   219,  1121,   553,
     134,   526,  1026,   111,  1026,   527,    -1,   104,   219,  1121,
     553,   147,   773,    -1,   104,   219,  1121,   553,   161,   773,
      -1,   104,   219,  1121,   553,   200,  1026,    -1,   104,   219,
    1121,   553,   236,   799,    -1,   104,   219,  1121,   553,   672,
     283,  1121,    -1,   104,   219,  1121,   553,   336,   850,   849,
      -1,   104,   219,  1121,   553,   336,   142,   773,   472,  1123,
      -1,   104,   219,  1121,   553,   336,   223,   773,   472,  1123,
      -1,   104,   219,  1121,   553,   400,  1121,    -1,   104,   219,
    1121,   553,   211,   454,  1121,    -1,   104,   219,  1121,   553,
     438,   773,    -1,   104,   219,  1121,   553,   445,   402,   349,
     773,    -1,   104,   219,  1121,   553,   445,   402,   194,   773,
      -1,   104,   219,  1121,   553,   445,   402,   443,   773,    -1,
     104,   219,  1121,   553,   445,   402,   154,   773,    -1,   104,
     219,  1121,   553,   406,   773,    -1,   104,   219,  1121,   553,
     484,   773,    -1,   104,   219,  1121,   553,   305,   484,   773,
      -1,   104,   219,  1121,   553,   231,   438,   773,    -1,   104,
     219,  1121,   553,   231,   178,   495,  1121,    -1,   104,   219,
    1121,   553,   409,  1121,    -1,   104,   219,  1121,   553,   452,
     229,  1026,   283,  1121,    -1,   104,   219,  1121,   553,   459,
    1026,    -1,   164,   231,   178,   495,  1121,   686,   689,    -1,
     244,   667,    -1,   318,   244,    -1,   476,   667,    -1,   318,
     476,    -1,   684,    -1,   685,   684,    -1,   685,    -1,    -1,
     202,   231,   178,   495,  1121,   586,    -1,   202,   231,   178,
     495,   250,   217,  1121,   586,    -1,   104,   231,   178,   495,
    1121,   686,   691,    -1,   104,   231,   178,   495,  1121,   685,
      -1,   338,   526,   690,   527,    -1,    -1,   694,    -1,   690,
     529,   694,    -1,   338,   526,   692,   527,    -1,   693,    -1,
     692,   529,   693,    -1,   694,    -1,   412,   694,    -1,    98,
     694,    -1,   202,   695,    -1,   695,   696,    -1,  1254,    -1,
    1272,    -1,   164,   409,  1121,   698,   700,   231,   178,   495,
    1121,   689,    -1,   459,  1272,    -1,    -1,   483,  1272,    -1,
     483,   325,    -1,   699,    -1,    -1,   202,   409,  1121,   586,
      -1,   202,   409,   250,   217,  1121,   586,    -1,   104,   409,
    1121,   699,   691,    -1,   104,   409,  1121,   699,    -1,   104,
     409,  1121,   691,    -1,   164,   231,   438,  1119,   526,   616,
     527,   645,   409,  1121,   689,    -1,   164,   231,   438,   250,
     320,   217,  1119,   526,   616,   527,   645,   409,  1121,   689,
      -1,   104,   231,   438,  1011,   583,    -1,   104,   231,   438,
     250,   217,  1011,   583,    -1,   255,   231,   400,  1121,   707,
     234,   409,  1121,   275,  1121,   689,    -1,   293,   449,    -1,
     212,    -1,   706,   526,  1012,   527,    -1,    -1,   164,   471,
     303,   229,   709,   409,  1121,   689,    -1,  1132,    -1,   471,
      -1,   202,   471,   303,   229,   709,   409,  1121,    -1,   202,
     471,   303,   250,   217,   229,   709,   409,  1121,    -1,   104,
     471,   303,   229,   709,   409,  1121,   691,    -1,   164,   356,
    1121,   334,  1119,   719,   717,   715,   716,    -1,   104,   356,
    1121,   334,  1119,   718,   715,   716,    -1,   202,   356,  1121,
     334,   773,   586,    -1,   202,   356,   250,   217,  1121,   334,
     773,   586,    -1,   472,   526,  1050,   527,    -1,    -1,   491,
     140,   526,  1050,   527,    -1,    -1,   449,  1133,    -1,    -1,
     449,  1133,    -1,    -1,   229,   720,    -1,    -1,   102,    -1,
     405,    -1,   269,    -1,   470,    -1,   190,    -1,   164,   454,
    1121,   722,   723,   334,  1119,   725,   728,   216,   367,  1127,
     526,   729,   527,    -1,   164,   157,   454,  1121,   100,   723,
     334,  1119,   731,   732,   229,   203,   396,   728,   216,   367,
    1127,   526,   729,   527,    -1,   120,    -1,   100,    -1,   270,
     330,    -1,   724,    -1,   723,   339,   724,    -1,   269,    -1,
     190,    -1,   470,    -1,   470,   330,   635,    -1,   457,    -1,
     229,   726,   727,    -1,    -1,   203,    -1,    -1,   396,    -1,
     427,    -1,   487,   526,  1050,   527,    -1,    -1,   730,    -1,
     729,   529,   730,    -1,    -1,  1129,    -1,  1271,    -1,  1272,
      -1,  1254,    -1,   234,  1119,    -1,    -1,    -1,   732,   733,
      -1,   320,   187,    -1,   187,    -1,   263,   252,    -1,   263,
     188,    -1,   320,   474,    -1,   318,   261,    -1,   202,   454,
    1121,   334,   773,   586,    -1,   202,   454,   250,   217,  1121,
     334,   773,   586,    -1,   164,   211,   454,  1121,   334,  1254,
     216,   367,  1127,   526,   527,    -1,   164,   211,   454,  1121,
     334,  1254,   487,   736,   216,   367,  1127,   526,   527,    -1,
     737,    -1,   736,   108,   737,    -1,  1252,   256,   526,   738,
     527,    -1,    81,    -1,   738,   529,    81,    -1,   104,   211,
     454,  1121,   740,    -1,   205,    -1,   205,   385,    -1,   205,
     105,    -1,   195,    -1,   164,   113,  1121,   140,   526,  1050,
     527,   732,    -1,   202,   113,  1121,   586,    -1,   164,   101,
    1127,   833,   744,    -1,   164,   101,  1127,   748,    -1,   164,
     336,   850,   744,    -1,   164,   459,   773,   744,    -1,   164,
     459,   773,    -1,   164,   459,   773,   111,   526,  1023,   527,
      -1,   164,   459,   773,   111,   209,   526,   751,   527,    -1,
     164,   459,   773,   111,   370,   744,    -1,   164,   445,   402,
     349,   773,   744,    -1,   164,   445,   402,   194,   773,   744,
      -1,   164,   445,   402,   443,   773,   744,    -1,   164,   445,
     402,   154,   773,   744,    -1,   164,   147,   773,   744,    -1,
     164,   147,   773,   234,   773,    -1,   526,   745,   527,    -1,
     746,    -1,   745,   529,   746,    -1,  1254,   515,   747,    -1,
    1254,    -1,   830,    -1,  1138,    -1,  1084,    -1,   663,    -1,
    1272,    -1,   526,   749,   527,    -1,   750,    -1,   749,   529,
     750,    -1,  1274,   515,   747,    -1,   752,    -1,    -1,  1272,
      -1,   752,   529,  1272,    -1,   104,   459,   773,    98,   477,
     754,  1272,    -1,   104,   459,   773,    98,   477,   754,  1272,
     120,  1272,    -1,   104,   459,   773,    98,   477,   754,  1272,
     100,  1272,    -1,   250,   320,   217,    -1,    -1,   164,   336,
     142,   773,   758,   229,   459,  1026,   472,  1123,   759,   111,
     756,    -1,   757,    -1,   756,   529,   757,    -1,   336,  1129,
     850,   760,   761,    -1,   336,  1129,   850,   849,   760,   761,
      -1,   236,  1129,  1127,   822,    -1,   236,  1129,   526,  1089,
     527,  1127,   822,    -1,   431,  1026,    -1,   185,    -1,    -1,
     223,   773,    -1,    -1,   229,   402,    -1,   229,   340,   128,
     773,    -1,    -1,   374,    -1,    -1,   164,   336,   223,   773,
     472,  1123,    -1,   104,   336,   223,   773,   472,  1123,    98,
     756,    -1,   104,   336,   223,   773,   472,  1123,   202,   764,
      -1,   765,    -1,   764,   529,   765,    -1,   336,  1129,   526,
    1089,   527,    -1,   236,  1129,   526,  1089,   527,    -1,   202,
     336,   142,   773,   472,  1123,   586,    -1,   202,   336,   142,
     250,   217,   773,   472,  1123,   586,    -1,   202,   336,   223,
     773,   472,  1123,   586,    -1,   202,   336,   223,   250,   217,
     773,   472,  1123,   586,    -1,   202,   347,   128,  1133,   586,
      -1,   373,   347,   128,  1133,   449,  1132,    -1,   202,   771,
     250,   217,   772,   586,    -1,   202,   771,   772,   586,    -1,
     202,   459,   775,   586,    -1,   202,   459,   250,   217,   775,
     586,    -1,   202,   200,   775,   586,    -1,   202,   200,   250,
     217,   775,   586,    -1,   202,   259,   153,   772,   586,    -1,
     202,   259,   153,   250,   217,   772,   586,    -1,   438,    -1,
     406,    -1,   484,    -1,   305,   484,    -1,   259,    -1,   231,
     438,    -1,   211,   454,    -1,   147,    -1,   161,    -1,   400,
      -1,   219,    -1,   445,   402,   349,    -1,   445,   402,   194,
      -1,   445,   402,   443,    -1,   445,   402,   154,    -1,   773,
      -1,   772,   529,   773,    -1,  1252,    -1,  1252,   774,    -1,
     528,  1124,    -1,   774,   528,  1124,    -1,  1026,    -1,   775,
     529,  1026,    -1,   457,   968,  1012,   777,   586,    -1,   160,
     249,    -1,   387,   249,    -1,    -1,   149,   334,   779,   773,
     277,   780,    -1,   149,   334,   459,  1026,   277,   780,    -1,
     149,   334,   200,  1026,   277,   780,    -1,   149,   334,   101,
    1127,   833,   277,   780,    -1,   149,   334,   236,  1127,   822,
     277,   780,    -1,   149,   334,   336,   850,   849,   277,   780,
      -1,   149,   334,   157,  1121,   334,   773,   277,   780,    -1,
     149,   334,   157,  1121,   334,   200,   773,   277,   780,    -1,
     149,   334,   356,  1121,   334,   773,   277,   780,    -1,   149,
     334,   398,  1121,   334,   773,   277,   780,    -1,   149,   334,
     398,  1121,   277,   780,    -1,   149,   334,   452,   229,  1026,
     283,  1121,   277,   780,    -1,   149,   334,   454,  1121,   334,
     773,   277,   780,    -1,   149,   334,   336,   142,   773,   472,
    1123,   277,   780,    -1,   149,   334,   336,   223,   773,   472,
    1123,   277,   780,    -1,   149,   334,   284,   329,   663,   277,
     780,    -1,   149,   334,   134,   526,  1026,   111,  1026,   527,
     277,   780,    -1,   149,   334,   672,   283,   773,   277,   780,
      -1,   148,    -1,   179,    -1,   400,    -1,   259,    -1,   406,
      -1,   438,    -1,   484,    -1,   305,   484,    -1,   147,    -1,
     161,    -1,   441,    -1,   219,    -1,   393,    -1,   231,   438,
      -1,   409,    -1,   231,   178,   495,    -1,   211,   454,    -1,
     445,   402,   154,    -1,   445,   402,   194,    -1,   445,   402,
     349,    -1,   445,   402,   443,    -1,  1272,    -1,   325,    -1,
     404,   282,   782,   334,   783,   773,   277,   784,    -1,   404,
     282,   782,   334,   459,  1026,   277,   784,    -1,   404,   282,
     782,   334,   200,  1026,   277,   784,    -1,   404,   282,   782,
     334,   101,  1127,   833,   277,   784,    -1,   404,   282,   782,
     334,   236,  1127,   822,   277,   784,    -1,   404,   282,   782,
     334,   284,   329,   663,   277,   784,    -1,   404,   282,   782,
     334,   672,   283,   773,   277,   784,    -1,   229,   570,    -1,
      -1,   148,    -1,   179,    -1,   211,   454,    -1,   231,   438,
      -1,   400,    -1,   406,    -1,   438,    -1,   393,    -1,   441,
      -1,   484,    -1,   305,   484,    -1,  1272,    -1,   325,    -1,
     224,   786,    -1,   311,   786,    -1,   224,   786,  1286,    -1,
     224,   232,   954,  1287,    -1,   224,   232,   787,   954,  1287,
      -1,   224,   119,   954,  1287,    -1,   224,   119,   787,   954,
    1287,    -1,   311,   232,   954,    -1,   311,   232,   787,   954,
      -1,   311,   119,   954,    -1,   311,   119,   787,   954,    -1,
     954,    -1,   787,   954,    -1,   317,   788,   954,    -1,   364,
     788,   954,    -1,   226,   788,   954,    -1,   285,   788,   954,
      -1,    95,  1130,   788,   954,    -1,   380,  1130,   788,   954,
      -1,  1130,   788,   954,    -1,   102,   788,   954,    -1,   232,
    1130,   788,   954,    -1,   232,   102,   788,   954,    -1,   119,
    1130,   788,   954,    -1,   119,   102,   788,   954,    -1,   234,
      -1,   256,    -1,   787,    -1,    -1,   239,   791,   334,   794,
     449,   795,   797,    -1,   391,   791,   334,   794,   234,   795,
     586,    -1,   391,   239,   337,   229,   791,   334,   794,   234,
     795,   586,    -1,   792,    -1,   102,    -1,   102,   365,    -1,
     102,   526,   635,   527,    -1,   102,   365,   526,   635,   527,
      -1,   793,    -1,   792,   529,   793,    -1,   405,   634,    -1,
     377,   634,    -1,   164,   634,    -1,  1252,   634,    -1,  1118,
      -1,   438,  1118,    -1,   406,  1118,    -1,   231,   178,   495,
    1120,    -1,   231,   409,  1120,    -1,   236,   798,    -1,   179,
    1120,    -1,   200,   772,    -1,   283,  1120,    -1,   284,   329,
     664,    -1,   400,  1120,    -1,   441,  1120,    -1,   459,   772,
      -1,   102,   439,   256,   400,  1120,    -1,   102,   407,   256,
     400,  1120,    -1,   102,   237,   256,   400,  1120,    -1,   796,
      -1,   795,   529,   796,    -1,  1132,    -1,   242,  1132,    -1,
     491,   239,   337,    -1,    -1,   799,    -1,   798,   529,   799,
      -1,  1127,   822,    -1,   239,   792,   449,  1133,   802,   803,
      -1,   391,   792,   234,  1133,   803,   586,    -1,   391,    99,
     337,   229,   792,   234,  1133,   803,   586,    -1,   491,    99,
     337,    -1,    -1,   240,   128,  1132,    -1,    -1,   104,   185,
     365,   805,   807,    -1,   805,   806,    -1,    -1,   256,   400,
    1120,    -1,   229,   393,  1133,    -1,   229,   471,  1133,    -1,
     239,   791,   334,   808,   449,   795,   797,    -1,   391,   791,
     334,   808,   234,   795,   586,    -1,   391,   239,   337,   229,
     791,   334,   808,   234,   795,   586,    -1,   439,    -1,   237,
      -1,   407,    -1,   460,    -1,   164,   810,   259,   811,   812,
     334,  1119,   813,   526,   814,   527,   591,   648,  1021,    -1,
     164,   810,   259,   811,   250,   320,   217,  1125,   334,  1119,
     813,   526,   814,   527,   591,   648,  1021,    -1,   465,    -1,
      -1,   153,    -1,    -1,  1125,    -1,    -1,   472,  1123,    -1,
      -1,   815,    -1,   814,   529,   815,    -1,  1252,   816,   817,
     818,   819,    -1,  1055,   816,   817,   818,   819,    -1,   526,
    1050,   527,   816,   817,   818,   819,    -1,   146,   773,    -1,
      -1,   773,    -1,   472,   773,    -1,    -1,   112,    -1,   193,
      -1,    -1,   511,   226,    -1,   511,   285,    -1,    -1,   164,
     821,   236,  1127,   824,   390,   829,   835,   840,    -1,   164,
     821,   236,  1127,   824,   390,   438,   526,   842,   527,   835,
     840,    -1,   164,   821,   236,  1127,   824,   835,   840,    -1,
     339,   384,    -1,    -1,   526,   823,   527,    -1,   526,   527,
      -1,   826,    -1,   823,   529,   826,    -1,   526,   825,   527,
      -1,   526,   527,    -1,   831,    -1,   825,   529,   831,    -1,
     827,   828,   830,    -1,   828,   827,   830,    -1,   828,   830,
      -1,   827,   830,    -1,   830,    -1,   256,    -1,   342,    -1,
     266,    -1,   256,   342,    -1,   480,    -1,  1253,    -1,   830,
      -1,  1026,    -1,  1253,   774,   521,   459,    -1,   414,  1253,
     774,   521,   459,    -1,   826,    -1,   826,   185,  1050,    -1,
     826,   515,  1050,    -1,   826,    -1,   526,   519,   527,    -1,
     526,   834,   527,    -1,   526,   340,   128,   834,   527,    -1,
     526,   834,   340,   128,   834,   527,    -1,   832,    -1,   834,
     529,   832,    -1,   837,    -1,   835,   837,    -1,   130,   334,
     325,   267,    -1,   390,   325,   334,   325,   267,    -1,   432,
      -1,   253,    -1,   424,    -1,   486,    -1,   220,   404,   189,
      -1,   220,   404,   276,    -1,   404,   189,    -1,   404,   276,
      -1,   288,    -1,   320,   288,    -1,   163,   663,    -1,   397,
     663,    -1,   575,    -1,   111,   838,    -1,   283,   570,    -1,
     452,   839,    -1,   490,    -1,   836,    -1,  1272,    -1,  1272,
     529,  1272,    -1,   229,   459,  1026,    -1,   839,   529,   229,
     459,  1026,    -1,   491,   744,    -1,    -1,   828,   830,    -1,
     841,    -1,   842,   529,   841,    -1,   104,   236,   799,   844,
     845,    -1,   836,    -1,   844,   836,    -1,   388,    -1,    -1,
     202,   236,  1127,   822,   586,    -1,   202,   236,   250,   217,
    1127,   822,   586,    -1,   202,   101,  1127,   833,   586,    -1,
     202,   101,   250,   217,  1127,   833,   586,    -1,   202,   336,
     850,   849,   586,    -1,   202,   336,   250,   217,   850,   849,
     586,    -1,   526,  1026,   527,    -1,   526,  1026,   529,  1026,
     527,    -1,   526,   319,   529,  1026,   527,    -1,   526,  1026,
     529,   319,   527,    -1,  1081,    -1,  1252,   528,   850,    -1,
     198,   852,    -1,   853,    -1,   852,   853,    -1,  1272,    -1,
     283,   570,    -1,   164,   134,   526,  1026,   111,  1026,   527,
     491,   236,   799,   855,    -1,   164,   134,   526,  1026,   111,
    1026,   527,   493,   236,   855,    -1,   164,   134,   526,  1026,
     111,  1026,   527,   491,   266,   855,    -1,   111,   254,    -1,
     111,   114,    -1,    -1,   202,   134,   857,   526,  1026,   111,
    1026,   527,   586,    -1,   250,   217,    -1,    -1,   164,   821,
     452,   229,  1026,   283,  1121,   526,   859,   527,    -1,   234,
     423,   491,   236,   799,   529,   449,   423,   491,   236,   799,
      -1,   449,   423,   491,   236,   799,   529,   234,   423,   491,
     236,   799,    -1,   234,   423,   491,   236,   799,    -1,   449,
     423,   491,   236,   799,    -1,   202,   452,   857,   229,  1026,
     283,  1121,   586,    -1,   379,   862,  1119,    -1,   379,   863,
    1121,    -1,   379,   526,   864,   527,   862,  1119,    -1,   379,
     526,   864,   527,   863,  1121,    -1,   259,    -1,   438,    -1,
     400,    -1,   437,    -1,   179,    -1,   865,    -1,   864,   529,
     865,    -1,   482,    -1,   104,   441,  1121,   412,   590,    -1,
     104,   441,  1121,   386,   590,    -1,   104,   101,  1127,   833,
     382,   449,  1121,    -1,   104,   147,   773,   382,   449,  1121,
      -1,   104,   161,   773,   382,   449,  1121,    -1,   104,   179,
    1122,   382,   449,  1122,    -1,   104,   200,   773,   382,   449,
    1121,    -1,   104,   200,   773,   382,   157,  1121,   449,  1121,
      -1,   104,   231,   178,   495,  1121,   382,   449,  1121,    -1,
     104,   236,   799,   382,   449,  1121,    -1,   104,   242,  1131,
     382,   449,  1131,    -1,   104,   672,   283,  1121,   382,   449,
    1121,    -1,   104,   336,   142,   773,   472,  1123,   382,   449,
    1121,    -1,   104,   336,   223,   773,   472,  1123,   382,   449,
    1121,    -1,   104,   356,  1121,   334,  1119,   382,   449,  1121,
      -1,   104,   356,   250,   217,  1121,   334,  1119,   382,   449,
    1121,    -1,   104,   400,  1121,   382,   449,  1121,    -1,   104,
     409,  1121,   382,   449,  1121,    -1,   104,   438,  1011,   382,
     449,  1121,    -1,   104,   438,   250,   217,  1011,   382,   449,
    1121,    -1,   104,   406,  1119,   382,   449,  1121,    -1,   104,
     406,   250,   217,  1119,   382,   449,  1121,    -1,   104,   484,
    1119,   382,   449,  1121,    -1,   104,   484,   250,   217,  1119,
     382,   449,  1121,    -1,   104,   305,   484,  1119,   382,   449,
    1121,    -1,   104,   305,   484,   250,   217,  1119,   382,   449,
    1121,    -1,   104,   259,  1119,   382,   449,  1121,    -1,   104,
     259,   250,   217,  1119,   382,   449,  1121,    -1,   104,   231,
     438,  1011,   382,   449,  1121,    -1,   104,   231,   438,   250,
     217,  1011,   382,   449,  1121,    -1,   104,   438,  1011,   382,
     868,  1121,   449,  1121,    -1,   104,   438,   250,   217,  1011,
     382,   868,  1121,   449,  1121,    -1,   104,   305,   484,  1119,
     382,   868,  1121,   449,  1121,    -1,   104,   305,   484,   250,
     217,  1119,   382,   868,  1121,   449,  1121,    -1,   104,   438,
    1011,   382,   157,  1121,   449,  1121,    -1,   104,   438,   250,
     217,  1011,   382,   157,  1121,   449,  1121,    -1,   104,   231,
     438,  1011,   382,   868,  1121,   449,  1121,    -1,   104,   231,
     438,   250,   217,  1011,   382,   868,  1121,   449,  1121,    -1,
     104,   398,  1121,   334,  1119,   382,   449,  1121,    -1,   104,
     454,  1121,   334,  1119,   382,   449,  1121,    -1,   104,   211,
     454,  1121,   382,   449,  1121,    -1,   104,   393,  1131,   382,
     449,  1131,    -1,   104,   471,  1131,   382,   449,  1131,    -1,
     104,   441,  1121,   382,   449,  1121,    -1,   104,   445,   402,
     349,   773,   382,   449,  1121,    -1,   104,   445,   402,   194,
     773,   382,   449,  1121,    -1,   104,   445,   402,   443,   773,
     382,   449,  1121,    -1,   104,   445,   402,   154,   773,   382,
     449,  1121,    -1,   104,   459,   773,   382,   449,  1121,    -1,
     104,   459,   773,   382,   117,  1121,   449,  1121,   586,    -1,
     148,    -1,    -1,   412,   178,    -1,    -1,   104,   101,  1127,
     833,   412,   400,  1121,    -1,   104,   147,   773,   412,   400,
    1121,    -1,   104,   161,   773,   412,   400,  1121,    -1,   104,
     200,   773,   412,   400,  1121,    -1,   104,   219,   773,   412,
     400,  1121,    -1,   104,   236,   799,   412,   400,  1121,    -1,
     104,   336,   850,   849,   412,   400,  1121,    -1,   104,   336,
     142,   773,   472,  1123,   412,   400,  1121,    -1,   104,   336,
     223,   773,   472,  1123,   412,   400,  1121,    -1,   104,   438,
    1011,   412,   400,  1121,    -1,   104,   438,   250,   217,  1011,
     412,   400,  1121,    -1,   104,   445,   402,   349,   773,   412,
     400,  1121,    -1,   104,   445,   402,   194,   773,   412,   400,
    1121,    -1,   104,   445,   402,   443,   773,   412,   400,  1121,
      -1,   104,   445,   402,   154,   773,   412,   400,  1121,    -1,
     104,   406,  1119,   412,   400,  1121,    -1,   104,   406,   250,
     217,  1119,   412,   400,  1121,    -1,   104,   484,  1119,   412,
     400,  1121,    -1,   104,   484,   250,   217,  1119,   412,   400,
    1121,    -1,   104,   305,   484,  1119,   412,   400,  1121,    -1,
     104,   305,   484,   250,   217,  1119,   412,   400,  1121,    -1,
     104,   231,   438,  1011,   412,   400,  1121,    -1,   104,   231,
     438,   250,   217,  1011,   412,   400,  1121,    -1,   104,   459,
     773,   412,   400,  1121,    -1,   104,   101,  1127,   833,   348,
     449,  1132,    -1,   104,   147,   773,   348,   449,  1132,    -1,
     104,   161,   773,   348,   449,  1132,    -1,   104,   179,  1122,
     348,   449,  1132,    -1,   104,   200,   773,   348,   449,  1132,
      -1,   104,   236,   799,   348,   449,  1132,    -1,   104,   672,
     283,  1121,   348,   449,  1132,    -1,   104,   284,   329,   663,
     348,   449,  1132,    -1,   104,   336,   850,   849,   348,   449,
    1132,    -1,   104,   336,   142,   773,   472,  1123,   348,   449,
    1132,    -1,   104,   336,   223,   773,   472,  1123,   348,   449,
    1132,    -1,   104,   400,  1121,   348,   449,  1132,    -1,   104,
     459,   773,   348,   449,  1132,    -1,   104,   441,  1121,   348,
     449,  1132,    -1,   104,   445,   402,   194,   773,   348,   449,
    1132,    -1,   104,   445,   402,   154,   773,   348,   449,  1132,
      -1,   104,   231,   178,   495,  1121,   348,   449,  1132,    -1,
     104,   409,  1121,   348,   449,  1132,    -1,   104,   211,   454,
    1121,   348,   449,  1132,    -1,   164,   821,   398,  1121,   111,
     334,   877,   449,  1119,  1021,   198,   878,   873,    -1,   321,
      -1,   875,    -1,   526,   874,   527,    -1,   874,   530,   876,
      -1,   876,    -1,   957,    -1,   931,    -1,   946,    -1,   939,
      -1,   880,    -1,   875,    -1,    -1,   405,    -1,   470,    -1,
     190,    -1,   269,    -1,   270,    -1,   103,    -1,    -1,   202,
     398,  1121,   334,   773,   586,    -1,   202,   398,   250,   217,
    1121,   334,   773,   586,    -1,   322,  1252,   881,    -1,   529,
    1272,    -1,    -1,   294,  1252,    -1,   467,  1252,    -1,   467,
     519,    -1,    94,   885,    -1,   121,   885,   888,    -1,   426,
     451,   888,    -1,   151,   885,    -1,   208,   885,    -1,   394,
     885,    -1,   399,  1252,    -1,   381,   399,  1252,    -1,   381,
    1252,    -1,   394,   885,   449,   399,  1252,    -1,   394,   885,
     449,  1252,    -1,   361,   451,  1272,    -1,   151,   362,  1272,
      -1,   394,   362,  1272,    -1,   494,    -1,   451,    -1,    -1,
     279,   291,   566,    -1,   371,   335,    -1,   371,   496,    -1,
     187,    -1,   320,   187,    -1,   886,    -1,   887,   529,   886,
      -1,   887,   886,    -1,   887,    -1,    -1,   164,   615,   484,
    1119,   634,   591,   111,   957,   890,    -1,   164,   339,   384,
     615,   484,  1119,   634,   591,   111,   957,   890,    -1,   164,
     615,   375,   484,  1119,   526,   635,   527,   591,   111,   957,
     890,    -1,   164,   339,   384,   615,   375,   484,  1119,   526,
     635,   527,   591,   111,   957,   890,    -1,   491,   140,   337,
      -1,   491,   132,   140,   337,    -1,   491,   296,   140,   337,
      -1,    -1,   295,  1126,    -1,   164,   179,  1122,   538,   893,
      -1,   894,    -1,    -1,   895,    -1,   894,   895,    -1,   896,
     897,  1130,    -1,   896,   897,   567,    -1,   896,   897,   185,
      -1,  1274,    -1,   156,   293,    -1,   206,    -1,   299,    -1,
     348,    -1,   441,    -1,   443,    -1,   515,    -1,    -1,   104,
     179,  1122,   491,   893,    -1,   104,   179,  1122,   893,    -1,
     104,   179,  1122,   412,   441,  1121,    -1,   104,   179,  1122,
     574,    -1,   202,   179,  1122,    -1,   202,   179,   250,   217,
    1122,    -1,   104,   437,   412,   561,    -1,   104,   437,   386,
     573,    -1,   164,   200,   773,   904,  1026,   624,    -1,   104,
     200,   773,   585,    -1,   104,   200,   773,   202,   320,   325,
      -1,   104,   200,   773,   412,   320,   325,    -1,   104,   200,
     773,    98,   631,    -1,   104,   200,   773,   202,   157,  1121,
     586,    -1,   104,   200,   773,   202,   157,   250,   217,  1121,
     586,    -1,   104,   200,   773,   475,   157,  1121,    -1,   111,
      -1,    -1,   104,   445,   402,   194,   773,   744,    -1,   104,
     445,   402,   154,   773,    98,   303,   229,  1120,   907,   772,
      -1,   104,   445,   402,   154,   773,   104,   303,   229,  1120,
     907,   772,    -1,   104,   445,   402,   154,   773,   104,   303,
     384,   773,   907,   773,    -1,   104,   445,   402,   154,   773,
     104,   303,   229,  1120,   384,   773,   907,   773,    -1,   104,
     445,   402,   154,   773,   202,   303,   229,  1120,    -1,   104,
     445,   402,   154,   773,   202,   303,   250,   217,   229,  1120,
      -1,   491,    -1,   512,    -1,   164,   758,   161,   773,   229,
    1272,   449,  1272,   234,   773,    -1,   144,   916,  1119,   910,
      -1,   144,   916,    -1,   144,   916,  1125,   334,  1119,    -1,
     472,  1125,    -1,    -1,   473,   917,   918,   916,    -1,   473,
     917,   918,   916,  1119,    -1,   473,   917,   918,   916,   914,
      -1,   473,   526,   912,   527,    -1,   473,   526,   912,   527,
    1119,   919,    -1,   913,    -1,   912,   529,   913,    -1,   915,
      -1,   482,    -1,   233,    -1,   235,    -1,   915,   916,    -1,
     915,   916,  1119,   919,    -1,   107,    -1,   106,    -1,   482,
      -1,    -1,   235,    -1,    -1,   233,    -1,    -1,   526,  1120,
     527,    -1,    -1,   218,   921,    -1,   218,   915,   916,   921,
      -1,   218,   482,   921,    -1,   218,   526,   922,   527,   921,
      -1,   957,    -1,   931,    -1,   946,    -1,   939,    -1,   953,
      -1,  1141,    -1,   653,    -1,   656,    -1,   929,    -1,   923,
      -1,   922,   529,   923,    -1,   924,   925,    -1,  1134,    -1,
     915,    -1,   567,    -1,   663,    -1,    -1,   361,  1160,   927,
     111,   928,    -1,   361,  1160,   234,  1205,    -1,   526,  1089,
     527,    -1,    -1,   957,    -1,   931,    -1,   946,    -1,   939,
      -1,   216,  1160,   930,  1284,    -1,   164,   615,   438,   651,
     111,   216,  1121,   930,   652,    -1,   526,  1086,   527,    -1,
      -1,   965,   269,   275,   932,   933,   936,   938,    -1,  1119,
      -1,  1119,   111,  1252,    -1,   957,    -1,   526,   934,   527,
     957,    -1,   185,   478,    -1,   935,    -1,   934,   529,   935,
      -1,  1252,  1110,    -1,   334,   155,   937,   198,   470,   412,
     947,  1021,    -1,   334,   155,   937,   198,   321,    -1,    -1,
     526,   814,   527,  1021,    -1,   334,   157,  1121,    -1,    -1,
     389,  1116,  1285,    -1,    -1,   965,   190,   234,  1013,   940,
    1022,   938,    -1,   472,  1002,    -1,    -1,   300,   968,  1012,
     942,   944,    -1,   256,   943,   309,    -1,    -1,    96,   415,
      -1,   396,   415,    -1,   396,   215,    -1,   415,   470,   215,
      -1,   415,    -1,   415,   396,   215,    -1,   215,    -1,    96,
     215,    -1,   324,    -1,    -1,   324,    -1,   419,   301,    -1,
      -1,   965,   470,  1013,   412,   947,  1001,  1022,   938,    -1,
     948,    -1,   947,   529,   948,    -1,   949,    -1,   950,    -1,
     951,   515,  1112,    -1,   526,   952,   527,   515,  1114,    -1,
     526,   952,   527,   515,   958,    -1,  1252,  1110,    -1,   951,
      -1,   952,   529,   951,    -1,   184,   954,   955,   176,   956,
     229,   957,    -1,  1121,    -1,  1265,    -1,    -1,   955,   318,
     401,    -1,   955,   401,    -1,   955,   124,    -1,   955,   268,
      -1,    -1,   491,   247,    -1,   493,   247,    -1,   959,    -1,
     958,    -1,   526,   959,   527,    -1,   526,   958,   527,    -1,
     961,    -1,   960,   973,    -1,   960,   972,   994,   977,    -1,
     960,   972,   976,   995,    -1,   962,   960,    -1,   962,   960,
     973,    -1,   962,   960,   972,   994,   977,    -1,   962,   960,
     972,   976,   995,    -1,   961,    -1,   958,    -1,   405,   971,
    1115,   966,  1001,  1021,   986,   993,  1067,    -1,   405,   970,
    1116,   966,  1001,  1021,   986,   993,  1067,    -1,  1000,    -1,
     438,  1011,    -1,   960,   464,   969,   960,    -1,   960,   273,
     969,   960,    -1,   960,   212,   969,   960,    -1,   491,   963,
      -1,   512,   963,    -1,   491,   375,   963,    -1,   964,    -1,
     963,   529,   964,    -1,  1121,   919,   111,   526,   928,   527,
      -1,   962,    -1,    -1,   275,   967,    -1,  1285,    -1,    -1,
     444,   968,  1119,    -1,   442,   968,  1119,    -1,   296,   444,
     968,  1119,    -1,   296,   442,   968,  1119,    -1,   238,   444,
     968,  1119,    -1,   238,   442,   968,  1119,    -1,   468,   968,
    1119,    -1,   438,  1119,    -1,  1119,    -1,   438,    -1,    -1,
     102,    -1,   197,    -1,    -1,   197,    -1,   197,   334,   526,
    1086,   527,    -1,   102,    -1,    -1,   973,    -1,    -1,   340,
     128,   974,    -1,   975,    -1,   974,   529,   975,    -1,  1050,
     472,  1084,   819,    -1,  1050,   818,   819,    -1,   978,   979,
      -1,   979,   978,    -1,   978,    -1,   979,    -1,   976,    -1,
      -1,   293,   980,    -1,   293,   980,   529,   981,    -1,   224,
     985,   982,   984,   335,    -1,   332,   981,    -1,   332,   983,
     984,    -1,  1050,    -1,   102,    -1,  1050,    -1,  1130,    -1,
     526,  1050,   527,    -1,    -1,  1052,    -1,   396,    -1,   397,
      -1,   226,    -1,   317,    -1,   242,   128,   987,    -1,    -1,
     988,    -1,   987,   529,   988,    -1,  1050,    -1,   989,    -1,
     991,    -1,   990,    -1,   992,    -1,   526,   527,    -1,   395,
     526,  1086,   527,    -1,   167,   526,  1086,   527,    -1,   243,
     413,   526,   987,   527,    -1,   245,  1050,    -1,    -1,   996,
      -1,   229,   371,   335,    -1,   994,    -1,    -1,   997,    -1,
     996,   997,    -1,   998,   999,   945,    -1,   229,   470,    -1,
     229,   318,   281,   470,    -1,   229,   415,    -1,   229,   281,
     415,    -1,   330,  1118,    -1,    -1,   478,  1114,    -1,  1000,
     529,  1114,    -1,   234,  1002,    -1,    -1,  1003,    -1,  1002,
     529,  1003,    -1,  1011,  1006,    -1,  1011,  1006,  1014,    -1,
    1016,  1007,    -1,   286,  1016,  1007,    -1,   958,  1006,    -1,
     286,   958,  1006,    -1,  1004,    -1,   526,  1004,   527,  1005,
      -1,   526,  1004,   527,    -1,  1003,   165,   280,  1003,    -1,
    1003,  1008,   280,  1003,  1010,    -1,  1003,   280,  1003,  1010,
      -1,  1003,   315,  1008,   280,  1003,    -1,  1003,   315,   280,
    1003,    -1,   111,  1252,   526,  1120,   527,    -1,   111,  1252,
      -1,  1252,   526,  1120,   527,    -1,  1252,    -1,  1005,    -1,
      -1,  1005,    -1,   111,   526,  1024,   527,    -1,   111,  1252,
     526,  1024,   527,    -1,  1252,   526,  1024,   527,    -1,    -1,
     235,  1009,    -1,   290,  1009,    -1,   392,  1009,    -1,   265,
      -1,   343,    -1,    -1,   472,   526,  1120,   527,    -1,   334,
    1050,    -1,  1119,    -1,  1119,   519,    -1,   335,  1119,    -1,
     335,   526,  1119,   527,    -1,  1011,    -1,  1012,   529,  1011,
      -1,  1011,    -1,  1011,  1252,    -1,  1011,   111,  1252,    -1,
     440,  1127,   526,  1086,   527,  1015,    -1,   383,   526,  1050,
     527,    -1,    -1,  1055,  1020,    -1,   397,   234,   526,  1018,
     527,  1020,    -1,  1055,  1019,    -1,  1017,    -1,  1018,   529,
    1017,    -1,   111,   526,  1024,   527,    -1,    -1,   512,   341,
      -1,    -1,   488,  1050,    -1,    -1,   488,  1050,    -1,   488,
     168,   330,   954,    -1,    -1,  1024,    -1,    -1,  1025,    -1,
    1024,   529,  1025,    -1,  1252,  1026,   587,    -1,  1028,  1027,
      -1,   414,  1028,  1027,    -1,  1028,   110,   524,  1129,   525,
      -1,   414,  1028,   110,   524,  1129,   525,    -1,  1028,   110,
      -1,   414,  1028,   110,    -1,  1027,   524,   525,    -1,  1027,
     524,  1283,   525,    -1,    -1,  1030,    -1,  1032,    -1,  1034,
      -1,  1038,    -1,  1045,    -1,  1046,  1048,    -1,  1046,   526,
    1129,   527,    -1,  1032,    -1,  1035,    -1,  1039,    -1,  1045,
      -1,  1253,  1031,    -1,  1253,   774,  1031,    -1,   526,  1086,
     527,    -1,    -1,   271,    -1,   272,    -1,   420,    -1,   123,
      -1,   372,    -1,   227,  1033,    -1,   201,   359,    -1,   183,
    1031,    -1,   182,  1031,    -1,   328,  1031,    -1,   126,    -1,
     526,  1129,   527,    -1,    -1,  1036,    -1,  1037,    -1,  1036,
      -1,  1037,    -1,   125,  1043,   526,  1086,   527,    -1,   125,
    1043,    -1,  1040,    -1,  1041,    -1,  1040,    -1,  1041,    -1,
    1042,   526,  1129,   527,  1044,    -1,  1042,  1044,    -1,   138,
    1043,    -1,   137,  1043,    -1,   479,    -1,   314,   138,  1043,
      -1,   314,   137,  1043,    -1,   316,  1043,    -1,   481,    -1,
      -1,   138,   412,  1252,    -1,    -1,   448,   526,  1129,   527,
    1047,    -1,   448,  1047,    -1,   447,   526,  1129,   527,  1047,
      -1,   447,  1047,    -1,   274,    -1,   512,   447,   509,    -1,
     493,   447,   509,    -1,    -1,   507,    -1,   310,    -1,   180,
      -1,   248,    -1,   307,    -1,  1049,    -1,   507,   449,   310,
      -1,   180,   449,   248,    -1,   180,   449,   307,    -1,   180,
     449,  1049,    -1,   248,   449,   307,    -1,   248,   449,  1049,
      -1,   307,   449,  1049,    -1,    -1,   403,    -1,   403,   526,
    1129,   527,    -1,  1052,    -1,  1050,    87,  1026,    -1,  1050,
     146,   773,    -1,  1050,   116,   447,   509,  1050,    -1,   517,
    1050,    -1,   518,  1050,    -1,  1050,   517,  1050,    -1,  1050,
     518,  1050,    -1,  1050,   519,  1050,    -1,  1050,   520,  1050,
      -1,  1050,   521,  1050,    -1,  1050,   522,  1050,    -1,  1050,
     513,  1050,    -1,  1050,   514,  1050,    -1,  1050,   515,  1050,
      -1,  1050,    91,  1050,    -1,  1050,    92,  1050,    -1,  1050,
      93,  1050,    -1,  1050,  1083,  1050,    -1,  1083,  1050,    -1,
    1050,  1083,    -1,  1050,   108,  1050,    -1,  1050,   339,  1050,
      -1,   320,  1050,    -1,   510,  1050,    -1,  1050,   292,  1050,
      -1,  1050,   292,  1050,   210,  1050,    -1,  1050,   510,   292,
    1050,    -1,  1050,   510,   292,  1050,   210,  1050,    -1,  1050,
     251,  1050,    -1,  1050,   251,  1050,   210,  1050,    -1,  1050,
     510,   251,  1050,    -1,  1050,   510,   251,  1050,   210,  1050,
      -1,  1050,   417,   449,  1050,    -1,  1050,   417,   449,  1050,
     210,  1050,    -1,  1050,   510,   417,   449,  1050,    -1,  1050,
     510,   417,   449,  1050,   210,  1050,    -1,  1050,   277,   325,
      -1,  1050,   278,    -1,  1050,   277,   320,   325,    -1,  1050,
     323,    -1,  1077,   345,  1077,    -1,  1050,   277,   456,    -1,
    1050,   277,   320,   456,    -1,  1050,   277,   222,    -1,  1050,
     277,   320,   222,    -1,  1050,   277,   466,    -1,  1050,   277,
     320,   466,    -1,  1050,   277,   197,   234,  1050,    -1,  1050,
     277,   320,   197,   234,  1050,    -1,  1050,   277,   330,   526,
    1089,   527,    -1,  1050,   277,   320,   330,   526,  1089,   527,
      -1,  1050,   122,  1111,  1051,   108,  1050,    -1,  1050,   510,
     122,  1111,  1051,   108,  1050,    -1,  1050,   122,   435,  1051,
     108,  1050,    -1,  1050,   510,   122,   435,  1051,   108,  1050,
      -1,  1050,   256,  1101,    -1,  1050,   510,   256,  1101,    -1,
    1050,  1085,  1080,   958,    -1,  1050,  1085,  1080,   526,  1050,
     527,    -1,   465,   958,    -1,  1050,   277,   199,    -1,  1050,
     277,   320,   199,    -1,  1052,    -1,  1051,    87,  1026,    -1,
     517,  1051,    -1,   518,  1051,    -1,  1051,   517,  1051,    -1,
    1051,   518,  1051,    -1,  1051,   519,  1051,    -1,  1051,   520,
    1051,    -1,  1051,   521,  1051,    -1,  1051,   522,  1051,    -1,
    1051,   513,  1051,    -1,  1051,   514,  1051,    -1,  1051,   515,
    1051,    -1,  1051,    91,  1051,    -1,  1051,    92,  1051,    -1,
    1051,    93,  1051,    -1,  1051,  1083,  1051,    -1,  1083,  1051,
      -1,  1051,  1083,    -1,  1051,   277,   197,   234,  1051,    -1,
    1051,   277,   320,   197,   234,  1051,    -1,  1051,   277,   330,
     526,  1089,   527,    -1,  1051,   277,   320,   330,   526,  1089,
     527,    -1,  1051,   277,   199,    -1,  1051,   277,   320,   199,
      -1,  1107,    -1,  1128,    -1,  1269,  1110,    -1,   526,  1050,
     527,  1110,    -1,  1102,    -1,  1054,    -1,   958,    -1,   958,
    1109,    -1,   217,   958,    -1,   110,   958,    -1,   110,  1090,
      -1,  1078,    -1,  1079,    -1,   243,   526,  1086,   527,    -1,
    1127,   526,   527,    -1,  1127,   526,  1087,   972,   527,    -1,
    1127,   526,   480,  1088,   972,   527,    -1,  1127,   526,  1087,
     529,   480,  1088,   972,   527,    -1,  1127,   526,   102,  1087,
     972,   527,    -1,  1127,   526,   197,  1087,   972,   527,    -1,
    1127,   526,   519,   527,    -1,  1053,  1065,  1066,  1070,    -1,
    1056,    -1,  1053,    -1,  1056,    -1,   147,   229,   526,  1050,
     527,    -1,   170,    -1,   173,    -1,   173,   526,  1129,   527,
      -1,   174,    -1,   174,   526,  1129,   527,    -1,   297,    -1,
     297,   526,  1129,   527,    -1,   298,    -1,   298,   526,  1129,
     527,    -1,   171,    -1,   175,    -1,   411,    -1,   471,    -1,
     169,    -1,   172,    -1,   134,   526,  1050,   111,  1026,   527,
      -1,   221,   526,  1092,   527,    -1,   346,   526,  1094,   527,
      -1,   357,   526,  1096,   527,    -1,   434,   526,  1097,   527,
      -1,   453,   526,  1050,   111,  1026,   527,    -1,   455,   526,
     127,  1100,   527,    -1,   455,   526,   287,  1100,   527,    -1,
     455,   526,   450,  1100,   527,    -1,   455,   526,  1100,   527,
      -1,   326,   526,  1050,   529,  1050,   527,    -1,   145,   526,
    1086,   527,    -1,   241,   526,  1086,   527,    -1,   289,   526,
    1086,   527,    -1,   499,   526,  1086,   527,    -1,   500,   526,
     312,  1254,   527,    -1,   500,   526,   312,  1254,   529,  1059,
     527,    -1,   500,   526,   312,  1254,   529,  1086,   527,    -1,
     500,   526,   312,  1254,   529,  1059,   529,  1086,   527,    -1,
     501,   526,  1052,  1064,   527,    -1,   502,   526,  1060,   527,
      -1,   503,   526,  1062,  1050,  1063,   527,    -1,   504,   526,
     312,  1254,   527,    -1,   504,   526,   312,  1254,   529,  1050,
     527,    -1,   505,   526,  1050,   529,  1057,  1058,   527,    -1,
     506,   526,  1062,  1050,   111,  1028,   527,    -1,   483,  1050,
      -1,   483,   318,   477,    -1,   529,   425,   508,    -1,   529,
     425,   318,    -1,   529,   425,   318,   477,    -1,    -1,   498,
     526,  1060,   527,    -1,  1061,    -1,  1060,   529,  1061,    -1,
    1050,   111,  1254,    -1,  1050,    -1,   199,    -1,   159,    -1,
     360,   489,    -1,   433,   489,    -1,    -1,   352,  1052,    -1,
     352,  1052,   128,   376,    -1,   352,   128,   376,  1052,    -1,
     352,   128,   376,  1052,   128,   376,    -1,   492,   242,   526,
     973,   527,    -1,    -1,   225,   526,   488,  1050,   527,    -1,
      -1,   490,  1068,    -1,    -1,  1069,    -1,  1068,   529,  1069,
      -1,  1252,   111,  1071,    -1,   344,  1071,    -1,   344,  1252,
      -1,    -1,   526,  1072,  1073,   972,  1074,   527,    -1,  1252,
      -1,    -1,   351,   128,  1086,    -1,    -1,   370,  1075,    -1,
     397,  1075,    -1,    -1,  1076,    -1,   122,  1076,   108,  1076,
      -1,   461,   358,    -1,   461,   228,    -1,   168,   396,    -1,
    1050,   358,    -1,  1050,   228,    -1,   396,   526,  1086,   527,
      -1,   396,   526,   527,    -1,   526,  1086,   529,  1050,   527,
      -1,   396,   526,  1086,   527,    -1,   396,   526,   527,    -1,
     526,  1086,   529,  1050,   527,    -1,   109,    -1,   422,    -1,
     102,    -1,    84,    -1,  1082,    -1,   517,    -1,   518,    -1,
     519,    -1,   520,    -1,   521,    -1,   522,    -1,   513,    -1,
     514,    -1,   515,    -1,    91,    -1,    92,    -1,    93,    -1,
      84,    -1,   336,   526,   850,   527,    -1,  1081,    -1,   336,
     526,   850,   527,    -1,  1081,    -1,   336,   526,   850,   527,
      -1,   292,    -1,   510,   292,    -1,   251,    -1,   510,   251,
      -1,  1050,    -1,  1086,   529,  1050,    -1,  1088,    -1,  1087,
     529,  1088,    -1,  1050,    -1,   828,    89,  1050,    -1,   828,
      90,  1050,    -1,  1026,    -1,  1089,   529,  1026,    -1,   524,
    1086,   525,    -1,   524,  1091,   525,    -1,   524,   525,    -1,
    1090,    -1,  1091,   529,  1090,    -1,  1093,   234,  1050,    -1,
      -1,  1274,    -1,   507,    -1,   310,    -1,   180,    -1,   248,
      -1,   307,    -1,   403,    -1,  1272,    -1,  1050,  1095,  1098,
    1099,    -1,  1050,  1095,  1098,    -1,   354,  1050,    -1,  1051,
     256,  1051,    -1,    -1,  1050,  1098,  1099,    -1,  1050,  1099,
    1098,    -1,  1050,  1098,    -1,  1050,  1099,    -1,  1086,    -1,
      -1,   234,  1050,    -1,   229,  1050,    -1,  1050,   234,  1086,
      -1,   234,  1086,    -1,  1086,    -1,   958,    -1,   526,  1086,
     527,    -1,   133,  1106,  1103,  1105,   208,    -1,  1104,    -1,
    1103,  1104,    -1,   487,  1050,   446,  1050,    -1,   204,  1050,
      -1,    -1,  1050,    -1,    -1,  1252,    -1,  1252,  1109,    -1,
     528,  1124,    -1,   528,   519,    -1,   524,  1050,   525,    -1,
     524,  1050,   531,  1050,   525,    -1,  1108,    -1,  1109,  1108,
      -1,    -1,  1110,  1108,    -1,   115,    -1,    -1,  1050,    -1,
     185,    -1,  1112,    -1,  1113,   529,  1112,    -1,   526,  1113,
     527,    -1,  1116,    -1,    -1,  1117,    -1,  1116,   529,  1117,
      -1,  1050,   111,  1254,    -1,  1050,  1274,    -1,  1050,    -1,
     519,    -1,  1119,    -1,  1118,   529,  1119,    -1,  1252,    -1,
    1252,  1109,    -1,  1121,    -1,  1120,   529,  1121,    -1,  1252,
      -1,  1252,    -1,  1252,    -1,  1254,    -1,  1252,    -1,  1272,
      -1,  1253,    -1,  1252,  1109,    -1,  1129,    -1,  1271,    -1,
    1272,    -1,  1270,    -1,    83,    -1,  1127,  1272,    -1,  1127,
     526,  1087,   972,   527,  1272,    -1,  1029,  1272,    -1,  1046,
    1272,  1048,    -1,  1046,   526,  1129,   527,  1272,    -1,   456,
      -1,   222,    -1,   325,    -1,  1266,    -1,  1264,    -1,    85,
      -1,  1129,    -1,  1266,    -1,   517,  1129,    -1,   518,  1129,
      -1,  1132,    -1,  1134,    -1,   175,    -1,   411,    -1,  1132,
      -1,  1133,   529,  1132,    -1,  1274,    -1,  1135,    -1,  1136,
      -1,  1137,    -1,    94,    -1,    95,    -1,    96,    -1,    97,
      -1,    98,    -1,    99,    -1,   100,    -1,   101,    -1,   103,
      -1,   104,    -1,   105,    -1,   113,    -1,   114,    -1,   116,
      -1,   117,    -1,   119,    -1,   120,    -1,   121,    -1,   128,
      -1,   129,    -1,   130,    -1,   131,    -1,   132,    -1,   135,
      -1,   136,    -1,   139,    -1,   141,    -1,   142,    -1,   143,
      -1,   144,    -1,   149,    -1,   150,    -1,   151,    -1,   152,
      -1,   154,    -1,   155,    -1,   158,    -1,   159,    -1,   160,
      -1,   161,    -1,   162,    -1,   163,    -1,   166,    -1,   167,
      -1,   176,    -1,   177,    -1,   178,    -1,   179,    -1,   181,
      -1,   184,    -1,   186,    -1,   188,    -1,   189,    -1,   190,
      -1,   191,    -1,   192,    -1,   194,    -1,   195,    -1,   196,
      -1,   199,    -1,   200,    -1,   201,    -1,   202,    -1,   203,
      -1,   205,    -1,   206,    -1,   207,    -1,   209,    -1,   210,
      -1,   211,    -1,   213,    -1,   214,    -1,   215,    -1,   216,
      -1,   218,    -1,   219,    -1,   220,    -1,   223,    -1,   225,
      -1,   226,    -1,   228,    -1,   230,    -1,   232,    -1,   236,
      -1,   237,    -1,   238,    -1,   240,    -1,   244,    -1,   246,
      -1,   247,    -1,   249,    -1,   250,    -1,   252,    -1,   253,
      -1,   254,    -1,   255,    -1,   257,    -1,   258,    -1,   259,
      -1,   260,    -1,   261,    -1,   262,    -1,   264,    -1,   268,
      -1,   269,    -1,   270,    -1,   276,    -1,   279,    -1,   281,
      -1,   282,    -1,   283,    -1,   284,    -1,   285,    -1,   288,
      -1,   291,    -1,   294,    -1,   295,    -1,   296,    -1,   299,
      -1,   300,    -1,   301,    -1,   302,    -1,   303,    -1,   304,
      -1,   305,    -1,   306,    -1,   308,    -1,   309,    -1,   311,
      -1,   312,    -1,   313,    -1,   317,    -1,   318,    -1,   321,
      -1,   322,    -1,   324,    -1,   327,    -1,   329,    -1,   330,
      -1,   331,    -1,   333,    -1,   336,    -1,   337,    -1,   338,
      -1,   341,    -1,   344,    -1,   347,    -1,   348,    -1,   349,
      -1,   350,    -1,   351,    -1,   352,    -1,   353,    -1,   355,
      -1,   356,    -1,   358,    -1,   361,    -1,   362,    -1,   360,
      -1,   364,    -1,   365,    -1,   366,    -1,   367,    -1,   368,
      -1,   369,    -1,   370,    -1,   371,    -1,   373,    -1,   374,
      -1,   375,    -1,   376,    -1,   378,    -1,   379,    -1,   380,
      -1,   381,    -1,   382,    -1,   383,    -1,   384,    -1,   385,
      -1,   386,    -1,   387,    -1,   388,    -1,   390,    -1,   391,
      -1,   393,    -1,   394,    -1,   395,    -1,   397,    -1,   398,
      -1,   399,    -1,   400,    -1,   401,    -1,   402,    -1,   404,
      -1,   406,    -1,   407,    -1,   408,    -1,   409,    -1,   410,
      -1,   412,    -1,   413,    -1,   415,    -1,   416,    -1,   418,
      -1,   419,    -1,   421,    -1,   423,    -1,   424,    -1,   425,
      -1,   426,    -1,   427,    -1,   428,    -1,   429,    -1,   430,
      -1,   431,    -1,   432,    -1,   433,    -1,   436,    -1,   437,
      -1,   439,    -1,   441,    -1,   442,    -1,   443,    -1,   444,
      -1,   445,    -1,   451,    -1,   452,    -1,   454,    -1,   457,
      -1,   458,    -1,   459,    -1,   460,    -1,   461,    -1,   462,
      -1,   463,    -1,   466,    -1,   467,    -1,   468,    -1,   469,
      -1,   470,    -1,   473,    -1,   474,    -1,   475,    -1,   476,
      -1,   477,    -1,   481,    -1,   483,    -1,   484,    -1,   485,
      -1,   486,    -1,   489,    -1,   492,    -1,   493,    -1,   494,
      -1,   495,    -1,   496,    -1,   497,    -1,   508,    -1,   509,
      -1,   122,    -1,   123,    -1,   125,    -1,   126,    -1,   138,
      -1,   145,    -1,   182,    -1,   183,    -1,   217,    -1,   221,
      -1,   227,    -1,   241,    -1,   243,    -1,   266,    -1,   272,
      -1,   274,    -1,   289,    -1,   314,    -1,   316,    -1,   319,
      -1,   326,    -1,   328,    -1,   342,    -1,   346,    -1,   357,
      -1,   359,    -1,   372,    -1,   396,    -1,   414,    -1,   420,
      -1,   434,    -1,   447,    -1,   448,    -1,   453,    -1,   455,
      -1,   479,    -1,   498,    -1,   499,    -1,   500,    -1,   501,
      -1,   502,    -1,   503,    -1,   504,    -1,   505,    -1,   506,
      -1,   118,    -1,   124,    -1,   147,    -1,   153,    -1,   165,
      -1,   172,    -1,   233,    -1,   235,    -1,   251,    -1,   265,
      -1,   277,    -1,   278,    -1,   280,    -1,   290,    -1,   292,
      -1,   315,    -1,   323,    -1,   343,    -1,   345,    -1,   392,
      -1,   417,    -1,   440,    -1,   482,    -1,   102,    -1,   106,
      -1,   107,    -1,   108,    -1,   109,    -1,   110,    -1,   111,
      -1,   112,    -1,   115,    -1,   127,    -1,   133,    -1,   134,
      -1,   140,    -1,   146,    -1,   148,    -1,   157,    -1,   164,
      -1,   169,    -1,   170,    -1,   171,    -1,   173,    -1,   174,
      -1,   175,    -1,   185,    -1,   187,    -1,   193,    -1,   197,
      -1,   198,    -1,   204,    -1,   208,    -1,   212,    -1,   222,
      -1,   224,    -1,   229,    -1,   231,    -1,   234,    -1,   239,
      -1,   242,    -1,   245,    -1,   256,    -1,   263,    -1,   273,
      -1,   275,    -1,   286,    -1,   287,    -1,   293,    -1,   297,
      -1,   298,    -1,   320,    -1,   325,    -1,   332,    -1,   334,
      -1,   335,    -1,   339,    -1,   340,    -1,   354,    -1,   363,
      -1,   377,    -1,   389,    -1,   405,    -1,   411,    -1,   422,
      -1,   435,    -1,   438,    -1,   446,    -1,   450,    -1,   456,
      -1,   465,    -1,   471,    -1,   472,    -1,   480,    -1,   487,
      -1,   488,    -1,   490,    -1,   491,    -1,    -1,  1139,  1140,
      -1,  1261,  1143,   536,   530,    -1,  1261,   536,   530,    -1,
    1261,  1163,    -1,  1168,    -1,  1280,    -1,    72,    -1,   532,
      -1,   533,    -1,    -1,   164,   615,   438,   651,   111,  1142,
     957,   652,    -1,   116,  1204,    -1,     9,   449,  1145,  1152,
    1153,    -1,     9,   449,   185,    -1,     9,  1154,    -1,   179,
    1145,    -1,  1146,  1149,  1151,    -1,  1147,   531,  1148,  1151,
     520,  1146,  1157,    -1,  1156,    -1,  1272,    -1,  1122,    -1,
      -1,  1274,  1268,    -1,    84,  1150,    -1,  1148,    -1,    -1,
    1252,    -1,  1252,   528,  1150,    -1,    73,    -1,   531,  1129,
      -1,    -1,   111,  1204,    -1,    -1,   471,  1154,    -1,    -1,
    1155,    -1,  1155,   520,  1155,    -1,  1155,    21,   128,  1155,
      -1,  1155,   472,  1155,    -1,  1131,    -1,  1272,    -1,  1266,
      -1,  1268,    -1,    84,  1158,    -1,    -1,  1252,  1159,    -1,
    1252,  1159,    84,  1158,    -1,    -1,   515,  1129,    -1,   515,
    1274,    -1,   515,  1266,    -1,  1121,    -1,  1156,    -1,   184,
     954,   955,   176,   956,   229,  1160,    -1,   216,   252,  1205,
      -1,  1164,    -1,  1175,    -1,  1177,    -1,   663,    -1,   529,
     663,    -1,    -1,  1048,    -1,   507,   449,   307,    -1,   507,
     449,   403,    -1,   180,   449,   180,    -1,   310,   449,   310,
      -1,    -1,  1170,  1169,  1172,  1171,    -1,  1261,   121,   184,
      34,   530,    -1,  1261,   208,   184,    34,   530,    -1,    -1,
    1173,    -1,  1164,    -1,    72,    -1,  1173,  1164,    -1,  1173,
      72,    -1,  1177,    -1,  1174,  1177,    -1,    -1,    69,  1176,
    1184,  1200,  1256,  1027,   530,    -1,    -1,  1181,  1184,  1178,
    1197,   530,    -1,    -1,  1184,  1179,  1197,   530,    -1,  1187,
     530,    -1,   531,  1129,    -1,    -1,  1182,  1183,    -1,  1182,
      -1,  1183,    -1,    55,    -1,    66,    -1,    64,    -1,    49,
      -1,    50,    -1,    68,    -1,  1193,    -1,  1189,    -1,  1185,
      -1,  1256,   526,  1165,  1166,   527,    -1,  1256,  1167,    -1,
    1191,    -1,   209,  1250,  1186,    -1,   209,  1186,    -1,   209,
    1250,    -1,   532,  1278,   533,    -1,    -1,  1191,  1188,   532,
    1174,   533,    -1,  1187,    -1,    -1,  1192,  1190,   532,  1174,
     533,    -1,    42,  1250,    -1,   464,  1250,    -1,    42,    -1,
     464,    -1,  1194,    -1,  1196,  1195,    -1,    43,    35,    -1,
      43,    35,   271,    -1,    43,    -1,    43,   271,    -1,    43,
      25,    -1,    43,    25,   271,    -1,    43,    25,    25,    -1,
      43,    25,    25,   271,    -1,    43,   137,    -1,    35,    -1,
      35,   271,    -1,   271,    -1,    25,    -1,    25,   271,    -1,
      25,    25,    -1,    25,    25,   271,    -1,     5,    -1,   137,
      -1,   201,    -1,    36,    -1,    -1,  1198,    -1,  1197,   529,
    1198,    -1,  1200,  1255,  1027,  1180,  1199,    -1,    -1,   515,
    1279,    -1,    -1,   519,    -1,   519,   519,    -1,   184,   427,
    1274,    -1,    15,  1203,    -1,  1204,    -1,   168,    -1,   102,
      -1,    -1,  1122,    -1,   185,    -1,  1156,    -1,  1156,    -1,
      70,    -1,    17,   954,    -1,    17,   102,    -1,    28,   954,
    1208,    -1,    -1,  1209,    -1,   472,  1213,    -1,  1210,    -1,
     472,   423,    14,  1275,    -1,   472,    14,  1121,    -1,   275,
     423,    14,  1275,    -1,   275,    14,  1121,    -1,   275,  1121,
      -1,  1214,    -1,  1214,   529,  1213,    -1,  1215,    -1,  1266,
      -1,  1264,    -1,  1129,    -1,   517,  1129,    -1,   518,  1129,
      -1,  1271,    -1,   517,  1271,    -1,   518,  1271,    -1,  1272,
      -1,  1270,    -1,  1273,    -1,    13,   267,  1160,  1210,    -1,
      13,  1217,  1160,  1210,    -1,    13,  1217,  1160,  1211,    -1,
      13,   267,  1160,  1212,    -1,    13,  1217,  1160,  1212,    -1,
      29,    -1,    -1,     3,    14,  1275,    -1,   181,    14,  1275,
      -1,    18,    14,  1275,  1221,    -1,  1222,    -1,  1221,   529,
    1222,    -1,  1268,   515,  1227,    -1,   412,    14,  1275,  1224,
      -1,  1225,    -1,  1224,   529,  1225,    -1,  1227,   515,  1226,
      -1,  1129,    -1,  1268,    -1,    10,    -1,    18,    14,  1275,
     477,  1226,  1229,    -1,  1230,    -1,  1229,   529,  1230,    -1,
    1268,   515,  1235,    -1,   412,    14,  1275,   477,  1226,  1232,
      -1,  1233,    -1,  1232,   529,  1233,    -1,  1235,   515,  1234,
      -1,  1271,    -1,  1226,    -1,   518,  1271,    -1,   518,  1129,
      -1,  1272,    -1,     8,    -1,   178,    -1,    11,    -1,    12,
      -1,    22,    -1,    23,    -1,    24,    -1,   312,    -1,    26,
      -1,    27,    -1,   359,    -1,    31,    -1,    32,    -1,    33,
      -1,   459,    -1,   412,     4,   515,  1237,    -1,   412,     4,
     449,  1237,    -1,   334,    -1,   331,    -1,   412,   156,   449,
    1204,    -1,   412,   156,   515,  1204,    -1,   412,   156,  1204,
      -1,    -1,   459,  1240,  1256,   277,  1184,  1027,  1241,    -1,
      30,    -1,    -1,    -1,    44,  1243,  1254,   277,  1184,  1027,
    1241,    -1,    45,    37,  1245,    -1,    45,   320,    16,  1245,
      -1,    45,    39,  1245,    -1,   160,    -1,    38,    -1,    41,
      -1,    20,  1121,    -1,    19,   449,  1121,    -1,   198,  1121,
     526,  1262,   527,    -1,   198,     6,    -1,     7,  1121,   526,
    1262,   527,    -1,     7,  1121,    -1,  1247,    -1,  1248,    -1,
       6,    -1,     7,    -1,     8,    -1,    10,    -1,    11,    -1,
      12,    -1,    16,    -1,    19,    -1,    20,    -1,    21,    -1,
      22,    -1,    23,    -1,    24,    -1,    26,    -1,    27,    -1,
      31,    -1,    32,    -1,    33,    -1,    34,    -1,    37,    -1,
      38,    -1,    39,    -1,    41,    -1,     9,    -1,    13,    -1,
      15,    -1,    28,    -1,    44,    -1,    45,    -1,     5,    -1,
      25,    -1,    29,    -1,    35,    -1,    42,    -1,    36,    -1,
      43,    -1,  1254,    -1,  1274,    -1,  1135,    -1,  1136,    -1,
    1259,    -1,  1246,    -1,  1257,    -1,   137,    -1,   478,    -1,
    1274,    -1,  1258,    -1,  1136,    -1,  1246,    -1,  1257,    -1,
     137,    -1,   478,    -1,  1274,    -1,  1258,    -1,  1137,    -1,
    1246,    -1,  1257,    -1,  1249,    -1,  1255,    -1,  1249,    -1,
     137,    -1,   168,    -1,   267,    -1,   271,    -1,   449,    -1,
     464,    -1,   478,    -1,  1257,    -1,  1259,    -1,  1256,    -1,
    1135,    -1,  1138,    -1,  1248,    -1,   156,    -1,  1274,    -1,
    1136,    -1,  1137,    -1,  1247,    -1,    49,    -1,    50,    -1,
      55,    -1,    64,    -1,    66,    -1,    69,    -1,    68,    -1,
    1135,    -1,  1259,    -1,   156,    -1,   180,    -1,   248,    -1,
     307,    -1,   310,    -1,   403,    -1,   507,    -1,  1263,    -1,
    1260,   529,  1263,    -1,    40,    -1,    -1,  1278,    -1,  1268,
    1267,    -1,  1268,    -1,  1268,  1267,    -1,  1156,    -1,  1268,
      -1,  1268,    -1,    22,  1268,    -1,    22,  1121,    -1,    71,
      -1,    86,    -1,    82,    -1,    80,    -1,    81,    -1,    75,
      -1,    76,    -1,    77,    -1,    74,    -1,    83,    -1,    79,
      -1,    70,    -1,    78,    -1,  1121,    -1,  1156,    -1,  1281,
      -1,   526,   527,    -1,   526,  1277,   527,    -1,  1276,    -1,
    1277,  1276,    -1,  1279,    -1,  1278,   529,  1279,    -1,  1277,
      -1,   532,  1278,   533,    -1,  1281,    -1,   526,    -1,   527,
      -1,   529,    -1,   530,    -1,  1274,    -1,  1129,    -1,  1271,
      -1,  1272,    -1,   519,    -1,   517,    -1,   518,    -1,   520,
      -1,   521,    -1,   325,    -1,    46,    -1,    47,    -1,    48,
      -1,    49,    -1,    50,    -1,    51,    -1,    52,    -1,    53,
      -1,    54,    -1,    55,    -1,    56,    -1,    57,    -1,    59,
      -1,    58,    -1,    60,    -1,    61,    -1,    62,    -1,    63,
      -1,    64,    -1,    65,    -1,    66,    -1,    67,    -1,    69,
      -1,    68,    -1,     5,    -1,   209,    -1,   248,    -1,   271,
      -1,    25,    -1,   307,    -1,   310,    -1,   403,    -1,    35,
      -1,    36,    -1,    42,    -1,    43,    -1,   507,    -1,   137,
      -1,   227,    -1,   449,    -1,   464,    -1,   479,    -1,   524,
      -1,   525,    -1,   515,    -1,   531,    -1,   181,  1160,    -1,
     181,   361,  1160,    -1,   181,   102,    -1,   181,   361,   102,
      -1,  1129,    -1,   526,  1283,   527,    -1,  1283,   517,  1283,
      -1,  1283,   518,  1283,    -1,  1283,   519,  1283,    -1,  1283,
     520,  1283,    -1,  1283,   521,  1283,    -1,  1272,    -1,  1252,
      -1,  1252,   526,  1184,   527,    -1,    -1,  1209,  1285,    -1,
    1285,  1209,    -1,  1209,    -1,  1285,    -1,   275,  1260,    -1,
    1211,    -1,  1285,    -1,  1210,    -1,    -1,  1286,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1555,  1555,  1558,  1560,  1562,  1564,  1566,  1568,  1570,
    1572,  1574,  1576,  1578,  1580,  1582,  1584,  1586,  1588,  1590,
    1592,  1594,  1596,  1598,  1600,  1602,  1604,  1606,  1608,  1610,
    1612,  1614,  1616,  1618,  1636,  1638,  1640,  1642,  1644,  1646,
    1648,  1650,  1652,  1654,  1656,  1658,  1660,  1662,  1664,  1666,
    1668,  1670,  1672,  1674,  1676,  1678,  1680,  1682,  1684,  1686,
    1688,  1690,  1692,  1694,  1696,  1698,  1700,  1704,  1706,  1708,
    1710,  1712,  1714,  1716,  1718,  1720,  1722,  1724,  1726,  1728,
    1730,  1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,
    1750,  1752,  1754,  1756,  1758,  1760,  1762,  1764,  1766,  1768,
    1770,  1772,  1774,  1776,  1778,  1785,  1787,  1789,  1791,  1793,
    1795,  1797,  1799,  1801,  1803,  1805,  1807,  1813,  1815,  1817,
    1819,  1821,  1823,  1825,  1827,  1829,  1835,  1845,  1849,  1855,
    1859,  1869,  1879,  1880,  1894,  1901,  1907,  1918,  1924,  1933,
    1940,  1946,  1955,  1962,  1970,  1975,  1983,  1987,  1992,  1998,
    2003,  2009,  2014,  2020,  2024,  2028,  2032,  2036,  2040,  2044,
    2048,  2052,  2060,  2064,  2068,  2072,  2076,  2080,  2088,  2096,
    2105,  2107,  2115,  2119,  2127,  2135,  2143,  2147,  2155,  2159,
    2167,  2175,  2183,  2187,  2195,  2199,  2207,  2211,  2215,  2220,
    2229,  2234,  2240,  2245,  2251,  2255,  2259,  2263,  2267,  2271,
    2279,  2283,  2287,  2295,  2299,  2303,  2311,  2315,  2319,  2323,
    2324,  2328,  2332,  2336,  2341,  2345,  2349,  2353,  2357,  2361,
    2365,  2373,  2377,  2385,  2389,  2397,  2401,  2415,  2419,  2423,
    2427,  2435,  2439,  2443,  2447,  2455,  2459,  2463,  2467,  2471,
    2475,  2479,  2487,  2491,  2496,  2502,  2506,  2514,  2522,  2526,
    2530,  2534,  2542,  2546,  2554,  2558,  2566,  2570,  2578,  2582,
    2586,  2590,  2594,  2603,  2611,  2615,  2623,  2627,  2635,  2643,
    2647,  2651,  2655,  2659,  2667,  2671,  2675,  2679,  2683,  2687,
    2691,  2695,  2699,  2703,  2707,  2711,  2715,  2719,  2723,  2727,
    2735,  2739,  2747,  2751,  2755,  2759,  2763,  2767,  2771,  2775,
    2779,  2783,  2787,  2791,  2795,  2799,  2803,  2807,  2811,  2815,
    2819,  2823,  2827,  2831,  2835,  2839,  2843,  2847,  2851,  2855,
    2859,  2863,  2867,  2871,  2875,  2879,  2883,  2887,  2891,  2895,
    2899,  2903,  2907,  2911,  2915,  2919,  2923,  2927,  2931,  2935,
    2943,  2947,  2955,  2959,  2964,  2970,  2975,  2981,  2986,  2992,
    2996,  3000,  3004,  3012,  3020,  3025,  3031,  3035,  3043,  3047,
    3051,  3055,  3063,  3071,  3075,  3083,  3087,  3091,  3095,  3103,
    3108,  3116,  3124,  3132,  3136,  3144,  3149,  3155,  3159,  3163,
    3171,  3175,  3183,  3188,  3194,  3198,  3202,  3206,  3210,  3214,
    3218,  3222,  3226,  3230,  3234,  3238,  3242,  3246,  3254,  3259,
    3265,  3270,  3276,  3281,  3287,  3292,  3298,  3302,  3310,  3318,
    3322,  3326,  3330,  3335,  3341,  3345,  3353,  3361,  3365,  3369,
    3373,  3381,  3385,  3389,  3393,  3397,  3401,  3405,  3410,  3416,
    3421,  3427,  3432,  3438,  3442,  3450,  3454,  3462,  3466,  3470,
    3478,  3482,  3490,  3498,  3506,  3511,  3517,  3521,  3525,  3529,
    3537,  3541,  3545,  3549,  3553,  3557,  3561,  3569,  3573,  3577,
    3581,  3589,  3597,  3601,  3606,  3612,  3616,  3620,  3624,  3628,
    3632,  3640,  3644,  3652,  3656,  3660,  3664,  3668,  3672,  3676,
    3684,  3689,  3695,  3700,  3706,  3710,  3718,  3726,  3730,  3735,
    3740,  3746,  3750,  3758,  3762,  3770,  3775,  3781,  3785,  3789,
    3793,  3798,  3804,  3812,  3820,  3824,  3828,  3832,  3836,  3844,
    3849,  3855,  3859,  3863,  3868,  3874,  3878,  3882,  3887,  3893,
    3898,  3904,  3909,  3915,  3923,  3931,  3935,  3940,  3946,  3950,
    3958,  3966,  3971,  3977,  3985,  3989,  3997,  4001,  4009,  4014,
    4020,  4024,  4032,  4036,  4040,  4044,  4048,  4052,  4056,  4060,
    4064,  4068,  4072,  4076,  4084,  4089,  4095,  4099,  4103,  4111,
    4115,  4123,  4127,  4135,  4140,  4146,  4150,  4158,  4163,  4169,
    4173,  4181,  4186,  4192,  4196,  4204,  4209,  4215,  4223,  4228,
    4234,  4238,  4246,  4250,  4258,  4263,  4269,  4273,  4277,  4285,
    4293,  4298,  4304,  4312,  4316,  4320,  4324,  4328,  4332,  4336,
    4340,  4344,  4348,  4352,  4356,  4360,  4364,  4368,  4372,  4376,
    4380,  4384,  4388,  4392,  4396,  4400,  4404,  4408,  4416,  4424,
    4428,  4432,  4436,  4444,  4448,  4456,  4461,  4467,  4471,  4479,
    4483,  4491,  4496,  4502,  4506,  4514,  4522,  4526,  4534,  4538,
    4542,  4546,  4554,  4562,  4570,  4578,  4586,  4591,  4597,  4601,
    4609,  4614,  4620,  4624,  4632,  4636,  4640,  4648,  4652,  4660,
    4664,  4672,  4680,  4684,  4692,  4697,  4703,  4711,  4715,  4723,
    4727,  4735,  4743,  4751,  4759,  4763,  4771,  4776,  4782,  4787,
    4793,  4798,  4804,  4809,  4815,  4820,  4826,  4830,  4834,  4838,
    4842,  4850,  4854,  4862,  4866,  4870,  4878,  4882,  4890,  4894,
    4898,  4902,  4906,  4914,  4919,  4925,  4930,  4936,  4940,  4948,
    4953,  4959,  4963,  4968,  4974,  4978,  4982,  4986,  4994,  4999,
    5006,  5008,  5016,  5020,  5024,  5028,  5032,  5036,  5044,  5048,
    5056,  5060,  5068,  5072,  5080,  5088,  5092,  5100,  5108,  5112,
    5116,  5120,  5128,  5137,  5146,  5150,  5154,  5158,  5162,  5166,
    5170,  5174,  5178,  5182,  5186,  5190,  5194,  5198,  5206,  5214,
    5218,  5226,  5230,  5238,  5242,  5246,  5250,  5254,  5262,  5270,
    5274,  5282,  5290,  5295,  5301,  5305,  5313,  5317,  5321,  5329,
    5334,  5340,  5348,  5352,  5360,  5364,  5368,  5372,  5376,  5384,
    5389,  5395,  5400,  5406,  5410,  5415,  5421,  5427,  5433,  5441,
    5445,  5453,  5457,  5465,  5469,  5477,  5481,  5489,  5493,  5501,
    5509,  5517,  5521,  5525,  5529,  5533,  5537,  5541,  5545,  5553,
    5557,  5561,  5565,  5569,  5573,  5577,  5581,  5585,  5589,  5593,
    5597,  5601,  5605,  5609,  5617,  5621,  5629,  5633,  5641,  5645,
    5653,  5657,  5658,  5666,  5670,  5675,  5681,  5685,  5689,  5693,
    5697,  5701,  5705,  5709,  5713,  5717,  5721,  5725,  5729,  5733,
    5737,  5741,  5745,  5749,  5757,  5761,  5765,  5769,  5773,  5777,
    5781,  5785,  5789,  5793,  5797,  5801,  5805,  5809,  5813,  5817,
    5821,  5825,  5829,  5833,  5837,  5845,  5849,  5857,  5861,  5865,
    5869,  5873,  5877,  5881,  5889,  5894,  5900,  5904,  5908,  5912,
    5916,  5920,  5924,  5928,  5932,  5936,  5940,  5948,  5952,  5960,
    5964,  5968,  5972,  5978,  5984,  5990,  5996,  6002,  6008,  6014,
    6024,  6035,  6046,  6057,  6068,  6079,  6090,  6106,  6122,  6138,
    6149,  6165,  6176,  6192,  6207,  6211,  6219,  6224,  6230,  6238,
    6242,  6250,  6254,  6258,  6262,  6266,  6274,  6278,  6286,  6290,
    6294,  6298,  6306,  6310,  6314,  6318,  6322,  6326,  6330,  6334,
    6338,  6342,  6346,  6350,  6354,  6358,  6362,  6366,  6374,  6378,
    6386,  6390,  6398,  6403,  6409,  6413,  6421,  6429,  6437,  6441,
    6449,  6454,  6460,  6465,  6471,  6479,  6484,  6490,  6494,  6498,
    6506,  6510,  6514,  6522,  6526,  6530,  6534,  6542,  6546,  6554,
    6559,  6565,  6570,  6576,  6581,  6587,  6592,  6598,  6602,  6610,
    6614,  6618,  6626,  6631,  6637,  6641,  6646,  6652,  6656,  6661,
    6667,  6671,  6676,  6682,  6686,  6690,  6698,  6703,  6709,  6713,
    6721,  6725,  6733,  6737,  6745,  6749,  6757,  6761,  6765,  6769,
    6773,  6781,  6785,  6789,  6793,  6797,  6805,  6813,  6821,  6825,
    6829,  6837,  6841,  6845,  6853,  6862,  6866,  6870,  6874,  6882,
    6886,  6894,  6898,  6906,  6910,  6914,  6918,  6922,  6926,  6930,
    6934,  6938,  6942,  6946,  6950,  6954,  6958,  6962,  6970,  6974,
    6978,  6982,  6986,  6994,  6998,  7006,  7010,  7018,  7023,  7029,
    7037,  7041,  7049,  7057,  7061,  7069,  7074,  7080,  7084,  7092,
    7096,  7104,  7108,  7116,  7120,  7124,  7128,  7136,  7140,  7148,
    7156,  7160,  7168,  7172,  7180,  7184,  7188,  7196,  7200,  7205,
    7211,  7219,  7224,  7230,  7238,  7242,  7246,  7250,  7258,  7266,
    7270,  7274,  7278,  7286,  7290,  7298,  7302,  7306,  7314,  7318,
    7326,  7334,  7338,  7346,  7350,  7354,  7358,  7362,  7366,  7370,
    7374,  7378,  7382,  7386,  7390,  7394,  7398,  7402,  7406,  7410,
    7414,  7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,  7450,
    7454,  7458,  7462,  7466,  7470,  7474,  7478,  7482,  7486,  7490,
    7494,  7498,  7502,  7506,  7510,  7514,  7518,  7522,  7526,  7530,
    7534,  7542,  7547,  7553,  7558,  7564,  7568,  7572,  7576,  7580,
    7584,  7588,  7592,  7596,  7600,  7604,  7608,  7612,  7616,  7620,
    7624,  7628,  7632,  7636,  7640,  7644,  7648,  7652,  7656,  7664,
    7668,  7672,  7676,  7680,  7684,  7688,  7692,  7696,  7700,  7704,
    7708,  7712,  7716,  7720,  7724,  7728,  7732,  7736,  7744,  7752,
    7756,  7760,  7768,  7772,  7780,  7784,  7788,  7792,  7796,  7804,
    7809,  7815,  7819,  7823,  7827,  7835,  7839,  7844,  7850,  7854,
    7862,  7870,  7875,  7881,  7889,  7893,  7901,  7905,  7909,  7913,
    7917,  7921,  7925,  7929,  7933,  7937,  7941,  7945,  7949,  7953,
    7961,  7965,  7970,  7976,  7980,  7984,  7988,  7992,  8000,  8004,
    8008,  8016,  8021,  8027,  8031,  8035,  8040,  8049,  8053,  8057,
    8062,  8068,  8076,  8084,  8089,  8095,  8099,  8107,  8111,  8115,
    8123,  8127,  8131,  8135,  8139,  8143,  8147,  8155,  8160,  8166,
    8170,  8174,  8182,  8190,  8194,  8202,  8206,  8214,  8222,  8226,
    8230,  8234,  8238,  8242,  8246,  8254,  8259,  8265,  8273,  8277,
    8281,  8285,  8289,  8293,  8301,  8305,  8313,  8321,  8325,  8329,
    8337,  8342,  8348,  8352,  8356,  8360,  8364,  8372,  8376,  8384,
    8388,  8392,  8396,  8404,  8408,  8416,  8420,  8428,  8433,  8439,
    8444,  8450,  8455,  8461,  8466,  8472,  8476,  8480,  8484,  8492,
    8496,  8500,  8504,  8508,  8512,  8516,  8520,  8524,  8532,  8536,
    8544,  8552,  8556,  8564,  8568,  8573,  8579,  8585,  8595,  8600,
    8606,  8610,  8614,  8618,  8626,  8628,  8636,  8641,  8647,  8655,
    8659,  8667,  8671,  8675,  8683,  8687,  8695,  8703,  8707,  8712,
    8718,  8722,  8727,  8733,  8738,  8744,  8752,  8757,  8763,  8771,
    8776,  8782,  8786,  8790,  8794,  8798,  8802,  8806,  8810,  8818,
    8823,  8829,  8833,  8838,  8844,  8852,  8856,  8864,  8868,  8876,
    8884,  8888,  8896,  8904,  8908,  8916,  8969,  8973,  8986,  8988,
    8992,  8996,  9000,  9009,  9015,  9019,  9027,  9031,  9039,  9043,
    9051,  9055,  9059,  9063,  9067,  9071,  9075,  9079,  9087,  9091,
    9099,  9103,  9107,  9111,  9115,  9119,  9123,  9131,  9135,  9139,
    9147,  9151,  9159,  9167,  9172,  9178,  9183,  9185,  9191,  9195,
    9199,  9203,  9207,  9211,  9215,  9219,  9223,  9231,  9236,  9242,
    9246,  9251,  9257,  9261,  9269,  9274,  9280,  9285,  9291,  9299,
    9303,  9311,  9315,  9323,  9327,  9331,  9335,  9343,  9348,  9354,
    9358,  9363,  9371,  9375,  9383,  9387,  9395,  9403,  9407,  9412,
    9418,  9426,  9430,  9438,  9442,  9450,  9455,  9461,  9465,  9473,
    9477,  9481,  9485,  9489,  9497,  9505,  9513,  9521,  9529,  9534,
    9540,  9544,  9552,  9557,  9563,  9567,  9575,  9583,  9587,  9591,
    9595,  9603,  9608,  9614,  9618,  9626,  9631,  9637,  9641,  9649,
    9653,  9657,  9661,  9665,  9672,  9679,  9683,  9691,  9695,  9699,
    9703,  9707,  9711,  9719,  9723,  9727,  9731,  9739,  9744,  9750,
    9754,  9758,  9762,  9767,  9773,  9777,  9781,  9785,  9793,  9798,
    9804,  9808,  9816,  9820,  9824,  9828,  9836,  9840,  9848,  9852,
    9856,  9864,  9872,  9877,  9883,  9887,  9895,  9903,  9907,  9915,
    9920,  9926,  9931,  9937,  9942,  9948,  9952,  9958,  9964,  9969,
    9975,  9979,  9987,  9995,  9997,  9999, 10003, 10007, 10011, 10019,
   10029, 10040, 10049, 10053, 10057, 10061, 10065, 10069, 10073, 10081,
   10085, 10089, 10093, 10101, 10105, 10113, 10118, 10124, 10128, 10132,
   10136, 10140, 10144, 10148, 10152, 10156, 10160, 10164, 10172, 10177,
   10183, 10187, 10195, 10199, 10207, 10215, 10223, 10227, 10235, 10239,
   10247, 10255, 10263, 10267, 10271, 10275, 10279, 10283, 10291, 10296,
   10302, 10307, 10313, 10317, 10321, 10325, 10333, 10341, 10345, 10350,
   10356, 10360, 10364, 10368, 10372, 10376, 10380, 10384, 10388, 10392,
   10396, 10400, 10404, 10409, 10415, 10419, 10427, 10431, 10435, 10439,
   10443, 10447, 10451, 10455, 10459, 10463, 10467, 10471, 10475, 10479,
   10483, 10487, 10491, 10495, 10499, 10503, 10507, 10511, 10515, 10519,
   10523, 10527, 10531, 10535, 10539, 10543, 10547, 10551, 10555, 10559,
   10563, 10567, 10571, 10575, 10579, 10583, 10587, 10591, 10595, 10599,
   10603, 10607, 10611, 10615, 10619, 10623, 10627, 10631, 10635, 10639,
   10643, 10647, 10651, 10655, 10659, 10663, 10667, 10672, 10676, 10684,
   10688, 10692, 10696, 10700, 10704, 10708, 10712, 10716, 10720, 10724,
   10728, 10732, 10736, 10740, 10744, 10748, 10752, 10756, 10760, 10764,
   10768, 10772, 10776, 10780, 10788, 10792, 10796, 10800, 10804, 10808,
   10812, 10816, 10820, 10824, 10828, 10832, 10836, 10840, 10848, 10852,
   10856, 10860, 10864, 10868, 10872, 10880, 10884, 10892, 10896, 10904,
   10908, 10912, 10916, 10920, 10924, 10928, 10932, 10936, 10940, 10944,
   10948, 10952, 10956, 10960, 10964, 10968, 10972, 10976, 10980, 10984,
   10988, 10992, 10996, 11000, 11004, 11008, 11012, 11016, 11020, 11024,
   11028, 11032, 11036, 11040, 11044, 11048, 11052, 11056, 11060, 11064,
   11068, 11076, 11080, 11088, 11092, 11096, 11101, 11107, 11115, 11119,
   11127, 11131, 11139, 11143, 11151, 11155, 11160, 11166, 11170, 11174,
   11178, 11186, 11191, 11197, 11202, 11208, 11213, 11219, 11223, 11231,
   11239, 11243, 11248, 11254, 11262, 11266, 11273, 11278, 11284, 11289,
   11294, 11300, 11304, 11312, 11316, 11320, 11324, 11328, 11336, 11340,
   11344, 11352, 11356, 11364, 11372, 11376, 11380, 11388, 11392, 11400,
   11404, 11408, 11412, 11416, 11420, 11424, 11428, 11432, 11436, 11440,
   11444, 11452, 11456, 11464, 11468, 11476, 11480, 11484, 11488, 11492,
   11496, 11504, 11508, 11516, 11520, 11528, 11532, 11536, 11544, 11548,
   11556, 11560, 11564, 11572, 11576, 11584, 11589, 11595, 11599, 11603,
   11607, 11611, 11615, 11619, 11623, 11631, 11635, 11643, 11651, 11656,
   11662, 11666, 11670, 11674, 11678, 11683, 11689, 11697, 11705, 11709,
   11713, 11721, 11725, 11733, 11741, 11745, 11753, 11761, 11766, 11772,
   11777, 11783, 11787, 11795, 11799, 11803, 11807, 11815, 11819, 11828,
   11830, 11838, 11843, 11849, 11853, 11861, 11865, 11873, 11881, 11886,
   11892, 11896, 11904, 11908, 11912, 11916, 11924, 11928, 11936, 11940,
   11948, 11952, 11960, 11968, 11976, 11984, 11992, 12000, 12008, 12012,
   12020, 12024, 12028, 12032, 12036, 12040, 12044, 12048, 12052, 12056,
   12060, 12064, 12068, 12072, 12073, 12078, 12084, 12088, 12089, 12093,
   12101, 12109, 12113, 12117, 12125, 12129, 12137, 12141, 12145, 12149,
   12157, 12161, 12165, 12169, 12173, 12177, 12181, 12185, 12189, 12193,
   12197, 12201, 12205, 12209, 12213, 12217, 12221, 12225, 12229, 12233,
   12237, 12241, 12245, 12249, 12253, 12257, 12261, 12265, 12269, 12273,
   12277, 12281, 12285, 12289, 12293, 12297, 12301, 12305, 12309, 12313,
   12317, 12321, 12325, 12329, 12333, 12337, 12341, 12345, 12349, 12353,
   12357, 12361, 12365, 12369, 12373, 12377, 12381, 12385, 12389, 12393,
   12397, 12401, 12405, 12409, 12413, 12417, 12421, 12425, 12429, 12433,
   12437, 12441, 12445, 12449, 12453, 12457, 12461, 12465, 12469, 12473,
   12477, 12481, 12485, 12489, 12493, 12497, 12501, 12505, 12509, 12513,
   12517, 12521, 12525, 12529, 12533, 12537, 12541, 12545, 12549, 12553,
   12557, 12561, 12565, 12569, 12573, 12577, 12581, 12585, 12589, 12593,
   12597, 12601, 12605, 12609, 12613, 12617, 12621, 12625, 12629, 12633,
   12637, 12641, 12645, 12649, 12653, 12657, 12661, 12665, 12669, 12673,
   12677, 12681, 12685, 12689, 12693, 12697, 12701, 12705, 12709, 12713,
   12717, 12721, 12725, 12729, 12733, 12737, 12741, 12745, 12749, 12753,
   12757, 12761, 12765, 12769, 12773, 12777, 12781, 12785, 12789, 12793,
   12797, 12801, 12805, 12809, 12813, 12817, 12821, 12825, 12829, 12833,
   12837, 12841, 12845, 12849, 12853, 12857, 12861, 12865, 12869, 12873,
   12877, 12881, 12885, 12889, 12893, 12897, 12901, 12905, 12909, 12913,
   12917, 12921, 12925, 12929, 12933, 12937, 12941, 12945, 12949, 12953,
   12957, 12961, 12965, 12969, 12973, 12977, 12981, 12985, 12989, 12993,
   12997, 13001, 13005, 13009, 13013, 13017, 13021, 13025, 13029, 13033,
   13037, 13041, 13045, 13049, 13053, 13057, 13061, 13065, 13069, 13073,
   13077, 13081, 13085, 13089, 13093, 13097, 13101, 13105, 13109, 13113,
   13117, 13121, 13125, 13129, 13133, 13137, 13141, 13145, 13149, 13153,
   13157, 13161, 13165, 13169, 13173, 13177, 13181, 13185, 13189, 13197,
   13201, 13205, 13209, 13213, 13217, 13221, 13225, 13229, 13233, 13237,
   13241, 13245, 13249, 13253, 13257, 13261, 13265, 13269, 13273, 13277,
   13281, 13285, 13289, 13293, 13297, 13301, 13305, 13309, 13313, 13317,
   13321, 13325, 13329, 13333, 13337, 13341, 13345, 13349, 13353, 13357,
   13361, 13365, 13369, 13373, 13381, 13385, 13389, 13393, 13397, 13401,
   13405, 13409, 13413, 13417, 13421, 13425, 13429, 13433, 13437, 13441,
   13445, 13449, 13453, 13457, 13461, 13465, 13469, 13477, 13481, 13485,
   13489, 13493, 13497, 13501, 13505, 13509, 13513, 13517, 13521, 13525,
   13529, 13533, 13537, 13541, 13545, 13549, 13553, 13557, 13561, 13565,
   13569, 13573, 13577, 13581, 13585, 13589, 13593, 13597, 13601, 13605,
   13609, 13613, 13617, 13621, 13625, 13629, 13633, 13637, 13641, 13645,
   13649, 13653, 13657, 13661, 13665, 13669, 13673, 13677, 13681, 13685,
   13689, 13693, 13697, 13701, 13705, 13709, 13713, 13717, 13721, 13725,
   13729, 13733, 13737, 13741, 13745, 13749, 13753, 13757, 13761, 13765,
   13769, 13773, 13783, 13784, 13787, 13788, 13789, 13795, 13796, 13797,
   13798, 13799, 13812, 13812, 13821, 13836, 13838, 13841, 13843, 13847,
   13859, 13875, 13879, 13890, 13891, 13894, 13906, 13915, 13916, 13919,
   13920, 13921, 13924, 13925, 13928, 13929, 13932, 13933, 13936, 13938,
   13940, 13942, 13946, 13953, 13960, 13976, 14010, 14020, 14023, 14027,
   14040, 14041, 14043, 14045, 14049, 14063, 14070, 14131, 14140, 14142,
   14143, 14146, 14148, 14149, 14152, 14153, 14154, 14155, 14156, 14163,
   14162, 14172, 14174, 14176, 14177, 14180, 14181, 14182, 14183, 14186,
   14187, 14191, 14190, 14207, 14205, 14221, 14220, 14234, 14240, 14241,
   14244, 14246, 14247, 14250, 14251, 14252, 14253, 14256, 14257, 14260,
   14268, 14285, 14293, 14316, 14422, 14456, 14458, 14460, 14464, 14468,
   14467, 14518, 14520, 14519, 14534, 14540, 14547, 14552, 14558, 14559,
   14562, 14563, 14564, 14565, 14566, 14567, 14568, 14576, 14584, 14587,
   14588, 14589, 14590, 14591, 14592, 14600, 14608, 14609, 14610, 14613,
   14614, 14617, 14619, 14628, 14716, 14717, 14724, 14725, 14726, 14732,
   14741, 14744, 14745, 14746, 14747, 14750, 14751, 14752, 14755, 14757,
   14765, 14766, 14772, 14780, 14781, 14784, 14785, 14788, 14793, 14800,
   14805, 14812, 14819, 14819, 14821, 14828, 14829, 14832, 14833, 14834,
   14835, 14836, 14837, 14838, 14839, 14840, 14846, 14853, 14865, 14871,
   14878, 14886, 14887, 14899, 14910, 14921, 14925, 14926, 14929, 14934,
   14938, 14939, 14942, 14948, 14956, 14962, 14969, 14973, 14974, 14977,
   14980, 14984, 14985, 14988, 14994, 15003, 15008, 15018, 15028, 15040,
   15041, 15042, 15043, 15044, 15045, 15046, 15047, 15048, 15049, 15050,
   15051, 15052, 15053, 15054, 15061, 15062, 15065, 15066, 15073, 15074,
   15075, 15082, 15081, 15098, 15099, 15106, 15105, 15175, 15181, 15187,
   15195, 15201, 15207, 15213, 15219, 15225, 15231, 15237, 15243, 15254,
   15255, 15258, 15259, 15260, 15261, 15262, 15263, 15264, 15265, 15266,
   15267, 15268, 15269, 15270, 15271, 15272, 15273, 15274, 15275, 15276,
   15277, 15278, 15279, 15280, 15283, 15284, 15285, 15286, 15287, 15288,
   15292, 15293, 15294, 15295, 15296, 15297, 15298, 15301, 15304, 15305,
   15306, 15307, 15308, 15309, 15310, 15311, 15324, 15325, 15326, 15327,
   15328, 15329, 15330, 15335, 15336, 15337, 15338, 15339, 15340, 15346,
   15347, 15348, 15349, 15350, 15351, 15352, 15353, 15354, 15355, 15356,
   15359, 15360, 15361, 15362, 15363, 15366, 15367, 15368, 15369, 15372,
   15373, 15374, 15375, 15376, 15377, 15378, 15395, 15396, 15397, 15400,
   15401, 15402, 15403, 15404, 15405, 15409, 15409, 15412, 15418, 15419,
   15422, 15424, 15429, 15439, 15450, 15457, 15458, 15459, 15462, 15495,
   15497, 15499, 15502, 15512, 15522, 15532, 15533, 15536, 15538, 15539,
   15540, 15543, 15545, 15553, 15554, 15555, 15559, 15560, 15564, 15565,
   15568, 15569, 15572, 15573, 15574, 15575, 15576, 15579, 15580, 15581,
   15582, 15583, 15584, 15585, 15586, 15587, 15588, 15589, 15590, 15591,
   15592, 15593, 15594, 15595, 15596, 15597, 15598, 15599, 15600, 15601,
   15602, 15603, 15604, 15605, 15606, 15607, 15608, 15609, 15610, 15611,
   15612, 15613, 15614, 15615, 15616, 15617, 15618, 15619, 15620, 15621,
   15622, 15623, 15624, 15625, 15626, 15627, 15628, 15629, 15630, 15631,
   15632, 15633, 15634, 15637, 15638, 15639, 15640, 15643, 15644, 15645,
   15646, 15647, 15648, 15649, 15650, 15651, 15652, 15659, 15660, 15661,
   15662, 15663, 15666, 15667, 15670, 15671, 15682, 15683
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT",
  "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF",
  "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OWNED", "OWNER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP",
  "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateTrigStmt", "TriggerActionTime",
  "TriggerEvents", "TriggerOneEvent", "TriggerForSpec",
  "TriggerForOptEach", "TriggerForType", "TriggerWhen", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "DropRuleStmt",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "indirection", "opt_indirection", "opt_asymmetric", "ctext_expr",
  "ctext_expr_list", "ctext_row", "opt_target_list", "target_list",
  "target_el", "qualified_name_list", "qualified_name", "name_list",
  "name", "database_name", "access_method", "attr_name", "index_name",
  "file_name", "func_name", "AexprConst", "Iconst", "SignedIconst",
  "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,    60,    62,    61,   768,    43,    45,    42,
      47,    37,    94,   769,    91,    93,    40,    41,    46,    44,
      59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   534,   535,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   537,   538,   538,   538,   539,
     539,   540,   540,   541,   541,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   542,   542,   542,   542,   543,   544,
     545,   545,   546,   546,   547,   548,   549,   549,   550,   550,
     551,   552,   553,   553,   554,   554,   555,   555,   555,   555,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     559,   559,   559,   560,   560,   560,   561,   561,   561,   561,
     562,   562,   562,   562,   562,   562,   562,   562,   562,   562,
     562,   563,   563,   564,   564,   565,   565,   566,   566,   566,
     566,   567,   567,   567,   567,   568,   568,   568,   568,   568,
     568,   568,   569,   569,   569,   570,   570,   571,   572,   572,
     572,   572,   573,   573,   574,   574,   575,   575,   576,   576,
     576,   576,   576,   577,   578,   578,   579,   579,   580,   581,
     581,   581,   581,   581,   582,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   582,
     583,   583,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     585,   585,   586,   586,   586,   587,   587,   588,   588,   589,
     589,   589,   589,   590,   591,   591,   592,   592,   593,   593,
     593,   593,   594,   595,   595,   596,   596,   596,   596,   597,
     597,   598,   598,   599,   599,   600,   600,   601,   601,   601,
     602,   602,   603,   603,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   608,   608,   609,   609,   610,   611,
     611,   611,   611,   611,   612,   612,   613,   614,   614,   614,
     614,   615,   615,   615,   615,   615,   615,   615,   615,   616,
     616,   617,   617,   618,   618,   619,   619,   620,   620,   620,
     621,   621,   622,   623,   624,   624,   625,   625,   625,   625,
     626,   626,   626,   626,   626,   626,   626,   627,   627,   627,
     627,   628,   629,   629,   629,   630,   630,   630,   630,   630,
     630,   631,   631,   632,   632,   632,   632,   632,   632,   632,
     633,   633,   634,   634,   635,   635,   636,   637,   637,   637,
     637,   638,   638,   639,   639,   640,   640,   641,   641,   641,
     641,   641,   642,   643,   644,   644,   644,   644,   644,   645,
     645,   646,   646,   646,   646,   647,   647,   647,   647,   648,
     648,   649,   649,   650,   651,   652,   652,   652,   653,   653,
     654,   655,   655,   656,   657,   657,   658,   658,   659,   659,
     660,   660,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   662,   662,   663,   663,   663,   664,
     664,   665,   665,   666,   666,   667,   667,   668,   668,   669,
     669,   670,   670,   671,   671,   672,   672,   673,   674,   674,
     675,   675,   676,   676,   677,   677,   678,   678,   678,   679,
     680,   680,   681,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   683,   684,
     684,   684,   684,   685,   685,   686,   686,   687,   687,   688,
     688,   689,   689,   690,   690,   691,   692,   692,   693,   693,
     693,   693,   694,   695,   696,   697,   698,   698,   699,   699,
     700,   700,   701,   701,   702,   702,   702,   703,   703,   704,
     704,   705,   706,   706,   707,   707,   708,   709,   709,   710,
     710,   711,   712,   713,   714,   714,   715,   715,   716,   716,
     717,   717,   718,   718,   719,   719,   720,   720,   720,   720,
     720,   721,   721,   722,   722,   722,   723,   723,   724,   724,
     724,   724,   724,   725,   725,   726,   726,   727,   727,   728,
     728,   729,   729,   729,   730,   730,   730,   730,   731,   731,
     732,   732,   733,   733,   733,   733,   733,   733,   734,   734,
     735,   735,   736,   736,   737,   738,   738,   739,   740,   740,
     740,   740,   741,   742,   743,   743,   743,   743,   743,   743,
     743,   743,   743,   743,   743,   743,   743,   743,   744,   745,
     745,   746,   746,   747,   747,   747,   747,   747,   748,   749,
     749,   750,   751,   751,   752,   752,   753,   753,   753,   754,
     754,   755,   756,   756,   757,   757,   757,   757,   757,   758,
     758,   759,   759,   760,   760,   760,   761,   761,   762,   763,
     763,   764,   764,   765,   765,   766,   766,   767,   767,   768,
     769,   770,   770,   770,   770,   770,   770,   770,   770,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   772,   772,   773,   773,   774,   774,
     775,   775,   776,   777,   777,   777,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   780,   780,   781,   781,   781,
     781,   781,   781,   781,   782,   782,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   784,   784,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   787,   787,   788,   788,   789,   790,
     790,   791,   791,   791,   791,   791,   792,   792,   793,   793,
     793,   793,   794,   794,   794,   794,   794,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   794,   794,   795,   795,
     796,   796,   797,   797,   798,   798,   799,   800,   801,   801,
     802,   802,   803,   803,   804,   805,   805,   806,   806,   806,
     807,   807,   807,   808,   808,   808,   808,   809,   809,   810,
     810,   811,   811,   812,   812,   813,   813,   814,   814,   815,
     815,   815,   816,   816,   817,   817,   817,   818,   818,   818,
     819,   819,   819,   820,   820,   820,   821,   821,   822,   822,
     823,   823,   824,   824,   825,   825,   826,   826,   826,   826,
     826,   827,   827,   827,   827,   827,   828,   829,   830,   830,
     830,   831,   831,   831,   832,   833,   833,   833,   833,   834,
     834,   835,   835,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   837,   837,
     837,   837,   837,   838,   838,   839,   839,   840,   840,   841,
     842,   842,   843,   844,   844,   845,   845,   846,   846,   847,
     847,   848,   848,   849,   849,   849,   849,   850,   850,   851,
     852,   852,   853,   853,   854,   854,   854,   855,   855,   855,
     856,   857,   857,   858,   859,   859,   859,   859,   860,   861,
     861,   861,   861,   862,   862,   863,   863,   863,   864,   864,
     865,   866,   866,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   868,   868,   869,   869,   870,   870,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   872,   873,
     873,   873,   874,   874,   875,   875,   875,   875,   875,   876,
     876,   877,   877,   877,   877,   878,   878,   878,   879,   879,
     880,   881,   881,   882,   883,   883,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     885,   885,   885,   886,   886,   886,   886,   886,   887,   887,
     887,   888,   888,   889,   889,   889,   889,   890,   890,   890,
     890,   891,   892,   893,   893,   894,   894,   895,   895,   895,
     896,   896,   896,   896,   896,   896,   896,   897,   897,   898,
     898,   898,   899,   900,   900,   901,   901,   902,   903,   903,
     903,   903,   903,   903,   903,   904,   904,   905,   906,   906,
     906,   906,   906,   906,   907,   907,   908,   909,   909,   909,
     910,   910,   911,   911,   911,   911,   911,   912,   912,   913,
     913,   913,   913,   914,   914,   915,   915,   916,   916,   917,
     917,   918,   918,   919,   919,   920,   920,   920,   920,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   922,   922,
     923,   924,   924,   925,   925,   925,   926,   926,   927,   927,
     928,   928,   928,   928,   929,   929,   930,   930,   931,   932,
     932,   933,   933,   933,   934,   934,   935,   936,   936,   936,
     937,   937,   937,   938,   938,   939,   940,   940,   941,   942,
     942,   943,   943,   943,   943,   943,   943,   943,   943,   944,
     944,   945,   945,   945,   946,   947,   947,   948,   948,   949,
     950,   950,   951,   952,   952,   953,   954,   954,   955,   955,
     955,   955,   955,   956,   956,   956,   957,   957,   958,   958,
     959,   959,   959,   959,   959,   959,   959,   959,   960,   960,
     961,   961,   961,   961,   961,   961,   961,   962,   962,   962,
     963,   963,   964,   965,   965,   966,   966,   966,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   968,   968,   969,
     969,   969,   970,   970,   971,   971,   972,   972,   973,   974,
     974,   975,   975,   976,   976,   976,   976,   977,   977,   978,
     978,   978,   979,   979,   980,   980,   981,   982,   982,   982,
     983,   984,   984,   985,   985,   986,   986,   987,   987,   988,
     988,   988,   988,   988,   989,   990,   991,   992,   993,   993,
     994,   994,   995,   995,   996,   996,   997,   998,   998,   998,
     998,   999,   999,  1000,  1000,  1001,  1001,  1002,  1002,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1004,  1004,  1004,
    1004,  1004,  1004,  1005,  1005,  1005,  1005,  1006,  1006,  1007,
    1007,  1007,  1007,  1007,  1008,  1008,  1008,  1008,  1009,  1009,
    1010,  1010,  1011,  1011,  1011,  1011,  1012,  1012,  1013,  1013,
    1013,  1014,  1015,  1015,  1016,  1016,  1017,  1018,  1018,  1019,
    1019,  1020,  1020,  1021,  1021,  1022,  1022,  1022,  1023,  1023,
    1024,  1024,  1025,  1026,  1026,  1026,  1026,  1026,  1026,  1027,
    1027,  1027,  1028,  1028,  1028,  1028,  1028,  1028,  1028,  1029,
    1029,  1029,  1029,  1030,  1030,  1031,  1031,  1032,  1032,  1032,
    1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1033,  1033,
    1034,  1034,  1035,  1035,  1036,  1037,  1038,  1038,  1039,  1039,
    1040,  1041,  1042,  1042,  1042,  1042,  1042,  1042,  1043,  1043,
    1044,  1044,  1045,  1045,  1045,  1045,  1046,  1047,  1047,  1047,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1049,  1049,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1053,  1053,
    1053,  1053,  1053,  1053,  1053,  1054,  1054,  1055,  1055,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1057,  1057,  1058,  1058,  1058,  1058,  1059,  1060,  1060,
    1061,  1061,  1062,  1062,  1063,  1063,  1063,  1064,  1064,  1064,
    1064,  1065,  1065,  1066,  1066,  1067,  1067,  1068,  1068,  1069,
    1070,  1070,  1070,  1071,  1072,  1072,  1073,  1073,  1074,  1074,
    1074,  1075,  1075,  1076,  1076,  1076,  1076,  1076,  1077,  1077,
    1077,  1078,  1078,  1079,  1080,  1080,  1080,  1081,  1081,  1082,
    1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,
    1082,  1083,  1083,  1084,  1084,  1085,  1085,  1085,  1085,  1085,
    1085,  1086,  1086,  1087,  1087,  1088,  1088,  1088,  1089,  1089,
    1090,  1090,  1090,  1091,  1091,  1092,  1092,  1093,  1093,  1093,
    1093,  1093,  1093,  1093,  1093,  1094,  1094,  1095,  1096,  1096,
    1097,  1097,  1097,  1097,  1097,  1097,  1098,  1099,  1100,  1100,
    1100,  1101,  1101,  1102,  1103,  1103,  1104,  1105,  1105,  1106,
    1106,  1107,  1107,  1108,  1108,  1108,  1108,  1109,  1109,  1110,
    1110,  1111,  1111,  1112,  1112,  1113,  1113,  1114,  1115,  1115,
    1116,  1116,  1117,  1117,  1117,  1117,  1118,  1118,  1119,  1119,
    1120,  1120,  1121,  1122,  1123,  1124,  1125,  1126,  1127,  1127,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1129,  1130,  1130,  1130,  1130,
    1131,  1132,  1132,  1132,  1133,  1133,  1134,  1134,  1134,  1134,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1139,  1139,  1140,  1140,  1140,  1140,  1140,  1140,
    1140,  1140,  1142,  1141,  1143,  1144,  1144,  1144,  1144,  1145,
    1145,  1145,  1145,  1146,  1146,  1147,  1148,  1149,  1149,  1150,
    1150,  1150,  1151,  1151,  1152,  1152,  1153,  1153,  1154,  1154,
    1154,  1154,  1155,  1155,  1155,  1156,  1157,  1157,  1158,  1158,
    1159,  1159,  1159,  1159,  1160,  1160,  1161,  1162,  1163,  1164,
    1164,  1165,  1166,  1166,  1167,  1167,  1167,  1167,  1167,  1169,
    1168,  1170,  1171,  1172,  1172,  1173,  1173,  1173,  1173,  1174,
    1174,  1176,  1175,  1178,  1177,  1179,  1177,  1177,  1180,  1180,
    1181,  1181,  1181,  1182,  1182,  1182,  1182,  1183,  1183,  1184,
    1184,  1184,  1184,  1184,  1184,  1185,  1185,  1185,  1186,  1188,
    1187,  1189,  1190,  1189,  1191,  1191,  1192,  1192,  1193,  1193,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1196,
    1196,  1197,  1197,  1198,  1199,  1199,  1200,  1200,  1200,  1201,
    1202,  1203,  1203,  1203,  1203,  1204,  1204,  1204,  1205,  1205,
    1206,  1206,  1207,  1208,  1208,  1209,  1209,  1210,  1210,  1211,
    1211,  1212,  1213,  1213,  1214,  1214,  1214,  1215,  1215,  1215,
    1215,  1215,  1215,  1215,  1215,  1215,  1216,  1216,  1216,  1216,
    1216,  1217,  1217,  1218,  1219,  1220,  1221,  1221,  1222,  1223,
    1224,  1224,  1225,  1226,  1226,  1227,  1228,  1229,  1229,  1230,
    1231,  1232,  1232,  1233,  1234,  1234,  1234,  1234,  1234,  1235,
    1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,  1235,  1236,  1236,  1237,  1237,  1238,  1238,
    1238,  1240,  1239,  1241,  1241,  1243,  1242,  1244,  1244,  1244,
    1245,  1245,  1245,  1245,  1245,  1245,  1245,  1245,  1245,  1246,
    1246,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1248,  1248,  1248,  1248,  1248,  1248,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1250,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1253,  1253,  1253,  1253,  1253,  1253,  1254,
    1254,  1254,  1254,  1254,  1254,  1254,  1254,  1254,  1254,  1254,
    1255,  1255,  1255,  1255,  1255,  1256,  1256,  1256,  1256,  1257,
    1257,  1257,  1257,  1257,  1257,  1257,  1258,  1258,  1258,  1259,
    1259,  1259,  1259,  1259,  1259,  1260,  1260,  1261,  1262,  1262,
    1263,  1263,  1264,  1265,  1266,  1267,  1267,  1267,  1268,  1269,
    1270,  1271,  1272,  1272,  1272,  1272,  1272,  1273,  1274,  1274,
    1274,  1275,  1275,  1276,  1276,  1276,  1277,  1277,  1278,  1278,
    1279,  1279,  1280,  1280,  1280,  1280,  1280,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1282,  1282,  1282,  1282,  1283,  1283,  1283,
    1283,  1283,  1283,  1283,  1283,  1283,  1283,  1284,  1284,  1284,
    1284,  1284,  1285,  1285,  1286,  1286,  1287,  1287
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     1,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     5,     4,     3,     5,     3,     5,
       5,     6,     1,     1,     3,     5,     6,     4,     9,     7,
       1,     0,     2,     0,     1,     1,     1,     1,     1,     1,
       2,     3,     3,     2,     5,     1,     3,     3,     3,     3,
       1,     3,     3,     2,     2,     2,     2,     3,     3,     3,
       3,     1,     3,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     5,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     1,     2,
       3,     2,     1,     1,     2,     1,     2,     1,     3,     4,
       5,     4,     2,     4,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     4,     6,    10,    13,     4,     6,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       1,     3,     2,     3,     4,     6,     6,     6,     5,     5,
       6,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     3,     4,     4,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     7,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     3,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,    11,
       4,     1,     0,     6,     5,     8,     4,     6,     1,     0,
       1,     2,     2,     1,     2,     3,     2,     2,     2,     2,
       3,     3,     1,     3,     1,     0,     1,     2,     1,     1,
       3,     6,    10,     1,     0,     1,     2,     2,     0,     2,
       2,     1,     0,     5,     7,     1,     0,     7,     2,     0,
       3,     5,     5,     8,     2,     0,     2,     2,     2,     5,
       2,     0,     2,     7,    10,     6,     6,     6,     6,     7,
       7,     9,     9,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     6,     8,     7,
       6,     4,     0,     1,     3,     4,     1,     3,     1,     2,
       2,     2,     2,     1,     1,    10,     2,     0,     2,     2,
       1,     0,     4,     6,     5,     4,     4,    11,    14,     5,
       7,    11,     2,     1,     4,     0,     8,     1,     1,     7,
       9,     8,     9,     8,     6,     8,     4,     0,     5,     0,
       2,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       1,    15,    20,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,     6,     8,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     4,     5,     4,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     5,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     3,
       0,    13,     1,     3,     5,     6,     4,     7,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     4,     6,     4,     6,     5,     7,     1,
       1,     1,     2,     1,     2,     2,     1,     1,     1,     1,
       3,     3,     3,     3,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     7,
       7,     7,     8,     9,     8,     8,     6,     9,     8,     9,
       9,     7,    10,     7,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     1,     3,
       2,     3,     3,     3,     3,     1,     1,     8,     8,     8,
       9,     9,     9,     9,     2,     0,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     3,     2,     2,     2,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     1,     3,     2,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,    14,    17,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     2,     0,     1,     1,     0,
       2,     2,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     3,     3,     5,     6,     1,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     1,     2,     2,
       2,     1,     1,     1,     3,     3,     5,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     5,     7,     5,
       7,     5,     7,     3,     5,     5,     5,     1,     3,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     3,
       3,     6,     6,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     5,     7,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     8,    10,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     9,    11,     8,    10,     9,    11,     8,
       8,     7,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     7,     6,     6,     6,     6,
       6,     7,     9,     9,     6,     8,     8,     8,     8,     8,
       6,     8,     6,     8,     7,     9,     7,     9,     6,     7,
       6,     6,     6,     6,     6,     7,     7,     7,     9,     9,
       6,     6,     6,     8,     8,     8,     6,     7,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     4,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,     1,     1,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       2,     1,     1,     1,     1,     0,     5,     4,     3,     0,
       1,     1,     1,     1,     4,     9,     3,     0,     7,     1,
       3,     1,     4,     2,     1,     3,     2,     8,     5,     0,
       4,     3,     0,     3,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     1,     2,     0,     8,     1,     3,     1,     1,     3,
       5,     5,     2,     1,     3,     7,     1,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     6,     1,     0,     2,     1,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     2,     3,     1,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     1,     3,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     2,     3,     2,     0,     1,     3,     2,
       3,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     6,     4,     0,     2,     6,     2,     1,     3,     4,
       0,     2,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     1,     2,     3,     3,     0,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     1,     3,     0,
       1,     1,     1,     1,     5,     2,     1,     1,     1,     1,
       5,     2,     2,     2,     1,     3,     3,     2,     1,     0,
       3,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     3,     3,     2,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     1,     4,     3,     5,
       6,     8,     6,     6,     4,     4,     1,     1,     1,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     6,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       7,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     2,     2,     0,     2,     4,     4,
       6,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       2,     1,     3,     1,     3,     1,     3,     3,     1,     3,
       3,     3,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     2,     3,     0,
       3,     3,     2,     2,     1,     0,     2,     2,     3,     2,
       1,     1,     3,     5,     1,     2,     4,     2,     0,     1,
       0,     1,     2,     2,     2,     3,     5,     1,     2,     0,
       2,     1,     0,     1,     1,     1,     3,     3,     1,     0,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     6,     2,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     2,     4,     3,     2,     1,     1,     1,
       1,     1,     0,     8,     2,     5,     3,     2,     2,     3,
       7,     1,     1,     1,     0,     2,     2,     1,     0,     1,
       3,     1,     2,     0,     2,     0,     2,     0,     1,     3,
       4,     3,     1,     1,     1,     1,     2,     0,     2,     4,
       0,     2,     2,     2,     1,     1,     7,     3,     1,     1,
       1,     1,     2,     0,     1,     3,     3,     3,     3,     0,
       4,     5,     5,     0,     1,     1,     1,     2,     2,     1,
       2,     0,     7,     0,     5,     0,     4,     2,     2,     0,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     5,     2,     1,     3,     2,     2,     3,     0,
       5,     1,     0,     5,     2,     2,     1,     1,     1,     2,
       2,     3,     1,     2,     2,     3,     3,     4,     2,     1,
       2,     1,     1,     2,     2,     3,     1,     1,     1,     1,
       0,     1,     3,     5,     0,     2,     0,     1,     2,     3,
       2,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       2,     2,     3,     0,     1,     2,     1,     4,     3,     4,
       3,     2,     1,     3,     1,     1,     1,     1,     2,     2,
       1,     2,     2,     1,     1,     1,     4,     4,     4,     4,
       4,     1,     0,     3,     3,     4,     1,     3,     3,     4,
       1,     3,     3,     1,     1,     1,     6,     1,     3,     3,
       6,     1,     3,     3,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     4,     1,     1,     4,     4,
       3,     0,     7,     1,     0,     0,     7,     3,     4,     3,
       1,     1,     1,     2,     3,     5,     2,     5,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     0,     1,
       2,     1,     2,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     1,     2,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     2,     3,     1,     3,     3,
       3,     3,     3,     3,     1,     1,     4,     0,     2,     2,
       1,     1,     2,     1,     1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2482,     0,     2,     1,  2911,  2915,  2919,  2920,  2837,  2921,
    2922,  2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,  2895,
    2896,  2897,  2898,  2900,  2899,  2901,  2902,  2903,  2904,  2905,
    2906,  2907,  2908,  2910,  2909,  2859,  2489,  2856,  2853,  2854,
    2855,  2860,  2858,  2851,  2852,  2065,  2924,  2912,  2925,  2913,
    2914,  2916,  2917,  2886,  2918,  2926,  2927,  2928,  2923,  2931,
    2882,  2883,  2881,  2884,  2885,  2929,  2930,  2873,  2874,  2875,
    2876,  2932,  2490,  2491,  2878,  2483,  2487,  2549,  2620,  2879,
    2880,  2877,  2488,  2872,  2620,     0,  2741,  2742,  2743,     0,
    2744,  2745,  2746,  2672,  2634,  2747,     0,     0,  2748,  2749,
    2750,  2751,  2752,  2753,  2754,  2755,     0,  2756,  2757,  2758,
    2759,  2619,  2760,  2761,  2762,  2763,  2596,  2602,  2725,     0,
    2576,  2577,  2573,  2575,  2574,  2578,  2561,  1282,   576,  1366,
    1365,     0,  2384,  1282,  2339,  2340,  2385,  2341,  2342,  2343,
     268,     0,  1368,  2344,  2386,     0,  1282,  2387,   399,  1027,
    2388,  2389,  2504,     0,  2345,  2346,     0,     0,     0,   576,
    1282,     0,     0,  2347,  1494,  2348,     0,  2349,  2390,  2391,
       0,  2350,  2351,  2392,     0,  2393,  2352,  2353,  2354,  2394,
    2395,  2396,  2355,  2397,  2398,     0,     0,  1508,     0,  2356,
    2399,  2357,  2358,     0,  2400,  2359,  2360,  2361,  2401,  2402,
    2362,  2363,  2364,     0,  2365,     0,     0,     0,     0,     0,
       0,  2403,  1282,  2366,     0,     0,  1515,     0,  2367,     0,
    2404,  2368,     0,  2369,     0,  2405,  2370,  2371,  2372,  2373,
    1508,  2721,  2597,     0,  1370,     0,  2374,  2406,     0,  2375,
    2376,  2377,  2378,  2379,  2380,  2381,  2382,  2383,     0,     0,
       0,    62,    63,    25,    24,    30,    29,    87,    88,    48,
      15,    76,    55,   122,   121,   123,    36,    32,    70,    21,
      23,    33,    37,    57,    49,   100,    56,    19,    54,    81,
      58,    84,    43,     9,    10,    44,    74,    11,    45,    75,
      12,    46,    13,    96,    64,    89,    28,    53,    18,    80,
      60,    86,    61,     3,    39,    72,    68,     8,    50,    51,
      52,    77,    78,    79,   105,    83,   117,    35,   114,    93,
      94,   111,    95,   112,     6,    97,    47,    14,   108,   107,
     109,    71,    40,    73,    59,    85,   106,    22,   110,    16,
      17,   113,    82,   103,    99,   118,   116,   124,   101,    65,
       4,     5,    90,    20,    42,     7,    27,    26,    41,    34,
     120,    31,  1368,    92,   104,    91,    98,    69,   102,   119,
      67,   115,  1479,  1466,  1517,  1478,  1493,     0,  1482,  2816,
    2817,    38,  1494,   126,   127,   132,  2486,  2538,  2539,  2540,
    2620,  2571,  2572,  2565,  2581,  2591,  2580,  2584,  2592,  2579,
    2598,     0,   129,   131,   133,   136,   130,   125,   128,   135,
     140,   134,   139,   137,   138,   141,   142,   143,  2818,  1723,
    2815,    66,  2556,  2555,     0,  2620,     0,  2848,  2080,  2081,
    2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,
    2092,  2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,
    2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,
    2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,
    2122,  2123,  2072,  2124,  2125,  2126,  2127,  2128,  2129,  2130,
    2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,
    2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,
    2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,
    2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,
    2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,
    2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,
    2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,
    2221,  2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,
    2231,  2232,  2233,  2234,  2235,  2238,  2236,  2237,  2239,  2240,
    2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,
    2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,
    2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,  2073,  2279,
    2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,
    2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,
    2300,  2301,  2302,  2303,  2304,  2504,  2305,  2306,  2307,  2308,
    2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,
    2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,
    2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2522,  2070,  2071,  2077,  2078,  2079,  2497,  2518,  2524,  2844,
    2523,  2076,  2671,     0,     0,  2764,  2765,  2766,  2767,  2768,
    2769,  2819,  2820,  2821,  2822,  2823,  2825,  2824,  2633,  2791,
    2828,  2632,  2829,  2636,  2830,  2831,  2832,  2833,  2792,  2834,
    2635,  2826,  2788,  2637,  2630,  2631,  2789,  2739,  2740,  2043,
    2790,  2787,  2827,  2525,  2786,  2641,  2640,  1456,  2843,  2042,
    1457,     0,  2643,  2770,  2771,  2772,  2773,  2775,  2774,  2776,
    2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,
    2417,  2418,  2801,  2419,  2420,  2421,  2814,  2422,  2423,  2802,
    2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,
    2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,  2447,  2803,  2804,  2448,  2449,  2450,  2451,
    2452,  2453,  2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,
    2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2805,  2472,  2473,  2806,  2474,  2475,  2476,  2807,  2477,  2478,
    2479,  2480,  2481,  2811,  2812,  2813,  2800,  2594,  2777,  2799,
    2810,  2808,  2809,  2604,  2600,  2608,  2603,     0,     0,     0,
       0,  2620,  1281,  1280,  1266,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   575,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2494,     0,  1292,   370,
     369,  1367,  1348,   576,     0,  1269,   398,     0,     0,     0,
       0,     0,     0,     0,     0,   789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,     0,     0,
     422,   421,     0,     0,     0,   999,   427,     0,     0,     0,
       0,     0,   564,  2503,  2498,  2508,     0,  2501,  2502,  2786,
       0,  2935,  2236,  2534,  2535,  2933,  2290,  1458,   269,   272,
     273,   270,   271,     0,  1109,  1110,  1112,     0,     0,  1122,
     826,   827,     0,     0,     0,   829,     0,     0,     0,   823,
       0,     0,     0,     0,     0,     0,   828,   820,     0,   819,
       0,     0,  1122,     0,     0,     0,   821,     0,     0,  1270,
       0,  2586,  2587,  2172,  1407,   428,     0,     0,  1494,     0,
    1385,  1386,  1368,  1375,  1387,  1380,  1382,  1381,  1383,  1379,
    1384,  2081,   937,  2095,   937,  2162,   934,   935,   937,   937,
     937,  2253,     0,     0,   909,     0,   920,  2066,   937,  2067,
    2844,   942,   483,   483,   483,     0,   941,   946,   483,     0,
    1263,  1301,  2047,  1507,     0,  2095,  2162,   910,  1262,  2305,
    1399,     0,     0,  1137,  1133,  1135,  1136,  1134,     0,     0,
       0,  2269,  1274,   253,  2784,  2278,  2370,  2305,  2785,   252,
     247,   248,  2779,  2780,  2782,   221,  2783,  2781,  2778,  2085,
       0,     0,   941,     0,  1271,  1272,   895,  1514,  1512,     0,
    2029,     0,     0,  2103,     0,  2116,  2197,   244,  2264,  2270,
    2278,  2370,  2305,  2336,   200,   210,   205,     0,   262,  2278,
    2370,  2305,     0,  1292,     0,  1483,  1612,  2038,     0,     0,
    2595,  1265,  1264,  1369,     0,  1372,     0,  1573,  2249,  1487,
    1490,  1374,  1488,  1479,     0,     0,  2485,  1363,  1511,  1511,
       0,  1511,     0,  1471,  1479,  1474,  1478,     0,     0,     0,
       0,  1282,     0,  2563,  2591,  2570,  2626,  2567,     0,     0,
    2616,  2612,  2609,  2617,  2618,  2611,  2599,  1712,  1713,  1714,
    1711,  1724,  1710,     0,  2544,  1715,  2583,  2550,     0,  2558,
    2557,  2861,  2862,  2673,  2496,  2515,     0,     0,     0,     0,
       0,     0,     0,  2642,  2644,  2646,  2606,  2605,  2601,     0,
       0,     0,     0,  2731,  2732,  2730,     0,  2727,  2729,     0,
    2626,     0,  2795,  2789,  2798,     0,  2048,  2790,  2787,  2786,
       0,   836,     0,  1304,   986,     0,     0,     0,     0,  2042,
       0,     0,     0,     0,     0,  2070,     0,  2171,     0,     0,
       0,  1937,  1948,  1949,  1950,  2107,  2157,  1945,  1946,  1947,
    1939,  1940,  1941,  1942,  1943,  1944,     0,  1107,  1938,     0,
    2171,     0,   170,     0,   148,     0,     0,  2171,     0,     0,
       0,     0,     0,  2171,     0,     0,     0,     0,     0,  2202,
       0,   148,  2171,     0,     0,     0,  1286,     0,     0,     0,
    1288,  1291,  1267,  1351,     0,  2038,     0,     0,   872,   864,
       0,   873,   865,     0,     0,   875,     0,     0,   867,     0,
       0,     0,     0,   876,     0,   866,   868,   878,   869,   874,
       0,     0,     0,     0,   870,     0,     0,  1278,   483,   376,
       0,     0,     0,     0,     0,   148,  1336,     0,  2171,   148,
       0,     0,   426,   425,   148,   424,   423,  2107,  2157,     0,
    1026,     0,   148,  2171,     0,   193,   647,   579,     0,     0,
     748,  2202,   148,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,   563,   576,     0,  2507,  2513,     0,  2505,
    2674,  2936,  2934,  2629,     0,  1113,   245,   246,  1111,  2171,
       0,   344,     0,     0,  2171,  1323,  1670,  1699,  1677,  1699,
    1699,  1666,  1666,  2141,  1679,  2171,  1667,  1668,  1706,     0,
    1699,  1666,  1671,     0,  1669,  1709,  1709,  1694,   344,   840,
    1651,  1652,  1653,  1654,  1680,  1681,  1655,  1686,  1687,  1701,
    1656,  1723,  2796,  1666,  2797,  2794,  2793,   825,     0,   824,
    2171,     0,  2171,  2074,   184,     0,   822,  2107,  2157,  2171,
       0,     0,  2171,     0,  2171,   176,  2171,     0,  2171,   344,
    2171,   580,     0,     0,  2171,     0,  2171,   344,  2171,  2202,
     178,     0,  2171,   344,   834,     0,     0,  2866,  2870,     0,
    2868,  2863,  2585,  2639,  2638,  2537,     0,  2947,     0,  1458,
    1377,  1392,     0,  1388,  1395,  1391,  1494,   937,   936,     0,
     937,     0,  2956,   937,     0,   937,     0,  2956,   937,     0,
       0,     0,   937,  2068,  2069,     0,     0,  2955,  2953,  2954,
     911,   921,     0,   943,     0,     0,   950,   949,   948,     0,
       0,     0,   951,     0,  1616,  1430,     0,   918,     0,   916,
       0,  1260,  1277,     0,     0,     0,     0,  1002,  1140,     0,
    1138,  1129,  1130,  1273,   251,   249,     0,     0,     0,     0,
       0,     0,  1279,     0,     0,     0,     0,  2850,  2054,  1951,
    2849,     0,  2340,  2341,  2342,  2010,     0,  2791,  2343,  2344,
    2386,  1853,  1840,  1849,  1854,  1841,  1843,  1850,  2345,  2346,
    2347,  2348,  2061,  2349,  2350,  2351,  2353,  2354,  2355,  1845,
    1847,  2356,  2357,     0,  2062,  2359,  2360,  2221,  2362,  2363,
    2365,  2366,  1851,  2368,  2369,  2370,  2371,  2372,  2373,  2060,
       0,  1852,  2374,  2376,  2377,  2378,  2379,  2380,  2381,  2382,
    2383,     0,     0,     0,  2035,     0,  1820,     0,  1659,  1660,
    1682,  1683,  1661,  1688,  1689,  1662,     0,  2034,  1726,  1902,
    1819,  1836,     0,  1825,  1826,     0,  1818,  1814,  1497,  2030,
       0,  1815,  2050,  2011,  2064,  2063,  2844,  2019,  2053,  2051,
    2052,  1497,  2028,     0,     0,     0,   213,     0,     0,  2720,
     264,     0,   265,  2036,  2278,   201,   243,   215,   242,   216,
     214,     0,  2105,   202,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,   258,  1268,     0,  1614,  1613,     0,
       0,  2017,  2039,   845,     0,  1361,  1362,  1360,     0,  1357,
    1359,  1371,  1368,  2024,  2023,  2025,     0,  1489,     0,     0,
       0,  1469,  1468,  1374,  1509,  1510,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,  1525,  1526,  1528,  1560,  1564,
    1572,     0,  1475,     0,     0,  1618,     0,  1574,  2484,  2626,
    2627,     0,  2621,     0,  2620,  2620,  2614,  2613,  2610,     0,
       0,     0,     0,     0,     0,     0,  2541,   558,  2543,   556,
       0,     0,  2517,     0,  2521,  2519,     0,  2666,  2669,     0,
    2667,  2668,  2670,     0,  2675,  2676,     0,     0,  2857,     0,
       0,     0,  2657,  2645,  2652,  2654,  2656,  2655,  2664,  2660,
    2663,  2665,  2607,  2620,  2738,     0,  2733,  2736,     0,  2728,
       0,     0,     0,  2049,     0,     0,     0,     0,   837,     0,
       0,     0,     0,  1312,  1313,  1314,     0,     0,  1315,  1316,
    1304,   255,  1322,  1320,  1303,  1305,  1318,  1310,     0,     0,
       0,     0,     0,     0,     0,  1328,     0,     0,   182,   183,
     591,   576,     0,  2171,     0,     0,     0,     0,  1066,  1073,
       0,     0,     0,     0,     0,     0,     0,  1067,  1065,  1068,
     257,  1077,  1093,  1096,     0,   976,     0,     0,     0,     0,
       0,  1192,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   278,   290,   339,
       0,     0,  2171,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   146,   147,   152,     0,     0,     0,
       0,     0,     0,   543,   555,     0,     0,     0,     0,     0,
     552,     0,   148,   282,   536,   540,     0,     0,     0,   656,
     655,  1326,  1325,     0,     0,     0,  1192,     0,   274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   362,   363,     0,     0,     0,   152,
     175,     0,     0,     0,   284,     0,  2551,     0,  1287,  1284,
    1285,     0,  1290,     0,  1347,     0,     0,     0,     0,     0,
     880,     0,   877,     0,     0,   871,  2107,  2157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   401,   375,     0,
       0,   745,     0,     0,     0,     0,     0,   756,     0,  1304,
    1335,     0,     0,     0,   585,     0,  2171,     0,   150,   790,
       0,   746,   427,     0,     0,   150,     0,     0,   187,     0,
     651,     0,     0,     0,     0,     0,     0,   694,   693,     0,
       0,     0,   747,     0,   150,     0,  2171,   539,  2171,     0,
     483,   483,     0,     0,  1001,  1004,     0,     0,     0,     0,
    2511,  2506,  2509,     0,  2499,  2513,  1461,  1463,  1462,     0,
    1460,     0,   344,   342,   343,   743,  1121,     0,     0,  1698,
    1685,  1693,  1692,     0,  1675,  1674,  1673,     0,  1672,     0,
    1699,  1699,  1697,  1676,  1651,     0,     0,     0,  1705,     0,
    1703,     0,   815,  1647,  1643,     0,     0,  1691,  1712,  1711,
    1710,     0,  1657,  1666,  1663,     0,     0,   344,     0,     0,
    2171,   344,  2171,     0,  2171,     0,     0,   344,   344,     0,
       0,     0,     0,     0,     0,   652,     0,   833,   831,   830,
     832,     0,     0,     0,     0,   813,     0,     0,     0,  2171,
     344,     0,     0,   812,  2864,     0,     0,  2867,     0,  2588,
    1961,     0,  2950,  1404,  2951,     0,     0,  1494,     0,   232,
     233,   231,  1393,   234,  1394,  1390,  1376,     0,   929,     0,
    2956,  2957,   914,     0,   924,     0,  2956,   912,     0,   925,
     922,   923,     0,     0,     0,  2952,  2835,  2841,   928,     0,
       0,   484,   486,     0,     0,  2127,  2140,     0,  2163,  2190,
    2191,  2270,  2274,     0,  2300,  2310,     0,   952,   981,   947,
     665,     0,     0,  1440,   919,   917,  1261,  1397,  1968,     0,
    1494,     0,     0,     0,     0,   250,   222,     0,     0,     0,
     983,  2269,  1276,   894,   576,     0,     0,  1823,  1824,  2009,
       0,     0,     0,     0,     0,     0,  1822,  1976,     0,     0,
       0,     0,     0,  1749,     0,     0,     0,  1989,     0,  1995,
       0,     0,  1786,     0,     0,     0,     0,     0,     0,     0,
       0,  1750,  1730,  1731,  2792,  1820,  1961,     0,  1821,  2057,
       0,  1723,  1951,     0,  1948,  1949,  1950,     0,     0,     0,
    2022,     0,  1959,     0,     0,  1764,  1957,  1766,     0,     0,
       0,     0,  1945,  1946,  1947,  1939,  1940,  1941,  1942,  1943,
    1944,  1955,  1746,     0,  2033,     0,  1904,     0,  1745,     0,
       0,  1576,  1496,     0,  2055,  2012,     0,  2842,  2845,  1816,
    1576,  2717,  2716,  2715,  2714,  2685,     0,  2679,  2680,     0,
    2718,  2719,   266,   267,   263,     0,     0,   218,   217,     0,
     240,   241,   212,   239,     0,   235,   236,   220,  1893,  1892,
     219,   211,   208,   206,   223,   225,   226,   209,   207,   261,
     259,     0,     0,     0,  2014,  2013,  2045,  2018,     0,     0,
     344,  2620,  1355,     0,  1352,  2027,     0,  1491,     0,  2040,
       0,  1364,  1486,  1485,  1518,  1519,  1019,  1484,  1543,  1544,
    1539,     0,     0,     0,  1569,  1567,  1535,  1529,  1534,  1532,
       0,  1536,  1726,  1562,  1473,  1523,  1524,  1527,  1472,     0,
    1565,     0,  1443,  1563,  1528,  1427,     0,  1409,     0,  1619,
       0,     0,  2628,  2626,  2566,  1651,  2620,  2559,  2620,  2615,
    2547,  1717,  1718,  1719,  1720,  1721,  1722,  2548,     0,  2545,
    1716,  2546,   557,     0,     0,     0,  2514,     0,  2495,  2520,
    2651,  2286,  2683,     0,  2684,     0,     0,  2648,     0,  2658,
    2661,  2659,  2662,     0,  1651,  2838,  2734,  2838,  1651,  1041,
    1043,     0,  1042,     0,  1045,     0,  1054,     0,     0,  1040,
    1059,     0,  1048,  1046,     0,     0,     0,     0,     0,     0,
     838,     0,     0,     0,     0,  1311,     0,     0,  2300,   254,
    1314,  1319,  1306,  1317,     0,     0,     0,     0,     0,   985,
     984,     0,     0,  1006,     0,     0,     0,  1331,   472,     0,
     341,     0,     0,     0,     0,     0,     0,     0,     0,   741,
     738,     0,     0,   737,     0,   589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   626,     0,  1192,     0,   659,
       0,  1075,     0,  1074,     0,     0,     0,  1076,  1071,  1072,
    2270,  2278,  2305,   256,  1095,     0,  1094,  1092,  1029,     0,
    1030,     0,     0,     0,     0,     0,  2150,   292,   305,     0,
    1191,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   328,     0,   331,   330,     0,     0,
       0,     0,     0,   335,   314,     0,   315,     0,     0,   334,
       0,     0,     0,     0,     0,  1192,     0,   286,     0,     0,
       0,     0,     0,     0,  1108,     0,   683,     0,   173,     0,
     169,   172,     0,     0,     0,     0,   542,   554,     0,   546,
     547,   544,   548,   549,     0,     0,     0,     0,     0,     0,
     541,     0,     0,   649,   648,   654,     0,     0,     0,     0,
       0,     0,     0,     0,  1142,  1141,     0,     0,     0,     0,
       0,     0,   780,     0,     0,     0,     0,     0,     0,     0,
     668,     0,   667,     0,   174,     0,     0,     0,     0,     0,
       0,     0,   230,  1283,  1289,  1350,  2046,  1349,     0,     0,
       0,     0,   879,     0,     0,     0,     0,     0,     0,     0,
       0,   881,   882,   883,   884,     0,     0,     0,     0,     0,
       0,     0,   378,   379,   148,   377,     0,   769,  2793,   744,
       0,     0,   757,     0,   759,   762,     0,  1302,   445,     0,
       0,   582,   626,     0,   430,   180,     0,     0,     0,     0,
     685,   145,   191,   193,   428,     0,   192,   194,   196,   197,
     198,   195,   199,   646,   650,     0,   578,     0,     0,     0,
       0,     0,   695,   699,   698,   702,   700,     0,   696,     0,
       0,  1639,     0,   168,     0,     0,   534,   538,     0,  2492,
       0,   430,   514,   355,  2171,     0,   483,     0,  2171,     0,
    1003,     0,     0,     0,     0,     0,     0,  2512,     0,     0,
       0,     0,  1459,     0,  1099,     0,  1324,     0,     0,     0,
     344,  1696,  1695,  1648,  1644,     0,     0,     0,     0,   841,
       0,     0,     0,     0,     0,     0,     0,  1664,  2171,   344,
       0,  1097,   185,  2075,     0,   817,     0,     0,     0,     0,
       0,  1101,   809,     0,   344,   177,     0,   344,   344,   581,
       0,     0,   344,   344,   179,     0,     0,     0,   573,   344,
     835,  2865,  2871,  2869,  1406,     0,  2948,  2949,   483,  1463,
    1378,  1389,   926,   933,   915,   932,   931,   913,   930,   927,
    2650,     0,     0,  2840,     0,   944,     0,   482,     0,     0,
       0,   958,   959,     0,     0,   957,   974,   960,     0,   962,
     954,   953,   963,   964,     0,     0,   983,   663,     0,     0,
       0,     0,  1437,     0,  1435,     0,  1617,  1439,  1428,  1398,
       0,  1396,  1401,  1403,  1402,  1400,     0,   527,     0,     0,
    1139,     0,     0,   941,     0,     0,   344,  1275,     0,   896,
     897,     0,     0,     0,     0,     0,     0,   903,   900,   901,
     902,   904,     0,   905,     0,     0,     0,  1972,     0,  1973,
       0,     0,  2008,  2004,     0,     0,     0,     0,     0,  1980,
    1981,  1982,  1979,  1983,  1978,     0,     0,  1984,  1977,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2366,     0,
       0,     0,     0,  1789,     0,     0,  1932,     0,  1961,  1994,
       0,     0,     0,     0,     0,     0,  1961,  2000,     0,     0,
       0,     0,  1891,     0,  1888,     0,     0,     0,     0,  2019,
       0,     0,  2058,  1727,  1741,  1742,  1743,  1747,  2032,     0,
    2021,     0,     0,  1728,  1755,     0,  2001,  1782,     0,  1787,
    1770,     0,  1763,     0,  1768,  1772,  1751,     0,  1748,     0,
    2022,  1960,     0,  1958,     0,  1738,  1739,  1740,  1732,  1733,
    1734,  1735,  1736,  1737,  1744,  1936,  1934,  1935,     0,     0,
       0,  1912,     0,     0,  1767,  2165,  2197,     0,  1508,  1508,
    1508,  1495,  1506,  2031,     0,  1634,     0,     0,     0,     0,
    1828,     0,  1965,  1517,  1963,  2048,  2847,  2846,  2020,  1634,
       0,     0,     0,  2037,     0,     0,  1723,     0,   260,  1615,
    2015,     0,   843,   844,   842,  1651,  1374,  1358,  1354,  1353,
    2026,  1373,     0,  1494,     0,  1017,  1018,     0,  1022,     0,
       0,  1537,  1570,     0,  1561,     0,  1541,  1542,  1533,  1571,
    1441,     0,  1566,  1477,  1476,     0,  1637,     0,     0,  1419,
    1411,     0,  1620,     0,  1576,  1445,  1447,  1448,     0,  2019,
    2564,  2622,  2569,  2590,  2560,  2593,  1725,  2542,  2582,     0,
    2516,  2686,  2687,     0,  2677,  2678,  2647,  2653,  2724,     0,
    2839,     0,     0,  1044,     0,  1666,  1055,     0,  1039,     0,
    1038,  1666,     0,  1056,     0,  1666,     0,     0,     0,  1220,
    1144,  1196,   839,  1221,  1145,  1197,  1222,  1146,  1321,  1309,
    1308,  1307,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   720,  2171,   344,  1329,
    1223,     0,  1147,   340,  1330,  1198,  1334,   740,   739,     0,
       0,  1199,     0,   590,     0,     0,   595,   596,   597,     0,
       0,     0,   598,     0,  2107,  2157,     0,   603,   610,   615,
     605,     0,     0,   617,   611,     0,     0,     0,     0,     0,
       0,   623,   625,     0,     0,     0,     0,     0,     0,  1069,
    1070,  1224,  1150,     0,  1200,  1028,     0,  1151,   181,     0,
       0,   279,   293,   632,   720,  1194,   312,     0,   327,   322,
     323,   321,  2171,   344,  2171,   344,     0,     0,     0,     0,
       0,   324,   319,   320,   316,   329,  2084,  2142,  2279,     0,
     636,   638,     0,   643,   332,  1167,   351,   350,   349,     0,
     336,     0,   356,   359,   333,   310,   313,   311,   307,   291,
       0,     0,     0,     0,     0,     0,     0,  2044,     0,     0,
    1103,     0,     0,     0,     0,     0,     0,   677,   171,  1182,
       0,     0,   157,     0,     0,     0,     0,   151,   161,     0,
    1230,  1157,     0,     0,   283,   537,   545,   550,  1161,   553,
    1210,   551,  1236,  1158,     0,  1192,     0,   275,     0,  1159,
       0,  1204,  1232,  1184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1337,     0,     0,     0,     0,     0,   344,
       0,     0,     0,  1194,  2171,   344,  1231,     0,  1189,  1218,
       0,   364,     0,  1183,     0,     0,   285,  1163,  1212,     0,
       0,   228,   227,   229,     0,     0,  2140,     0,   886,   848,
     885,     0,     0,     0,     0,     0,     0,   856,     0,     0,
       0,   847,     0,   846,   400,   373,   374,   376,   383,   768,
       0,     0,     0,     0,   758,     0,     0,     0,  1327,     0,
     148,     0,     0,     0,   584,   625,   632,     0,     0,     0,
     429,   433,   437,   438,   439,     0,     0,     0,     0,   162,
     149,     0,   798,     0,   483,     0,   681,     0,   193,   186,
       0,     0,     0,   355,   755,   753,   752,   754,     0,     0,
       0,   773,   751,     0,  1638,  1640,     0,     0,     0,     0,
       0,     0,   432,     0,   486,     0,     0,   518,     0,     0,
       0,     0,   355,     0,     0,     0,  1033,     0,  1051,  1034,
       0,     0,     0,     0,  1081,  1088,  1082,  1061,     0,     0,
     561,  2510,  2504,  1464,  1465,     0,   344,     0,     0,  1665,
    1678,   816,     0,  1708,  1707,  1709,  1709,     0,  1649,     0,
    2937,  2945,  2944,     0,  1700,  1701,  1658,     0,   627,   344,
     344,     0,   344,     0,   344,   344,     0,   674,     0,  1258,
     653,     0,     0,   728,   814,     0,     0,   344,   811,  1962,
       0,  2649,  2836,   945,   485,     0,     0,     0,     0,   956,
       0,   559,   961,     0,   973,   968,   970,     0,   977,   662,
       0,     0,  1438,  1431,  1433,  1432,     0,     0,  1429,  1969,
     810,     0,   533,  1131,  1132,     0,     0,   344,     0,   978,
       0,     0,   898,   899,     0,     0,   906,     0,     0,     0,
    1513,  1970,  1971,     0,     0,     0,  2005,     0,     0,  1866,
       0,  1842,  1844,  1856,     0,  1867,  1827,  1868,  1846,  1848,
       0,  1952,     0,     0,  1857,     0,  1791,  1792,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1807,  1806,  1858,  1931,     0,
       0,  1992,  1993,  1859,     0,     0,  1999,     0,     0,     0,
    1864,  1869,     0,     0,     0,     0,  1875,     0,  1896,     0,
       0,     0,  1817,  1962,     0,     0,     0,     0,     0,     0,
       0,     0,  1788,  1771,  1765,     0,  1769,  1773,     0,     0,
       0,  1759,     0,     0,  1757,  1783,  1753,     0,     0,  1784,
       0,     0,     0,  1835,     0,     0,  1508,  1508,  1508,  1508,
    1505,     0,     0,     0,     0,  2267,     0,  1598,  1575,  1577,
    1585,  1598,  1603,  1837,  1632,  1838,     0,  2038,     0,  1546,
    1517,  1517,  1517,  1834,     0,     0,     0,     0,  1516,  1546,
    2699,  2701,  2702,  2703,  2704,  2705,  2707,  2708,  2710,  2711,
    2712,  2700,  2706,  2709,  2713,  2690,  2691,     0,  2681,  2682,
     204,     0,   237,   224,     0,  2724,  1356,  2041,     0,  1520,
       0,  1953,  1022,     0,  1522,     0,     0,  1568,  1530,  1442,
    1426,     0,  1424,  1413,     0,  1414,  2019,     0,  1424,  1410,
    1453,     0,     0,  1637,     0,  1452,     0,  2624,  2552,     0,
       0,  2723,  2726,  2737,  2735,  2562,     0,  1666,  1036,  1037,
       0,  1060,     0,  1219,  1143,  1195,   988,   989,     0,   987,
       0,     0,     0,   471,  1005,     0,     0,     0,   720,     0,
       0,   475,     0,  1332,     0,  1237,  1181,   592,   593,     0,
     604,     0,   613,   612,     0,     0,   600,     0,     0,     0,
       0,     0,   599,   619,   565,   620,   622,     0,     0,   621,
     624,   629,  1192,     0,   660,  1169,     0,  1216,  1063,     0,
    1031,     0,     0,     0,     0,   445,   306,     0,     0,     0,
     294,   304,     0,   338,     0,   309,     0,   302,   325,   317,
     326,   318,   337,   640,   641,   639,   635,     0,   642,   644,
       0,   353,     0,     0,     0,  1226,     0,  1192,     0,   287,
    1165,     0,  1214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,  1201,     0,     0,   682,     0,
     679,     0,     0,   154,   153,     0,   160,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   365,   346,     0,   776,     0,     0,     0,
     367,     0,     0,     0,     0,  1225,  1152,   849,     0,     0,
       0,   850,   861,     0,     0,   851,     0,     0,     0,     0,
     863,     0,     0,   372,   380,   770,     0,  2221,  1939,  1940,
     766,   771,   763,   765,   764,   767,   720,     0,   760,   761,
       0,     0,     0,     0,     0,   457,     0,     0,   451,     0,
       0,  1088,   444,   447,   448,     0,     0,   585,   588,   586,
     587,   618,     0,   464,   510,     0,   164,     0,     0,   165,
     163,     0,     0,   355,   686,   690,   688,   687,   689,   684,
       0,   677,     0,   189,   428,     0,     0,   577,   701,   704,
     697,     0,   772,   774,   749,     0,   632,     0,   539,     0,
    1407,   527,     0,   514,   510,   512,   511,   513,     0,   520,
     354,     0,     0,   527,   520,     0,     0,  1006,  1032,     0,
       0,     0,  1078,  1083,  1079,     0,     0,  1047,     0,  1080,
       0,  1062,  1025,  1253,  1254,  1251,  1252,     0,     0,     0,
    2527,  1455,  2536,  1100,     0,  1684,     0,  1704,  1702,  1645,
       0,  2620,     0,     0,     0,     0,     0,  1650,  1690,   344,
    1098,   818,     0,   805,     0,   807,  1102,   344,   344,   344,
     344,   669,     0,   574,     0,     0,     0,     0,   955,   975,
       0,   971,     0,     0,   938,   980,     0,     0,  1436,  1434,
     525,     0,   983,     0,   939,   982,     0,     0,     0,     0,
       0,     0,     0,  1974,     0,  2007,  2003,     0,  1839,  1975,
       0,  1987,  1986,  1932,     0,     0,  1790,  1802,  1803,  1804,
    1988,     0,  1812,     0,     0,  1799,  1800,  1801,  1793,  1794,
    1795,  1796,  1797,  1798,  1805,  1997,  1996,  1990,  1991,     0,
    1861,  1862,  1863,  1998,  1870,     0,  2098,  1897,  1874,  1890,
    1889,     0,     0,     0,  1877,     0,     0,  1886,     0,  1933,
    2059,  1729,     0,     0,  1756,  2002,  1774,     0,     0,     0,
    1752,  1952,     0,     0,     0,     0,     0,  1761,     0,     0,
       0,  1915,  1910,  1911,  1929,     0,     0,     0,     0,     0,
       0,  1499,  1498,  1504,  1598,  1603,     0,  1479,     0,  1585,
       0,  1597,  1583,  1596,     0,     0,  1609,  1607,     0,  1609,
       0,  1609,     0,  1579,     0,  1599,  1581,  1596,     0,  1624,
       0,  2039,  1633,     0,  1559,     0,     0,     0,     0,  1966,
    1967,     0,  1964,  1829,  1559,     0,     0,     0,  2016,  2722,
    1492,     0,  1521,  1020,  1021,  1538,  1531,     0,  1635,     0,
    1425,     0,     0,  1416,  1422,  1408,     0,     0,  1446,  1424,
    1449,  2568,     0,  2623,  2688,  2689,  1057,     0,     0,  1049,
     994,   995,   993,   996,     0,     0,     0,   720,     0,     0,
     491,     0,  1013,  1013,     0,     0,   477,   523,  1088,   723,
       0,     0,     0,   721,   344,  1148,     0,   614,     0,     0,
     609,   607,   606,   608,     0,   566,  1235,  1149,     0,     0,
       0,     0,  1064,     0,     0,  1168,     0,   442,     0,   299,
    1193,     0,     0,     0,   298,     0,   344,   344,   637,   352,
     357,   358,   361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   799,   782,     0,     0,   800,
     801,     0,     0,     0,  1105,  1106,  1104,     0,  1155,     0,
       0,   673,   158,   155,   156,   159,  1179,  1162,  1211,     0,
       0,     0,  1160,     0,  1205,  1175,  1171,     0,     0,     0,
       0,     0,  1234,  1188,  1209,  1233,  1186,  1207,  1185,  1206,
    1187,  1208,  1180,     0,  1642,   779,     0,     0,     0,   344,
     344,   671,  1164,  1213,     0,     0,   852,     0,     0,   854,
     855,     0,   858,   403,     0,   406,   413,   384,   389,  1336,
       0,  1336,     0,   386,   390,  1336,   385,  1336,   382,   742,
       0,     0,   719,     0,   449,     0,   455,   459,   460,   458,
     450,  1088,   483,   522,     0,     0,   732,     0,   583,   430,
     461,     0,     0,   434,   167,   166,     0,     0,     0,   680,
     679,   193,     0,     0,   706,   710,   750,     0,  1641,   666,
     355,   535,     0,   430,   527,  2493,     0,   435,   440,   441,
       0,   518,   514,     0,     0,   524,  1300,     0,   528,   530,
       0,     0,     0,  1035,  1052,  1053,     0,     0,  1088,     0,
       0,  1087,     0,     0,   568,     0,  2500,   344,  1646,  2938,
       0,  2939,  2940,  2941,  2942,  2943,   628,   344,   344,   675,
    1259,  1128,   729,     0,   967,   966,   965,   560,     0,   969,
     664,     0,   526,   344,     0,     0,   908,   889,   907,     0,
       0,   888,     0,   887,  2006,  1855,  1865,  1985,  1931,  1962,
       0,     0,  1813,     0,     0,  1860,  2375,     0,     0,     0,
       0,  1894,  1895,  1876,     0,  2212,  1881,     0,     0,     0,
    1780,  1778,  1775,     0,  1776,  1760,     0,     0,  1758,  1754,
       0,  1785,  1901,     0,  1917,  1914,  1928,  1962,  1503,  1502,
    1501,  1500,  1584,  1582,     0,  1587,  1594,     0,  1578,     0,
    1608,  1604,     0,  1605,     0,     0,  1606,     0,     0,  1580,
       0,  1594,     0,  1631,  1517,     0,     0,  1906,  1832,  1833,
    1830,  1517,  2056,  1906,  2692,     0,  2695,  2693,  2694,  2698,
     238,     0,     0,     0,  1412,  1415,     0,     0,     0,     0,
    1454,  1444,  2625,  1050,  1058,     0,     0,     0,   473,     0,
    1088,     0,     0,     0,  1016,  1016,     0,  1088,   522,   725,
     724,   727,   722,   726,  1333,     0,   601,   602,   616,  1170,
       0,  1217,  1177,     0,  1440,     0,   633,   295,   296,   297,
     300,   346,   308,   301,     0,     0,     0,  1166,     0,  1215,
    1173,  1228,  1153,  1202,     0,     0,   788,     0,     0,     0,
       0,  1229,  1154,  1203,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,  1342,     0,   345,   778,   777,   346,
     366,  1190,     0,   853,   859,   860,   857,   404,   148,     0,
     381,     0,   411,     0,   409,   408,   410,     0,   397,     0,
       0,     0,     0,     0,     0,     0,  1119,  1119,     0,   720,
       0,     0,   446,   522,   490,     0,   452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
     188,   430,   632,   705,     0,     0,     0,   775,     0,   432,
       0,  1405,   431,     0,     0,   520,   518,     0,   515,     0,
     519,     0,  1293,     0,     0,     0,     0,  1084,     0,  1090,
       0,  1046,  1023,  1085,     0,  1634,     0,     0,     0,     0,
     572,  2526,  2530,  1120,  2946,   806,   808,   670,   972,     0,
     979,   344,   890,   891,   892,   893,  1933,  1808,     0,     0,
       0,     0,  1871,     0,  1872,  1899,  1898,  1878,  1882,     0,
    1879,  1880,  1777,  1781,  1779,  1762,  1903,     0,  1517,  1930,
    1627,     0,  1630,  1586,     0,     0,  1588,     0,     0,  1590,
    1592,     0,     0,     0,     0,     0,     0,  2042,     0,  2123,
    2351,  2266,     0,  1545,  1547,  1550,  1552,  1551,  1553,  1549,
    1558,     0,  1481,     0,  1480,  2697,  2696,  1954,  1636,  1423,
       0,     0,  1007,     0,     0,  1451,  1450,   973,     0,   344,
    1013,   522,   492,  2221,   493,  1012,     0,  1014,  1019,  1019,
       0,   522,   720,   594,     0,     0,   280,   631,     0,   348,
     360,     0,  1440,     0,     0,     0,   795,   783,     0,     0,
     802,  1156,   676,     0,     0,   276,  1176,  1172,  1344,  1345,
       0,     0,     0,     0,     0,   344,   862,   383,     0,   407,
     416,     0,   414,   387,   392,     0,   396,   394,   393,   388,
     391,  1119,     0,  1116,  1115,   718,     0,   481,   453,     0,
     501,     0,     0,   733,     0,     0,   510,   470,   469,   466,
     465,   467,   468,   463,   462,     0,   632,   792,   355,  1300,
     645,   707,   708,   703,     0,     0,     0,   514,   510,   436,
     445,   419,   520,   516,   517,     0,     0,     0,   527,  1346,
    1006,     0,  1089,     0,     0,     0,     0,     0,     0,  1123,
     567,     0,     0,   571,   562,     0,  2528,   632,   940,  1809,
       0,  1810,     0,     0,     0,  1884,  1883,     0,  1920,  1632,
       0,     0,  1626,     0,  1595,  1611,     0,  1591,  1589,     0,
    1600,     0,  1602,  1829,     0,     0,     0,  1554,     0,  1905,
    1907,     0,  1831,  1421,  1634,     0,  1418,     0,   990,     0,
     991,  1016,   496,     0,  1015,  1022,  1022,   483,   720,   474,
    1178,     0,   634,     0,   303,     0,   288,  1174,     0,   786,
       0,   797,   795,     0,     0,     0,     0,  1338,     0,  1339,
    1340,  1343,   368,   371,   402,   412,     0,   395,  1114,  1118,
    1117,     0,     0,   454,   487,   488,   489,     0,   456,   497,
     498,     0,   730,     0,   735,     0,     0,   509,   657,     0,
       0,     0,  1294,     0,     0,  1300,   518,   514,   443,   417,
       0,  1297,     0,   529,     0,   355,  1088,  1091,  1086,  1257,
       0,     0,   570,   569,  2531,  2533,  2532,     0,   661,  1811,
    1887,  1873,  1900,  1885,  1916,     0,     0,     0,  1625,  1628,
       0,  1593,     0,     0,  1601,     0,     0,     0,  1548,     0,
       0,  1420,  1008,     0,     0,  1019,     0,   720,     0,  1010,
    1009,   490,   476,  1440,   347,     0,     0,     0,   793,   796,
     784,   797,   804,   803,   678,  1440,     0,   415,     0,   480,
       0,     0,     0,   499,     0,   500,   521,     0,   734,     0,
       0,   791,     0,     0,   709,     0,  1295,   520,   518,  1298,
    1299,     0,   520,  1024,  1256,  1255,  1494,     0,     0,  2529,
    2339,     0,  2312,     0,  1918,  1921,  1919,  1913,     0,  1610,
    1623,  1556,     0,  1555,  1908,  1909,  1634,   344,  1022,     0,
     478,   494,   501,   281,  1440,     0,     0,   785,   277,  1341,
     710,   506,     0,   505,     0,   503,   502,   731,   736,   632,
     781,  1300,   713,   420,   520,     0,  1634,  1239,  1494,  1238,
    1240,  1248,  1245,  1247,  1246,  1244,  1126,  1127,     0,  1925,
    1924,  1923,  1927,  1926,  1629,     0,  1621,  1557,  1417,   992,
    1011,     0,   720,   289,   787,   794,     0,   504,   508,   507,
     658,  1296,     0,   711,   714,   717,   715,   716,   418,   355,
     997,     0,  1249,  1243,  1479,  1466,     0,     0,     0,     0,
     495,   479,     0,   691,     0,   520,  1241,  1494,     0,     0,
    1922,     0,     0,   712,  1634,  1242,     0,     0,  1622,     0,
     998,     0,     0,   713,     0,     0,     0,  1124,  1125,   692
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1936,  2805,  2690,  3559,  3560,   252,
     253,  1932,   254,   255,   256,   257,   258,   259,   260,  1871,
     261,   262,  1364,  2058,  2816,   263,  2549,  1115,  1116,  1117,
    2403,  2404,  2753,  2405,  2392,  1697,  2203,  1890,  1080,  1081,
    1852,  1891,   265,   266,  1691,  2384,   267,   268,   269,  1917,
    1918,  1865,  2105,  4584,  5274,  3400,  2669,  3599,  3401,  3402,
     270,  1984,  1985,   271,   272,  3527,  2029,  2784,  4113,  4114,
    4618,   907,  2781,  4918,  4919,  4604,  4605,  4925,  5141,  5142,
    2817,  2053,  3593,  4193,  3550,  4666,  3551,  4667,  3552,  4668,
    3538,  4142,  4143,  4144,  3553,  4640,  5173,  3554,  2568,  5303,
    2852,  2233,  2231,  5160,  4469,  4470,  5377,  5308,  5309,  5310,
    5465,  4642,  3597,  4199,  4675,  4946,  3296,  2079,  3702,  1010,
    2855,   939,  1011,  2818,   277,  2846,  2847,  1955,  2698,  4120,
    3682,   278,  1384,  3973,  5000,  5213,  5214,   279,   895,   280,
    2062,   281,   282,  2801,  3544,   283,  2585,  3313,   284,   285,
    3341,  3342,  3343,   286,   287,  3995,  4865,  1919,  3389,  3390,
    3391,  3392,  4018,   288,  2060,  1960,  2825,   289,   290,   291,
     292,   293,  2979,  2980,   294,  2741,   295,   296,   297,   298,
     299,  4050,  4551,  4171,  3427,  3566,  4169,  2819,  2070,  2837,
    2838,  4655,  4964,  5183,  4966,  5512,  5513,  4939,  3951,  4483,
     301,   302,  4635,  4636,  5315,   303,  2583,   304,   305,   306,
    2037,  2793,  2794,  4121,  2031,  2786,  2787,  4181,  4182,   307,
    3482,   308,  4535,  4536,   940,  5320,  5281,  5390,   309,   310,
    4539,  4540,   311,   312,   313,   314,   315,   998,  1483,  1484,
    1838,  1428,   316,  2420,   317,  1336,  3509,   318,  1575,  3025,
    4727,   319,  1034,  1508,  1509,  2820,   321,  1045,  3003,  1047,
    2246,  3684,  3685,  4274,  2965,  1242,   322,   323,  2976,  3006,
     324,  1858,  2559,  2560,  4464,  2821,   941,  2085,  2859,  3291,
    5081,  5082,  4844,  5098,  3198,  3894,   326,   942,  1895,  2629,
    2862,  3607,  2526,  2527,  2528,  4216,  2529,  3609,  2530,  1832,
    2531,  3615,  3616,  3617,  4212,  4219,  4222,  4989,  4990,   327,
    1893,  2627,   328,   329,   330,  1927,  1266,   331,   964,   965,
     332,  5153,   333,  1403,   334,  4998,   335,   336,  1069,  1070,
    1559,  1560,   337,   338,  2642,  4002,   339,   340,   341,  5479,
    5521,  5522,  5523,  4227,  5426,   342,  5481,  1551,   344,   345,
     346,   898,  1300,  1301,  1302,  2822,  4982,   348,   349,  1853,
    1854,  1855,  1856,  2554,   350,   351,   352,   353,   354,   355,
    2041,   356,   357,  5130,   358,   359,  2004,   360,  1728,  1729,
     361,   362,   902,  1135,  1732,  1740,   363,  1013,  1502,  1503,
    1504,  2205,   364,  1555,  2991,  1014,  1497,  1015,  2466,  3219,
    3904,  3905,  3908,  4828,  4440,  1016,  3216,   368,  2253,  2985,
    2988,  3212,  1017,  3224,  3225,  3226,  3227,  3228,  3911,  1018,
    1036,  1394,  2871,  1019,  1646,   373,   374,   375,  1145,  1139,
    1140,   377,  2361,  3151,  1054,  1746,  1099,  1100,  1152,  3858,
    2434,  2435,  2457,  2458,  1755,  1756,  2447,  2449,  3200,  2450,
    3208,  2440,  4414,  5063,  5064,  5065,  5066,  5067,  5068,  4807,
    2453,  2454,  1758,  1759,  1760,  2462,   378,  3155,  3838,  3839,
    3840,  4391,  4392,  4406,  4402,  4791,  5049,  3841,  1545,  1766,
    4799,  5496,  3842,  5040,  5041,  5232,  4409,  3849,  3902,  3583,
    3584,  3585,  2532,  2134,  1430,  1647,  1431,  2144,  1648,  2118,
    1433,  1649,  1650,  1651,  1436,  1652,  1653,  1654,  1439,  2110,
    2137,  1655,  1656,  2128,  1184,  1185,  2190,  3062,  1658,  1659,
    1660,  3844,  1661,  4347,  4758,  4747,  3083,  3084,  2400,  4343,
    3784,  2356,  3141,  5072,  5249,  5250,  3823,  4372,  4774,  5038,
    5357,  5434,  5435,  1662,  1663,  1664,  3138,  2351,  1268,  1665,
    4123,  2353,  3077,  3163,  3164,  2259,  2278,  3030,  3045,  3046,
    3057,  3743,  3065,  3070,  3771,  3772,  3078,  3107,  1666,  3032,
    3033,  3727,  2280,  1667,  1721,  1722,  2369,  3102,  1735,  1736,
    1137,  1681,  1668,  1669,  2247,  1126,  5045,   747,   730,  3416,
    2415,  1304,  1051,  1670,  1671,  1672,  1787,   690,  1453,  1454,
     692,   731,   732,  1222,   844,     2,    75,  1020,  3591,   382,
     383,   944,   945,   946,  1386,  1387,  2091,  2094,  1792,  2498,
     696,   697,   748,  4696,  5001,  5216,  1004,   384,   385,   386,
     387,  1788,  2494,  1186,    76,    84,    77,  1187,   424,   425,
    2476,   388,   861,   389,  1769,  1166,  3917,   390,   391,   392,
     393,   394,  1001,   395,  1168,   396,  1169,   397,   398,   399,
     400,  1176,   401,  1771,  1772,  4453,  1773,   402,   403,   734,
     735,  1495,   404,   405,  1203,  1204,  1527,  1528,  1798,  1813,
    1814,  1815,   406,   704,   407,   408,   409,  1804,  1805,   410,
    2377,  2378,  2503,  2379,   411,  3241,  3242,   412,  3875,  3876,
    4817,  3877,   413,  2373,   414,   415,  1129,  3922,   416,   857,
     417,  1217,   736,   737,   738,  1224,   847,  1085,   749,  1226,
    3393,   849,   850,   740,   741,   742,  2225,    78,  3249,  2226,
    1674,   750,  1675,  2367,  1676,  1677,  1678,  1679,  1680,  1821,
     744,  1193,  1487,  1488,  3250,  1490,    82,  1491,   421,  3643,
    2193,  1529,  2211,  2212
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4750
static const int yypact[] =
{
   -4750,   443, 11226, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, 31800, -4750,
   -4750, -4750, -4750, -4750,113401,   875, -4750, -4750, -4750,118499,
   -4750, -4750, -4750,   468, 78121, -4750, 81145,   886, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, 85177, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, 65506,  1091, -4750,   339,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750,  1596, 14391, -4750,
   -4750, 81649, -4750,   385, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, 82153,   642, -4750, -4750,   926,   505, -4750,   125, 12281,
   -4750, -4750, 74593, 79129, -4750, -4750, 85681,   418,  1779, 12189,
    1596, 32568, 86185, -4750,  3473, -4750, 61934, -4750, -4750, -4750,
   78625, -4750, -4750, -4750,  1089, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, 92233,  2443,   937, 62447, -4750,
   -4750, -4750, -4750, 92233, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, 86689, -4750,  1070,  1235,   664, 92737, 93241,
   76105, -4750,  1243, -4750, 92233,  1246,   295, 64496, -4750, 93745,
   -4750, -4750,  1249, -4750, 87193, -4750, -4750, -4750, -4750, -4750,
     937, -4750, 65506, 60924,   255,  1336, -4750, -4750, 94249, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, 92233,  2015,
    1180, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750,   642, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750,   796, -4750,   901,   873,  1063,   876,  1350, -4750,
   -4750, -4750, 10035, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
  114904,  1844, -4750, -4750, -4750,  1499, -4750,  1574, -4750, -4750,
   -4750,  1660, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,   726,
   -4750, -4750, -4750, -4750,  2115,113902, 85177, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, 74089, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750,   206, -4750, -4750,
   -4750, -4750, -4750, 85177, 85177, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, 85177,  1706, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750,   307,  1957, -4750, -4750, 65506,  2270,  2270,
    2223,114904, -4750, -4750, -4750, 67021, 92233, 92233, 92233,  1898,
   92233,  1824, 92233,   636, 67021,122435, 87697,  1977,  1848, 56294,
   94753, -4750,121124, 92233, 92233, 95257, 92233,  1390, 82657, 92233,
    1973, 92233, 92233,122872, 95761,  2103, -4750,  2363,  1371, -4750,
   -4750, -4750, 92233, 11258,  2443, -4750, -4750, 92233,  1956, 67021,
   92233,  1886, 92233,  1980, 92233, -4750, 92233,  2013, 96265,   679,
    2057,122435,  2088, 56811,  2094, 92233,122435, 96769, 92233, 92233,
   -4750, -4750,  2090, 92233, 92233, -4750,  2206,123309,  1618,  2226,
    2362,  2291,    93, -4750, -4750,  2477,  2043, -4750, -4750,  2507,
   85177, -4750, 83161, -4750, -4750, -4750,  2353, -4750, -4750, -4750,
   -4750, -4750, -4750,120250,  1779, -4750, -4750, 67526, 92233,  2332,
   -4750, -4750, 97273, 70556,  2152, -4750,   683, 68031,123746,  2491,
    2135, 57328,  2488, 97777,124183, 98281, -4750, -4750, 98785, -4750,
   99289,  2250,  2332, 99793, 71061,124620, -4750,  2365,100297, -4750,
   12794, -4750,  2146,  2180,  2155,  1356, 85177, 85177,  1171,116279,
   -4750, -4750,   642, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750,   182,  1731, 62960,   770, 63473, -4750, -4750,   794,  1021,
    1052,   182,  2601,  2601,   102, 85177, -4750, -4750,  1731, -4750,
     795,    42,  2170,  2170,  2170,  2368,  1286, -4750,  2170,  2328,
   -4750, -4750, -4750, -4750, 87193, 62960, 63473, -4750,  2207,  2443,
      57,  2619,  2268, -4750, -4750, -4750, -4750, -4750,  2266, 92233,
   92233, 92233, -4750, -4750, -4750,  2647,  2259,  2494, -4750,  2267,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,  2441,
    2455,  2447,    88,  2443,  2347, -4750,  2571, -4750,  2470, 39296,
   39296,  1106, 85177,  2443, 63986, 88201,110377,   180,120250,  2443,
  100801,  2298,  1425,  2479, -4750, -4750, -4750,   688, -4750,  2705,
    2334,  2543,   254,  1371, 53745, -4750,  2331,  1791, 87193,115405,
   -4750, -4750, -4750, -4750,   298,  2618, 39818, -4750, 92233,  2325,
   -4750,  2339,  2325,  2330,  2333,  1063, -4750, 92233,  1119,  1119,
    2738,  1119,  1856,  2076, -4750,  1784, -4750,  2639,  2615, 87193,
    1336,  1596,  2348, -4750, -4750, -4750,  2375, -4750,  2369,  2370,
   -4750,   329,  2651, -4750, -4750, -4750, -4750,  2461,  2481,  2482,
    2486,  2423,  2493,   216, -4750, -4750, -4750, -4750,  2746, -4750,
   -4750, -4750, -4750, -4750, -4750,  2815,  2835,118939,118939,   608,
     819,   189,   270, -4750, -4750, -4750,  2691, -4750, -4750,  2726,
   92233,  2527, 92233, -4750, -4750, -4750,101305, -4750, -4750,  2270,
    2375,  2451, -4750,   250, -4750,  1791, -4750,   285,   356,   388,
    1594,  2476,  1716,  2584, -4750,   210, 92233,  2595,   200,   835,
    2518, 88705,  5689,  2496,  2632,   294,  2762,  2806,  4596,   216,
   89209, -4750, -4750, -4750, -4750, 92233, 92233, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750,  2500, -4750, -4750,  2528,
    2819,  2698,  2789,  2673,  1609,  2735,  1455,  2843,  5480,  1358,
  101809,110881,  2824,  2864,  4903,  1728,   744,  2751,  1297,  2867,
    2719,  1591,  2885,  6035, 92233,  2581, -4750,  2823,  2933,   435,
   -4750,   514, -4750,  2653,  2796,   929, 67021,  2607, -4750, -4750,
   92233, -4750, -4750, 71566,  2688, -4750,   738, 67021, -4750,  2814,
    2662, 57845, 92233, -4750, 92233, -4750, -4750, -4750, -4750, -4750,
    2755,  2929, 92233, 71566, -4750,  2911, 92233, -4750,  2170,  2827,
    2674,  3059, 71566,    76, 92233,  1680,  3100, 92233,  2895,  1680,
    2731,102313, -4750, -4750,  1680, -4750, -4750, 92233, 92233,  2696,
    1202,  2898,  1680,  2925,  3123,  3126,  2791,  2910,   826,  1260,
     129,  3034,  1680,  2794,102817,103321, 92233,  2798, 92233,  3130,
   67021, 92233,  3061, -4750,  2922, 89713, -4750,  2760,  2477, -4750,
   -4750, -4750, -4750, -4750,   943, -4750, -4750, -4750, -4750,  3075,
    2451,   428,  3077,  2770,  3081, -4750, -4750,  2818, -4750,  2818,
    2818,  2774,  2774,  2942,  2777,  3087, -4750, -4750, -4750,  2218,
    2818,  2774, -4750, 72576, -4750,   -58,  1982, -4750,   117, -4750,
    3195, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,   113,
   -4750,  1468, -4750,  1984, -4750, -4750, -4750, -4750,  2811, -4750,
    3091,  2496,  3092, -4750,  2782,103825, -4750,104329,104833,  3095,
    2500,122435,  3098,  2982,  3101,  2782,  3102,  2983,  3103,   428,
    3105, -4750,   979,  3094,  3112,  2997,  3115,   117,  3117,   221,
    2782,120687,  3119,   139, -4750, 13281, 12794, -4750, 20826,  1892,
   -4750, -4750, -4750, -4750, -4750, -4750, 43472,   896,  2900, -4750,
   -4750, -4750,  2063, -4750,117609, -4750,  1171,  1731, -4750, 85177,
    1731, 85177,   102,  1731, 85177,  1731, 85177,   102,  1731, 85177,
   85177, 85177,  1731, -4750, -4750,   267,   281, -4750, -4750, -4750,
   -4750, -4750, 85177,  2816, 92233, 92233, -4750, -4750, -4750, 79633,
  122435, 80137, -4750, 92233, -4750,   231, 85177, -4750, 85177, -4750,
    2443, -4750, -4750,  2180, 71566,  3229,122435,  3130, -4750,  2084,
   -4750, -4750, -4750, -4750, -4750, -4750,  3050, 92233,  3114,  3118,
   79633,122435, -4750,105337,120250,  3012,  2822, -4750, -4750, -4750,
   -4750,  2091,  2483,   520,  2631, 43472,  2831,   345,   345,  2832,
    3120, -4750, -4750, -4750,   426,  2838,  2839, -4750,   436,   436,
    2840,  2845, -4750,   447,  2850,  2861,  2761,   539,  2862,  2865,
    2866,  2218,   345, 43472, -4750,  2868,   436,  2869,  2870,  2871,
    2772,  2872, -4750,  2883,  2873,   479,   496,  2874,  2875, -4750,
    2840, -4750,   306,  2876,  2877,  2879,  2880,  2881,  2884,  2887,
    2889, 43472, 43472, 43472, -4750, 37730,  1791,  2443, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750,   557,  5874, -4750,  2858,
   -4750, -4750,  3008, -4750, -4750, 43472, -4750, -4750,   612, -4750,
     573, -4750, -4750,  1791, -4750, -4750,  1967, -4750, -4750, -4750,
   -4750,  3086,  2882,  2153,  2153,   225, -4750, 81649, 81649, -4750,
   -4750,  1440,  2892, -4750,  2192, -4750, -4750, -4750, -4750, -4750,
   -4750,119813,  3279, -4750,  2313,  2443,   514,  1428,  3225,116719,
  117164,  3134,  3134,  3125, -4750, -4750, 92233, -4750, -4750, 43472,
   59914, -4750,  1791,   106,  3141, -4750, -4750, -4750,  2122, -4750,
   -4750, -4750,   642, -4750, 18102, -4750,  2132,  2325, 92233, 92233,
    3311, -4750, -4750,  2339, -4750, -4750,  1063,  1063, 43472,  1063,
     213,  1011, 40340, 43472,  3194,  3093,  1512,  1606,  3197, -4750,
    3097,  1856,  2076, 87193, 92233,105841,  3016, -4750, -4750,  2375,
    2913,  1931, -4750, 73585,114403,114403,  3159, -4750, -4750,  1601,
    1361,  3033,  3140,  2601,  1753,  2233, -4750, -4750,  2923, -4750,
    3256, 81649,  2980,118939, -4750, -4750, 92233, -4750, -4750, 90217,
   -4750, -4750, -4750,  2022,  2928, -4750,  2938, 92233, -4750,  3451,
    2233,  2233, -4750, -4750,  2937, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750,114904,  2941, 92233, -4750,  2943,  2944, -4750,
  115405, 60419,  1879,  1791,  3019,  3022,  3072, 65506,  2946,  3027,
    3028,  3080,  3188, -4750, -4750,  3035,  3036,111385, -4750, -4750,
    1223, -4750, -4750, -4750,  1223, -4750,  2967, -4750,  1442,  1375,
     243,  3037,   258,   846,  3326, -4750,  1191,  3090, -4750, -4750,
   -4750,  5455, 92233,  3274,  6818,  3158,   216,  3096, -4750, -4750,
    3208,  3049,  3053,  3174,   216,   212,111889, -4750, -4750, -4750,
   -4750, -4750, -4750,  6822, 36190, -4750,  3055,  3038,  3064, 92233,
   75097,  2068,  3173,  1814,  2097,   404, 92233,  3247,  3180, 92233,
    2985,  3063,  3065,  3269,  2993,  1729,  3364,  2994, -4750, -4750,
    3176,  3266,  3308,  7275,  3054,  3060, 69546,  1465, 58362, 92233,
   92233,  3348,  1663,  3088, -4750, -4750, -4750,  1663, 92233,  3089,
    3107, 92233,   216, -4750,  3407,   216,   216,  1781,  3412,  3110,
     257,  1776,  1680,  2994,  2271, -4750,  3121,  3122,  1555, -4750,
    3205, -4750, -4750,  1394,  3104, 87193,   419,  2154,  2994,  3124,
    3127,  2993,  2993, 92233, 92233, 92233, 92233, 92233,   135,  3427,
    3429,  3128,   154,  3147,  3043, -4750,121561,  3129,110377, -4750,
   -4750, 92233,  3132,  2253,  2994,  1744, -4750,  1760, -4750, -4750,
   -4750,  1371, -4750, 92233, -4750, 92233,  2451, 71566,  3217,  3297,
   -4750,  3099, -4750,  2496,   216, -4750, 92233, 92233,  2500,  3248,
    1542,  1105, 71566,  3249,  3307, 92233,  3309,  3106, -4750,   909,
   60419, -4750,  2696,  3062,  3476, 92233, 65506, -4750,  3489,  1223,
   -4750, 71566,  3262,  3381, -4750, 92233,  3280,  3076, -4750,  3416,
    3131, -4750, -4750,    10, 92233, -4750,  3387,122435,  1184,  2443,
    3133,122435,  3306, 92233, 92233, 92233, 92233, -4750, -4750,  3276,
    1100,    85, -4750,121561, -4750, 92233,  3291,  2271,  3292,  3504,
     704,  2170,106345,  3392, -4750,106849,  3109,  3512, 71566,  3343,
   -4750, -4750,  3108,  2601, -4750,  2760, -4750,  2133, -4750,  3227,
   -4750, 67021,   428, -4750, -4750, -4750, -4750, 71566, 92233, -4750,
    3116, -4750, -4750, 43472, -4750, -4750, -4750,  2601, -4750, 71566,
    2818,  2818, -4750, -4750,  3519,  3185,  3186,  2601, -4750,  2601,
   -4750, 71566, -4750,  3137,  3143,  3231,  2601, -4750,  3192, -4750,
    3196,  2601, -4750,  2105, -4750,107353, 67021,   428,122435,122435,
    3430,   139,  3433,  3179,  3435,  3182, 58362,   428,   148, 92233,
   92233,122435, 92233, 92233, 92233, -4750, 92233, -4750, -4750, -4750,
   -4750, 71566, 92233, 92233, 71566, -4750,122435,121561,  3438,  3439,
     428, 92233, 92233, -4750, -4750, 15720,  1910, -4750, 12794, -4750,
   18102,  2138,  3134, -4750,  1706, 92233,  1421,  1171,125057, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, 85177, -4750, 85177,
     102, -4750, -4750, 85177, -4750, 85177,   102, -4750, 85177, -4750,
   -4750, -4750, 85177, 92233,  3632,  3139, -4750,  1967, -4750, 92233,
    2141, -4750, -4750,  2144,   874, 92233, 92233,   535, 67021, 92233,
    3340, 92233, 92233, 92233, 92233, 92233,  3221,  2892,   745, -4750,
     226,   193, 87193,  3350, -4750, -4750, -4750, -4750, -4750,  2147,
    2015,  1338, 92233,  1179,  2266, -4750, -4750, 80137, 78625,  3441,
      62, 92233, -4750, -4750,  4023, 43472, 38774, -4750, -4750, 18102,
    3190, 43472, 43472,  3146,  2601,  2601, -4750,  1645, 43472, 43472,
   43472,  2601,  2601,  5252, 43472, 58362, 43472, 46082, 34621, 43472,
   43472, 38252, -4750, 43472,  3370, 47126, 43472,  1428,  3372, 43472,
    1428,  5252,  3598,  3598,  1336,  1889,  7195,  3162,  1791, -4750,
    2601,   233,   284, 71566, 43472, 43472, 43472, 43472, 65506,  3245,
     126, 92233, 43472,  3167,  1544, -4750, 43472, -4750,  3169, 43472,
    3250,   833, 43472, 43472, 43472, 43472, 43472, 43472, 43472, 43472,
   43472, -4750, 48142,   309, -4750,  3454,  3475,  1009,   872, 80641,
   39296,  3467, -4750, 33575, -4750,   199, 85177, -4750, -4750,  1791,
    3467, -4750, -4750, -4750, -4750, -4750,  2022,  3175, -4750,  3193,
   -4750, -4750, -4750, -4750, -4750, 92233,  3279, -4750, -4750,  3254,
   -4750, -4750, -4750, -4750,   588, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750,  3183, -4750, -4750, -4750, -4750,  3183, -4750,
   -4750,  3134,  3187,  3371, -4750, -4750, -4750, -4750,  3460,  3464,
     428,114904, 92233,   298, 83665, -4750, 39818, -4750,  2150, -4750,
    3189, -4750,  3443, -4750,  3191, -4750, 15066,  3443, -4750, -4750,
     158,  3302,  3437,  3384, -4750, -4750, -4750,  3198, 18102, -4750,
    2172, 18102,  2244, -4750, -4750, -4750, -4750, -4750, -4750,  1638,
   -4750, 92233,  1364,  3194,  1606,  3252,   727,  3611, 92233, -4750,
   54253,  1943, -4750,  2375, -4750, -4750, 19075, -4750, 33072, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,  3203, -4750,
   -4750, -4750, -4750,   216,  3207,  3691, -4750,118939, -4750, -4750,
   -4750,  3632, -4750,  2507, -4750,  2507,  3725, -4750, 85177, -4750,
   -4750, -4750, -4750,  1117, -4750, 12794, -4750, 12794, -4750,  3395,
   -4750,  3613, -4750, 72576, -4750,  3212, -4750, 72071, 68536, -4750,
   -4750,  1241, -4750,  1417,  3293,  3295,  3345,122435, 92233, 92233,
   -4750, 65506,122435, 92233, 92233, -4750,122435, 92233, 92233, -4750,
   -4750, -4750, -4750, -4750,118054,  1368, 78625,  3352, 76609, -4750,
   -4750,  3238, 92233,  3281,  3484,  3488,  1413, -4750, -4750,107857,
   -4750,  3445,122435, 92233, 92233, 43472,  3448, 92233, 92233, -4750,
     365,  3325,  3327, -4750, 92233,  3329, 67021,  3258, 92233, 92233,
   71566,  3321,   818, 67021,  3298, 58879, 92233, 92233, 92233, 92233,
    3385,  3557, 71566, 92233,  3506,  1509, 87193,   169,  2326,  2994,
    3465, -4750,   687, -4750,122435, 92233,  3457, -4750, -4750, -4750,
   77113,  3676,  3374, -4750, -4750,112393, -4750, -4750, -4750,  2186,
   -4750,122435,122435, 92233,  7733, 92233,  1457, -4750, -4750, 71566,
   -4750, 92233, 92233, 92233,  3508, 92233, 84169,108361,108865,   549,
    1538,  3514, 92233, 84673, -4750, 92233, -4750, -4750, 66011,122435,
   92233,  1049, 65506, -4750, -4750, 92233, -4750,  3468,   304, -4750,
   92233,  6012,  3354,  3356, 92233,   288,  2556,  2994, 92233, 92233,
    3284,  2189,  3359,  3409, -4750,  3483,  1346, 92233, -4750,122435,
    1772, -4750,  3436,122435, 92233,  7471, -4750, -4750,   216, -4750,
   -4750, -4750, -4750, -4750, 92233, 92233,   216, 92233,   216,  1773,
   -4750,122435, 92233, -4750, -4750, -4750, 92233,  7978, 92233, 92233,
   92233, 92233,122435, 92233, -4750, -4750,  1586,  1404,  1291,  1715,
    3442, 92233,  3569, 92233,109369,122435, 92233, 92233, 92233,  2060,
   -4750,  3414, -4750,122435,  1772,  8137, 92233, 92233,  3376,  3377,
     145,  3450, -4750, -4750, -4750, -4750, -4750, -4750,  3550,  3717,
  109873,  1733, -4750,  3552,  3553,  3366,  3367,  3554, 92233,  1733,
   92233, -4750, -4750, -4750, -4750,  3558, 92233,  1733,  3559,  1733,
    3507,   575, -4750, -4750,  1680, -4750,  2195, -4750,  3332, -4750,
   43472, 71566, -4750,  2196, -4750,  3333,  1100, -4750, -4750, 65506,
   92233,   815,   907,  3625, 75601,  3701,  3620, 92233,  3378, 92233,
    3626,  3701, 92233, -4750,  2891, 78625, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750,  3629, -4750,  2443,  2696,  2696,
    2696,  2696, -4750, -4750, -4750, -4750,  3526,  2042, -4750,  3335,
    2696, 92233,  3461,  3701,  3337,  3652, -4750,  2271,  3654,  3656,
   92233, 75601,  2246,  3382,  3555,  3763,  2170,  2443,  3560,  3543,
   -4750, 36699,  5045,  3545,  3599,120250, 89713, -4750,  3380,  3650,
    3651,  3672, -4750,  2451, -4750,  3792, -4750, 43472,  2216,  3379,
     117, -4750, -4750,  3383,  3143,  3396,  3400,  3389,  3390, -4750,
    2601, 51713, 92233,  3391,  1311,  3600,  3393, -4750,  3702,   428,
    2496, -4750,  2782, -4750, 92233, -4750, 92233, 92233, 92233, 92233,
    2500, -4750, -4750,  3587,   428,  2782,  3591,   428,   428, -4750,
    3643,  3595,   428,   117,  2782,  3521,  3703,120250, -4750,   139,
   -4750, -4750, -4750, -4750, -4750, 43472, -4750, -4750,  2170,  2133,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, 85177,  2507, -4750,  2237, -4750, 92233, -4750,  3675,  3677,
    3678,  3406,  3408,  3444, 92233,  3411, -4750,  3406,   216,  3406,
    2892,  2892,  3406,  3408,121998,  3837,  3704, -4750,  3492,  3420,
    3708,   791, -4750,   812,  1104,  3640, -4750, -4750, -4750, -4750,
   71566, -4750, -4750, -4750, -4750, -4750,122435,  3459, 92233, 92233,
   -4750,    96,  3618,  3424,121998,  3826,   428, -4750, 67021, -4750,
   -4750, 71566,  3502,  3520, 67021,  3630,  3477, -4750, -4750, -4750,
   -4750, -4750, 71566, -4750,  3680, 92233,  2245, -4750,  1975, -4750,
    2046, 43472,   111, -4750, 16506,  2248, 43472,  3446,  3447, -4750,
   -4750, -4750, -4750, -4750, -4750,  3452,  3726, -4750, -4750,  2255,
    2258,  2264,  3453,  3455,  6323,  3462, 17127,  3463,  3458, 46082,
   46082, 37730,  2924, -4750, 46082,  3466,  3621,  2272, 15751,  3449,
    3470, 17193, 40862, 43472, 40862, 40862, 17269,  3449,  3474,  2281,
   65506,  3616, 17757,  2284, -4750, 43472, 65506,  6664, 43472, -4750,
   43472,  3481, -4750, -4750,  4159,  4159,  4159,  5252, -4750,  3456,
   -4750, 46082, 46082, -4750,  2520, 37730, -4750, -4750,  3735, -4750,
   -4750,  1460, -4750,  3478, -4750, -4750,  2588, 58362,  6185, 43472,
     171, 43472,  3167, 43472,  3522,  4159,  4159,  4159,   190,   190,
     172,   172,   172,  2136,   872, -4750, -4750, -4750,  3485,  3487,
    3497,  3628,  3499, 43472, -4750,  2427,  2432, 92233,  9500,  9979,
   11770, -4750, -4750, -4750, 49172,  3482, 43472, 43472, 43472,  3491,
   -4750,  2508, 18102,   655, -4750,  2603, -4750, -4750, -4750,  3482,
    1310,  3725,  2022, -4750,  1371,  2601,   233,117609, -4750, -4750,
   -4750, 43472, -4750, -4750, -4750, -4750,  2339, -4750, -4750, -4750,
   -4750, -4750, 92233,  2015, 43472, -4750, -4750,  2236,  3480, 43472,
    2172, -4750, -4750,  3511, -4750, 43472, -4750, -4750, -4750,  2892,
   -4750,  3685, -4750, -4750, -4750, 49172,  3500,  3509, 53237,  3658,
   -4750, 92233, -4750, 92233,   248, -4750, -4750, -4750,  3479, -4750,
   -4750, -4750,  1450, -4750, -4750, -4750, -4750, -4750, -4750,  3496,
   -4750,  3471, -4750,  3494, -4750, -4750, -4750, -4750,   195,  3503,
    3498,  3505,  1649, -4750, 68536,  1984, -4750, 72071, -4750, 72071,
   -4750,  1984,  3882, -4750, 68536,  1842,122435, 92233, 92233, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750,122435,122435,  3699, 92233,  3697,  3706, 43472,   951,
   92233,  3516,  3523,  1510,  3778, 92233, -4750,  3821,   428, -4750,
   -4750,  3596, -4750, 18102, -4750, -4750, -4750, -4750, -4750,122435,
   92233, -4750,120250, -4750,  2451, 71566, -4750, -4750, -4750, 92233,
    3551, 92233, -4750, 92233, 92233, 92233,  2500, -4750, -4750, -4750,
   -4750,  1217, 71566, -4750, -4750, 92233, 92233,   152,  3601,  3602,
   92233, -4750,   750,  3205,  8297, 92233, 92233, 92233,  3780, -4750,
   -4750, -4750, -4750,  3723, -4750, -4750, 68536, -4750,  2782,   537,
    3603,  2994, -4750,  3715, -4750,  1018, -4750,  3653, -4750, -4750,
   -4750, -4750,  3838,   428,  3839,   428, 92233, 92233, 92233, 92233,
    3655, -4750, -4750, -4750, -4750, -4750, 65506, 65506, 65506,  2352,
   -4750, -4750,  2443, -4750, -4750, -4750, -4750, -4750, -4750,  3799,
   -4750,  2355, -4750,  1665, -4750, -4750, -4750, -4750, -4750, -4750,
  122435, 92233,  9143, 92233, 92233, 92233,  2029, -4750,   853, 71566,
   -4750, 70051,122435, 92233, 92233,  3614,122435,  3588, -4750, -4750,
    3771,  3712, -4750,  2127,  3713,122435,  3605, -4750, -4750,  3619,
   -4750, -4750,  3623,  2802,  2994,  2271, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750,  1447,   718,  2834,  2994,  3627, -4750,
    3631, -4750, -4750, -4750,  3764,  3766,  3772,  3633,  3634,  3679,
    3635,  3636,  3686, -4750,  3638,  3688,  3642,  3689,  3647,   428,
   71566,  3757,  2443,  3666,  3875,   428, -4750,  3649, -4750, -4750,
    3982, -4750, 92233, -4750,  3657,  2846,  2994, -4750, -4750,122435,
   92233, -4750, -4750, -4750,  1733, 71566, 92233,  3823, -4750, -4750,
   -4750,  1733,  1733, 92233, 92233,  1733,  3824, -4750,  3825, 92233,
    3827, -4750,  1733, -4750, -4750, -4750, -4750,  2827,  3577, -4750,
    2353, 55777,  8264,  3580, -4750, 65506, 55777,  2099,  1279,   235,
    1680,120250, 92233,120250, -4750,   907,  3715, 92233, 92233,  3581,
    3582, -4750, -4750, -4750, -4750,122435,   966,122435,  2601, -4750,
   -4750,  3659, -4750, 92233,  2170,   268,  3660,  3995,  3126,  1184,
    3730,  1878,  3937,  3382, -4750, -4750, -4750, -4750, 92233, 92233,
    1100,  2443, -4750,  3589,  3592, -4750, 92233, 92233, 92233, 92233,
   92233,  2015,  3594,  3604, 71566,    36,  3789,  3791,  2993,  4012,
    3909,  2015,  3382,  3684,  3910, 92233, -4750,  2358,   115, -4750,
    2443,120250, 69041,  3899, -4750,  5695, -4750, -4750,    79, 92233,
    3885, -4750, 92233, -4750, -4750, 52729,   428, 71566,  2359, -4750,
   -4750, -4750,  2601, -4750, -4750,  1603,  1603,  3609, -4750, 52221,
   -4750,  3610, -4750,  2308, -4750,  3997, -4750, 92233, -4750,   428,
     139,  3667,   428,  3669,   428,   428, 92233, -4750, 92233, -4750,
   -4750, 92233, 92233, -4750, -4750, 92233,121561,   428, -4750, 18102,
    3913, -4750, -4750, -4750, -4750,  3738,  3744,  3745, 92233,  3406,
   67021, -4750,  3617,122435,  1497, -4750, -4750,  3810, -4750, -4750,
   87193,  3739, -4750, -4750, -4750, -4750,  3934,  3935, -4750, -4750,
   -4750,  1080, -4750, -4750, -4750,122435, 79633,   236,122435, -4750,
    2451,  3874, -4750, -4750,  2496,   216, -4750,  3880, 92233,  3881,
   -4750, -4750, -4750,  3637, 17785, 43472, -4750,  3944, 71566, -4750,
    8328, -4750, -4750, -4750, 43472, -4750, -4750, -4750, -4750, -4750,
   43472, -4750, 43472,  3926, -4750, 35144,  4075,  4075,  3645, 71566,
   46082, 46082, 46082, 46082,  1724,  2869, 46082, 46082, 46082, 46082,
   46082, 46082, 46082, 46082, 46082, 46604,   495, -4750,  3818, 43472,
   43472,  3936,  3926, -4750, 71566,  3639,  3449,  3661,  3662, 43472,
   -4750, -4750,  2394, 47634,  3663, 65506, -4750, 43472, 16054,  2400,
    3693, 17893,  1791,  8581,  2443, 43472,  2378,  4334, 43472,  2407,
   43472,  3933, -4750, -4750, -4750,  3665, -4750, -4750, 71566, 43472,
    3668,  2699, 46082, 46082,  2718, -4750,  3861, 43472, 37730, -4750,
    3829,  3692, 54761, -4750, 35667,  3648,   937,   937,   937,   937,
   -4750, 92233, 92233, 92233, 49680,  3947, 48664, 90721,  3674,  2201,
   -4750, 90721, 91225, -4750,  3670, -4750,  3687,  1791, 43472,  3941,
     889,   889,  3829, -4750, 43472, 43472, 41384,  3683, -4750,  3941,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750,  3695, -4750,  3681, -4750, -4750,
     514,  3694, -4750, -4750,  7245,   195, -4750, -4750,  3698, -4750,
    3690, -4750,  3480,   724, -4750,  8717,  3857, -4750, -4750, -4750,
    3674, 41906,  3805, -4750,  2416, -4750, -4750,  4049,  3805, -4750,
   -4750,  2419, 54253,  3500, 39818,  1791,  2601,  3700, -4750,  2507,
    1310, -4750, -4750, -4750, -4750, -4750,  2444,  1981, -4750, -4750,
   68536, -4750,  3746, -4750, -4750, -4750,  2782,  2782,  1530,  3406,
    3977,  1530,  8858, -4750, -4750, 50188, 92233, 92233, -4750, 92233,
    2453,  1333, 92233, -4750, 92233, -4750, -4750, -4750, -4750,  4101,
   -4750, 92233, -4750, -4750,  3755,  3756, -4750, 92233, 92233, 92233,
   92233,  3948, -4750, -4750,  2476, -4750, -4750,122435, 92233, -4750,
   -4750, -4750,   366,  2921,  2994, -4750,  3781, -4750, -4750,  3966,
   -4750,  4109,  3797, 92233,  3716, -4750,  1333,  1087,  2993,  1167,
   -4750, -4750,  3785, -4750, 92233, -4750, 92233, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, 66011, -4750, -4750,
   92233, -4750, 65506, 55777, 65506, -4750,  1549,   398,  2963,  2994,
   -4750,  3796, -4750,  3798,  3804,  3848,  1125,  1254,  3806,  3807,
    3860,  3734,  3736,  3740, -4750, -4750,  3883, 92233,  2782,  3731,
    3777,   182,  2443, -4750, -4750,  2443,  2782,  2443, 92233, 92233,
   92233,  4134,  3828, 92233, 92233, 92233, 92233, 92233, 92233,  4041,
     990,  2104,122435, 92233, 92233,122435, 92233, 92233, 92233, 92233,
   92233, 92233, 92233, -4750,  4126,  4056,  2033,  4098,  3820, 92233,
   -4750, 92233,  3205, 92233, 92233, -4750, -4750, -4750,  3750,  4003,
    1733, -4750, -4750,  4005,  4006, -4750,  1733,  1733,  4007,  1733,
   -4750,   909, 65506, -4750,  2212, -4750,  3332,  3690,  2601,  2233,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750,  2490, -4750, -4750,
   92233,  3759, 92233, 92233, 46082, -4750,  1712,  1026, -4750,  4008,
   92233,  3795, -4750, -4750, -4750,  3920, 92233, -4750, -4750, -4750,
   -4750, -4750,  3767, -4750,  4028, 75601,  2782,122435,122435,  2782,
   -4750, 71566,  3768,  3382, -4750, -4750, -4750, -4750, -4750, -4750,
  122435,  3588,122435,  1184,  1719,103321,  3800, -4750,  3770,  4067,
   -4750,  3774,  3773, -4750, -4750, 92233,  3715,  2457,  2271,   717,
    2155,  3459, 77617,  2246,  4028, -4750, -4750, -4750,  4153,  3865,
   -4750,  2015, 92233,  3459,  3865,  2443, 92233,  3281, -4750, 68536,
   43472, 43472, -4750,  3779, -4750,  3783,  6461, -4750,  3851,  3782,
    2696, -4750, -4750, -4750, -4750, -4750, -4750,  3864,  3788, 92233,
    4231, -4750, -4750, -4750,  3790, -4750,  3793, -4750, -4750, -4750,
    2242,114904, 52221, 52221, 52221, 52221, 52221, -4750, -4750,   428,
   -4750, -4750, 92233, -4750, 92233, -4750, -4750,   428,   428,   428,
     428, -4750,  3911, -4750,  2015, 92233, 92233, 92233,  3406, -4750,
     216, -4750,  4080,121998, -4750, -4750,  2458, 92233, -4750, -4750,
   -4750,  4143,    62,  4088, -4750, -4750,  4046,  2157,  4048,  4050,
    2157,  4052,  2157, -4750, 43472, 18102, -4750,  3803, -4750, 18102,
    9178, 18102,  3936, -4750,  2463, 43472, -4750,  4127,  4127,  4127,
    2860,  4092, -4750,  1381,  3808,  4127,  4127,  4127,   160,   160,
     149,   149,   149,  4075,   495, 18102, 18102, -4750, -4750,  3809,
   -4750, -4750, -4750,  3449, -4750, 43994,  3955,  4204, -4750, -4750,
   -4750,  3846,  3849,  3812, -4750, 43472, 44516,  3811, 72576,  3992,
   -4750,  1130, 43472, 43472,  4289, -4750,  6284, 43472, 71566,  2466,
    4289,   364, 43472,  4799,  4919, 43472, 43472,  4142,  9244,  3814,
   43472,112897, -4750, -4750, -4750,  2472, 43472, 92233, 92233, 92233,
   92233, -4750, -4750, -4750, 90721, 91225,  3816, 51204,  2201,  3830,
   92233, -4750, -4750,  3822, 49172,  4073,  4004, -4750, 49172,  4004,
    2164,  4004,  4074,  3918, 55269, -4750, -4750,  3833,  4020, -4750,
   33575,  2023, 18102,  4234,  4120, 43472,  3840,  3842,  3845, 18102,
   18102, 43472, -4750,  2443,  4120,  1310,   977,  2443, -4750, -4750,
   -4750, 58362, -4750, -4750, -4750, -4750, -4750,  4036, 18102, 39296,
   -4750,  2015, 92233,  1791,   722, -4750,  3862, 92233, -4750,  3805,
   -4750, -4750, 12794, -4750, -4750, -4750, -4750,  3916,  2492, -4750,
   -4750, -4750, -4750, -4750,  3938, 78625,  4151, -4750, 43472,  2504,
   -4750,  3895,  4242,   163,  2517,  2523,  1333, -4750,  3795, -4750,
    1766,  4129,   170, -4750,   428, -4750, 71566, -4750, 92233, 92233,
   -4750, -4750, -4750, -4750, 92233,  2946, -4750, -4750, 92233, 92233,
   92233, 92233, -4750,122435, 92233, -4750, 65506,  1279,  4066, -4750,
   -4750,  4069,   182, 92233, -4750, 71566,   428,   428, -4750, -4750,
   -4750, -4750,  3884,  4267,  3956, 92233, 92233, 92233, 92233,122435,
   92233, 92233,  2601,  2601, 71566,  3871, -4750,  2601,  2601,  3872,
   -4750,122435, 92233, 92233, -4750, -4750, -4750,  3953, -4750, 43472,
    4263, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,122435,
   92233,  3957, -4750,  3958, -4750, -4750, -4750, 92233, 92233, 92233,
   92233,  4187, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, 92233, -4750, -4750,  2443,  2443, 71566,   428,
     428, -4750, -4750, -4750,  4132,  1733, -4750,  1733,  1733, -4750,
   -4750,  1733, -4750,   333,  2524, -4750,115842, -4750, -4750,  3100,
    2443,  3100,  1880, -4750, -4750,  3100, -4750,  3100, -4750,  1333,
    2004,  4176,  4180, 43472, -4750,  1295,  2860, -4750, -4750, -4750,
   -4750,  3795,  2170,  3950, 67021,  1273, -4750,  4164,   815, 75601,
     215,  3898,  4019, -4750,  2782,  2782,  3959, 92233,  4319,  2782,
    3777, -4750,   850, 92233,  4229,  3946, -4750,  2443, -4750, -4750,
    3382, -4750, 92233, 75601,  3459, -4750,  2536, -4750, -4750, -4750,
    3945,  3791,  2246,  1081, 92233, -4750,  3949,  4327, -4750, -4750,
    4205,  4107,  3917, -4750, 18102, 18102,  2443, 73081,  5695, 71566,
    4215, -4750, 92233,   660,  4181, 92233, -4750,   428, -4750, -4750,
    3919,  1930,  1930, -4750, -4750, -4750, -4750,   428,   428, -4750,
   -4750, -4750, -4750, 92233,  3406,  3406,  3406, -4750,  4111, -4750,
   -4750,  4174, -4750,   428,121998,  2157, -4750, -4750, -4750,  2157,
    2157, -4750,  2157, -4750, 18102, -4750, -4750, -4750, -4750,  9783,
   46082,  4218, -4750,  3927, 71566, -4750,  3928,  2537,  2547, 47126,
    4079, -4750, -4750, -4750, 10373,  3979, 18102,  4032,  3931,  3940,
    4289,  4289,  6284,  2550, -4750,  4289, 43472, 43472,  4289,  4289,
   43472, -4750, -4750, 10575,  4114, -4750, -4750, 10835, -4750, -4750,
   -4750, -4750, -4750, -4750, 66516, 90721,  3942, 92233,  2201, 49172,
   -4750, -4750,  1682, -4750, 49172,  4182, -4750, 49172, 67021, -4750,
   92233,  3943, 92233, -4750,   655, 45038, 43472,  3970, -4750, -4750,
   -4750,  3829, -4750,  3970, -4750,  2233, -4750, -4750, -4750, -4750,
   -4750,  3952, 85177,   725, -4750, -4750,  4313, 50188,  4273,  3951,
   -4750, -4750, -4750, -4750, -4750,121998,  4138,121998,  1333, 11281,
    3795, 50188, 59396, 92233, 91729, 91729,  4097,  3795,  3950, -4750,
   -4750, -4750, -4750, -4750, -4750,  3954, -4750, -4750, -4750, -4750,
    4026, -4750, -4750,   392,  3350,  2562, -4750, -4750, -4750, -4750,
   -4750,  4126, -4750, -4750, 55777,122435, 92233, -4750,  4027, -4750,
   -4750, -4750, -4750, -4750, 50696, 58362, -4750,  1125,  3960,  3962,
    1254, -4750, -4750, -4750, 92233, 11755,  3964,   997,  3350, 92233,
   92233,  1648,  1511,  1861,  3406,  4251, -4750, -4750, -4750,  4126,
   -4750, -4750,  1733, -4750, -4750, -4750, -4750, -4750,  1680,  4291,
   -4750, 65506, -4750,119376, -4750, -4750, -4750,  2443, -4750,  2443,
    4160, 92233, 61429,  2443,  2443, 67021,  4380,  4380, 92233, -4750,
   12240,  4167, -4750,  3950,  4189,  4235, -4750,  3971, 92233,  4131,
    3973,  3969,   266,   266, 92233, 92233, 92233,  2565,  2015, -4750,
    1184, 75601,  3715, -4750,   841,  3974,  4286, -4750,  4394,  3594,
    3981, -4750, -4750, 77617,  4168,  3865,  3791,  4112, -4750,  4113,
   -4750,  1452, -4750,  2015, 92233, 92233, 50188, -4750, 72071, -4750,
    2568, -4750, -4750, -4750,  4053,  3482,  4091,  4094,  3984, 92233,
     797, -4750,  4000, -4750, -4750, -4750, -4750, -4750, -4750, 92233,
   -4750,   236, -4750, -4750, -4750, -4750, -4750,  3047, 46082, 71566,
    2586, 43472, -4750, 43472, -4750,  4390, -4750, -4750, -4750,   789,
   -4750, -4750, -4750,  4289,  4289,  4289, -4750,  4391,  3829, -4750,
   -4750,  2599,  4412, -4750, 92233,  2622, -4750, 43472,  3998, -4750,
   -4750, 49172,  1682,  3999,  2633, 92233,  2634, 71566,  4001,  4011,
     -22,  4016, 34098,  4009, -4750, -4750, -4750, -4750, -4750, 18102,
   18102, 92233, -4750,  4002, -4750, -4750, -4750, -4750, -4750, -4750,
   92233,  2640, -4750,    68, 37208, -4750, -4750,  1497,  1530,   236,
    4242,  3950, -4750,  4017, -4750, -4750, 92233, -4750,   313,   313,
   92233,  3950, -4750, -4750, 92233,  4085, -4750, -4750, 65506,  4058,
   -4750,  1138,  3350, 92233, 71566,  2496,   114, -4750, 71566, 71566,
   -4750, -4750, -4750, 43472,  4093, -4750, -4750, -4750, -4750, -4750,
   92233, 92233, 92233, 92233, 92233,   428, -4750,  3577,  2443, -4750,
   -4750,  2641, -4750, -4750, -4750, 92233,  3770, -4750,  3770, -4750,
   -4750,  4380,  1314, -4750, -4750, -4750,  2054,  4228, -4750,  1215,
    4214,  4115,  4031, -4750, 67021,  4469,  4028, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750,  2644,  3715,  4330,  3382,  3949,
   -4750, -4750, -4750, -4750, 43472,  4188,  2015,  2246,  4028, -4750,
   -4750, -4750,  3865, -4750, -4750,  4414,  4224,  4422,  3459, -4750,
    3281,  2645, -4750,  6461, 73081, 71566,  4365,  4076,  4077, -4750,
   -4750,  4095, 92233, -4750, -4750,  2418,  4480,  3715, -4750,  3047,
    2649, -4750,  2654,  2655,  4193,  4096, -4750, 43472,  1240,  3670,
   66516,  4044, -4750,  2661, -4750, 18102, 92233, -4750, -4750, 43472,
   -4750,  2664, -4750, -4750, 43472,  4051, 43472, -4750, 45038,  4043,
   -4750,  4463, -4750, -4750,  3482, 50188, -4750,  4163, -4750,  4344,
   -4750, 91729,  4099, 58362, -4750,  3480,  3480,  2170, -4750,  1333,
   -4750, 92233, -4750, 43472, -4750,  4139, -4750, -4750,  2677, -4750,
      87,  4208,  4354,  2678,  2681, 12960, 92233,  3408,  1861,  3408,
   -4750,  3406, -4750, -4750, -4750, -4750,119376,  3770, -4750, -4750,
   -4750,  4381,  4324, -4750, -4750, -4750, -4750,   342, -4750,  4254,
    4255, 92233, -4750,  4068, -4750,  2685,  4183, -4750, -4750, 92233,
    4482,  4485, -4750, 13835, 67021,  3949,  3791,  2246,  1279, -4750,
    4261, -4750,  4262, -4750,  4081,  3382,  5695, -4750, -4750,  1129,
    4364,  4366, -4750, -4750, -4750, -4750, -4750, 92233, -4750, -4750,
   -4750, -4750, -4750, -4750,  3449, 42428, 42428,  4078, -4750, -4750,
   92233, -4750,  2700,  2704, -4750,  2720, 45038,  2724, -4750, 92233,
    4082, -4750, -4750, 54253,121998,   313,  4083, -4750,  4087, -4750,
   -4750,  4189,  1333,  3350, 18102, 92233, 67021,  4473, -4750, -4750,
   -4750,  4208, -4750, -4750, -4750,  3350, 92233, -4750,  4207, -4750,
     894,   894,  4416, -4750,  4140, -4750, -4750,  4090, -4750,  4531,
   92233, -4750,  1125,  2015, -4750,  4100, -4750,  3865,  3791, -4750,
   -4750, 50188,  3865, -4750, -4750, -4750,  1746, 67021, 67021, -4750,
   45560,  4222,  1280, 16368, -4750, -4750, -4750, -4750,  2727, -4750,
    4236, -4750,  2732, -4750, -4750, -4750,   801,   236,  3480, 43472,
    1333, -4750,  4214, -4750,  3350,  2496, 92233, -4750, -4750, -4750,
    3946, -4750,  4523, -4750,  1288, -4750, -4750, -4750, -4750,  3715,
    3871,  3949, 65001, -4750,  3865,  2739,  3482, -4750,  3153, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750,  4102,  4104,  4516, -4750,
   -4750, -4750, -4750, -4750, -4750,  4103, -4750, -4750, -4750, -4750,
   -4750, 14438, -4750, -4750, -4750, -4750,  4418, -4750, -4750, -4750,
   -4750, -4750,  2740, -4750, -4750, -4750, -4750, -4750, -4750,  3382,
   -4750,  2056, -4750, -4750,  2078,  2333,  4179,  4396, 42950, 43472,
   -4750,  1333,  4268, -4750, 65001,  3865, -4750,  3153,  4213,  4220,
   -4750, 14945, 67021, -4750,  3482, -4750,  4146,  4147, -4750,  4124,
   -4750,  4415,  4417, 65001, 67021, 67021,  2744, -4750, -4750, -4750
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4750, -4750,  4272, -4750, -1247,  -168,  2666,  -660, -4750, -4750,
   -4750,  3397, -4750, -4750, -4750, -4750, -4750, -4750, -4750,  3413,
   -4750, -4750,  1845, -2718, -4750, -4750,   -29,  3375, -1691,   -36,
    2955,  1489, -4750, -1494, -4750, -4750,  -916,    16, -4750,  3402,
   -1093, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -1131,
    1996,  1318,  3440, -2844, -4750, -4750, -1833, -3446, -4750,   653,
   -4750, -4750,  1945, -4750, -4750, -4750,  1159,   578,  -447, -4750,
   -4750, -4750, -4750, -4750, -4750, -4750,  -229, -4750, -4750,  -605,
     205,  -103, -2712,  -274, -4750, -4750,   542,  -275, -1699, -4750,
   -3840, -4750,    74, -4750, -4750, -4750,  -252, -1807,  1414, -4750,
   -1018, -1483,  1748,  -679, -4750,  -136, -4750,  -743,  -600,  -598,
    -688, -4020, -4015, -4481, -4050, -3626,  1422, -4750, -4012,   241,
     512, -4750,   363,   369, -4750,   529, -1148, -1845, -4750, -1105,
   -4750, -4750, -4750, -3252, -4750, -4750, -4750, -4750,   -79, -4750,
   -4750, -4750, -4750,   571, -4750, -4750, -4750, -4750, -4750, -4750,
   -2507,  1918,  1919, -4750, -4750, -3418, -4750, -1231, -4750,   706,
   -3282,  1337, -4750, -4750, -4750,  2665, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -1961, -4750, -4750, -4750, -4750,
   -4750,   555,    77, -4750, -4750, -4750, -4750,   375, -4750,  1932,
    1149, -4750, -4750, -4750,  -730,  -822,  -802, -4750, -3227, -4750,
   -4750, -4750, -4750,  -215, -4750, -4750, -4750, -4750, -4750, -4750,
   -1317, -4750,  1199, -3404, -4750, -4750,  1205, -4750, -4750, -4750,
   -4750, -4750,  -676,  -150,  2690, -4750,  -541,  -648, -4750, -4750,
   -4750,  -146, -4750, -4750, -4750, -4750, -4750, -4750, -1442, 13530,
   -1389,  -825, -4750, -4750, -4750, -4750, -2694, -4750, -4750, -4750,
   -3934, -4750,  4558,    80,  -766,   396, -4750,  -199,  -100,  3209,
   -1499, -2947,   475,  -338, -4750, -2203, -4750, -4750, -4750, -2855,
   -4750, -4750, -4750, -4750, -3769,   401, -4750,  3199, -4750, -4023,
   -4749, -3809, -4267, -4601, -4194, -3761, -4750, -4750, -1449, -4750,
   -4750, -4750, -1838,  2224, -2327, -4750, -2460,   544,  1487, -1282,
   -3049, -4040, -1040, -3519, -4750, -4750, -3970,  -449, -4750, -4750,
   -4750, -4750, -4750, -4750, -4750, -1443,  -918, -4750, -4750,  3802,
   -4750, -3973, -4750,  3769, -4750, -4750, -4750, -4750,  2497,  2499,
   -4750,  2503, -4750, -4750, -1801,  1287, -4750, -4750, -4750, -4750,
   -4750,  -663,  -768, -4750, -4750, -4750,   402, -4750, -4750, -4750,
   -4750,  1674, -1246, -1026,  3682,   440, -4328, -4750, -4750,  -565,
   -4750,  2917, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
   -2132, -4750, -4750, -4530, -4750, -4750, -4750, -4750, -4750,  2349,
    2350,   -56,  -222, -4750, -4750, -1619, -4750,  -850, -4750,  2575,
   -4750, -4750, -4750, -4750,  1582,   464,   586,   -70, -4750, -4750,
   -4750,   335, -4750, -4750, -3682,   -69, -4750, -4750, -4750, -4750,
   -4653, -4750,   -66,  -595,   867, -4750, -4750, -3074, -4750,   472,
     -77,  3282,  1841,   -71,  1398,  -243,  -230,  -213,   -75,   -63,
    3045, -4750,  3135, -4750,  -209,  2123, -4750, -4750, -1151,  -347,
   -4750,  1590,  -948,  2321,  3030,  3042, -4750,  1583, -4750, -4750,
    1589, -4750,   931,  -573,  -448, -4750, -4750, -4750, -4750,   378,
    -934,  2351, -4750,  3057, -4750, -4750, -4750, -2183,  1597, -3666,
     981, -3665, -3620,   437,   413, -1122,  -232,  -202, -1087,  3058,
   -4750, -4750,   989,  -406, -4750, -4750,  -402, -3097,   915, -4750,
   -4588, -2632,  4563, -1928, -1383, -4750, -4750, -1295, 15377, -4750,
   -4750, -4750, 24715, 24922, -4750, -4750, 25244, 25791, -4750, -1178,
    1185, 26162,  7379, -1376, -1340, -1599, 21517, -2603,  -845, -2916,
   -4750, -3797, -2775, -4750, -4750, -4750,  -192,  1044,   328, -4750,
   -4750, -4750, -4750,    19, -4750,  -535, -4750,  -533, -4750, -4750,
   -4750,  -518, -3985,  2485, -4750, -4750, -4750,  -846, -4750, 27120,
    1643, -4750, -1203, -2990, -3007, -3622, -2163, -4750, -4750, -4750,
   -4750, -4750, -4750, -4750, -1652, -3549,  -473,  1721, -4750, -4750,
    1812, -4750, -4750, -4750, -1673, -1197, -2895,  1725, -2306, -4750,
   -1142, -4750, -1069,  2498, -1104, 12618, -1700, 19628,  -107, -2574,
   -1640, -1942, -4750,  2837, -4750,  2812,  -128,  -718,  3001,  -873,
    -947,  6997,  4948,  5327, -3402, -4750, -4750,   474, -4750, -4750,
   -4750,  4191,  1228, -4750,  3472, -4750,  1993,  2766, -4750, -4750,
    2366,  -974,   -62, -4750,  -485, -4750,  -119, -4750, -4750, -4750,
     201, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,
    3113, -4750, -4750, -1565, -4750, -4750, -4750, -4750, -4750,  4474,
    -376, -4750,  3867,  -375, -4750, -4750, -4750, -4750, -4750, -4750,
   -4750, -4750, -4750,  3111,  2391, -4750,  3646, -4750, -4750, -4750,
     -12,  3314, -4750, -4750, -4750, -1298,  -619,  3671,  3696,  2357,
   -4750, -4750, -4750, -4750, -4750, -4750, -4750, -4750,  2371, -4750,
   -4750,  1703, -2303,  2372, -4750, -4750,   956, -4750, -4750,   452,
   -4750,   959, -4750,  3200, -4750, -4750, -4750,   996, -4750, -4750,
   -4750,  -545, 16649,   -19,   162,   527,  1552, -4750,  9879, 24202,
       7,  3138,   -41, 13325, 22646,    73, -4750,  4461,  2376,  1937,
   -1057, -4750,  3510,  2667, 21563, -4750, -1050,    21,  2531, -4750,
      -2,  -685, -1268,  3415,  -772, -2114, -4750,  4895, -4750, -3276,
   -4750, -1102,  3869, -1324
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2798
static const yytype_int16 yytable[] =
{
      81,  1692,  2147,   376,  1761,  1359,  1144,   371,   366,   367,
    2202,  1091,   369,  2151,  1163,  1164,  1396,  2157,  1767,   746,
    1714,  1128,  1125,    79,  1536,  1537,  1538,  1153,  1833,   752,
    1542,  1682,   733,  1267,   955,  2966,  3161,   419,  1038,  2428,
    2124,  1723,  2051,   419,  1989,   943,   938,  1395,  1959,  2417,
    2130,  2230,  2567,  2072,  2143,  2002,  2630,  3707,  2032,   418,
    1038,  2755,  1505,  1460,   900,   418,  1201,  3258,  3260,   733,
    1046,  2269,  3859,  3170,  2933,  3517,   420,  1267,  1786,   957,
     997,  2663,   420,  3521,  1060,  3523,  1706,   701,  3979,   376,
     947,   954,  3549,  2638,   264,  3569,  4221,   418,  2039,  3479,
     954,  2142,  2044,  2648,  4013,  3418,  4015,  2048,  1012,  2710,
    1092,  1465,  2842,  3029,   420,  2055,  2114,  2115,  2102,   896,
    3190,  3688,  1480,   848,  2431,  2074,  2123,  4177,  4151,  4124,
    1954,  4432,  4129,  1205,  4124,  1267,  4471,  3996,  2724,  2725,
    1147,   954,   418,  2860,  1920,  1816,  1155,  1953,  4472,  3910,
     949,  3852,  1818,  1968,  4679,  4507,  4204,  1244,  1500,   420,
    2417,  1396,  1994,  1156,  1273,  2720,  3850,  3851,   848,  1477,
    4388,  4633,  4466,  1079,  4672,  1290,  4688,  4405,  4671,  4665,
    2483,  2485,  2486,  1122,  4682,  1142,  4359,  3169,  1114,   852,
    4975,  4678,  1699,  2217,  3792,  2623,  2884,  2540,  1990,  2192,
    3257,  2637,  1892,  1354,  1754,  3926,  4845,  1088,  1362,  2477,
    2477,  5106,  5054,   418,  5056,  1088,  2925,  1088,  1757,  1372,
    2187,  4403,  4327,  1794,  1795,  3921,  4445,  1196,  1489,   427,
     420,  2111,  2112,  3562,   852,  2375,  3749,  5201,  3843,   848,
    2071,  3100,  2122,    45,  5099,  5125,  1035,  3749,  2103,   906,
    2130,  2135,  2731,   427,    37,    38,    39,    40,  1514,  2323,
     427,    44,  1519,  1520,  1521,  1390,  2418,    45,  1035,  4223,
    2103,  2736,  1532, -2049, -2049, -2049, -2049,  2323,   845,  2103,
   -2049,  2223,  1087,   273,  1807,   423,  3100,   427,  2329,  2981,
    1087,  1553,  1087,  2191,  2839,  1807,    43,  3501,  1868,  3843,
    4210,    45,  3005,  2114,  2115,   852,  2329,   376,  1859,  4843,
    2035,   371,   366,   367,  1218,  3725,   369,  2640,  2331,   274,
    2027,  2123,  1571,   845, -2796, -2796, -2796, -2796,  -148,  1380,
    3705, -2796,  1206,  3652,  3915,  3654,  2331,  -148,   427, -2796,
   -2796,   427,  -148,  5280,    37,    38,    39,    40,  4224,   419,
      43,    44,  1577,  1808,  1776,    45,  4731,  4852,  4733, -2797,
   -2797, -2797, -2797,  4240,  1192,  1696, -2797,  2103,  5167,  4195,
    4164,   418,  5132,  5133, -2797, -2797,   858,  1525,   859,  3845,
   -1694, -1694, -1694, -1694,   419,  2808, -1937, -1694,   420,  5256,
    3322,  5245,  1868, -1937,   845,  2194,  3975,  1097,   264,  2204,
    2569,  2618,  1869,  2018,   129,   130,   418,  1533,  2982,  2111,
    2112,  3135,  1860,  2138, -2210,  2573,  5168,  1685,  3136, -1699,
   -1699, -1699, -1699,   420,  5169,  3195, -1699,  5387,  2570,  4952,
   -2794, -2794, -2794, -2794,  2122,  2125,  2640, -2794,  2977,  2438,
    3845,   275,  2317,     3, -1694, -2794, -2794,   276,  3406,  2318,
    2177,  4145,  5170,   300,  2126,  2840,  3746,  3747,  4165,  5276,
    2002,  3766, -2793, -2793, -2793, -2793, -1956,  5241,  2127, -2793,
    3307,  2178,  4953, -1956,   320,  1267,  2365, -2793, -2793,   325,
     343,  1178,  3154, -1699,  4225,  1220,  1164,  2251,  2619,  5388,
    1133,  1381,  1098,  2419,  2809,  5192,  1869,   702,  3796,  3797,
   -2389, -2389, -2389, -2389,  2289,  2104,  3196, -2389,  4848,  2649,
   -1666, -1666, -1666, -1666,  2640, -2389, -2389, -1666,   347,  2978,
     958, -1679, -1679, -1679, -1679,  -405,  5171,  2104, -1679,  1525,
    2439,  1725,  5400,  1726,  1396,  2961,  2104,  4166,  5257,  2967,
    1179,  2969,   365,  2139,  2972,  1382,  2640,  3232,   943,  4226,
     370,  1383,   381, -1709, -1709, -1709, -1709,  1396,  1861,  2103,
   -1709,  3101,  2662,  2571,  2763,  2180,  2362,  2640,  1534,   897,
   -1709, -1709, -1709, -1709,  1526,  2767,  2718, -1709,  1207,  2362,
    1797,  1800,  3749,  1554,  1199,  1200,  3248,   273,  2158,  2983,
    3252,  2149,  1862,   947, -1699, -1699, -1699, -1699,  3031,  2393,
    1777, -1699,  2036,  2737,  2406,  2406,  3812,  3502,  2984,  2409,
    2410,  2841,  2732, -1706, -1706, -1706, -1706,  1541,  3345,  4521,
   -1706,  4124,  1863,   274,  2104,  1541,  1190,  1396,  3976, -2210,
    4211,    37,    38,    39,    40,  2252,  1181,  3407,    44,  2136,
    1926,   954,   954,   846,  4853,  2417,  2131,    37,    38,    39,
      40,   249,  4971,   949,    44,  2036,  2206,  4976,  2273,   860,
    5375,  4943,    37,    38,    39,    40,  1803,  2248,  2182,    44,
    1870,  3764,  5475,  4167,  1829,  1032,  1033,  2149,  1197,  3761,
    3762,  3763,  3764,  2261,  3199,  1864,  1284,  1719,   846,  1192,
    2224,  1720,  2417,  1809,  2350, -2210,  3168,  5172,  2270,  1032,
    1033,  1296,  2376,  2706,  1809,  2708, -1937,  2574, -2210,  2347,
    2348,  2349,  2350,  2963,  2186,  2789,  3944,  4648,  4992,  2891,
    4405,  4476,  4146,  1719,  2758, -2049,  1198,  1720,  4788,  2715,
    5453,  3137,  4792,  1032,  1785,   703,  4763,  3413,  4168,  2929,
    2140,  2207,  5458,  2609,  2209,   275,  2954,  2213,  1934,  2215,
    3308,   276,  2218,  4737,  1396,  2754,  2222,   300,  5396,   846,
    2252,  1233,  1396,  1396,  4782,  4273,  1144,  4831,  4659,  1935,
    1999,  2611,  5438,   959,  -148,  -148, -2796,  3912,   320,  2617,
    1727,  1134,  1567,   325,   343,  2388, -1956,  1810,  1811,  2650,
    1506,  5012,  2677,  1297,  2962,  5013,  5014,  3928,  5015,  3929,
    2651,  5503,  2652,  2973,  5105,  4917,  3346,  1345,  1762,  3525,
    4097, -2797,  5401,  2463,  1240,  4498,  2104,  4101,  4102,  2499,
     419,  4105,   347,  5261,  1335,   960,  2109,  2464,  4110,  3161,
    3161,  3161, -1694,  1392,  1298,  3980,   862,  2696,   418,  2688,
    2699,  2700,   418,  1063,  2691,  5417,   365,  4525,  2897,  4422,
    4173,  5322,  1544,  2626,   370,   420,   381,  1350,  2653,   420,
     961,  1448,   962,  1229,  1209,  1405,  2640,   904,  2719,  3879,
    5091, -1699,  1229,   701,  3414,  4063,  3349,  5101,  1205,   863,
     701,  4458, -2794,  1796,  3991,  1299,  2944,  2359,  1192,   426,
     954,   701,  2947,  1507,  4996,  1513,  2937,  1518,  1973,  4619,
     751,  3272,  1498,  1522,  5265,  5266,  1177,  1229,  2452,  2764,
    2878,  3234,  3217,  3234, -2793,  1155,  2011,  2187,  3843,   701,
    3843,  2149,  1708,  1064,   701,  5191,  1544,  1513,  1518,  1499,
     852,  2000,  1156,   376,  2623,   701,  3362,  5474,  1974,  4103,
    4104,  1494,  2881,  2882,  2964,   954,  1512,  3376,  1517,  3992,
    4433,  4036, -2389,  1501,  1393,  3120,   862,  1765,  1531,  2323,
   -1467,   701,  2113,  3350,  5154,  1229,  4701,  4702,  4703,  4704,
    4705,  1446,  2125,  2117,  1178,  1229,   701,  4694,  1547,  1549,
    2063,  3092,   701,    37,    38,    39,    40,  5042,  2329,  2125,
      44,  2126,  1446,   701,  3336,  1150,  3320,  5416,    81,   863,
    1525,  2109,  2710,  3377,  1026,  2127,  3692,   701,  2126,  4434,
    2684,  4443,  3759,  3760,  3761,  3762,  3763,  3764,  2331,   845,
    2064,    79,  2129,  3608,  3526,  5461,  1027,  3694,  1026,  3843,
    4472,  2575,  4471,  1179,  2850, -1467,  1180, -1470,  3980,  1874,
    1192,  3913,   733,  2001,  4472, -2159, -1699,  4662,   427,  3541,
    1027,    37,    38,    39,    40,  4037,  4826,    43,    44,  3845,
    3280,  3845,    45,  2853,  1065, -1706,  1157,  2096,  3337, -2192,
   -2525,  4122,  3026,  3028,  1241,  1737,  4122,  1695,  1730,  3035,
    1526,  1703,  1267,  2320,  3121,  3049,  3050,  3051,  1724,  3122,
    2936,  2561,  1689,  1975,  1799,  3067,  3069,  1229,  1229,  2363,
    3079,  1066,  1067,  1511,  1088,  1516,   701,  5225,  1088,  4997,
     418,  2958, -1470,  1148,  3175,  5211,   853,  1351,  2318,  2097,
    5043,  1449,  5020,  5046,   901,  3123,   854,   420,  5050,  1181,
   -1467,  5052,   216,  2167,  1229,  1546,  1548,  1709,  2970,  2971,
    2124,  2360,  5329,  5511,  3265,  1158,  5316,  4307,  4308,  4309,
    4310,  3336,  4217,  4315,  4316,  4317,  4318,  4319,  4320,  4321,
    4322,  4323,  4324,  5336,  2563,   224,  2576,  4064,  5327,  4221,
    3845,  1525,  5326,  2168,  1149,  2065,  2012,  5334,  5298,  1087,
    2850,  5448,  2564,  1087,  3856, -1467,  5333,  1976,   427,  4472,
    1068,    37,    38,    39,    40,   701,   701,    43,    44,  1577,
    1808,  4038,    45,  1710,  1789,   235,  3693, -1470,  4157,  4363,
    4364,  2098,  5462,  4629,  4968,  3542,  1567,  2323,   238,  4568,
    3997,  1744,  5102,  1819,  4866,  3337,  3340,  3695,   855,  1150,
    2851,  1857,  5424,  1182,  3396,  4039,  2975,  5181,  2910,   248,
    4838,  1150, -2159,  4663,  1079,  1963,  2577,  -836,  4827,  1851,
    3124,  1505,  1183,  3218,  2360,  1026,  3321,  3885,  4280,  2771,
     903,  2099, -1470, -2046,  3679,  4040, -2192, -2525,  5182,  2066,
    1789,  4977,  2570,  5212,  2149,  2902,  2331,  1027,  1088,  1088,
    -630,  2959,  5463,  4978,  3397,  2551,  1026, -1467,  2915,  3848,
    2833,  1526,  2441,    35,  2880,  2483, -2211,  5226,  3543,  2772,
   -2159,    41,    42,  2924,  1229,  2089,  5464,  1851,  1027,  3178,
    1267,  1446,  5418,  2960,  2565,  1229,  1745,  5158,  3860,  5259,
    1049,  3861,  3862, -1467, -2192, -2525, -1467, -2239,  2169,  2442,
    3912,  1446,  3863,  3864,  3865,  1005,  3866,  3867,  2782,  2783,
    1446,  3868,  3869,  3870,  2100,  4510,  1159,  2940,  2814,  2923,
    5328,  4630,  2575,  1087,  1087,  1006,  1910,  3209,  1063,  4158,
    2067,  4532,   856,  1837, -1470,  1151,  5423,  5473,  1202,  2834,
    3398,  3967,  5476,  4830,  4569,  1053,  4961,  3055,  1229,  1842,
    2068,  4948,  2443,  3340,   846,  5237,  2579,  1007,  3237,  2345,
    2346,  2347,  2348,  2349,  2350,  1978,  2580,  5220,  4281,  5425,
   -1470,  1979,  1144, -1470,  3998,  3142,  4596,  4508,  4422,  5124,
    3473,  3968,  4599,  4600,  4811,  4602,  2566,  1061,  4415,  4131,
    4804,  1446,  2170,  2815,  5518,  4132,  2444,  4723,  5299,  1843,
    3999,   376,  2208,  5042,  2210,  4131,  4133,  2214,  1064,  2216,
     920,  4979,  2219,  2220,  2221,  5488,  5372,  2514,  1164,  1267,
    5304,  3649,  3063,  1719,  2773,  2228,  1816,  1720,  4472,   701,
    3081,  4533,  3650,  1818,  4134,  5262,  4135,  3655,   216,  2254,
    5110,  2255,  4124,  5508,  2797,  5268,   372,  4269,  3843,   701,
    4134,  2445,  3843,    81,    81,  5544,    81,  4511,  3871,  4949,
    4537,  1494,  5278, -2211,  1229,  4815,  5283,  5284,   922,  1980,
    3696,   224,   701,  3361,  5379,  5380,    79,    79,  5490,    79,
    2424,  3574,  3575,  3576,  3577,  2561,  2432,  2433,  3990,  2437,
    4479,  3399,  1844,  3582, -2239,  1789,  2149, -1666,  1096,  3161,
    2069,  4626,  2562,  1156,  1156,  3143,  1156,  3528,   701,  2581,
    1062,   235,  4136,  5540,  5180,  2096,   908,  3445,  2774,   206,
    5275, -2211,  1446,  4658,   701,  1683,  4534,  2835,  1296,  2481,
    4293,  1765,   372,  4122,  3444,  5305,  3969,  3886,  5300,   701,
    2836,  2550,   701,  2582,  3697,  1205,   216,  -428,  4741,  1065,
    4742,  3262, -2239,  1229,  5195,  3939,  3457,  2398,  2563,   249,
    4538,  3626,  5196,  3446,   920,  4512,  4480,  2939,  4513,  4137,
    2710,  3449, -1666,  3451,  4138,  1093,  2564,  1396,  4450,   224,
    5355,  1229,  1296,  5509,  3496,  4941,  1066,  1067,  2482,  3845,
    4138,  1684,  3872,  3845,  4472,   733,   733,  2399,  2382,    37,
      38,    39,    40,  5306,  1810,  1811,    44,  5356,  5491,  1229,
    1229,  1229,  4139,  1229,   930,  1981,   931,  1143,  2138,   235,
    1297,  4481,   922,  4482,  4065,  2354,  4140,  3801,  4139,  3802,
    3970,  -532,   238,  1229,  1848,  1170,  1849,  2149,  2484,  3873,
    2052,  2555,  4140,  3474,  3628,  2380,  2381,  3326,  4707,  1982,
    4708,  2556,  3803,   248,  3464,  1171,  -428,  5500,  3210,  2098,
    3465,  1298,  2383,  2662,   862,  1172,  1910,   249,  2557,   701,
    1123,   418,  2396,  3475,  1297,  4262,  1956,   701,   701,  1983,
    1146,  4743,  5156,  1002,  1181,    35,  1178,  1229,   420,    37,
      38,    39,    40,    41,    42,  1789,    44,  2416,  3425,   733,
    1789,  1789,  5321,   419,   419,  1540,  1750,   863,  2565,  2099,
    1957,  3108,  1299,  3109,  4141,  1298,  1229,  5210,  5197,  1267,
    1229,  1229,  3470,  3336,   418,   418,   418, -1666,  5318,  3358,
    4141,  3282,  4196,  2717,  1181,  4200,  3110,  4460,  3263,  3874,
    3264,   420,   420,   420,  1154,  1179,  1280,  5011,  2139,  2496,
     372,  2480,   419,  3211,  1130,  3804,  3471,  2996,  3466,  2518,
    3805,   701,  2604,   852,  4061,  3426,  1299,  1173,   930,  5348,
     931,   864,  1281,  1939,   418,  1752,  2492,    37,    38,    39,
      40,   418,  3950,  2682,    44,  1541,  3472,  4221,   418,  2769,
     905,   420,  2100,  3246,   936,  3039,  5272,  3337,   420,  1446,
    1750,  2510,  2512,  2558,   999,   420,  3882,  1940,  3602,  3283,
    2566,  1958,    35,  1709,  2416,  1088,  1705,  4395,  1857,  2481,
      41,    42,  1857,    37,    38,    39,    40,  3338,  3748,  4062,
      44,  1174,  1136,  3681,  3111,  1931,  3927,  2149,  3843,  3112,
    3776,  1181,  3265,  3843,  3113,  5269,  2770,  2683,  3843,  1160,
    2713,  3843,   845,  3966,  1088,  3294,  1094,  2811,  5087,  5422,
    5089,  3339,  1446,  3040,   121,  5131,  4523,  1789,  5206,  1752,
    4627,  4913,  3799,  4914,  4915,  1789,  2843,  4916,  2482,  1710,
     852,  3843,   125,  3357,  4856,  4857,  3806,  4396,  1396,  2441,
    1087,  4311,  1567,  4312,  1446,  3843,  3807,  4951,  3430,  3290,
    2036,  1175, -1666,  4960,  3467,   845,  3378,  4461,  1753,  3295,
    3825, -1666,  1834,  2113, -1666,  1837, -1666,  4397,  1851,  3620,
    2701,  4970,  3041,  1851,  4849,  3042,  2442,   920,  2701,  1087,
    5343,  4524,  4398,  1789,  4628,  1026,  1789,  1789,  3468,  4462,
    2897,  3429,  4399, -2070,  2891,  2140,  1835,   209,  4268,  3431,
    1396,  3916,  3294, -1006,   701,  3340,  1088,  1027,  4272,  2366,
    4463, -2070,  3379,  1373,  2141,  -170,  1148,  4400,  3469,   845,
    3114,  2876,  5128,  1988,  1181,  1446,  1836,  4477, -1517,  3845,
    3115,  3667,  3857, -1517,  3845,   922,  5047,   418,  4850,  3845,
    1446,  -170,  3845,  5129,  1374,  3493,  4273,  5109,  2788,  1167,
    3437,  2664,  3958,  3432,   420,  1789,  3947,  1857,   427,  1446,
    3192,  5382,  2655,  2795,  4313,  3185,  1164,   862,  3043,   209,
    2986,  5510,  3845,  2444,  4314,   701,  1375,  1149,  3508,   701,
    2489,  1087,   963,  2490,  1839,  5135,  3845,  5477,   193,  3002,
    3843,   701,  2406,  5535,  4401,  1988,  1969, -1517,  2664,  2702,
    1750,  2703,  1934,  3161,  3437,  1751,  1446,  2702,  3161,  2703,
     863,  4302,  2748,   427,  3161,  4178,  2125,  3476,  1840,  1229,
    1934, -1479,  1376,  1935,  4187,  1446, -2589,    45,  2445,   852,
    1970,  1229,  3981, -1479,  1971,  2126, -1517,  1446, -1479,  3168,
    4328,  1935,   376,  4816,  1150,  3433,  2749,  3477,  1841,  1446,
    2942,  2750,  2943,  4586,  4001,  3843,  2945,  5017,  2946,  5128,
    1972,  2948,  1501,  2751,  1229,  2949,   701,   701,  3880,  1752,
    5450,   216,  3044,  4587,  5048,     8,  2491,  5371,  3490,   701,
    5129,   930, -1479,   931,  1979,  4509,  4514,  3001,  2752,  1446,
    2665,  1934,  1446,  2891,   701,   701,  2707,  3192,  1202,  3925,
    4023,  4499, -1479,    81,   224,   376,    81,  2052,  1753,  2995,
    2992,  2993,  1935,  4024,  2994,  3024,   701,  2666,   845,  3810,
    4930,    37,    38,    39,    40,  4931,    79,  4283,    44,    79,
    2644,  3845,  2645,  3984,  3063,  3063,  2640,  2665,  5136,  3063,
    2667, -1479,  2668,  2323,   235,  2641,  4526,  2534,  1208, -1479,
    1396,    37,    38,    39,    40,  3434,  1229,   238,    44,  1219,
    4935,  4479,  3168,  3435,  2666,  2640,  3436,   846,  1151,  4932,
    1493,   427,  2329,  1373,  2647,  2662,  3063,  3063,   248,  4237,
    4238,  2535,  1980,  1234,  4681,  4288,  3671,  2667,  2646,  2668,
    4936,  1267,  5478,  1229,  1229,  5531,  3845,  1210,  1236,  1229,
    1229,  4029,  2331,  5301,  1374,  3048,  1229,  1229,  1229,  1211,
    1212,  2536,  1229,  4147,  1229,  1229,  1229,  1229,  1229,  1229,
   -1516,  1229,  2662,  1229,  1229, -1516,  1249,  1229,  1213,   418,
    1701,  1214,  3201,    43,  3843,  1719,  4175,  4480,    45,  1720,
    1251,  1446,  1229,  1229,  1229,  1229,   420,  1252,  1253,  1254,
    1229,  2386,  1250,  4570,  1229,  3098,  4607,  1229,  4832,  3843,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  5498,
    1229,  3891,  5128, -1479,  4571,  2120,  2121,  3284,  1229,  3287,
    4988,  1229,  1376,  3932,   846,  1396,  4395,  1730,  2113, -1516,
    2541,  3608,  4481,  5129,  4482,  1286,  3579,  4033,  4608,  5520,
     419,  3580,  5177,    35,   427,  4669,  1294,    37,    38,    39,
      40,    41,    42,    43,    44,  3220,  3957,  1295,    45,  4396,
    1942,   852,   418,  4609,  3344,  1339,   372,  1143, -1516,  3936,
    3937,  4034,  1342,  1719,  4122,  5219,  1741,  1720,  4610,   420,
     216,  2188,  4611,    35,  1229,  2189,  3281,  5447,  4286,  4397,
    1215,    41,    42,  4130,  1344,   419,  4396,   419,  3580,  2188,
    3277,  4035,  4612,  2932,  4794,  4613,  1192,  5550,  1943,  4244,
    4245,  4246,  4053,   224,  4399,  3845,  2664,   418,  4614,   418,
    2473,  2474,  1579,  4474,  4475,  3749,  4397,  1347,  1216,  3750,
    3751,  3752,  2473,  3230,   420,  2125,   420,  4927,  1360,  4929,
    3845,  4398,  4726,  4933,  2371,  4934,  4352,  2372,    35,   427,
     845,  4399,  1368,   235,  2126,   701,    41,    42,  2390,  1352,
    3721,  1353,  4457,    45,  2935,  3843,   238,  2113,  2129,  2541,
    2113,  -531,  1837,    81,  1789,    81,  4400,    37,    38,    39,
      40,  1446,   418,  1378,    44,  1446,  1446,   248,  5202,  1944,
    1355,  1377,  1356,    80,  1819,   701,    79,  4615,    79,   420,
     701,   249,  4304,  1154,   701,  4616,  4163,  1719,  2416, -2049,
    1379,  1720,   701,  4048,  2721,  2664,  4401, -1670, -1670, -1670,
   -1670,  1385,  4056,   846, -1670,  4714,  4715,  4716,  3206,  3207,
     701,  3722,  3890,  1229,  1388,  3723,  4333,  1945,   427,  1946,
    3428,  4617,  1402,  5536,  1229,  4495,  5537,  1418,  1446,  2709,
    2197,  1229,  2198,  4401,  1396,  2665,  1396,  3854,  3855,  3775,
    1446,  3777,  3778,  4276,  2322,  1741,  1447,  2323, -1467,  2391,
    4289,  2263,   701,  2264,   852,  2276,  1461,   249,  1948,  1456,
     700,  4375,  2666,  1088,  2869,  4148,  2870,  4150,  2664,   701,
     701,  2113,  2897,  2541,  2002,  3085,  2329,  1446,  3088,   418,
   -1540, -1540, -2798,   418,  1455,  2667,  3845,  2668,  1481,  2422,
    4411,  2423,  1472,  2747,    35,  3754,   420,   701,  1950,  2425,
     420,  2426,    41,    42,  1396,  2934,  2331,  2935,  2955,  3403,
    2956,  2957,  2322,  2956,  2989,  2323,  2990,  3191,  1000,  3192,
    2662,  1496,  4156,   948,  4159,  3891,    45,   701,  3438,   966,
    3891,   701, -1046, -1046,  2665,  4214,  1535,  1952,  1087,  4416,
    4417,  4418,  1539,   845,  2329, -1677, -1677, -1677, -1677,   701,
   -2798,  3571, -1677,  3355,  3755,  3356,  3420,  1052,  3421,  1789,
     701,  2666,  3529,  3534,  3530,  3535,  3347,  1789,  1543,  1789,
    3798,   852,  5151,   701,  2331,   852,  1550,  3595,  2417,  3596,
    1842,   701,  3438,  3629,  2667,  2935,  2668,  1556,  1558,  1257,
    1258,  1259,  1557,  1260,  1261,  1262,  1263,  1264,  1265,  4242,
    4243,  4244,  4245,  4246,  3673,  1564,  2956,  2665,  1565,  4699,
    3168, -2798,  3720,  1566,  2935,  3729, -2798,  2935,  1568,  2662,
     418,  1570,  3735,  2322,  2935,  3736,  2323,  2935,  1229,  1446,
    1843,  3737,  1569,  2935,  2666,  1567,  1573,   420,  3809,  3768,
    1574,  2935,  2322,  3438,  1576,  2323,  3539,  1704,  3781,  3438,
    2935,  3786, -2798,  3787,    74,  2329,  1707,  2667,  1144,  2668,
     845, -2798,  1713,  1711,   845,  4242,  4243,  4244,  4245,  4246,
    1032,  1785,  4282,  4247,  2329, -1668, -1668, -1668, -1668, -2798,
   -2798,  3438, -1668,  1712, -2798,  2331, -1671, -1671, -1671, -1671,
    1718,  1731,  2662, -1671,  1738,   846,  2338,  1741,  2664,  1446,
    1742,  4591,  1144,   701,  2331,  1739,  1748,  4901,  4902,  3826,
    4904,  3827,   852,  1763,  3828,  1229,  3829,  4988,  1768,  4016,
   -2798,  4017,  4021,  1844,  4022,  4208,  4235,  4209,  2935,  1192,
    1764,  3756,  3757,  3758,  1770,  3759,  3760,  3761,  3762,  3763,
    3764,  1774,  1775,  4691,   372,  3063,  3063,  3063,  3063,  4362,
    1779,  3063,  3063,  3063,  3063,  3063,  3063,  3063,  3063,  3063,
    3063,  4334,  1778,  4335,  2338,   701,  1791,  4344,  4365,  4345,
    1780,  1781,  1845,  1229,  4355,  1782,  2935, -2798,  4337,  3831,
    3832,  3833,  1784,  4441,  1579,  4442,  4446,  3749,  4447,  1783,
   -2798,  3750,  3751,  3752,  1790, -2798,  3415, -1669, -1669, -1669,
   -1669,   845,  1822,  1793, -1669,  4759,  1846,  3063,  3063, -2798,
     209,  4456,   701,  3264, -2798,  1144,  1825,  1831,  1037,  2277,
    4478,  4620,  2956,  4621,  4660,  4720,  2956,  2252,  1446,  1789,
    4738, -2798,  2935,  4764,   701,  2990,  1847,  2665,  2286,  4776,
    1037,  2935,   701,  1823,  1837, -2798,  1229,  1867,  1579,  1446,
   -2798,  3749,  1229,  1872,  1896,  3750,  3751,  3752,  1898,  4834,
    1446,  3264,  1894,  1899,  2666,  1848,  1926,  1849,  2302,  1229,
   -2798,  4840,  1930,  4841,  1229,  2338,  1929,  2345,  2346,  2347,
    2348,  2349,  2350,  2315,  4846,  1931,  2956,  2667,   913,  2668,
    4847,  4920,  2956,  4921,  2338,  1933,  1928,  1229,  1229,  1229,
    1941,   418,  1229,  4972,  5022,  4973,  5023,   418,   846,  1938,
    1229,  1229,  1229,  1229,  5024,  1850,  2935,  5032,   420,  2990,
    1964,  1965,  2662,  1229,   420,  1977,  1229,  3782,  1229,  5107,
     691,  5108,  5178,  3789,  2956,  5203,  1986,  5204, -2798,  1229,
    1229,  1987,  1991,  1229,  2664,  2345,  2346,  2347,  2348,  2349,
    2350,  1996,  4924,  5221,  1997,  2990, -2798,  1229,   376,  1229,
    1998,  1229,  2995,  2992,  2993,  2003,  5229,  2994,  5230,   920,
    2005,  1579,  4748,  2007,  3749, -2798,  2664,  3754,  3750,  3751,
    3752,  1229,  2010,  2014,  1154,  1154,  2015,  1154,  2664,  5234,
   -1000,  3192,  1229,   852,  1229,  1229,  1229,  2021,  2022,   852,
    5240,  5242,  4185,  4185,  4957,  4717,  4669,  5254,  5295,  5255,
    5296,  5317,  5335,  2385,  5255,   701,  5349,  3891,  2990,  1229,
    3753,  5350,  5351,  3787,  2935,   846,   948,   922,  5361,   846,
    3192,  5364,  1229,  4185,  2025,  2028,  3755,  1229,  1789,  2033,
    2030,  3754,  4060,  1229,  5386,  5392,  2990,  2990,  5393, -2798,
    2990,  2040,  5408,  1229,  5409,  2043,  2345,  2346,  2347,  2348,
    2349,  2350,  2036,  2664,  5486,  5487,  2045,  5439, -2798,  3192,
    3570,  5440,  2054,  2935,  4066,  2345,  2346,  2347,  2348,  2349,
    2350,  2057,   845,  2665,  -190,  2056,  4094,  5441,   845,  2935,
    2059,  5443,  1446,  2935,  5494,  1446,  4185,  1446,  2061,  5497,
    3755,  5248,  1446,  2073,   701,  2664,  5519,  5533,  5255,  5534,
    2666,  5559,  1747,  5534,  1749,  2665,  1833,  4793,  2075,  4796,
     701,   701,  2082,  2084,  4644,  4645,  1229,  2665,   881,  3063,
    2088,  2093,  2101,  2667,  2106,  2668,  2107,  4649,  2108,  2109,
    2113,  2116,  2666,  2117,  2119,  2133,  2145,   701,  2146,  2148,
     701,  2149,  2156,  1446,  2666,  2159,  2160,  2163,  2161,  2162,
    2164,  4500,  2166,  2171, -2798,  2667,   846,  2668,  2662,  2172,
    1446,  2173,  2174,   930,  2176,   931,  2181,  2667,  2195,  2668,
    2260,  2265,  2229,  2267,  5233,   933,  2274,  2268,  2275,  2283,
    2355,  5557,  5558,  2357,  1446,  5233,   935,  2281,  2282,  2052,
    2662,  2359,  2665,  4527,  2284,  2285,   249,   418,   418,   418,
    4823,  2287,  2662,  3756,  3757,  3758,  2288,  3759,  3760,  3761,
    3762,  3763,  3764,  3755,   420,   420,   420,  2289,  2290,  2666,
    2389,  2291,  2292,  2401,  2294,  2295,  2296,  2297,  2298,  2299,
    2300,  2301,  2303,  2304,  2665,  2305,  2306,  2307,   701,  1525,
    2308,  2360,  2667,  2309,  2668,  2310,  2411,  1446,  2421,  1446,
     701,  2385,  2430,  1751,   701,  1753,  2459,  2461,  2470,  5140,
    2479,  2666,  2472,   701,  5291,  1337,  1181,  3756,  3757,  3758,
    2495,  3759,  3760,  3761,  3762,  3763,  3764,  2662,  5146,  5148,
    2487,  2497,  2493,  2506,  2667,  2322,  2668,  2505,  2323,   852,
     852,   852,  2324,  2325,  2326,  2508,  2513,  2515,  2537, -2741,
    2517,  2538,  2539,  4369,  2541,   193,  2542,  2543,  1446,  2327,
    2544,  2545,  2553,  2578,  2546,  2547,  2572,  2329,  1544,  2662,
    2584,  2606,  2610,  2330,  1397,   966,  2613,   701,  2614,  2616,
    2612,  4926,  2615,  1446,  2631,  2633,  4232,  2643,  2655,  2632,
    2656,  2658,  2659,  4821,  2660,   943,   418,  2331,  2661,  2662,
    4191,  2670,  2673,  2671,  2672,  2674,  2678,  2687,  4116,  1446,
    4203,    80,  2679,   420,  1446,  2697,  5362,  2689,  2693,   701,
    2704,   701,  2795,  1910,  2733,  2716,  2734,  2738,   845,   845,
     845,  2760,  1789,   701,  4231,   701,  2694,  1789,   216,  2705,
    3756,  3757,  3758,   954,  3759,  3760,  3761,  3762,  3763,  3764,
    2711,  2712,  2739,  2722,  2761,  1144,  2723,  2735,  2743,   129,
     130,  2746,  2768,  2776,  2777,  1267,  2779,  2791,  2790,  2796,
    1552,   224,  1446,  1144,  2762,   372,  2799,  2780,  2800,   698,
    2803,   915,  2804,  2807,  2812,  2827,  2832,   846,   852,   701,
    1446,  2845,  2848,   846,  4944,  2849,  1958,  4377,  4378,  4379,
    4380,  2857,  2332,  2863,  1572,  1446,  2865,  2333,  2872,  2883,
    4863,   235,  2885,  2886,  1686,  2861,  2866,  1005,  1698,  1397,
    1700,  2894,  2877,  2892,   238,  2895,  2951,  2904,  2334,  2335,
    2906,  2907,  2908,  5058,  2909,  2926,  2927,  1006,   372,  1396,
    5073,  2890,  5297,  2336,   701,   248,  5279,  2891,  2952,  2968,
    2974,  5137,  3036,  5282,  2987,  3004,  1039,  3031,  1229,   249,
   -1250,   701,  3080, -1250,  3086,  2323,  4897,  5086,  5287,  1007,
    5289,  3090,  3099,  3105,  2337,  3117,  3139,   845,  1039,  3119,
    3140,  3154,  1221,   701,  3171,  3174,   701,  2338,  3172,  3182,
    2339,  1243,  3177,  3183,  3179,  3193,  1149,  3202,  3203,  3204,
    3194,  5079,  3221,  1229,  3215,  3239,  1446,  3205,   700,   700,
    3236,  3106,  1229,  1820,  3238,  2375,  1789,  3253,  1229,  3256,
    1229,  3254,  3266,  1229,  3267,  3268,  1340,  1446,  1229,  1229,
    1229,  1229,  3285,  3290,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  3288,  3292,   418,  1229,  1229,  3293,
    3299,    35,  1446,  3304,  3309,  3319,  3310,  1229,  3312,    41,
      42,  1229,  3323,   420,  3315,  1229,  3332,  3331,  2340,  3335,
    3348,  3353,  4339,  1229,  1701,  1705,  1229,  3411,  1229,  3367,
    3555,  3405,  5140,  3410,  1400,  3380,  1446,  1229,  3422,  3423,
    1229,  1229,    74,  3419,  1451,  1229,  1229,  3424,  3439,  3481,
    5223,  3503,  1229,  3492,  3478,  3499,  3500,  3504,  3505,  3511,
    3512,  3515,  1229,  1037,  1229,  1037,  3522,  1037,  3513,  3514,
    3524,  3519,  3547,  1037,  1523,  1524,  1229,  3531,  3536,  3561,
    5175,   206,  1229,  1229,  1229,  3565,  3578,  3430,   852,  2317,
    3572,  3581,  3563,  3587,   372,  4700,  1164,  1037,  1037,  3588,
    3586,  3589,  3590,  3598,  3601,  3600,  1245,  3605,   216,  3618,
    3604,  2341,  3619,  1274,  2342,  2343,  2344,  5228,  2345,  2346,
    2347,  2348,  2349,  2350,  1291,  3063,  3180,  3623,  3624,  1229,
    3622,  3625,  3181,  3627,  5025,  3633,  3630,  3632,  3431,  3634,
    2490,   224,  1229,   846,   846,   846,  3635,  3636,  3645,  3647,
    3646,  3656,   691,  4552,  5094,  3658,  3661,   691,  1446,  3662,
    3665,  3675,  3666,  3676,  3677,  3192,  3687,  2182,   691,  3678,
    3680,  3689,  3691,  1229,  3005,  2322,  3690,   845,  2323,  3698,
    3701,   235,  3706,  1541,  3708,  1008,  3712,  3556,  3713,  3715,
    3734,  3716,  3432,  3718,   238,  3795, -1929,  5116,  3783,  3800,
    3848,  3817,  3822,  3731,  3732,   701,  1396,  2329,  2935,  3733,
    3738,  3897,  3739, -2798,  3745,   248,  3899,  3903,  3901,  3741,
    3744,  3893,  3907,  3767,  3914,  1037,  1267,  3773,   418,  1009,
    3919,  3780,  5111,   418,  3808,   418,  5504,  2331,  3794,  3920,
    3930,  3818,  1397,  3820,  1812,   420,    80,    80,  3853,    80,
     420,  1446,   420,  3821,  5354,  3824,  3918,  2188,  3891,  3403,
    3923,  4522,  3924,  3938,  3940,  1397,  5363,  3949,  3952,  1267,
    3941,  5365,  3945,  5367,  1789,  3954,  3961,  3988,  3989,  3946,
    3977,  3978,  3993,  3994,  3433,  4004,  4006,  4003,  4020,  4012,
    4049,  1037,   846,  4047,  4051,  4052,  4055,  4069,  4058,  4070,
     701,  4366,  4059,   701,  4057,  4071,  4067,  4085,  4087,  4074,
    4068,  2256,  4072,  4073,  4075,  4076,  4077,  4078,  4079,  4081,
     852,  4080,  4089,   418,  3557,   852,  4082,   852,  4091,  2731,
    4100,  4106,  4107,  4112,  4109,  1397,  4093,  4127,  4154,  4170,
     420,  4155, -2798,  4172,  4174,  4176,  4184, -2798,  4161,  4606,
    4192,  4185,  4197,  4201,  3008,  4198,  4202,  4206,  4218,  4229,
    4676,  4194,  1229,  4205,  4239,  2135,  4241,  3558,  4265,  4252,
    2492,  4254,  4264,  2006,  4266,  4267,  4270,  4275,  4277,  4278,
    4279,  4287,  4296, -2798,  2013,   701,   701,  4290,  4292,  1446,
    3770,  2276,  3749, -1928,  3434,  3769,  4330,  4357,   701,  1150,
     701,  3009,  3435,  3063,  4305,  3436,  4346,  4376,  2319,   845,
    4370,  4386,  4408,  4413,   845,   852,   845,  2321,  4331,  4332,
    4338,  4358,  4436,  4231,  4439,  4361,  4426,  2338,   691,   691,
     419,  2364,  3010,  4394,  4444,  4459,  4465,  1446,  1229,  1229,
    4423,  1579,  4486,  4410,  3749,  4452,  4431,  2086, -2798, -2798,
   -2798,  4427,   418,  3011,  4425,  4430,  2322,  4488,  4489,  2323,
    4501,  4494,  1397,  4502,  3012,  2395,  2397,  4503,  4504,   420,
    1397,  1397,  4506,  2322,  4515,  4528,  2323,  4529,  4531,  5381,
   -2798, -2798, -2798,  4530,  3013,  4541,  4542,  4549,  2329,  3014,
    4543,  4544,  4559,  4545, -2798,  4547,  4836,  4546,  4550,  4560,
    4567,   701,  4583,  4585,   845,  2329,  4510,  4594, -2798,  4588,
    4595,  2330,  4597,  4598,  4601,  4623,  4220,  4634,  2331,  4631,
    4641,  1789,  1229,  4639,  4647,  4653,  4654,    74,    74,  2956,
      74,  4656,  4657,  1229,  4673,  2331,  4674,  3015,  4686,  4687,
    4689,  4690,   846,  4692,  4693,  4695,  1037,  4697,  4698,  4718,
    4713,  4722,  4724,  4725,   700,  4729,  4740,  4730,  3016,  4732,
    4735,  4749,  4750,  1229,  4744,  4751,  4745, -1930,  4752,  4753,
    4757,  4772,  4784,  1229,  1229,  5378,  1446,  4790,  4787,  1396,
    1229,  1229,  4770,  4789,  4797,  1229,  1446,  4785,  4798,  4802,
    1229,  4803,  4805,  1229,  1229,  4806,  4822,  4808,  1229,  4809,
    4824, -2798,  4810,  2322,  1229,  4833,  2323,  4829,  2345,  2346,
    2347,  2348,  2349,  2350,  4869,  4837,  4842,  4835,  4843,   881,
    4851,  4867,  1229, -2798,  4868,  4875,  1229,  4876, -2798,  4874,
    4887,  4890,  4894,  4896,  4905,  2329,  4899,  4900,  1229,  4912,
    2332, -2798,  4937,  1229,  4938,  2333,  3017,  1267,  1579,  1229,
    4950,  3749,  4945,  3018,  4954,  3750,  3751,  3752,  4955,  3019,
    4958,  4956,  4963,  4965, -2798,  2331,  4974,  1229,  4983,  4984,
    4981,  4985,  4353,  4986,  4994,  4999,  5004,  4818,  5008,  5009,
      81,  2336,  5018,  5019,  5021,  5026,  5028,  5029,  5030,  2315,
    5071,  3020,  5051,  3755,  3021,  5037,  1229,  5031,  5044,  5055,
    5080,  5083,  5088,    79,  5100,  5104,  5113,  5084,  2338,  5077,
    5134,  5103,  3022,  5138,  1446,  5145,  5118,   418,  5119,  2714,
    5123,  5152,  4630,  5159,  5161,  2338,  5166,  5162,  5164,  5165,
    5184,   701,  5185,  2315,   420,  5186,  5190,  3023,  5188,  5193,
    5194,  5209,  5205,  1446,  5207,  5215,  1037,  5208,  5224,  5227,
    3106,  1037,  1037,  5231,  5236,  5239,  5271,   701,  5243,  5252,
    5273,  1039,  1446,  1039,  5286,  1039,  3819,  5244,  5248,   701,
   -2798,  1039,  5246,  5263,   846, -2798,  5302,  1229,  5307,   846,
    5314,   846,  3837,  5319,  5330,  5324,  5311,   701,  5312, -2798,
    2785,  5331,  5332,  5339,  5347,  1039,  1039,  5340,  5341,  5352,
    5360,  5342,  5369,  5353,  5370,  5373,  2340,  5366,  5374,   852,
    5385, -2798,  5389,  5280,  5398,  5399,  1446,  5376,  5402,  5404,
    2823,   372,  5410,  5412,  5407,  2488,  5413,  1524,  5419,  5420,
    5427,  5456,  5428,  5460,   701,  5437,  5400,  5421,  4371,  5449,
    5401,  3754,  5468,  3837,  5451,  2502,  1143,  5467,  5489,  5495,
    5507,  1229,  2509,  2511,  5528,  2338,  5472,  1789,  5538,  5529,
    5539,  5526,  1229,  5527,  5532,  5542,  5546,  5551,  5552,   846,
   -2798, -2798, -2798,  5547,  3759,  3760,  3761,  3762,  3763,  3764,
    5553,  5554, -2798,  5555,  1162,  2744,  1962,  3567,  1897,  2345,
    2346,  2347,  2348,  2349,  2350,  2408,  3883,  3409,   845,  2341,
    3755,  1937, -2798, -2798, -2798,  4520,  2345,  2346,  2347,  2348,
    2349,  2350,  1961,  4000,  3491,  1446,  4111,  1446,  1037,  4603,
    5293,  5397,  5139,  1039,  1900,  5187,  1037,  4643,  5189,  4942,
    1901,  5174,  5452,  3943,  3674,  5092, -2798,   698,   698,  5502,
    5405,  5403,  1817,  5466,  4677,  3948,    80,  4661,  4638,    80,
    3545,  3546,   701,  4518,  4014,  2824,  4650,  4959,  3537,  4180,
    5506,  5556,  5543,  5163,  4128,  4115,  5470,  5117,  1229,  2806,
    1902,  5391,  1446,  5457,  5120,  5078,  1057,  1229,  4719,  5258,
    2249,  3931,  3259,  4683,  1037,  5337,  2262,  1037,  1037,  1039,
    2998,  1473,  2999,  5480,  1229,  1229,  1398,  3000,  1229,  5545,
    4088,  2552,  3187,  2941,  3188,  3888,  4664,  4825,  5446,  4448,
    3670,  2196,  1229,  2427,  3889,  3214,  2456,  1229,  3898,  3896,
    4424,  1903,  1229,  5442,   691,  1229,  1229,  2455,  1904, -2798,
    5368,  1905,  4813,  1229,  1229,  1715,  2345,  2346,  2347,  2348,
    2349,  2350,  3900,  4795,  3213,  2460,  2370,  4389,  3047,  1144,
    5238,  2465,  4783,  4385,  5359,  1229,  1037,  5358,  4449,  5222,
    4248,  4340,  5074,   701,  5444,   701,  5076,  5445,  5436,  1229,
    3892,  1144,  3144,  3815,  3726,  3813,  1195,  3756,  3757,  3758,
    4230,  3759,  3760,  3761,  3762,  3763,  3764,  1906,  3153,  3621,
    2095,  2868,  5429,  3240,  3231,  1165,  1830,  2257,  2132,  1492,
    3247,  1801,  1446,   701,  3878,  4454,  3244,  4814,  3245,  4455,
    2471,  4429,  1229,  1579,  2374,  1188,  3749,  5179,  2478,  3672,
    3750,  3751,  3752,  3251,  2953,  1789,  1802,    83,     0,     0,
    2185,     0,   418,  1530,     0,  2867,     0,  4766,     0,  2165,
       0,  2475,  5198,     0,  1907,     0,  1908,  2175,     0,   420,
       0,   701,     0,  2183,     0,  3176,  1909,     0,  4606,  2879,
       0,     0,     0,  1229,  1910,     0,     0,     0,  2873,  2887,
       0,  2888,     0,     0,  1911,     0,     0,     0,  2893,     0,
       0,     0,     0,  2896,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1912,     0,
       0,  1913,  1914,  2900,  1229,     0,  1446,  2742,     0,   372,
       0,     0,     0,     0,   852,     0,     0,    74,     0,   372,
      74,  1900,     0,  1579,     0,     0,  3749,  1901,  1915,     0,
    3750,  3751,  3752,     0,  1039,     0,  1229,  1446,     0,  1229,
       0,  1229,     0,   372,     0,     0,   379,  4767,   700,     0,
       0,     0,   379,   846,     0,     0,     0,   694,     0,     0,
       0,     0,     0,     0,  1820,  1229,    80,  1902,    80,  1229,
       0,     0,     0,     0,     0,  1446,     0,     0,  2813,     0,
    1229,     0,  2826,     0,   379,     0,     0,     0,     0,     0,
       0,  1916,     0,     0,  2742,  1243,  3754,     0,     0,     0,
       0,     0,  1229,   845,     0,  1397,     0,     0,     0,   418,
       0,     0,     0,     0,     0,     0,  3037,  3038,  1903,     0,
       0,     0,     0,  3052,  3053,  1904,   420,     0,  1905,   379,
       0,     0,  1446,     0,     0,  5325,  1446,  1446,     0,     0,
       0,  1229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3091,     0,     0,  3755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2903,  1700,     0,     0,     0,     0,  3610,  1083,     0,     0,
       0,     0,  1229,     0,  1906,  1083,     0,  1083,     0,     0,
       0,     0,     0,     0,     0,  1875,     0,     0,  2742,     0,
     379,   852,  1229,     0,     0,     0,     0,     0,  2502,     0,
       0,     0,     0,     0,     0,     0,  3754,     0,     0,     0,
       0,     0,  1446,  1446,     0,     0,     0,     0,  1876,     0,
       0,     0,     0,  5346,  1039,     0,  2315,     0,     0,  1039,
    1039,  1907,     0,  1908,     0,  1229,     0,     0,  1229,     0,
       0,     0,  4384,  1909,  4387,  5525,     0,  1229,     0,     0,
       0,  1910,  1229,     0,  1229,     0,  1229,     0,     0,     0,
       0,  1911,  1037,  1229,     0,  3755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1877,     0,     0,     0,     0,
     845,  1229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1966,     0,     0,  1913,  1914,
       0,     0,  3510,     0,   701,     0,     0,     0,  1878,     0,
    3510,     0,     0,   698,     0,  1037,     0,     0,  3510,     0,
    3510,     0,  3756,  3757,  3758,  1967,  3759,  3760,  3761,  3762,
    3763,  3764,  1229,     0,     0,  1812,     0,    74,  3611,    74,
       0,     0,     0,  1879,     0,     0,  2322,     0,   379,  2323,
       0,     0,  5471,  2324,  2325,  2326,     0,     0,     0,     0,
       0,   376,     0,  1229,  1229,  5485,  5482,  5483,  3573,     0,
    5484,     0,     0,     0,  1229,  1880,  1037,     0,  2329,     0,
       0,     0,   701,   379,  2330,     0,     0,     0,  1916,     0,
       0,     0,     0,     0,  1229,     0,  1039,     0,  3603,     0,
       0,     0,     0,     0,  1039,     0,  1397,     0,  2331,     0,
       0,     0,     0,   376,     0,   380,     0,  5485,  5482,  5483,
       0,   380,  5484,     0,     0,     0,   695,     0,     0,  1229,
       0,     0,  3642,  3314,     0,  1229,  1229,     0,  1229,     0,
    1243,   209,  3756,  3757,  3758,  3612,  3759,  3760,  3761,  3762,
    3763,  3764,  1884,   380,     0,     0,     0,  1229,   846,  1885,
       0,     0,  1039,   418,     0,  1039,  1039,  2625,  1397,     0,
       0,     0,   376,     0,     0,     0,  5485,  5482,  5483,  1887,
     420,  5484,     0,     0,     0,     0,     0,  1888,     0,  5515,
       0,     0,     0,     0,     0,     0,     0,     0,   380,     0,
       0,     0,     0,  5516,     0,     0,     0,  3613,   691,     0,
       0,     0,     0,  2332,     0,     0,     0,     0,  2333,     0,
    1037,     0,     0,     0,     0,   418,     0,     0,  1037,     0,
    1037,     0,     0,     0,  1039,     0,  1229,  1229,     0,  2334,
    2335,  1889,   420,     0,   418,  3614,  1429,     0,  3269,     0,
    1229,  5515,  2874,  3273,  2336,   852,     0,  3276,     0,     0,
       0,   420,  1229,  1229,     0,  5516,  2586,  1429,     0,   380,
    5515,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3300,  5516,  2337,     0,     0,  1900,     0,
       0,     0,     0,     0,  1901,     0,     0,  2901,  2338,  2587,
       0,  2905,     0,     0,     0,     0,     0,  2911,  2912,   372,
       0,     0,  2588,     0,     0,     0,     0,   852,     0,  1942,
       0,     0,     0,     0,     0,  3351,  2589,     0,     0,     0,
    2928,     0,     0,     0,  1902,     0,   852,     0,     0,     0,
       0,     0,   691,     0,   845,   846,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2590,     0,  1943,     0,     0,
    3394,     0,   372,     0,     0,     0,  2591,     0,     0,  2340,
       0,     0,     0,     0,     0,  1903,     0,     0,     0,     0,
       0,     0,  1904,     0,     0,  1905,  2592,     0,     0,     0,
     691,  2593,     0,     0,  3440,     0,   845,     0,     0,     0,
       0,     0,  3637,  3640,     0,     0,     0,     0,  1397,     0,
       0,     0,  3452,     0,     0,   845,     0,   380,     0,     0,
       0,     0,     0,  3462,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3486,     0,  1944,     0,
       0,  1906,     0,     0,   691,     0,     0,     0,     0,     0,
       0,     0,   380,     0,     0,     0,     0,     0,     0,     0,
    2594,     0,  2341,     0,     0,  2342,  2343,  2344,     0,  2345,
    2346,  2347,  2348,  2349,  2350,     0,     0,     0,     0,     0,
    1037,     0,     0,     0,     0,     0,  1945,     0,  1946,     0,
       0,  2595,  3837,     0,     0,     0,  3837,     0,  1947,     0,
    1908,     0,     0,     0,     0,   379,  3610,     0,     0,   379,
    1909,     0,     0,     0,     0,     0,     0,     0,  1910,  1875,
       0,   881,     0,   694,     0,  1875,     0,  1948,  1911,     0,
     694,     0,     0,     0,     0,     0,     0,     0,     0,   372,
       0,   694,     0,  1397,     0,  3710,     0,     0,     0,     0,
       0,  3714,  1876,     0,     0,  2596,     0,     0,  1876,     0,
    3184,  2597,  1949,     0,  2598,  1913,  1914,  1950,     0,   694,
       0,     0,     0,     0,   694,     0,  2009,     0,     0,     0,
       0,     0,     0,     0,     0,   694,     0,     0,     0,     0,
       0,     0,  1951,  2599,     0,     0,  2024,     0,     0,     0,
    2600,     0,     0,     0,     0,  2034,  1952,  2601,     0,  1877,
       0,   694,     0,     0,  2602,  1877,     0,     0,     0,     0,
       0,     0,     0,  4019,     0,     0,   694,     0,     0,     0,
       0,     0,   694,     0,     0,     0,     0,     0,     0,  2603,
       0,     0,  1878,   694,    35,     0,     0,     0,  1878,     0,
    1039,     0,    41,    42,     0,  1916,     0,   694,  2322,     0,
       0,  2323,     0,     0,  4054,  2324,  2325,  2326,     0,     0,
       0,     0,     0,     0,     0,  3686,     0,  1879,  3611,     0,
       0,     0,  2327,  1879,  2502,  2328,     0,  3881,     0,  1037,
    2329,  3846,     0,     0,     0,     0,  2330,  3700,     0,   846,
       0,     0,     0,  1039,     0,  3686,     0,   698,     0,  1880,
       0,     0,     0,  4086,     0,  1880,     0,     0,     0,     0,
    2331,     0,     0,  1817,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3510,     0,  1881,     0,     0,
       0,     0,  3510,  3510,     0,     0,  3510,     0,     0,     0,
       0,     0,  3846,  3510,  1083,     0,   694,     0,  1083,     0,
       0,   846,  4125,     0,  1039,     0,     0,  4125,     0,     0,
       0,  1882,  1397,     0,  1397,   209,     0,   379,     0,  1883,
     846,   209,     0,     0,     0,  1883,  1884,     0,     0,     0,
       0,     0,  1884,  1885,     0,     0,     0,     0,     0,  1885,
       0,  1886,     0,     0,     0,     0,     0,  2625,     0,     0,
    1900,     0,  4183,  1887,     0,     0,  1901,  2258,     0,  1887,
       0,  1888,     0,     0,     0,  2332,     0,  1888,     0,     0,
    2333,     0,     0,  1900,     0,     0,     0,     0,     0,  1901,
       0,  4213,  1397,     0,     0,   694,   694,  3613,     0,     0,
       0,  2334,  2335,     0,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2336,     0,     0,     0,
    3642,     0,     0,     0,     0,  1889,     0,     0,     0,  1902,
       0,  1889,     0,     0,   380,  3614,  4220,  3837,   380,     0,
       0,     0,  3837,     0,     0,  3837,     0,  2337,     0,     0,
       0,     0,   695,     0,     0,     0,     0,  1903,  1039,   695,
    2338,     0,     0,  2339,  1904,     0,  1039,  1905,  1039,     0,
     695,     0,     0,     0,     0,     0,     0,  5085,  1083,  1083,
    1903,     0,     0,     0,     0,     0,     0,  1904,     0,     0,
    1905,     0,     0,     0,     0,     0,     0,     0,   695,     0,
       0,     0,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   695,     0,     0,  3933,     0,  2322,
       0,     0,  2323,  1906,     0,     0,  2324,  2325,  2326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     695,  2340,     0,  2327,     0,     0,  1906,     0,     0,     0,
       0,  2329,     0,     0,     0,   695,     0,  2330,     0,     0,
    3955,   695,     0,     0,     0,     0,     0,     0,     0,     0,
    3631,     0,   695,     0,     0,  4350,     0,     0,     0,     0,
    1907,  2331,  1908,     0,     0,     0,   695,     0,     0,  3648,
       0,     0,  1909,  1037,     0,     0,     0,     0,  1037,     0,
    1910,     0,     0,  1907,  3657,  1908,   372,  3659,  3660,     0,
    1911,     0,  3663,  3664,     0,  1909,     0,     0,  2322,  3668,
    4160,  2323,     0,  1910,     0,  2324,  2325,  2326,     0,     0,
       0,   372,     0,  1911,  2341,     0,     0,  2342,  2343,  2344,
       0,  2345,  2346,  2347,  2348,  2349,  2350,  1913,  1914,     0,
    2329,     0,     0,     0,     0,     0,  2330,  2322,     0,   694,
    2323,  4025,     0,     0,  2324,  2325,  2326,  1992,     0,     0,
    1913,  1914,     0,  4044,  1915,     0,     0,     0,     0,   694,
    2331,  2327,     0,     0,     0,   695,  2332,     0,     0,  2329,
       0,  2333,     0,     0,  4236,  2330,  3709,  1993,     0,  3837,
       0,  3640,   694,     0,     0,     0,   380,     0,     0,     0,
    2315,     0,  2334,  2335,     0,     0,     0,     0,     0,  2331,
       0,     0,     0,     0,     0,     0,     0,  2336,  1039,     0,
       0,     0,  2315,     0,     0,     0,     0,  1916,   694,  2681,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4095,     0,     0,     0,   694,     0,     0,     0,  2337,     0,
    1916,     0,     0,     0,     0,     0,     0,  1243,     0,   694,
       0,  2338,   694,     0,   695,   695,     0,  1037,     0,     0,
       0,     0,     0,     0,     0,  2332,     0,     0,     0,     0,
    2333,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4125,     0,     0,     0,     0,     0,
       0, -2798, -2798,     0,     0,     0,     0,     0,     0,     0,
    2759,     0,  3610,     0,  2332,     0,  2336,     0,     0,  2333,
       0,     0,     0,  4553,   372,  2775,  4554,     0,  4555,     0,
       0,  1875,     0,     0,     0,     0,     0,     0,     0,     0,
    2334,  2335,  2340,     0,  2798,     0,     0, -2798,     0,     0,
       0,     0,     0,     0,     0,  2336,     0,     0,     0,     0,
    2338,     0,     0,     0,  1876,     0,     0,     0,     0,     0,
       0,  3510,     0,     0,     0,     0,     0,  3510,  3510,     0,
    3510,     0,  2785,     0,     0,     0,  2337,     0,     0,   694,
       0,  2864,     0,     0,     0,     0,     0,   694,   694,  2338,
       0,     0,  2339,     0,     0,     0,     0,  2742,   379,     0,
    2875,  3846,     0,  3846,     0,     0,     0,     0,     0,     0,
       0,  1877,  1429,     0,  4271,     0,     0,  1039,     0,     0,
       0,     0,     0,     0,  2889,  2341,     0,     0,  2342,  2343,
    2344,  2340,  2345,  2346,  2347,  2348,  2349,  2350,     0,  4285,
       0,     0,     0,     0,  1878,     0,     0,     0,     0,     0,
       0,   379,   379,   379,     0,     0,     0,     0,  4451,     0,
       0,     0,     0,     0,  2920,     0,  4680,  1429,  3953,     0,
    2340,   694,     0,     0,  3611,     0,     0,     0,  2322,  1879,
       0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   379,  2327,  3642,  3642,  3642,  3642,  3642,   379,     0,
    2329,  1880,  3846,     0,     0,   379,  2330,     0,   695,     0,
       0,     0,     0,     0,  2341,  1083,     0,  2342,  2343,  2344,
       0,  2345,  2346,  2347,  2348,  2349,  2350,     0,   695,     0,
    2331,   372,     0,  4005,     0,  4007,     0,     0,  4728,     0,
       0,  4728,     0,  4728,   372,     0,     0,     0,     0,     0,
       0,   695,     0,  2341,  1083,  1037,  2342,  2343,  2344,     0,
    2345,  2346,  2347,  2348,  2349,  2350,     0,   209,     0,     0,
       0,  1883,  3740,     0,     0,     0,     0,     0,  1884,     0,
       0,     0,     0,  1037,     0,  1885,     0,   695,     0,     0,
       0,     0,     0,  2625,     0,     0,  5524,     0,     0,     0,
       0,     0,     0,   695,     0,  1887,  3093,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,   695,     0,
       0,   695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3613,     0,  2332,  1900,     0,     0,  4083,
    2333,     0,  1901,     0,     0,  4090,     0,     0,     0,     0,
    1523,  1524,     0,     0,   694,   372,  1083,     0,     0,     0,
       0,  2334,  2335,     0,     0,     0,     0,  1889,     0,     0,
       0,  3614,  1875,     0,  4812,     0,  2336,  4819,  4820,     0,
       0,     0,  1902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4496,     0,
       0,     0,     0,    80,   379,  1876,     0,  2337,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2338,     0,     0,  2339,     0,   694,     0,     0,     0,   694,
       0,     0,     0,  1903,     0,     0,     0,     0,     0,     0,
    1904,   694,     0,  1905,     0,     0,     0,     0,   695,     0,
       0,     0,     0,     0,     0,     0,   695,   695,     0,     0,
       0,  1039,  1877,     0,     0,     0,  1039,   380,     0,     0,
       0,     0,     0,     0,  3640,  3640,  3640,  3640,  3640,     0,
       0,     0,     0,     0,     0,     0,  4233,     0,     0,     0,
       0,     0,     0,  4572,     0,  1878,  4575,     0,     0,  1906,
       0,  2340,  1037,     0,     0,     0,   693,     0,     0,  4250,
    4251,     0,  4253,     0,  4255,  4256,   694,   694,     0,     0,
     380,   380,   380,     0,     0,     0,     0,  4263,     0,   694,
    1879,     0,     0,   843,     0,     0,     0,  4907,  4908,     0,
     695,     0,     0,     0,   694,   694,  3510,     0,  3510,  3510,
       0,     0,  3510,     0,     0,     0,  1907,  1397,  1908,     0,
       0,  4928,  1880,     0,     0,     0,   694,  4284,  1909,     0,
     380,     0,     0,  3318,     0,     0,  1910,   380,   843,     0,
       0,     0,     0,     0,   380,  3333,  1911,     0,     0,     0,
       0,     0,     0,  4651,  2341,     0,     0,  2342,  2343,  2344,
       0,  2345,  2346,  2347,  2348,  2349,  2350,     0,  4967,     0,
       0,     0,     0,  3790,     0,     0,     0,     0,     0,     0,
    2607,     0,  3363,  1913,  1914,     0,  1082,     0,   209,     0,
    2624,     0,  1883,     0,  1082,     0,  1082,  4987,     0,  1884,
       0,     0,     0,     0,     0,  1039,  1885,     0,     0,   843,
    2608,  3846,     0,     0,  2625,  3846,     0,     0,  2502,     0,
       0,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,  4728,     0,     0,     0,
    4728,  4728,     0,  4728,    74,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3686,     0,   379,     0,     0,  2322,
       0,     0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,
       0,     0,     0,  1916,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2327,     0,     0,     0,     0,  1889,     0,
       0,  2329,     0,   695,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,     0,  1037,     0,     0,     0,     0,  2322,
       0,     0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,
       0,  2331,     0,     0,  4884,  4885,     0,     0,     0,  4888,
    4889,     0,     0,  2327,  3533,     0,     0,     0,     0,     0,
       0,  2329,     0,   380,     0,     0,     0,  2330,     0,   379,
       0,     0,     0,  1900,     0,     0,     0,     0,     0,  1901,
       0,     0,     0,     0,   695,     0,     0,     0,   695,     0,
       0,  2331,     0,     0,     0,     0,     0,     0,     0,     0,
     695,     0,     0,     0,     0,  4125,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1037,  1902,
       0,     0,     0,     0,   379,     0,   379,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3510,     0,   694,  2332,     0,     0,     0,
       0,  2333,     0,     0,  1397,     0,     0,     0,  5143,     0,
    5144,     0,     0,     0,  5149,  5150,     0,     0,     0,     0,
    1903,  4947,  2334,  2335,     0,   695,   695,  1904,     0,     0,
    1905,     0,     0,     0,     0,   694,     0,  2336,   695,   379,
     694,     0,     0,     0,   694,     0,  2332,     0,     0,     0,
       0,  2333,   694,   695,   695,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2337,     0,
     694,     0,  2334,  2335,     0,   695,     0,     0,     0,     0,
    4881,  2338,     0,  1039,  2339,     0,  1906,  2336,     0,     0,
       0,     0,  4891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3699,     0,     0,     0,     0,     0,     0,
       0,  1039,   694,     0,     0,     0,     0,     0,  2337,  1900,
       0,     0,     0,  1083,  3711,  1901,     0,     0,     0,   694,
     694,  2338,     0,     0,  2339,  3717,     0,     0,     0,     0,
       0,     0,     0,  1907,     0,  1908,     0,     0,     0,     0,
    1942,     0,     0,     0,     0,  1909,   379,   694,     0,     0,
     379,     0,  2340,  1910,     0,  1902,     0,     0,     0,     0,
       0,  3846,     0,  1911,     0,     0,  3846,  5075,     0,     0,
       0,  3846,     0,     0,  3846,  5053,     0,   694,     0,     0,
       0,   694,     0,     0,     0,     0,     0,     0,  1943,     0,
       0,     0,     0,     0,     0,   380,     0,  2675,     0,   694,
    1913,  1914,  2340,     0,  3846,     0,  1903,     0,     0,  5294,
     694,     0,     0,  1904,     0,     0,  1905,     0,  3846,     0,
       0,     0,     0,   694,     0,     0,  1037,  2676,     0,  4706,
       0,   694,     0,     0,     0,     0,     0,  4709,  4710,  4711,
    4712,     0,     0,     0,     0,  2341,     0,     0,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
       0,  5115,  3089,     0,     0,  3686,     0,     0,     0,  1944,
       0,     0,  1906,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   379,   380,     0,
    1916,     0,     0,     0,     0,  2341,     0,     0,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
    4428,     0,  1243,     0,     0,     0,     0,  1945,     0,  1946,
    1039,     0,     0,     0,     0,     0,     0,     0,     0,  1947,
       0,  1908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1909,     0,   380,     0,   380,     0,     0,     0,  1910,
       0,     0,     0,   694,     0,     0,     0,     0,  1948,  1911,
       0,     0,     0,  3846,   695,     0,     0,  1397,     0,     0,
       0,  1900,     0,     0,     0,     0,  3686,  1901,  3686,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3442,   843,     0,  1913,  1914,  1950,     0,
       0,     0,     0,     0,   695,     0,     0,     0,   380,   695,
       0,     0,   693,   695,     0,   694,     0,  1902,  3959,   693,
       0,   695,     0,  3443,     0,     0,     0,     0,  3846,     0,
     693,     0,     0,     0,     0,  3971,     0,  1952,     0,   695,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
       0,     0,   694,   693,  4854,     0,     0,     0,  1903,     0,
       0,     0,     0,     0,   693,  1904,     0,     0,  1905,     0,
       0,   695,     0,     0,   694,     0,  1916,     0,     0,     0,
       0,     0,   694,     0,     0,     0,  4872,  4873,   695,   695,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,     0,     0,     0,
       0,   693,  4041,     0,  4043,   380,   695,     0,     0,   380,
       0,     0,   693,     0,  1906,     0,     0,     0,     0,     0,
       0,  5313,     0,  5517,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,     0,     0,
     695,     0,  1039,     0,     0,     0,     0,  5344,   379,  4910,
    4911,     0,     0,     0,   379,     0,     0,     0,   695,     0,
       0,     0,     0,  4084,     0,     0,     0,     0,     0,   695,
       0,  1907,     0,  1908,     0,     0,     0,     0,     0,     0,
       0,     0,   695,  1909,     0,  5517,     0,  3846,  4098,     0,
     695,  1910,     0,     0,     0,     0,  1900,     0,     0,     0,
       0,  1911,  1901,     0,  5517,     0,     0,     0,     0,     0,
       0,     0,  3846,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1082,     0,   693,     0,  1082,     0,     0,
       0,     0,     0,     0,     0,  3360,  1039,     0,  1913,  1914,
       0,     0,  1902,     0,     0,   694,   380,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5003,     0,     0,
       0,     0,     0,     0,     0,  1915,     0,  5005,  5006,     0,
       0,     0,     0,     0,     0,     0,     0,  3363,     0,     0,
       0,  5415,     0,  5010,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1903,     0,     0,     0,     0,     0,     0,
    1904,     0,     0,  1905,     0,     0,     0,     0,     0,     0,
    4234,     0,   695,     0,   693,   693,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1916,     0,
       0,     0,     0,     0,   694,     0,     0,     0,     0,     0,
       0,     0,     0,  5455,     0,     0,     0,     0,     0,     0,
     694,   694,     0,     0,     0,  1900,     0,     0,     0,  1906,
       0,  1901,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   695,     0,     0,   694,  3846,     0,
     694,     0,     0,     0,  1243,  1243,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1082,  1082,     0,
       0,  1902,     0,     0,  5514,     0,     0,     0,     0,     0,
       0,  4297,     0,     0,     0,     0,  1907,     0,  1908,     0,
       0,   695,     0,     0,     0,     0,     0,     0,  1909,     0,
       0,     0,  4306,     0,     0,     0,  1910,     0,     0,     0,
       0,     0,     0,   695,     0,     0,  1911,     0,     0,     0,
       0,   695,  1903,     0,   379,   379,   379,  4329,     0,  1904,
       0,     0,  1905,     0,     0,     0,  5514,     0,  2322,     0,
       0,  2323,  1441,     0,     0,  2324,  2325,  2326,   694,     0,
    3455,     0,     0,  1913,  1914,  5514,     0,     0,     0,     0,
     694,  2258,  2327,  1441,   694,  3686,     0,     0,     0,  5549,
    2329,     0,     0,   694,  1039,     0,  2330,     0,     0,     0,
    3456,  1243,  1243,     0,     0,  1900,     0,     0,  1906,     0,
       0,  1901,     0,     0,     0,     0,     0,   380,     0,     0,
    2331,     0,  2322,   380,     0,  2323,     0,     0,     0,  2324,
    2325,  2326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2327,     0,     0,     0,
       0,  1902,     0,     0,  2329,     0,     0,   694,     0,     0,
    2330,  5218,     0,  1916,     0,  1907,     0,  1908,   693,     0,
       0,     0,     0,     0,     0,     0,     0,  1909,     0,     0,
       0,     0,     0,     0,  2331,  1910,     0,     0,   693,     0,
       0,     0,     0,   379,     0,  1911,     0,     0,     0,   694,
       0,   694,  1903,     0,     0,     0,     0,     0,     0,  1904,
       0,   693,  1905,   694,   695,   694,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2332,     0,     0,     0,  3494,
    2333,     0,  1913,  1914,     0,     0,     0,     0,     0,  5260,
       0,     0,     0,     0,     0,     0,     0,   693,     0,     0,
       0,  2334,  2335,     0,     0,     0,     0,     0,     0,  3495,
       0,     0,     0,   693,     0,     0,  2336,     0,  1906,   694,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
       0,   693,     0,     0,     0,  5292,     0,     0,     0,  2332,
       0,     0,     0,     0,  2333,     0,     0,  2337,     0,     0,
       0,     0,     0,   695,     0,     0,     0,     0,     0,     0,
    2338,     0,     0,  2339,     0,  2334,  2335,     0,     0,   695,
     695,     0,  1916,     0,   694,  1907,     0,  1908,     0,     0,
    2336,     0,     0,     0,     0,     0,     0,  1909,     0,     0,
       0,   694,     0,     0,     0,  1910,   695,     0,     0,   695,
       0,     0,     0,     0,     0,  1911,     0,     0,     0,     0,
       0,  2337,     0,   694,     0,     0,   694,     0,     0,     0,
       0,     0,     0,     0,  2338,  2322,     0,  2339,  2323,     0,
       0,     0,  2324,  2325,  2326,     0,     0,     0,     0,  3982,
       0,  2340,  1913,  1914,     0,     0,     0,     0,     0,  2327,
       0,     0,  1441,     0,     0,     0,     0,  2329,   693,     0,
       0,     0,     0,  2330,     0,     0,   693,   693,     0,  3983,
       0,     0,  1441,   380,   380,   380,     0,   843,     0,     0,
       0,  1441,     0,     0,  4646,  5345,     0,  2331,     0,     0,
       0,     0,     0,   379,     0,     0,     0,   695,     0,     0,
       0,     0,     0,     0,     0,  2340,     0,     0,     0,   695,
       0,     0,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,   695,     0,     0,     0,     0,     0,     0,     0,
     843,     0,  1916,     0,  2341,     0,     0,  2342,  2343,  2344,
       0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,     0,
     693,  4126,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2322,  1441,     0,  2323,     0,     0,     0,  2324,  2325,
    2326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2327,   695,     0,     0,     0,
       0,     0,  2332,  2329,   843,     0,     0,  2333,  2341,  2330,
       0,  2342,  2343,  2344,  1082,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,     0,     0,  4298,     0,     0,  2334,  2335,
       0,     0,   380,  2331,     0,     0,     0,     0,   695,     0,
     695,     0,     0,  2336,     0,     0,     0,     0,     0,     0,
       0,     0,   695,  1082,   695,     0,     0,  5499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2337,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2338,     0,     0,
    2339,  2258,     0,     0,     0,   694,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,   695,     0,
       0,     0,  2322,     0,     0,  2323,     0,     0,     0,  2324,
    2325,  2326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   379,  2327,     0,  2332,     0,
     379,     0,   379,  2333,  2329,     0,     0,     0,     0,     0,
    2330,     0,     0,   693,     0,  1082,     0,     0,     0,     0,
       0,     0,     0,   695,  2334,  2335,     0,     0,  2340,     0,
       0,     0,     0,     0,  2331,     0,     0,     0,     0,  2336,
     695,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     694,     0,     0,   694,     0,     0,     0,     0,     0,     0,
       0,     0,   695,   843,     0,   695,     0,     0,     0,     0,
    2337,     0,     0,     0,     0,     0,     0,     0,     0,  4855,
       0,     0,     0,  2338,   693,     0,  2339,     0,   693,     0,
     379,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,     0,     0,     0,     0,     0,     0,  4871,     0,
       0,     0,     0,  2394,     0,     0,     0,     0,     0,     0,
       0,  2341,     0,     0,  2342,  2343,  2344,  4886,  2345,  2346,
    2347,  2348,  2349,  2350,     0,   694,   694,     0,  4349,  2332,
       0,     0,   380,     0,  2333,     0,     0,     0,   694,     0,
     694,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2340,  2334,  2335,     0,     0,     0,
       0,     0,     0,     0,     0,   693,   693,     0,     0,     0,
    2336,  4909,     0,     0,     0,     0,     0,     0,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   693,   693,     0,     0,     0,     0,     0,
       0,  2337,     0,     0,     0,     0,     0,     0,     0,   379,
       0,     0,     0,     0,  2338,   693,     0,  2339,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   694,     0,     0,     0,     0,     0,  2341,     0,     0,
    2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,
       0,  1900,     0,     0,  4435,     0,     0,  1901,     0,     0,
       0,     0,  4993,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2322,     0,     0,  2323,     0,     0,     0,  2324,
    2325,  2326,     0,  1441,     0,  2340,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2327,  1902,     0,     0,
       0,     0,     0,     0,  2329,     0,     0,     0,     0,     0,
    2330,     0,     0,     0,   695,  1441,     0,  2258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2331,   843,     0,     0,  2322,     0,
       0,  2323,     0,     0,     0,  2324,  2325,  2326,  1903,     0,
       0,     0,     0,     0,   380,  1904,     0,     0,  1905,   380,
       0,   380,  2327,     0,     0,     0,     0,     0,     0,     0,
    2329,     0,     0,     0,     0,     0,  2330,     0,  2341,     0,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,     0,     0,  4467,  1441,     0,     0,     0,
    2331,     0,     0,     0,     0,     0,     0,     0,     0,   695,
       0,  1441,   695,     0,  1906,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,  2332,
       0,     0,     0,     0,  2333,     0,     0,     0,     0,   380,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   694,     0,     0,   379,  2334,  2335,     0,     0,     0,
       0,  1907,     0,  1908,     0,     0,     0,  1441,     0,     0,
    2336,     0,     0,  1909,     0,     0,     0,   694,     0,     0,
       0,  1910,     0,     0,   695,   695,  1441,     0,     0,   694,
       0,  1911,     0,     0,   693,  2332,     0,   695,  1441,   695,
    2333,  2337,     0,     0,     0,     0,     0,   694,     0,     0,
    1441,     0,     0,     0,  2338,     0,     0,  2339,     0,     0,
       0,  2334,  2335,     0,     0,  4027,     0,     0,  1913,  1914,
       0,     0,     0,     0,   693,     0,  2336,     0,   843,   693,
       0,     0,     0,   693,     0,     0,     0,     0,     0,     0,
    1441,   693,     0,  1441,   694,  4028,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2337,   380,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2338,     0,  2258,  2339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2340,     0,     0,     0,     0,
     695,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,     0,     0,     0,     0,     0,  1916,     0,
    4084,     0,  1082,     0,     0,     0,     0,     0,   693,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   843,   693,     0,     0,   843,
       0,  2340,     0,     0, -2301,     0,     0,     0,     0,     0,
       0,     0,   694,     0,     0,     0,     0,  2258,     0,     0,
       0,  2258,  2258,     0,     0,     0,   693,     0,  2341,     0,
     693,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,  1441,     0,     0,  4736,     0,     0,   693,     0,
       0,     0, -2301,     0,     0,     0,     0,     0,     0,   693,
       0,     0,     0,     0, -2301,     0,     0,     0,     0, -2301,
       0,     0,   693,     0, -2301,     0,     0,     0,     0, -2301,
     693,     0, -2301,     0,     0, -2301,     0,     0,     0,     0,
       0,     0,     0,     0,  2341,     0,     0,  2342,  2343,  2344,
       0,  2345,  2346,  2347,  2348,  2349,  2350,     0,  5338,     0,
       0,  4771,     0, -2301,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,     0,   694,     0,     0,     0,     0,
       0,     0,     0, -2301,     0,     0,   843,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,     0,     0,     0,     0,     0,     0,
     695,     0, -2301,   380, -2301,     0,     0,     0,     0,     0,
   -2301,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,     0,     0,
       0,     0,   693,     0,     0,     0,     0,  2322,   695,   379,
    2323,   694,     0,     0,  2324,  2325,  2326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,     0,     0, -2301,
       0,  2327,     0,     0,     0,     0,     0,     0,     0,  2329,
       0,     0,  1441,     0,     0,  2330,  1441,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,     0,     0,     0,  2331,
       0,     0,     0,   695,     0,     0,     0,     0,  1053,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2301,     0,     0,     0,     0,  1441,
       0,   693,     0,   739,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0, -2301,     0,
   -2301, -2301,     0,   693,     0,     0,     0,     0,     0,     0,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0, -2301,     0,     0, -2301, -2301,     0,
   -2301,   739,     0,     0,  2332,     0,     0,     0,    85,  2333,
       0,     0,     0,     0,    89,     0,     0,     0,    93,  1048,
      94,   695,    96,    97,     0,     0,   379,     0,     0,     0,
    2334,  2335,     0,   106,  1050,     0,     0,     0,     0,     0,
       0,     0,  1058,     0,     0,  2336,     0,   843,     0,   118,
     119,     0,     0,   843,     0,     0,     0,  1072,     0,  1048,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1127,     0,     0,  2337,     0,     0,     0,
       0,     0,  1132,     0,     0,     0,     0,     0,     0,  2338,
       0,     0,  2339,     0,     0,     0,     0,     0,     0,   127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   128,
       0,   129,   130, -2303,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,     0,
       0,     0,   695,     0,   695,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,   693,     0,   140,     0,   141,   142,
       0,     0,     0,     0,   145,     0,   146,     0,     0,     0,
       0, -2303,     0,     0,     0,     0,     0,   148,     0,   149,
    2340,     0,   695, -2303,     0,     0,     0,     0, -2303,     0,
       0,     0,     0, -2303,   152,     0,   153,     0, -2303,   156,
       0, -2303,     0,     0, -2303,     0,     0,     0,     0,     0,
       0,   157,     0,   158,     0,     0,     0,   159,     0,     0,
    1441,     0,     0,   160,   694,     0,     0,     0,   380,     0,
     695,   162, -2303,   164,     0,     0,     0,     0,     0,   166,
       0,     0,     0,   693,     0,     0,     0,     0,     0,     0,
       0,     0, -2303,     0,   170,     0,     0,     0,     0,   693,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,     0,     0,  2341,     0,     0,  2342,  2343,  2344,     0,
    2345,  2346,  2347,  2348,  2349,  2350,   693,     0,     0,   693,
    5016, -2303,     0, -2303,     0,     0,     0,     0,     0, -2303,
       0,     0,   694,     0,     0,     0,     0,     0,     0,   185,
     186,     0,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   193,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2303,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   843,   843,   843,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,   693,   205,     0,
       0,     0,     0,   206,   207,     0,   208,  1053,     0,   693,
     379,   209,     0,   693,     0,     0,   210,     0,     0,   212,
       0,     0,   693,     0,   214,   380,     0,     0,     0,   215,
     216,     0,     0, -2303,     0,     0,     0,   217,     0,     0,
       0,   219,     0,     0,     0,     0,     0,  2322,     0,     0,
    2323,   222,     0,     0,  2324,  2325,  2326, -2303,     0, -2303,
   -2303,     0,     0,   224,     0,     0,     0,     0,     0,     0,
       0,  2327,   379,     0,     0,     0,     0,     0,     0,  2329,
       0,     0,   230,     0,   231,  2330,   693,     0,     0,     0,
       0,   379,   233, -2303,     0,     0, -2303, -2303,   234, -2303,
       0,     0,     0,   235,     0,     0,     0,     0,     0,  2331,
       0,     0,     0,     0,     0,     0,   238,     0,     0,     0,
       0,     0,   843,     0,   739,     0,     0,     0,   693,     0,
     693,     0,     0,     0,     0,     0,     0,   248,     0,     0,
       0,     0,   693,     0,   693,     0,     0,     0,     0,     0,
       0,   249,     0,     0,     0,  -144,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,  2332,     0,     0,     0,     0,  2333,
       0,     0,     0,  1441,     0,     0,  1441,     0,  1441,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
    2334,  2335,     0,     0,     0,     0,     0,     0,     0,  2322,
       0,     0,  2323,   693,     0,  2336,  2324,  2325,  2326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,     0,  2327,     0,     0,     0,     0,     0,     0,
       0,  2329,     0,     0,  1441,     0,  2337,  2330,     0,     0,
       0,   695,   693,     0,     0,   693,     0,     0,     0,  2338,
       0,  1441,  2339,     0,     0,     0,     0,     0,     0,     0,
       0,  2331,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,  1225,  1231,  1231,   739,     0,  1231,
       0,  1239,     0,  1225,     0,  1127,     0,     0,  1269,     0,
       0,     0,     0,     0,  1127,     0,     0,  1127,     0,     0,
       0,  1231,     0,  1127,     0,     0,     0,     0,     0,     0,
       0,  1305,   843,     0,     0,     0,  1127,     0,  1225,     0,
    2340,  1231,     0,   739,     0,  1231,     0,     0,  1441,   380,
    1441,     0,  1269,     0,     0,     0,  1365,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2332,     0,     0,     0,
       0,  2333,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1225,     0,     0,     0,
       0,   739,  2334,  2335,     0,     0,  1225,     0,     0,  1441,
    1269,   380,     0,     0,     0,     0,     0,  2336,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
     380,     0,     0,  2341,  1441,     0,  2342,  2343,  2344,     0,
    2345,  2346,  2347,  2348,  2349,  2350,     0,     0,  2337,     0,
    5027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,  2338,     0,     0,  2339,  1441,     0,     0,     0,  2322,
       0,     0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,
       0,     0,     0,  1127,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2327,     0,     0,     0,     0,  1127,     0,
    1563,  2329,     0,     0,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,   693,     0,     0,     0,  1673,  1673,
       0,  2331,     0,   739,  1127,     0,     0,     0,     0,     0,
       0,  1441,  2340,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1127,     0,     0,  1441,  1127,     0,     0,
       0,     0,     0,     0,   843,  1673,     0,     0,     0,   843,
       0,   843,     0,     0,     0,     0,  1127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1127,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,     0,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,  2332,     0,  2342,  2343,
    2344,  2333,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
       0,     0,  5036,     0,     0,     0,     0,  1441,     0,   843,
       0,     0,  2334,  2335,     0,     0,     0,     0,     0,     0,
    1127,     0,     0,     0,     0,     0,     0,  2336,  1441,  1127,
       0,     0,     0,     0,  1231,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,   693,   693,     0,     0,  2337,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   693,
       0,  2338,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1225,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,  1225,     0,     0,     0,
    1269,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1127,     4,     0,     0,     0,     0,  1231,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,  2340,  1127,  1127,  1127,     0,  1231,     0,  1225,
       0,     6,     7,     0,  2092,     0,     8,     0,     9,    10,
     693,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,    36,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,  1441,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,  1231,  1231,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,  1306,
       0,     0,  5039,    46,     0,  2322,     0,     0,  2323,     0,
       0,     0,  2324,  2325,  2326,  1673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2327,
       0,     0,  1307,     0,     0,     0,     0,  2329,     0,     0,
       0,     0,  1441,  2330,     0,  1308,  1309,     0,     0,     0,
       0,     0,     0,  2232,  2232,  1310,     0,     0,  1127,  1311,
    1048,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,     0,     0,     0,    47,     0,  1312,     0,     0,
       0,     0,     0,     0,     0,     0,  2266,     0,     0,  1127,
       0,     0,  2272,    48,     0,     0,     0,     0,  1313,     0,
       0,     0,     0,     0,  1673,     0,     0,     0,     0,  1314,
       0,     0,     0,     0,    49,     0,     0,  1315,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1316,
       0,     0,  1673,     0,  1317,     0,     0,    50,     0,     0,
     693,     0,     0,   843,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1318,     0,     0,
    1673,  1673,  1673,     0,  1673,     0,   693,     0,     0,     0,
       0,     0,  2332,    51,     0,     0,    52,  2333,   693,     0,
    1441,     0,  1319,     0,  1673,     0,     0,     0,     0,     0,
       0,    53,     0,     0,     0,     0,   693,     0,  2334,  2335,
       0,     0,     0,  1320,     0,     0,   739,   739,     0,     0,
       0,     0,     0,  2336,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,  1321,  1127,     0,     0,  1673,     0,
       0,     0,     0,   693,  2337,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1322,     0,     0,  2338,     0,     0,
    2339,     0,     0,     0,   881,     0,     0,  1673,     0,    54,
       0,  1673,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1127,  1127,  2469,     0,     0,     0,     0,     0,
       0,  1323,     0,     0,     0,     0,  1324,     0,  1325,     0,
       0,     0,     0,     0,  1326,     0,     0,  1327,     0,     0,
     739,     0,     0,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,  1328,     0,  2340,  1329,
       0,     0,     0,  1330,     0,    57,     0,     0,     0,     0,
    1331,     0,  1332,     0,     0,     0,     0,  1333,     0,     0,
       0,   693,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,    58,     0,     0,     0,  1441,     0,     0,
       0,    59,  1334,    60,    61,    62,    63,    64,     0,     0,
      65,    66,    67,    68,     0,    69,    70,    71,    72,    73,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1127,  2639,
       0,     0,     0,     0,     0,  1127,     0,     0,  1231,     0,
       0,  2341,     0,     0,  2342,  2343,  2344,     0,  2345,  2346,
    2347,  2348,  2349,  2350,     0,     0,     0,  1269,  5090,  1127,
       0,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
    1127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   693,     0,     0,     0,     0,  2322,
       0,     0,  2323,     0,  1127,     0,  2324,  2325,  2326,     0,
       0,     0,  1231,  1231,  1231,  1231,  1127,     0,     0,     0,
       0,     0,     0,  2327,     0,  1441,     0,     0,     0,     0,
    1127,  2329,   693,     0,     0,     0,     0,  2330,     0,     0,
       0,     0,  2756,     0,  1127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,  1231,  1231,     0,     0,     0,
       0,  2331,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,  1231,     0,     0,     0,   843,     0,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1127, -2317,     0,     0,     0,     0,     0,
       0,     0,  1231,  1231,  1231,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,  2756,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1225,     0, -2317,     0,     0,     0,     0,   739,     0,     0,
       0,     0,  1673,     0, -2317,     0,     0,     0,     0, -2317,
       0,     0,     0,     0, -2317,     0,  2332,     0,     0, -2317,
       0,  2333, -2317,     0,     0, -2317,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1225,     0,     0,     0,     0,
       0,     0,  2334,  2335,     0,  1269,     0,     0,     0,  1231,
       0,     0,  1231, -2317,     0,     0,     0,  2336,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
    1231,  1231,     0, -2317,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,  2337,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2338,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,     0, -2317,     0, -2317,   843,     0,     0,  2232,     0,
   -2317,     0,     0,     0,     0,  1231,     0,  1225,     0,     0,
       0,  1127,  1127,  1441,  1231,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,     0,  1048,  1048,     0,     0,
    3007,     0,     0,     0,  1673,  1673,     0,     0,     0, -2317,
    1673,  1673,     0,     0,     0,     0,     0,  1673,  1673,  1673,
       0,     0,  2340,  1673,  1269,  1673,  1673,  1673,  1673,  1673,
    1673,     0,  1673,     0,  1673,  1673,     0,     0,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1673,  1673,  1673,  1673,     0,  1053,     0,
    1231,  1673,     0,     0,     0,  1673,     0,     0,  1673,     0,
       0,  1673,  1673,  1673,  1673,  1673,  1673,  1673,  1673,  1673,
       0,  1673,     0,     0, -2317,     0,     0,     0,  1127,  1673,
       0,     0,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0, -2317,     0,
   -2317, -2317,     0,     0,  1127,  2341,     0,     0,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
       0,     0,  5122,     0,     0,     0,     0,     0,     0,     0,
     967,     0,     0,   693, -2317,     0,     0, -2317, -2317,     0,
   -2317,  1127,   968,  1127,     0,  1673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   969,  2322,     0,     0,  2323,     0,     0,
       0,  2324,  2325,  2326,     0,     0,   970,     0,     0,     0,
    1127,     0,     0,     0,     0,     0,     0,  3222,  2327,  3229,
     971,     0,     0,     0,     0,     0,  2329,     0,     0,     0,
       0,     0,  2330,     0,     0,     0,     0,  1441,   972,     0,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   909,     0,     0,     0,  2331,     0,     0,   973,
       0,     0,     0,     0,   910,     0,     0,     0,  1441,     0,
     974,     0,     0,     0,     0,     0,     0,     0,   975,     0,
       0,     0,     0,     0,     0,   911,     0,     0,     0,     0,
     976,     0,     0,     0,     0,   977,   739,     0,   912,     0,
       0,   978,     0,     0,     0,  1048,  1441,  1048,   913,     0,
       0,     0,  -790,     0,     0,     0,     0,     0,   979,     0,
       0,     0,     0,     0,  1673,     0,     0,     0,     0,     0,
     914,     0,     0,     0,     0,  1225,   915,  1231,  1231,   843,
       0,     0,  1225,     0,  1269,     0,  1231,     0,  1231,     0,
       0,   916,  1231,     0,     0,  1127,     0,     0,     0,     0,
       0,  2332,   917,  1441,   980,     0,  2333,  1441,  1441,     0,
     918,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   919,     0,  2639,     0,     0,  2334,  2335,   920,
       0,  3365,     0,   921,     0,   981,     0,  3375,     0,     0,
       0,   843,  2336,     0,  1127,     0,   982,     0,     0,     0,
   -1000,     0,     0,     0,     0,   983,     0,     0,     0,     0,
     843,     0,     0,  1127,     0,   881,     0,  3417,  3417,     0,
       0,     0,     0,  2337,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2338,   922,     0,  2339,
       0,     0,   984,  1231,  1441,     0,  -532,   985,     0,   986,
       0,     0,     0,     0,     0,   987,     0,     0,   988,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3480,     0,  3483,  3485,     0,     0,     0,   923,     0,     0,
     924,     0,     0,     0,     0,     0,     0,   989,     0,     0,
     990,     0,     0,     0,   991,     0,     0,   925,     0,  1231,
       0,   992,     0,   993,     0,     0,     0,  1231,   994,  1231,
       0,     0,     0,     0,     0,  1231,  -428,  2340,     0,     0,
     995,     0,     0,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,     0,   996,   926,     0,     0,     0,     0,     0,
       0,   927,     0,  2639,     0,     0,  3417,  -428,  1127,     0,
     928,  3568,     0,     0,  1048,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -428,
    3480,     0,   929,   930,     0,   931,   932,     0,     0,  1231,
    3594,     0,     0,     0,     0,   933,     0,     0,     0,     0,
     934,     0,     0,     0,     0,  2092,   935,     0,     0,   936,
    2341,     0,   937,  2342,  2343,  2344,  1673,  2345,  2346,  2347,
    2348,  2349,  2350,     0,     0,  -428,     0,  5157,     0,     0,
    3641,  3644,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,  1231,  3417,  1231,  3417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,     0,     0,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,  2232,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,  1127,     0,    45,
       0,     0,     0,     0,     0,     0,     0,  1225,     0,     0,
       0,     0,     0,  1225,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,     0,  1673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,     0,     0,     0,     0,     0,     0,  1673,  1673,
    1673,     0,     0,  1673,     0,     0,     0,     0,     0,     0,
       0,  1673,  1673,  1673,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,     0,  1673,     0,  1673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1673,  1673,     0,     0,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1269,     0,  1673,     0,
    1673,     0,  1673,    47,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    48,  1673,     0,     0,     0,  1127,     0,     0,     0,
       0,     0,     0,  3847,     0,  1673,  1673,  1673,     0,     0,
       0,     0,    49,     0,  2322,     0,     0,  2323,     0,     0,
       0,  2324,  2325,  2326,     0,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,     0,    50,     0,     0,  2327,     0,
       0,     0,     0,  1673,     0,     0,  2329,     0,  1673,     0,
       0,     0,  2330,     0,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3847,     0,     0,  3906,     0,     0,
    3909,    51,  3229,     0,    52,     0,  2331,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1673,     0,  3417,
       0,     0,     0,     0,  2232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    54,     0,     0,
    1231,     0,  1231,  1231,  1231,     0,     0,     0,     0,     0,
       0,  2332,     0,     0,     0,     0,  2333,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2334,  2335,     0,
       0,     0,     0,    55,     0,     0,     0,     0,     0,     0,
       0,     0,  2336,     0,     0,     0,     0,     0,    56,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    57,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2337,     0,     0,     4,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2338,     0,     0,  2339,
       0,    58,     0,  1127,     0,     0,     5,     0,     0,    59,
       0,    60,    61,    62,    63,    64,     6,     7,    65,    66,
    1485,     0,     0,     9,    10,    71,  1486,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2340,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,  3417,  3417,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,     0,
       0,     0,     0,     0,     0,     0,  1127,  1127,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,  1127,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2232,  1127,     0,
       0,     0,     0,     0,     0,     0,  2232,  1127,  1127,     0,
    2341,     0,     0,  2342,  2343,  2344,     0,  2345,  2346,  2347,
    2348,  2349,  2350,     0,  1127,     0,   851,  5394,     0,     0,
      47,     0,     0,     0,  1248,     0,     0,     0,     0,     0,
       0,   739,     0,  1278,     0,     0,     0,     0,    48,     0,
       0,     0,  1293,     0,     0,     0,     0,     0,  3641,     0,
    1303,     0,     0,     0,     0,  1338,     0,     0,     0,    49,
       0,     0,     0,     0,  1086,  1231,     0,  1231,     0,     0,
       0,  1231,  1086,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,     0,   851,     0,  1225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1127,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,  1673,     0,    53,     0,     0,     0,
       0,     0,     0,  1673,     0,     0,     0,     0,     0,  1673,
       0,  1673,     0,     0,  1673,     0,     0,     0,     0,  1673,
    1673,  1673,  1673,     0,     0,  1673,  1673,  1673,  1673,  1673,
    1673,  1673,  1673,  1673,  1673,     0,     0,     0,  1673,  1673,
       0,     0,     0,     0,     0,     0,     0,     0,  1673,     0,
       0,     0,  1673,     0,     0,     0,  1673,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,     0,  1673,     0,  1673,
       0,     0,     0,     0,    54,     0,     0,  1561,  1673,     0,
       0,  1673,  1673,     0,     0,     0,  1673,  1673,     0,     0,
       0,  4373,     0,  1673,     0,     0,     0,     0,     0,     0,
    1127,  1127,  1127,  1225,     0,  3847,  4393,     0,     0,     0,
    4393,  4407,     0,  1693,     0,     0,     0,  1673,     0,     0,
      55,     0,     0,  1673,  1673,  1673,     0,     0,     0,     0,
       0,     0,  1717,     0,     0,    56,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,  1743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,     0,     0,     0,     0,    58,     0,
       0,  3229,     0,  1673,     0,     0,    59,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1485,  2184,     0,
       0,     0,    71,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4473,  2232,  2232,     0,  2756,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,  1231,  1231,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4517,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2322,
       0,     0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2327,     0,     0,     0,     0,     0,     0,
       0,  2329,     0,     0,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4589,  2047,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2331,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2077,  2080,  2081,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1127,
       0,  1231,     0,  1673,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,  4637,     0,     0,     0,     0,
       0,     0,     0,     0,  2639,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3480,     0,     0,     0,     0,     0,
       0,  4670,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1127,     0,     0,     0,  2756,  2332,     0,     0,  1673,
    1673,  2333,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2334,  2335,     0,     0,     0,     0,     0,     0,
       0,  3641,  3641,  3641,  3641,  3641,     0,  2336,     0,     0,
       0,  3417,     0,  3417,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1693,  2337,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2338,     0,  1673,  2339,     0,     0,     0,     0,     0,
       0,     0,   851,     0,  1673,     0,     0,     0,  1693,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,  1673,     0,     0,     0,     0,
       0,  1673,  1673,     0,  1227,     0,  1673,     0,     0,     0,
       0,  1673,     0,     0,  1673,  1673,     0,     0,     0,  1673,
    4775,     0,  2340,     0,     0,  1673,  1127,  1127,  1127,  1127,
       0,     0,     0,  4393,  4407,     0,  4393,     0,     0,  4786,
       0,     0,     0,  3847,     0,     0,     0,  3847,     0,     0,
       0,     0,     0,  4801,     0,     0,     0,     0,     0,  1673,
       0,     0,  1227,     0,  1673,     0,     0,     0,  1444,     0,
    1673,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
    1269,     0,     0,     0,     0,     0,     0,     0,  1673,  1444,
       0,  3906,     0,     0,     0,     0,  3229,     0,     0,     0,
       0,     0,     0,     0,  2412,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1048,  2341,     0,  1673,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
       0,     0,  5414,     0,     0,     0,     0,  3417,  3417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2467,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4870,     0,     0,     0,  1230,  1232,     0,     0,
    1235,     0,  1237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1288,     0,  1227,  1227,     0,     0,  1673,     0,
       0,  1086,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,  1343,     0,     0,     0,  1346,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,  1231,     0,  1370,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1225,     0,     0,     0,  2634,  2639,     0,
       0,     0,  2322,     0,  2654,  2323,  2232,     0,     0,  2324,
    2325,  2326,     0,     0,     0,     0,     0,     0,   866,     0,
       0,  1231,  2639,     0,     0,     0,  2327,     0,  2686,     0,
       0,     0,   867,     0,  2329,     0,  2692,     0,     0,  2695,
    2330,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     868,  1127,     0,     0,  5002,     0,   869,     0,     0,     0,
       0,     0,     0,     0,  2331,     0,     0,     0,     0,     0,
       0,   870,     0,     0,     0,  2730,     0,     0,     0,     0,
       0,     0,   871,     0,     0,  1086,  1086,     0,     0,  2745,
     872,     0,     0,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,   873,  2757,     0,     0,     0,   874,  1673,     0,
       0,  1227,     0,   875,     0,     0,     0,     0,  1444,     0,
       0,     0,  1227,     0,     0,  1673,  1673,     0,     0,  1673,
     876,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,  1225,  4393,     0,     0,  1444,  3847,     0,
       0,     0,  2810,  3847,     0,   877,  3847,  1225,     0,  3480,
       0,  5057,     0,     0,  1673,  1673,     0,     0,     0,  2332,
       0,     0,     0,  2844,  2333,     0,   878,     0,     0,     0,
    2856,     0,     0,     0,     0,  1227,  4473,     0,     0,     0,
       0,     0,     0,     0,     0,  2334,  2335,     0,     0,     0,
    4473,  1269,  1231,  1231,  1231,     0,     0,   879,     0,     0,
    2336,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   880,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,   881,     0,     0,
       0,  2337,     0,  1225,  1269,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2338,     0,     0,  2339,     0,     0,
       0,     0,     0,     0,   882,  1924,  1925,     0,     0,   883,
       0,   884,     0,     0,     0,     0,     0,   885,     0,     0,
     886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2232,  2232,     0,  2938,  1225,     0,     0,  1127,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,  4637,   887,   888,
       0,     0,   889,  1127,     0,  3417,   890,     0,     0,     0,
    2639,     0,     0,     0,     0,   891,     0,     0,     0,     0,
     892,     0,  4670,     0,     0,  2340,     0,     0,     0,     0,
    1693,  1693,   893,  1231,  1127,  4473,  2026,     0,     0,     0,
       0,     0,     0,     0,     0,   894,     0,     0,     0,  1444,
    2997,     0,     0,     0,     0,     0,     0,  2049,  2050,     0,
       0,     0,     0,     0,     0,     0,     0,  1673,     0,     0,
    1673,     0,  1673,     0,     0,     0,     0,     0,  2083,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1673,     0,     0,     0,
    3847,     0,     0,     0,  5057,     0,     0,     0,  1227,     0,
       0,  1673,     0,     0,     0,     0,     0,     0,  2341,     0,
    5251,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,  1673,     0,  5530,  1227,  1227,  1227,     0,
    1227,     0,     0,     0,     0,  1231,     0,  3152,     0,  1127,
       0,     0,     0,     0,     0,     0,     0,  2153,  2155,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1673,  3173,     0,     0,     0,     0,     0,  1231,
    1231,  1231,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2232,     0,     0,     0,     0,  2322,
       0,     0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,
    3186,     0,  3189,  1225,  1227,   851,     0,     0,     0,     0,
       0,     0,     0,  2327,     0,     0,     0,     0,     0,     0,
       0,  2329,     0,  1673,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,  1227,  1227,  1693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2331,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1673,     0,     0,  1225,
       0,     0,     0,     0,     0,     0,     0,     0,  1673,     0,
       0,     0,     0,  1673,     0,  1673,     0,  1673,     0,     0,
       0,     0,     0,     0,  4473,     0,     0,     0,     0,     0,
    1231,     0,  1269,     0,     0,     0,     0,     0,     0,     0,
    2322,     0,  1673,  2323,     0,     0,  1444,  2324,  2325,  2326,
       0,     0,   851,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,  2327,     0,     0,     0,  3195,     0,
       0,     0,  2329,     0,     0,     0,     0,     0,  2330,     0,
       0,     0,     0,     0,     0,     0,  2332,     0,  1231,     0,
       0,  2333,     0,  1225,     0,     0,     0,     0,     0,     0,
       0,  1086,  2331,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,  2334,  2335,     0,     0,  5002,     0,     0,     0,
       0,     0,     0,     0,  1673,  1673,     0,  2336,     0,  3480,
       0,     0,     0,     0,     0,  1673,     0,     0,  5251,     0,
       0,  1444,  3229,     0,     0,     0,     0,     0,     0,  3196,
       0,     0,     0,     0,     0,  1225,     0,     0,  2337,     0,
       0,     0,     0,  3385,     0,  1231,     0,     0,     0,     0,
       0,  2338,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,     0,  3412,     0,     0,     0,     0,     0,     0,     0,
    4473,     0,     0,     0,     0,     0,  1225,  1225,     0,  1673,
       0,     0,     0,  1086,     0,     0,     0,  2332,     0,     0,
       0,     0,  2333,     0,     0,     0,     0,     0,  1673,     0,
       0,     0,  1444,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,  2334,  2335,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,  2336,     0,
       0,   851,  2340,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2338,     0,     0,  2339,     0,  1673,  1673,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,  1225,     0,     0,     0,     0,  1227,  3564,     0,     0,
       0,     0,  1444,  1225,  1225,     0,     0,     0,  1227,  2657,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,  1444,     0,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
       0,  1227,  5548,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,     0,  1444,
       0,     0,     0,  2726,  2727,  2728,  2729,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3197,     0,
       0,     0,     0,     0,     0,     0,  2765,  2766,     0,     0,
       0,     0,     0,     0,     0,  2778,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,  2792,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2341,     0,     0,  2342,
    2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,
       0,     0,     0,  2828,  2829,  2830,  2831,     0,     0,     0,
    1227,  1227,     0,     0,     0,     0,  1227,  1227,     0,     0,
       0,     0,     0,  1227,  1227,  1227,  3703,     0,     0,  1227,
       0,  1227,  1227,  1227,  1227,  1227,  1227,     0,  1227,     0,
    1227,  1227,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,  1227,
    1227,  1227,  1227,   851,     0,     0,     0,  1227,     0,     0,
       0,  1227,     0,     0,  1227,     0,     0,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,  1227,     0,
    2914,     0,     0,  2917,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2922,     0,     0,     0,     0,     0,     0,
       0,     0,  2930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     5,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,     6,     7,     0,     0,     0,
       0,     0,     9,    10,     0,  3830,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2322,     0,     0,  2323,     0,
       0,     0,  2324,  2325,  2326,     0,     0,     0,  1444,     0,
       0,     0,  1444,  1444,     0,     0,     0,    46,     0,  2327,
       0,  3103,     0,     0,     0,     0,   851,  2329,     0,     0,
       0,     0,     0,  2330,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,  1444,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,     0,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3769,     0,     0,   851,     0,  3770,     0,   851,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2332,     0,     0,     0,     0,  2333,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,  2334,  2335,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4046,  2336,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2337,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2338,     0,     0,
    2339,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,  1444,     0,  3316,  3317,
       0,     0,     0,    54,   851,     0,     0,  3328,     0,  3330,
       0,     0,     0,  3334,     0,     0,     0,     0,  2322,     0,
       0,  2323,     0,     0,     0,  2324,  2325,  2326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2327,     0,     0,  4152,  4153,     0,  2340,    55,
    2329,     0,     0,     0,     0,     0,  2330,     0,     0,     0,
       0,  4162,     0,     0,    56,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4179,     0,    57,
    2331,     0,  1227,     0,     0,     0,  4188,  4189,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4207,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,  3447,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1485,  2931,     0,     0,
       0,    71,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,  2341,     0,     0,  2342,  2343,  2344,     0,  2345,  2346,
    2347,  2348,  2349,  2350,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3507,     0,     0,     0,     0,     0,     0,     0,  3516,     0,
    3518,     0,     0,     0,     0,  2332,  3520,     0,     0,     0,
    2333,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,  1693,     0,     0,     0,     0,     0,
       0,  2334,  2335,  1227,     0,     0,  1444,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,  2336,  1444,     0,     0,
    1432,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,  2337,     0,     0,
    3592,     0,     0,     0,  1227,  1227,  1227,     0,     0,  1227,
    2338,     0,     0,  2339,     0,     0,     0,  1227,  1227,  1227,
    1227,     0,     0,     0,     0,   851,     0,     0,     0,     0,
    1227,   851,     0,  1227,  4341,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,  1227,     0,     0,
    1227,     0,     0,     0,     0,     0,  3651,     0,  3653,     0,
       0,     0,     0,     0,  1227,     0,  1227,     0,  1227,  4381,
    4382,  4383,  2322,     0,     0,  2323,     0,     0,     0,  2324,
    2325,  2326,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,  2340,     0,     0,     0,     0,  2327,     0,     0,  1227,
       0,  1227,  1227,  1227,  2329,     0,     0,  4342,     0,     0,
    2330,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,  2331,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3719,     0,     0,     0,     0,
       0,     0,     0,     0,  2341,     0,     0,  2342,  2343,  2344,
       0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,  1444,
       0,     0,  1444,     0,  1444,     0,     0,     0,     0,  1444,
    2322,     0,     0,  2323,     0,     0,  5492,  2324,  2325,  2326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,  2327,     0,     0,  3728,     0,  2332,
       0,     0,  2329,     0,  2333,     0,     0,     0,  2330,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,  2334,  2335,     0,     0,     0,
       0,     0,  2331,     0,     0,     0,     0,  1444,     0,     0,
    2336,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,     0,
    1432,  2337,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2338,     0,     0,  2339,     0,     0,
    1432,   851,   851,   851,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,     0,     0,  5493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,  1444,     0,  4622,     0,
       0,     0,     0,     0,     0,     0,     0,  2332,  4632,     0,
       0,     0,  2333,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2334,  2335,  2340,     0,     0,     0,     0,
       0,     0,     0,  4652,     0,     0,     0,     0,  2336,     0,
    1432,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2856,     0,     0,     0,     0,     0,     0,     0,     0,  2337,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2338,     0,     0,  2339,     0,     0,     0,     0,
       0,  3962,     0,  3963,  3964,  3965,  1444,     0,  1084,     0,
     851,  1444,     0,     0,     0,     0,  1084,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2341,     0,
       0,  2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,
    2350,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,  2340,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4778,  4779,  4780,  4781,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2341,     0,     0,  2342,
    2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,
       0,     0,     0,     0,     0,     0,  4099,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,  1444,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,  1227,     0,  1227,     0,     0,
    1227,     0,     0,     0,  1444,  1227,  1227,  1227,  1227,     0,
       0,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,     0,     0,     0,  1227,  1227,     0,     0,     0,  1444,
       0,     0,     0,     0,  1227,     0,     0,     0,  1227,     0,
     851,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,  1227,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,  1444,  1227,     0,     0,  1227,  1227,     0,
       0,     0,  1227,  1227,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,  1227,
    1227,  1227,     0,     0,     0,     0,  4257,     0,  4258,     0,
       0,     0,  4260,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,  2322,     0,     0,  2323,     0,     0,     0,  2324,  2325,
    2326,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,  2327,     0,     0,     0,  1227,
       0,     0,     0,  2329,     0,     0,     0,     0,  4291,  2330,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,  1432,     0,  2331,     0,     0,     0,  2322,     0,     0,
    2323,     0,     0,     0,  2324,  2325,  2326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2327,     0,  1432,  3774,     0,     0,     0,     0,  2329,
    4995,     0,     0,     0,     0,  2330,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,   851,     0,     0,     0,     0,   851,  1444,   851,
       0,     0,     0,  2322,     0,     0,  2323,     0,     0,     0,
    2324,  2325,  2326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2327,  2332,     0,
       0,     0,     0,  2333,  1432,  2329,     0,     0,     0,     0,
       0,  2330,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,  2334,  2335,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,  2331,     0,     0,  1432,  2336,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,  2332,     0,     0,     0,     0,  2333,
    2337,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,  2338,     0,  1432,  2339,     0,     0,     0,
    2334,  2335,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3742,     0,     0,  1432,  2336,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,  4490,  4491,  4492,
    4493,     0,     0,  3779,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,  1223,     0,  2337,     0,     0,     0,
    2332,     0,     0,  1223,     0,  2333,     0,     0,     0,  2338,
       0,     0,  2339,     0,  1444,  1227,  1227,     0,     0,     0,
       0,     0,     0,     0,  2340,     0,  2334,  2335,  1432,     0,
       0,  1432,     0,     0,     0,     0,  5155,     0,  1223,     0,
       0,  2336,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5200,     0,  2338,     0,     0,  2339,     0,
    2340,     0,     0,     0,     0,     0,  1223,     0,     0,  1227,
       0,     0,  1442,     0,     0,     0,  1223,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,  2341,     0,     0,
    2342,  2343,  2344,  1442,  2345,  2346,  2347,  2348,  2349,  2350,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,  4624,     0,     0,     0,     0,     0,     0,     0,
    1227,  1227,     0,  1444,     0,     0,     0,  1227,  1227,     0,
       0,     0,  1227,  1444,     0,     0,  2340,  1227,     0,     0,
    1227,  1227,     0,     0,     0,  1227,     0,     0,     0,     0,
    1432,  1227,     0,  2341,     0,     0,  2342,  2343,  2344,     0,
    2345,  2346,  2347,  2348,  2349,  2350,     0,     0,  5267,  1227,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,  1227,     0,  1223,  1223,
       0,     0,     0,     0,     0,  1084,     0,     0,     0,  1084,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2341,
       0,     0,  2342,  2343,  2344,  1223,  2345,  2346,  2347,  2348,
    2349,  2350,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,  2322,     0,     0,  2323,     0,     0,     0,  2324,  2325,
    2326,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,  2327,     0,     0,  3785,  2322,
       0,     0,  2323,  2329,  1227,     0,  2324,  2325,  2326,  2330,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2327,     0,     0,     0,     0,     0,     0,
    1432,  2329,     0,  2331,  1432,  1432,     0,  2330,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1084,
    1084,  2331,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,  1227,
       0,     0,  1442,     0,     0,     0,  1223,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2322,     0,  1432,
    2323,     0,  1442,     0,  2324,  2325,  2326,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2327,     0,     0,  4348,     0,     0,     0,  2332,  2329,
       0,     0,  1444,  2333,  1444,  2330,  1432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,  2334,  2335,  2332,     0,     0,  2331,
       0,  2333,     0,     0,     0,     0,     0,     0,     0,  2336,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2334,  2335,     0,  1227,     0,     0,     0,  1444,
       0,     0,  1442,     0,  1227,     0,     0,  2336,     0,     0,
    2337,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,  1227,  2338,     0,  1227,  2339,     0,     0,  4903,
       0,     0,     0,     0,     0,     0,     0,     0,  2337,  1227,
       0,     0,     0,  4906,  1227,     0,     0,     0,     0,  1227,
       0,  2338,  1227,  1227,  2339,     0,     0,     0,     0,     0,
    1227,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2332,  1223,     0,     0,     0,  2333,
       0,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,  1432,     0,
    2334,  2335,     0,     0,  2340,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2336,  2322,     0,     0,  2323,
       0,     0,  4969,  2324,  2325,  2326,     0,     0,     0,  1444,
       0,     0,  2340,  1442,     0,     0,     0,     0,     0,  1227,
    2327,     0,     0,     0,     0,     0,  2337,     0,  2329,     0,
       0,     0,     0,     0,  2330,     0,     0,     0,     0,  2338,
       0,  4294,  2339,     0,  1223,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,     0,   851,     0,  2331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,  1223,     0,     0,     0,     0,  2341,     0,     0,
    2342,  2343,  2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,  1223,     0,  1223,  2341,     0,     0,  2342,  2343,
    2344,     0,  2345,  2346,  2347,  2348,  2349,  2350,     0,     0,
    2340,  1227,     0,  1444,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,  1444,     0,  1227,     0,  1227,     0,
       0,     0,     0,  2332,     0,     0,     0,     0,  2333,     0,
       0,     0,     0,     0,     0,     0,     0,  1432,  1223,     0,
       0,     0,  1227,  5095,  5097,  5097,  1227,     0,     0,  2334,
    2335,     0,  1444,     0,     0,     0,     0,  1227,  1432,     0,
       0,     0,     0,     0,  2336,     0,     0,  1223,     0,  1432,
       0,  1223,  1223,  2341,     0,     0,  2342,  2343,  2344,  1227,
    2345,  2346,  2347,  2348,  2349,  2350,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2337,     0,     0,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,  2338,  1444,
       0,  2339,     0,  1444,  1444,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,  5199,     0,     0,     0,     0,  2340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
    1444,     0,     0,     0,     0,  1084,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,  1227,
       0,  1227,     0,  1227,     0,  1442,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2341,     0,     0,  2342,  2343,  2344,     0,  2345,
    2346,  2347,  2348,  2349,  2350,     0,  5264,     0,     0,     0,
       0,  1432,     0,     0,  1432,     0,  1432,  1084,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,  5288,     0,  5290,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,  1442,
    1227,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,  1227,  1432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
    1223,     0,  1227,  1227,     0,  1227,  1442,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5097,     0,     0,     0,  1223,  1432,   851,  1432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5411,
       0,     0,     0,  1227,  1227,     0,     0,  1432,     0,   851,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   851,  1227,
    1227,     0,  1432,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,  1223,  5459,     0,     0,     0,
    1223,  1223,     0,     0,     0,     0,     0,  1223,  1223,  1223,
       0,     0,     0,  1223,     0,  1223,  1223,  1223,  1223,  1223,
    1223,     0,  1223,     0,  1223,  1223,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,  1442,  1223,  1223,  1223,  1223,     0,     0,     0,
       0,  1223,     0,     0,     0,  1223,  5505,     0,  1223,  1432,
       0,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
       0,  1223,     0,     0,  1432,     0,     0,     0,     0,  1223,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,  1432,   107,   108,   109,   110,
       0,   111,   112,   113,   114,     0,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,  1432,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,     0,    35,     0,     0,     0,     0,
       0,  1432,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,  1442,  1442,     0,     0,
       0,     0,     0,     0,     0,  1432,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,  1223,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,  1442,
     150,     0,  1223,     0,     0,     0,     0,   151,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,  1442,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,  1432,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,     0,   194,     0,
    1432,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,  1223,
    1442,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
    1442,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,  1223,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,  1432,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,     0,  1223,     0,  1432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
    1442,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,  1223,
    1223,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,  1223,  1223,  1223,  1223,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,  1432,     0,  1223,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
    1223,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,   953,     0,     0,     0,     0,     0,     0,     0,     0,
     953,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,  1223,  1223,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,   953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,  1223,     0,  1141,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1141,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,  1442,     0,  1442,     0,
       0,  1432,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1191,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,  1442,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,   953,   953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,  1442,     0,  1191,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,  1223,
       0,  1223,     0,     0,  1223,     0,  1432,     0,  1442,  1223,
    1223,  1223,  1223,     0,     0,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,     0,     0,     0,  1223,  1223,
       0,     0,     0,  1442,     0,     0,     0,     0,  1223,     0,
       0,     0,  1223,     0,  1432,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,  1223,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,  1442,  1223,     0,
       0,  1223,  1223,     0,     0,     0,  1223,  1223,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,  1223,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,  1432,  1432,  1223,     0,     0,
    1238,     0,     0,  1223,  1223,  1223,     0,     0,  1271,     0,
       0,  1275,  1276,     0,  1279,     0,     0,  1285,     0,  1287,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1341,     0,
       0,     0,     0,     0,     0,     0,  1349,     0,     0,     0,
    1223,     0,     0,  1361,     0,     0,  1366,  1367,     0,     0,
       0,  1369,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1191,  1442,
     953,     0,  1432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,  1401,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1463,     0,  1467,     0,     0,  1469,     0,  1471,     0,
       0,  1475,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1562,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1191,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1141,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,  1824,     0,
    1826,     0,     0,     0,  1828,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,  1442,  1223,
    1223,     6,     7,     0,  1866,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1995,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2008,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
    2019,     0,  2020,     0,  1223,     0,     0,     0,     0,     0,
    2023,     0,     0,    46,     0,     0,     0,     0,     0,     0,
       0,     0,  2038,     0,     0,  2042,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,  1223,     0,  1442,     0,     0,
       0,  1223,  1223,     0,     0,     0,  1223,  1442,     0,  2087,
       0,  1223,     0,     0,  1223,  1223,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,    48,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    51,     0,  1442,    52,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    53,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,  2250,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,     0,     0,  1442,     0,  1442,     0,
       0,    59,     0,    60,    61,    62,    63,    64,     0,     0,
      65,    66,  1485,     0,     0,     0,     0,    71,     0,     0,
       0,     0,     0,     0,     0,     0,  1141,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,  1442,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,  1223,     0,     0,  1223,
       0,     0,     0,     0,  2500,     0,     0,  2500,     0,     0,
       0,     0,     0,  1223,     0,  2507,     0,     0,  1223,     0,
       0,     0,     0,  1223,     0,     0,  1223,  1223,     0,     0,
       0,     0,     0,  2516,  1223,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2605,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,   743,     0,   743,
       0,     0,     0,     0,     0,     0,     0,  1223,  1442,   743,
    1223,     0,  1223,  2802,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   743,     0,  1223,     0,     0,     0,
    1223,     0,     0,     0,   743,     0,  1442,     0,     0,     0,
       0,  1223,     0,     0,     0,   743,   743,     0,     0,   743,
       0,     0,     0,     0,     0,   743,     0,     0,     0,  1040,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1040,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,   743,  1442,  1442,     0,
       0,     0,  1223,  2899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2913,     0,     0,
    2916,     0,  2918,     0,  2919,     0,     0,     0,     0,     0,
    2921,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2950,     0,  1442,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,  2429,     0,     0,     0,  2429,     0,  2429,
       0,     0,  2429,     0,     0,     0,  1223,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,  1223,     0,  1223,     0,  1223,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   743,
       0,     0,     0,     0,  3166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,  1223,  1223,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1191,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3270,  3271,     0,     0,
       0,  3274,  3275,     0,     0,     0,  3278,  1223,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3289,  1223,     0,     0,     0,     0,     0,  3298,     0,     0,
       0,  3301,  3302,  1223,  1223,  3305,  3306,     0,     0,     0,
       0,     0,  3311,     0,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,  3327,     0,  3329,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3352,     0,     0,     0,     0,  3354,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3359,     0,     0,     0,     0,   743,   743,     0,  3364,
       0,  3366,     0,  3368,  3371,  3373,     0,     0,     0,     0,
    3381,  3384,     0,     0,     0,     0,     0,     0,  3395,     0,
       0,     0,     0,  3404,     0,     0,     0,     0,  3408,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,  3441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3448,     0,  3450,     0,     0,     0,     0,
    3453,     0,     0,     0,  3454,     0,  3458,  3459,  3460,  3461,
       0,  3463,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3487,  3488,  3489,     0,     0,     0,
       0,     0,     0,     0,  3497,  3498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1389,   743,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   743,     0,     0,   743,
     743,     0,     0,     0,     0,     0,     0,     0,     0,  1191,
       0,     0,     0,     0,   699,     0,  1040,     0,  1040,     0,
       0,     0,  2429,     0,   699,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1657,  1657,  1040,  1040,
       0,     0,     0,     0,     0,     0,     0,  3704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1734,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   743,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     699,   699,     0,     0,  1806,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
    3887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3934,  3935,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2429,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3956,     0,
       0,     0,     0,     0,     0,     0,     0,  3960,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3972,  3974,     0,     0,     0,  3974,     0,
       0,     0,     0,  3985,  3986,  3987,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4008,  4009,  4010,  4011,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4026,
       0,  4030,  4031,  4032,     0,     0,     0,     0,     0,     0,
       0,  4045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,   743,     0,   743,     0,     0,   743,     0,   743,
       0,     0,   743,   743,   743,     0,     0,     0,  2227,     0,
       0,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,  2279,     0,     0,     0,     0,     0,     0,   743,
       0,   743,     0,     0,     0,     0,   743,     0,     0,     0,
    4092,     0,     0,     0,     0,     0,     0,     0,  4096,     0,
    2293,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4108,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2311,  2312,
    2313,     0,  2316,     0,     0,     0,     0,     0,     0,     0,
    4149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2358,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4186,     0,     0,     0,  4190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2413,     0,     0,  2368,
       0,     0,     0,     0,     0,     0,     0,  4228,     0,     0,
     743,   743,     0,   953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2436,     0,   699,     0,  2448,
    2451,     0,   699,   699,     0,  4249,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4259,
       0,     0,     0,  4261,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   743,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2504,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,   699,   699,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
    4484,     0,  4485,     0,     0,     0,     0,     0,     0,  4487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4497,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,  1445,
       0,  4505,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,  4516,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,  4519,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4548,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4556,  4557,  4558,     0,
       0,  4561,  4562,  4563,  4564,  4565,  4566,     0,     0,     0,
       0,  4573,  4574,     0,  4576,  4577,  4578,  4579,  4580,  4581,
    4582,     0,     0,     0,     0,     0,     0,     0,     0,  4590,
       0,  4592,  4593,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4625,     0,     0,     0,     0,     0,     0,     0,     0,
     743,     0,   743,     0,     0,     0,   743,     0,   743,     0,
       0,   743,  1228,     0,     0,   743,     0,     0,     0,     0,
    2368,     0,     0,     0,     0,     0,     0,     0,  3034,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3054,     0,  3056,     0,     0,  3068,  3071,  3076,     0,
       0,     0,     0,  3082,     0,     0,  3087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3094,  3095,  3096,  3097,     0,     0,     0,     0,  3104,
       0,     0,     0,  3116,     0,     0,  3118,  3974,     0,  3125,
    3126,  3127,  3128,  3129,  3130,  3131,  3132,  3133,     0,  3134,
       0,     0,     0,     0,     0,     0,     0,  1657,     0,     0,
    3162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2429,  2429,  2429,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4721,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2227,     0,     0,     0,     0,     0,     0,  3167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2504,
       0,     0,     0,  1734,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
     699,     0,     0,     0,     0,     0,  3243,     0,  1806,  1445,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,  4858,     0,     0,     0,  4859,  4860,  4861,  4862,
       0,     0,  4864,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4877,  4878,  4879,  4880,     0,  4882,  4883,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4892,  4893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4898,     0,
       0,     0,     0,     0,     0,  2429,  2429,     0,  2429,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,   699,     0,     0,     0,     0,     0,     0,     0,   699,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4962,     0,     0,     0,     0,     0,  1228,  1228,  1228,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4980,     0,     0,     0,     0,  3532,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5007,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,  1228,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2429,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3669,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5112,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   743,  2227,     0,     0,     0,     0,
       0,     0,  5121,     0,     0,     0,     0,  5126,  5127,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,  3724,     0,
       0,     0,     0,  3730,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,  2316,     0,
       0,     0,     0,  5176,     0,     0,     0,     0,     0,  3076,
       0,  3076,  3076,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3788,     0,     0,  3791,     0,  3793,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3974,     0,     0,
       0,     0,     0,     0,     0,     0,  3811,  5217,  3814,     0,
    3816,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,  2429,  3162,  3162,  3162,  1445,     0,     0,     0,
       0,     0,     0,  2429,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5253,     0,
       0,  2436,     0,     0,     0,     0,  3895,     0,     0,     0,
       0,     0,  2451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5270,     0,  1445,  2504,     0,     0,     0,     0,
     699,  5277,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,  1228,
       0,     0,  2429,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3942,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3974,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5395,     0,     0,     0,     0,     0,
       0,  1228,  1228,     0,     0,     0,     0,  1228,  1228,     0,
       0,     0,     0,     0,  1228,  1228,  1228,     0,     0,  5406,
    1228,     0,  1228,  1228,  1228,  1228,  1228,  1228,     0,  1228,
       0,  1228,  1228,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
    1228,  1228,  1228,  1228,     0,     0,     0,     0,  1228,     0,
       0,     0,  1228,     0,     0,  1228,     0,     0,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,  1228,
       0,     0,     0,  5454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5469,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,  1445,  1445,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,  1445,     0,     0,  1228,
       0,     0,  4295,     0,     0,     0,     0,     0,  1445,     0,
       0,  4299,     0,     0,     0,     0,     0,  4300,     0,  4301,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699,     0,
       0,     0,     0,     0,     0,  1445,  4325,  4326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3082,     0,     0,     0,     0,     0,
       0,     0,  4351,     0,     0,  4354,     0,  4356,     0,     0,
       0,     0,     0,     0,     0,     0,  4360,     0,     0,     0,
       0,     0,     0,     0,  4367,  4368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4412,     0,     0,     0,     0,
       0,  4419,  4420,  3162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1734,     0,     0,     0,     0,  1228,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,  1445,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,  1228,  1228,     0,  1434,
    1228,     0,     0,     0,     0,     0,     0,     0,  1228,  1228,
    1228,  1228,     0,     0,     0,     0,     0,  4684,  4685,     0,
       0,  1228,     0,     0,  1228,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,  1228,     0,
       0,  1228,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,  1228,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,  1228,  1228,  1228,     0,     0,     0,     0,     0,
       0,  4734,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4739,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,  4754,  4756,     0,     0,     0,     0,     0,  4760,
    4761,     0,     0,     0,  4762,     0,     0,     0,     0,  4765,
       0,     0,  4768,  4769,     0,     0,     0,  4773,     0,     0,
       0,     0,     0,  4777,     0,  1435,     0,     0,     0,     0,
    1445,     0,     0,  1445,     0,  1445,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3162,     0,     0,
       0,     0,  3162,     0,  1228,     0,     0,     0,  3162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1657,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,  4839,     0,     0,     0,  2504,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,  2533,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,     0,  1445,  4895,  1445,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1445,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
    4940,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,  1437,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,  2533,     0,     0,  1435,     0,     0,  1437,     0,
    1445,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,  1445,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,  1434,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5033,  5034,     0,     0,  5035,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,  5069,  5070,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,  1443,  1445,     0,  1443,     0,     0,     0,
    1228,     0,     0,     0,     0,   743,  1228,     0,  1228,     0,
       0,  1228,     0,     0,     0,  1445,  1228,  1228,  1228,  1228,
       0,     0,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,     0,     0,     0,  1228,  1228,     0,     0,     0,
    1445,     0,     0,     0,     0,  1228,     0,     0,     0,  1228,
       0,     0,     0,  1228,     0,     0,     0,   699,     0,     0,
       0,  1228,     0,     0,  1228,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,  1445,  1228,     0,     0,  1228,  1228,
       0,     0,     0,  1228,  1228,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
    1228,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
    1228,  1228,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3082,     0,
       0,     0,     0,     0,     0,     0,  1434,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1437,     0,     0,
    1228,     0,     0,     0,  5235,  3165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1445,  1437,     0,  2316,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1734,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5285,  1434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1437,     0,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5323,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1434,     0,     0,  3255,     0,     0,     0,  2533,
    3261,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,  1434,     0,     0,     0,
       0,     0,     0,     0,  1438,  5069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699,     0,
    1228,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
    5384,     0,  1443,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,  1434,  1443,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,  1434,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,  1434,     0,  1435,     0,
       0,     0,     0,     0,     0,  1445,  1228,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5433,  5433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5069,     0,     0,  1434,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,  1435,     0,     0,  5433,     0,     0,
       0,  1228,  1435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,  5501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,  1228,  1443,  1445,     0,     0,     0,  1228,  1228,
       0,     0,     0,  1228,  1445,     0,     0,     0,  1228,     0,
    1435,  1228,  1228,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
    1228,  1435,     0,     0,  1228,  5433,  5541,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,  1228,     0,     0,     0,
       0,  1228,     0,  2533,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,  1445,  1438,     0,  1440,     0,     0,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,  1434,     0,
       0,     0,  1434,  1434,     0,  1435,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,  1228,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1437,  1445,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,  1437,     0,     0,  1434,     0,     0,     0,  3165,  3165,
    3165,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
    1445,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,  1228,     0,  1437,  1228,     0,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
    1228,     0,     0,  1228,  1228,  1435,     0,     0,     0,  1435,
    1435,  1228,  1228,     0,     0,     0,  2533,     0,     0,  3261,
       0,  3261,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,  1228,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,  1434,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,     0,  1443,     0,     0,
    1445,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
       0,  1435,     0,     0,     0,     0,     0,  1437,     0,     0,
       0,     0,     0,     0,     0,     0,  1434,     0,     0,     0,
       0,  1228,     0,     0,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,  1438,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,  1445,     0,  1228,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,  1445,     0,  1434,     0,  1443,  1228,     0,
       0,     0,     0,  1435,     0,     0,  1440,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,  1434,     0,     0,     0,
    1228,     0,     0,  3261,     0,     0,     0,  1434,  3261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,  1445,  1445,     0,  1437,     0,  1228,
       0,  1437,  1437,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,  1438,  3261,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,  1443,
    1228,     0,  1438,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,     0,
    1445,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,  1228,     0,     0,  1438,
       0,     0,     0,  1437,     0,  1228,     0,     0,     0,     0,
    1228,     0,  1228,     0,  1228,     0,     0,     0,  1438,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,  1435,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,  1438,     0,     0,     0,  1434,
    1228,     0,  1434,     0,  1434,     0,  1443,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,  1228,  1228,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,  1228,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,  3165,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,  1434,     0,  1228,  1228,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,     0,  1434,     0,  1434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,  1228,  1228,  1435,     0,     0,  1435,
       0,  1435,     0,     0,  1440,     0,  1435,     0,  1228,     0,
       0,     0,  1440,     0,     0,  1434,     0,     0,     0,     0,
    1228,  1228,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,  3261,     0,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,  1434,     0,     0,     0,
    1440,  1434,     0,     0,  1435,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,  1438,     0,     0,     0,  1438,  1438,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,  1440,     0,     0,  1440,     0,     0,     0,
       0,  1435,  1434,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,  1437,     0,  1437,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3165,     0,     0,     0,     0,  3165,     0,     0,
       0,     0,     0,  3165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
    1435,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,  1437,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,  1443,  1440,
    1440,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,  1443,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,  2352,     0,     0,
    1437,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,  2352,     0,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,  1434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4991,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,  1443,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1437,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,  1438,     0,
    1438,     0,  1437,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,  3261,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
    3261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,  1437,     0,     0,
    1435,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
    2352,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
    1443,  1443,  1438,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2352,
       0,     0,     0,  1438,  1434,  1437,  4991,  1443,  1435,     0,
       0,     0,     0,  2352,     0,     0,  1440,  3064,  1438,  1440,
       0,  1440,     0,     0,     0,     0,  1440,     0,     0,     0,
       0,  2352,  2352,  2352,     0,     0,  2352,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,  1435,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1440,  2352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,  1440,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2352,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,  2352,     0,
       0,  2352,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,  1440,     0,     0,     0,     0,     0,  1434,
       0,     0,  1437,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,  1437,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1434,     0,  1440,     0,     0,     0,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,  1437,  1434,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,  1440,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
    1435,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,  2352,     0,     0,  3064,
    3064,     0,  3765,     0,  3064,  1440,     0,     0,  2352,     0,
       0,  2352,     0,     0,     0,     0,  2352,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,  2352,     0,     0,
       0,     0,     0,     0,  2352,  2352,  2352,  2352,     0,     0,
       0,  3064,  3064,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,  1437,     0,     0,     0,  2352,     0,  2352,     0,
       0,     0,     0,     0,     0,  2352,  2352,  2352,  2352,  2352,
    2352,  2352,  2352,  2352,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,     0,  1437,  1437,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2352,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,  1438,     0,
    2352,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3765,  3765,     0,     0,
    3064,  3064,  3064,  3064,     0,     0,  3064,  3064,  3064,  3064,
    3064,  3064,  3064,  3064,  3064,  3064,  3765,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,  1440,     0,  2352,  1438,
    1438,  2352,     0,  2352,     0,     0,  3765,  3765,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2352,  3064,  3064,  2352,     0,  2352,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3064,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,     0,
    1440,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,  2352,
    2352,  2352,     0,     0,     0,     0,     0,  3765,  3765,  3765,
    3765,     0,     0,     0,     0,  3765,  3765,  3765,  3765,  3765,
    3765,  3765,  3765,  3765,  3765,  2352,  2352,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2352,     0,     0,  2352,     0,  2352,     0,     0,     0,
    2352,     0,     0,  3765,  3765,     0,     0,  2352,  2352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,     0,  2352,
    2352,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2352,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3765,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    85,  2352,  2352,    86,    87,    88,    89,
      90,    91,    92,    93,     0,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,   118,   119,     0,     0,     0,   120,
     121,     0,     0,     0,  2352,   122,     0,     0,     0,  2352,
    3064,     0,     0,     0,   123,     0,   124,     0,   125,   126,
      35,     0,     0,     0,  2352,     0,  2352,     0,    41,    42,
    2352,  2352,  2352,     0,     0,  2352,     0,     0,  2352,  2352,
       0,     0,     0,  2352,   127,     0,     0,  2352,     0,     0,
       0,     0,     0,     0,   128,     0,   129,   130,     0,     0,
       0,     0,     0,     0,     0,     0,   131,     0,   132,     0,
       0,   133,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,   140,     0,   141,   142,   143,     0,   144,     0,   145,
       0,   146,     0,   147,     0,     0,     0,     0,     0,  2352,
       0,     0,   148,     0,   149,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,   152,
       0,   153,   154,   155,   156,     0,     0,     0,     0,     0,
   -1494,     0,     0,     0,     0,     0,   157,     0,   158,     0,
       0,     0,   159,     0,     0,     0,     0,     0,   160,   161,
       0,     0,     0,     0,     0,  2352,   162,   163,   164,     0,
       0,   165,     0,     0,   166,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,   170,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,   174,     0,     0,     0,     0,
    2352,     0,     0,     0,     0,   175,   176,     0,     0, -1494,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,   185,   186,     0,     0,     0,     0,
     187,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,     0,     0,   189,   190,   191,     0,     0,   192,
       0,     0,   193,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,  3765,  3064,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,  2352,  2352,  2352,     0,   201,     0,   202,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,   205,     0,     0,     0,     0,   206,   207,
       0,   208,     0,     0,     0,     0,   209,     0,     0,  2352,
    2352,   210,   211,     0,   212,     0,   213,     0,     0,   214,
       0,     0,     0,     0,   215,   216,     0,     0,     0,     0,
       0,     0,   217,     0,   218,     0,   219,   220,     0,     0,
     221,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,   224,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,   230,     0,   231,
       0,     0,     0,     0,   232,     0,     0,   233,     0,     0,
   -1494,     0,     0,   234,     0,     0,     0,     0,   235,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,   238,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,     0,     0,
       0,     0,   248,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   249,     0,     0,     0,
    -144,     0,     0,     0,     0,     0,     0,     0,     0,  3765,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,  2352,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2352,   428,   429,   430,   431,   432,   433,   434,   435,
     760,   436,   437,   438,   761,   762,   763,   764,   765,   766,
     767,   439,   440,   768,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,   769,   446,   447,   448,   449,
     450,   770,   771,   451,   452,   772,   139,   453,   773,   454,
     455,   456,   457,   143,   774,   144,   775,   458,   459,   460,
     461,   147,   462,   463,   776,   777,   464,   465,   466,   467,
     468,   469,   778,   150,   470,   471,   779,   780,   781,   782,
     151,   783,   784,   785,   473,   474,   475,   476,   722,   477,
     154,   155,   478,   786,   479,   787,   480,   481,   482,   483,
     484,   788,   485,   486,   487,   789,   790,   488,   489,   490,
     491,   492,   791,   493,   494,   495,   792,   496,   497,   498,
     793,   499,   500,   501,   502,   163,   503,   504,   505,   165,
     794,   506,   795,   507,   508,   167,   509,   796,   510,   797,
     511,   168,   798,   169,   512,   513,   514,   799,   515,   171,
     800,   172,   516,   801,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,   802,   525,   526,   527,   528,   529,
     530,   803,   531,   175,   176,   804,   532,   533,   534,   805,
     177,   806,   178,   807,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,   808,   809,   542,   182,   183,   543,
     184,   810,   544,   545,   546,   811,   812,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,   190,   191,   560,   561,   192,   813,   562,
     563,   194,   564,   814,   195,   565,   196,   566,   567,   568,
     815,   569,   816,   817,   570,   571,   572,   818,   819,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,   820,   582,   583,   201,   584,   202,   585,   586,
     587,   821,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,   822,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   823,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,   824,   623,   624,   625,   626,   627,   825,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
     826,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,   827,   647,   648,   828,   649,   225,   650,
     651,   652,   653,   654,   829,   226,   227,   830,   831,   656,
     657,   228,   658,   229,   832,   659,   660,   661,   662,   663,
     664,   665,   833,   834,   666,   667,   668,   669,   670,   835,
     836,   671,   672,   673,   674,   675,   837,   236,   838,   676,
     237,   677,   678,   679,   680,   839,   840,   681,   841,   842,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
    1000,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,  3235,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1577,  1578,  1579,
      45,  1580,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  3156,   436,   437,
     438,     0,     0,     0,     0,  1581,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,  1582,   136,
    1583,  1584,     0,   446,   447,   448,   449,   450,  1585,  1586,
     451,   452,  1587,  1588,   453,     0,   454,   455,   456,   457,
    1589,     0,  1590,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,
    1597,   473,   474,   475,   476,   722,   477,  1598,  1599,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,  3157,     0,   488,   489,  1413,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,  1600,   503,   504,   505,  1601,  1602,   506,     0,
     507,   508,  1603,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1604,     0,  1605,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,  1416,  1606,     0,  1607,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,  1608,   183,   543,   184,     0,   544,
     545,   546,  1609,  1610,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1611,
     190,  1612,   560,   561,   192,  1613,   562,   563,   194,   564,
    1614,  1615,   565,  1616,   566,   567,   568,     0,   569,     0,
       0,  1617,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1618,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1619,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1620,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,  1621,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1622,   629,   630,   218,
     631,   632,   220,   633,   634,  1623,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1624,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1625,  1626,     0,     0,   656,   657,  1627,   658,
    1628,  1629,   659,   660,   661,   662,   663,   664,   665,     0,
    1630,   666,   667,   668,   669,   670,  1631,     0,   671,   672,
     673,   674,   675,   728,  1632,  3158,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,   729,   688,   689,  1641,     0,     0,     0,     0,
       0,     0,  1642,  1643,  3159,     0,     0,     0,     0,     0,
       0,  1645,  3160,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,   216,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,   224,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,  2314,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,   238,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
     248,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,  5247,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,  1581,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,  1582,   136,  1583,  1584,     0,   446,
     447,   448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,
     453,     0,   454,   455,   456,   457,  1589,     0,  1590,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
    1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,
     476,   722,   477,  1598,  1599,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,  1600,   503,
     504,   505,  1601,  1602,   506,     0,   507,   508,  1603,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,  1604,     0,  1605,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,  1416,  1606,     0,  1607,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
    1608,   183,   543,   184,     0,   544,   545,   546,  1609,  1610,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1611,   190,  1612,   560,   561,
     192,  1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,
     566,   567,   568,     0,   569,     0,     0,  1617,   571,   572,
       0,     0,   573,   197,   198,   574,   199,  1618,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,  1619,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1620,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,  1621,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,  1622,   629,   630,   218,   631,   632,   220,   633,
     634,  1623,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,  1624,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1625,  1626,
       0,     0,   656,   657,  1627,   658,  1628,  1629,   659,   660,
     661,   662,   663,   664,   665,     0,  1630,   666,   667,   668,
     669,   670,  1631,     0,   671,   672,   673,   674,   675,   728,
    1632,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
    1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,
     689,  1641,     0,     0,     0,     0,     0,     0,  1642,  1643,
       0,     0,     0,     0,     0,     0,     0,  1645,  3066,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,     0,     0,
    1645,  4303,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1577,
    1578,  1579,    45,  1580,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1581,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1582,   136,  1583,  1584,     0,   446,   447,   448,   449,   450,
    1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,   455,
     456,   457,  1589,     0,  1590,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,
    1595,  1596,  1597,   473,   474,   475,   476,   722,   477,  1598,
    1599,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1413,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1600,   503,   504,   505,  1601,  1602,
     506,     0,   507,   508,  1603,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1604,     0,
    1605,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1416,  1606,
       0,  1607,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1608,   183,   543,   184,
       0,   544,   545,   546,  1609,  1610,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1611,   190,  1612,   560,   561,   192,  1613,   562,   563,
     194,   564,  1614,  1615,   565,  1616,   566,   567,   568,     0,
     569,     0,     0,  1617,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1618,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1619,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1620,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1621,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1622,   629,
     630,   218,   631,   632,   220,   633,   634,  1623,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1624,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1625,  1626,     0,     0,   656,   657,
    1627,   658,  1628,  1629,   659,   660,   661,   662,   663,   664,
     665,     0,  1630,   666,   667,   668,   669,   670,  1631,     0,
     671,   672,   673,   674,   675,   728,  1632,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,
       0,     0,     0,     0,  1642,  1643,     0,     0,     0,     0,
       0,     0,     0,  1645,  4374,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,     0,  1406,   136,  1407,  1408,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,  1409,  1410,   453,
       0,   454,   455,   456,   457,     0,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
     722,   477,  1411,  1412,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,     0,   503,   504,
     505,     0,     0,   506,     0,   507,   508,  1414,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,     0,     0,     0,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,  2519,   525,   526,   527,
     528,   529,   530,     0,   531,   175,  2520,     0,   532,   533,
     534,  1416,  1417,     0,  1418,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,     0,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1419,   190,  1420,   560,   561,     0,
       0,   562,   563,   194,   564,     0,     0,   565,  1421,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,  2522,   198,   574,   199,     0,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,   584,     0,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1422,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,     0,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,  2523,   631,   632,   220,   633,   634,
    1424,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1425,  1426,     0,
       0,   656,   657,     0,   658,     0,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,  1427,
    2524,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   729,   688,   689,
       0,     0,     0,     0,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  2628,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1406,   136,  1407,  1408,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1409,  1410,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1411,  1412,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1414,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,  2519,   525,   526,   527,   528,
     529,   530,     0,   531,   175,  2520,     0,   532,   533,   534,
    1416,  1417,     0,  1418,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1419,   190,  1420,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1421,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,  2522,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1422,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  2523,   631,   632,   220,   633,   634,  1424,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1425,  1426,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1427,  2524,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,     0,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,  3606,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,  1733,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,   216,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,   224,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,  2314,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,   238,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
     248,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,   216,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,   224,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,  2314,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,   238,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,   248,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,  3072,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,  3073,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,  3074,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,  3075,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,  2276,  3027,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,  1644,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,  1733,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,  2446,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,  3073,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,  4421,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,     0,     0,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,  4437,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
    5430,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,  5431,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,  5432,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,  5431,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,  5432,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,  4746,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,     0,     0,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,  4755,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,  5059,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  5060,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,  5061,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  5062,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445, -2798,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,  5431,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520, -2798,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,     0,     0,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543, -2798,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,     0,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632, -2798,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,  5432,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
   -2798,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,     0,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  3058,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,     0,     0,     0,     0,     0,  3059,
    3060,     0,     0,     0,     0,     0,     0,     0,  3061,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,     0,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,     0,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    3058,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,     0,     0,     0,     0,     0,     0,
       0,  3059,  3060,     0,     0,     0,     0,     0,     0,     0,
    3061,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
       0,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,     0,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  3058,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,     0,     0,     0,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,  3061,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,     0,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,  4336,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,     0,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    3058,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,     0,     0,     0,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    3061,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,     0,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,     0,
       0,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,     0,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,     0,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,     0,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,  1586,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,  1601,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,   172,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
    3834,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
    1615,   565,   196,   566,   567,   568,     0,   569,     0,  1124,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,  3835,   617,   618,   619,   620,   621,   727,   622,   216,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,   224,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,  1627,   658,  1628,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,  2314,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,   238,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,     0,     0,   248,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    3836,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,  1586,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,  1601,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,   172,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,  3834,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,  1615,   565,
     196,   566,   567,   568,     0,   569,     0,  1124,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,  3835,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,  1627,   658,  1628,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,     0,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  3836,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,  1586,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,  1601,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,   172,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,  1615,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,  3835,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,  1627,   658,  1628,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,   249,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,  1586,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,  1601,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,   172,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,  1615,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,  1627,   658,  1628,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,     0,     0,
       0,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,  4468,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,  5114,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,  4390,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0, -1598,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0, -1598,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531, -1598,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536, -1598,   537,   538,   539,   540,   541,
       0,     0,   542,   182, -1598,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189, -1598,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612, -1598,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,     0,     0,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,  1741,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,  3638,  3639,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  3639,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,   216,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,   224,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  2314,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
     238,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,   248,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,   249,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   216,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,   224,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  2314,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,   238,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,   248,
       0,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,   249,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,     0,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,  1716,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,  3223,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  4371,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  4800,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,  1251,    45,     0,     0,     0,     0,     0,  1252,  1253,
    1254,   428,   429,   430,   431,   432,   433,   434,   435,   760,
     436,   437,   438,   761,   762,   763,   764,   765,   766,   767,
     439,   440,   768,   441,   442,   132,   443,   444,   445,     0,
    1406,   136,  1407,  1408,   769,   446,   447,   448,   449,   450,
     770,   771,   451,   452,  1409,  1410,   453,   773,   454,   455,
     456,   457,     0,   774,   144,   775,   458,   459,   460,   461,
     147,   462,   463,   720,   777,   464,   465,   466,   467,   468,
     469,   778,   150,   470,   471,     0,   780,   781,   782,   151,
     783,   784,   785,   473,   474,   475,   476,   722,   477,  1411,
    1412,   478,   786,   479,   787,   480,   481,   482,   483,   484,
     788,   485,   486,   487,   789,   790,   488,   489,  1413,   491,
     492,   791,   493,   494,   495,   792,   496,   497,   498,   793,
     499,   500,   501,   502,     0,   503,   504,   505,     0,   794,
     506,   795,   507,   508,  1414,   509,   796,   510,   797,   511,
     168,   798,   169,   512,   513,   514,   799,   515,     0,   800,
       0,   516,   801,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,   802,   525,   526,   527,   528,   529,   530,
     803,   531,   175,     0,     0,   532,   533,   534,  1416,  1417,
     806,  1418,   807,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,   808,   809,   542,     0,   183,   543,   184,
     810,   544,   545,   546,   811,   812,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1419,   190,  1420,   560,   561,     0,   813,   562,   563,
     194,   564,   814,     0,   565,  1421,   566,   567,   568,   815,
     569,   816,   817,  4117,   571,   572,   818,   819,   573,     0,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,   820,   582,   583,     0,   584,     0,   585,   586,   587,
     821,   588,   589,   590,   591,   592,   593,   594,   595,  1422,
     596,   597,   598,   599,   822,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   823,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,   824,   623,   624,   625,   626,   627,   825,   629,
     630,  2523,   631,   632,   220,   633,   634,  1424,   635,   826,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,   827,   647,   648,   828,   649,   225,   650,   651,
     652,   653,   654,   829,  1425,  1426,     0,   831,   656,   657,
       0,   658,     0,   832,   659,   660,   661,   662,   663,   664,
     665,     0,   834,   666,   667,   668,   669,   670,   835,   836,
     671,   672,   673,   674,   675,     0,  1427,   838,   676,   237,
     677,   678,   679,   680,   839,   840,   681,   841,   842,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,     0,     0,     0,
    1257,  1258,  1259,     0,  4118,  4119,  1262,  1263,  1264,  1265,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,     0,     0,  1252,  1253,  1254,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,  1255,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,  1256,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,  1257,  1258,  1259,
       0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1251,     0,     0,     0,     0,
       0,     0,  1252,  1253,  1254,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,  1357,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,  1358,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,  1261,
    1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1251,     0,     0,     0,     0,     0,     0,  1252,
    1253,  1254,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
    1457,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,  1458,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,  1459,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,     0,     0,
       0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,
    1265,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1251,
       0,     0,     0,     0,     0,     0,  1252,  1253,  1254,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,  2016,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,  2017,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,  1257,  1258,
    1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1251,     0,     0,     0,
       0,     0,     0,  1252,  1253,  1254,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,
    1261,  1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1251,     0,     0,     0,     0,     0,     0,
    1252,  1253,  1254,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,  3324,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,  3325,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,
    1264,  1265,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1251,     0,     0,     0,     0,     0,     0,  1252,  1253,  1254,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,  5093,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,  1257,
    1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   760,   436,   437,   438,
     761,   762,   763,   764,   765,   766,   767,   439,   440,   768,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,   769,   446,   447,   448,   449,   450,   770,   771,   451,
     452,   772,   139,   453,   773,   454,   455,   456,   457,   143,
     774,   144,   775,   458,   459,   460,   461,   147,   462,   463,
     776,   777,   464,   465,   466,   467,   468,   469,   778,   150,
     470,   471,   779,   780,   781,   782,   151,   783,   784,   785,
     473,   474,   475,   476,   722,   477,   154,   155,   478,   786,
     479,   787,   480,   481,   482,   483,   484,   788,   485,   486,
     487,   789,   790,   488,   489,   490,   491,   492,   791,   493,
     494,   495,   792,   496,   497,   498,   793,   499,   500,   501,
     502,   163,   503,   504,   505,   165,   794,   506,   795,   507,
     508,   167,   509,   796,   510,   797,   511,   168,   798,   169,
     512,   513,   514,   799,   515,   171,   800,   172,   516,   801,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
     802,   525,   526,   527,   528,   529,   530,   803,   531,   175,
     176,   804,   532,   533,   534,   805,   177,   806,   178,   807,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
     808,   809,   542,   182,   183,   543,   184,   810,   544,   545,
     546,   811,   812,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,   813,   562,   563,   194,   564,   814,
     195,   565,   196,   566,   567,   568,   815,   569,   816,   817,
     570,   571,   572,   818,   819,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,   820,   582,
     583,   201,   584,   202,   585,   586,   587,   821,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,   822,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   823,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,   824,
     623,   624,   625,   626,   627,   825,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,   826,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,   827,
     647,   648,   828,   649,   225,   650,   651,   652,   653,   654,
     829,   226,   227,   830,   831,   656,   657,   228,   658,   229,
     832,   659,   660,   661,   662,   663,   664,   665,   833,   834,
     666,   667,   668,   669,   670,   835,   836,   671,   672,   673,
     674,   675,   837,   236,   838,   676,   237,   677,   678,   679,
     680,   839,   840,   681,   841,   842,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,  2414,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1406,   136,  1407,  1408,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1409,  1410,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1411,  1412,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1414,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,  2519,   525,   526,   527,   528,
     529,   530,     0,   531,   175,  2520,     0,   532,   533,   534,
    1416,  1417,     0,  1418,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1419,   190,  1420,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1421,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,  2521,
     573,  2522,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1422,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  2523,   631,   632,   220,   633,   634,  1424,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1425,  1426,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1427,  2524,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,     0,
      86,    87,    88,   705,    90,    91,    92,   706,  2525,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,    86,    87,    88,   705,    90,
      91,    92,   706,  1131,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
      86,    87,    88,   705,    90,    91,    92,   706,  5147,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,  1021,
     430,   431,   432,   433,   434,   435,  1022,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,  1023,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
    1024,   167,   509,     0,   510,     0,  1025,     0,  1026,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
    1027,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,  1028,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,  1029,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,  1030,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,  1031,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,     0,     0,     0,
       0,  1032,  1033,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,  1021,   430,   431,   432,   433,   434,   435,  1022,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,  1055,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,  1024,   167,   509,     0,   510,     0,  1056,
       0,  1026,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,  1027,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,  1028,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,  1029,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,  1030,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,  1031,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,     0,     0,     0,  1032,  1033,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,  1510,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,  1026,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,  1027,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  1032,  1033,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1515,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,  1026,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,  1027,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,     0,     0,     0,
    1032,  1033,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,   723,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,  1687,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
    1101,  1688,    86,    87,    88,   705,    90,    91,    92,   706,
    1102,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,  1103,   452,  1074,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,  1104,     0,  1105,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,  1106,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,  1107,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,  1108,
     614,   615,   213,   616,   617,   618,  1109,   620,   621,   727,
     622,     0,   623,   624,   625,   626,  1110,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,  1111,   227,     0,     0,  1112,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,  1078,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,  1113,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   760,   436,   437,   438,   761,   762,   763,
     764,   765,   766,   767,   439,   440,   768,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,   769,   446,
     447,   448,   449,   450,   770,   771,   451,   452,   772,   139,
     453,   773,   454,   455,   456,   457,   143,   774,   144,   775,
     458,   459,   460,   461,   147,   462,   463,   776,   777,   464,
     465,   466,   467,   468,   469,   778,   150,   470,   471,   779,
     780,   781,   782,   151,   783,   784,   785,   473,   474,   475,
     476,   722,   477,   154,   155,   478,   786,   479,   787,   480,
     481,   482,   483,   484,   788,   485,   486,   487,   789,   790,
     488,   489,   490,   491,   492,   791,   493,   494,   495,   792,
     496,   497,   498,   793,   499,   500,   501,   502,   163,   503,
     504,   505,   165,   794,   506,   795,   507,   508,   167,   509,
     796,   510,   797,   511,   168,   798,   169,   512,   513,   514,
     799,   515,   171,   800,   172,   516,   801,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,   802,   525,   526,
     527,   528,   529,   530,   803,   531,   175,   176,   804,   532,
     533,   534,   805,   177,   806,   178,   807,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,   808,   809,   542,
     182,   183,   543,   184,   810,   544,   545,   546,   811,   812,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,   813,   562,   563,   194,   564,   814,   195,   565,   196,
     566,   567,   568,   815,   569,   816,   817,   570,   571,   572,
     818,   819,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,   820,   582,   583,   201,   584,
     202,   585,   586,   587,   821,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,   822,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     823,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,   824,   623,   624,   625,
     626,   627,   825,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,   826,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,   827,   647,   648,   828,
     649,   225,   650,   651,   652,   653,   654,   829,   226,   227,
     830,   831,   656,   657,   228,   658,   229,   832,   659,   660,
     661,   662,   663,   664,   665,   833,   834,   666,   667,   668,
     669,   670,   835,   836,   671,   672,   673,   674,   675,   837,
     236,   838,   676,   237,   677,   678,   679,   680,   839,   840,
     681,   841,   842,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   760,   436,
     437,   438,   761,   762,   763,   764,   765,   766,   767,   439,
     440,   768,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,   769,   446,   447,   448,   449,   450,   770,
     771,   451,   452,   772,   139,   453,   773,   454,   455,   456,
     457,   143,   774,   144,   775,   458,   459,   460,   461,   147,
     462,   463,   776,   777,   464,   465,   466,   467,   468,   469,
     778,   150,   470,   471,   779,   780,   781,   782,   151,   783,
     784,   785,   473,   474,   475,   476,   722,   477,   154,   155,
     478,   786,   479,   787,   480,   481,   482,   483,   484,   788,
     485,   486,   487,   789,   790,   488,   489,   490,   491,   492,
     791,   493,   494,   495,   792,   496,   497,   498,   793,   499,
     500,   501,   502,   163,   503,   504,   505,   165,   794,   506,
     795,   507,   508,   167,   509,   796,   510,   797,   511,   168,
     798,   169,   512,   513,   514,   799,   515,   171,   800,   172,
     516,   801,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,   802,   525,   526,   527,   528,   529,   530,   803,
     531,   175,   176,   804,   532,   533,   534,   805,   177,   806,
     178,   807,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,   808,   809,   542,   182,   183,   543,   184,   810,
     544,   545,   546,   811,   812,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,   813,   562,   563,   194,
     564,   814,   195,   565,   196,   566,   567,   568,   815,   569,
     816,   817,   570,   571,   572,   818,   819,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
     820,   582,   583,   201,   584,   202,   585,   586,   587,   821,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,   822,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   823,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,   824,   623,   624,   625,   626,   627,   825,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,   826,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,   827,   647,   648,   828,   649,   225,   650,   651,   652,
     653,   654,   829,   226,   227,   830,   831,   656,   657,   228,
     658,   229,   832,   659,   660,   661,   662,   663,   664,   665,
     833,   834,   666,   667,   668,   669,   670,   835,   836,   671,
     672,   673,   674,   675,   837,   236,   838,   676,   237,   677,
     678,   679,   680,   839,   840,   681,   841,   842,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,  3386,
     433,   434,   435,   760,   436,   437,   438,   761,   762,   763,
     764,   765,   766,   767,   439,   440,   768,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,   769,   446,
     447,   448,   449,   450,   770,   771,   451,   452,   772,   139,
     453,   773,   454,   455,   456,   457,   143,   774,   144,   775,
     458,   459,   460,   461,   147,   462,   463,   776,   777,   464,
     465,   466,   467,   468,   469,   778,   150,   470,   471,   779,
     780,   781,   782,   151,   783,   784,   785,   473,   474,   475,
     476,   722,   477,   154,   155,   478,   786,   479,   787,   480,
     481,   482,   483,   484,   788,   485,   486,   487,   789,   790,
     488,   489,   490,  3387,   492,   791,   493,   494,   495,   792,
     496,   497,   498,   793,   499,   500,   501,   502,   163,   503,
     504,   505,   165,   794,   506,   795,   507,   508,   167,   509,
     796,   510,   797,   511,   168,   798,   169,   512,   513,   514,
     799,   515,   171,   800,   172,   516,   801,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,   802,   525,   526,
     527,   528,   529,   530,   803,   531,   175,   176,   804,   532,
     533,   534,   805,   177,   806,   178,   807,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,   808,   809,   542,
     182,   183,   543,   184,   810,   544,   545,   546,   811,   812,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,   813,   562,   563,   194,   564,   814,   195,   565,   196,
     566,   567,   568,   815,   569,   816,   817,   570,   571,   572,
     818,   819,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,   820,   582,   583,   201,   584,
     202,   585,   586,   587,   821,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,   822,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     823,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,   824,   623,   624,   625,
     626,   627,   825,  3388,   630,   218,   631,   632,   220,   633,
     634,   221,   635,   826,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,   827,   647,   648,   828,
     649,   225,   650,   651,   652,   653,   654,   829,   226,   227,
     830,   831,   656,   657,   228,   658,   229,   832,   659,   660,
     661,   662,   663,   664,   665,   833,   834,   666,   667,   668,
     669,   670,   835,   836,   671,   672,   673,   674,   675,   837,
     236,   838,   676,   237,   677,   678,   679,   680,   839,   840,
     681,   841,   842,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
    1586,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,  1601,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,   172,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,  1615,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,  1627,
     658,  1628,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  1399,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1450,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,  2519,   525,   526,   527,   528,   529,   530,     0,
     531,   175,  2520,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,  2522,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    2523,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,  2524,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1406,   136,  1407,  1408,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1409,  1410,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1411,  1412,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1414,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,  1416,  1417,     0,  1418,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1419,   190,  1420,   560,   561,
       0,     0,   562,   563,   194,   564,  2616,     0,   565,  1421,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1422,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  2523,   631,   632,   220,   633,
     634,  1424,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,  4215,
     649,   225,   650,   651,   652,   653,   654,     0,  1425,  1426,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1427,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,     0,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,  2680,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,     0,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    1423,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1406,   136,  1407,  1408,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1409,  1410,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1411,  1412,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1414,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,  1416,  1417,     0,  1418,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1419,   190,  1420,   560,   561,
    4042,     0,   562,   563,   194,   564,     0,     0,   565,  1421,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1422,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  1423,   631,   632,   220,   633,
     634,  1424,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1425,  1426,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1427,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,  1415,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,     0,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,     0,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    1423,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1406,   136,  1407,  1408,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1409,  1410,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1411,  1412,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1414,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,  1476,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,  1416,  1417,     0,  1418,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1419,   190,  1420,   560,   561,
       0,     0,   562,   563,   194,   564,     0,     0,   565,  1421,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1422,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  1423,   631,   632,   220,   633,
     634,  1424,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1425,  1426,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1427,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,     0,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,     0,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
    1423,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,  1406,   136,  1407,  1408,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1409,  1410,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,  1411,  1412,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1413,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,  1414,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,  1416,  1417,     0,  1418,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1419,   190,  1420,   560,   561,
       0,     0,   562,   563,   194,   564,     0,     0,   565,  1421,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1422,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,  2523,   631,   632,   220,   633,
     634,  1424,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1425,  1426,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
    1427,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,     0,  1406,
     136,  1407,  1408,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,  1409,  1410,   453,     0,   454,   455,   456,
     457,     0,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,   722,   477,  1411,  1412,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,     0,   503,   504,   505,     0,     0,   506,
       0,   507,   508,  1414,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,     0,     0,     0,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,     0,     0,   532,   533,   534,  1416,  1417,     0,
    1418,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,     0,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1419,   190,  1420,   560,   561,     0,     0,   562,   563,   194,
     564,     0,     0,   565,  1421,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,     0,   198,
     574,   199,     0,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,   584,     0,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1422,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,     0,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
       0,   631,   632,   220,   633,   634,  1424,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1425,  1426,     0,     0,   656,   657,     0,
     658,     0,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,  1427,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   729,   688,   689,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,     0,     0,   136,     0,     0,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,     0,
     453,     0,   454,   455,   456,   457,     0,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,   722,   477,     0,     0,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,     0,   503,
     504,   505,     0,     0,   506,     0,   507,   508,     0,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,     0,     0,     0,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,     0,     0,   532,
     533,   534,     0,     0,     0,     0,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
       0,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,     0,   190,     0,   560,   561,
       0,     0,   562,   563,   194,   564,     0,     0,   565,     0,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,     0,   198,   574,   199,     0,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,   584,
       0,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,     0,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,     0,   631,   632,   220,   633,
     634,     0,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,     0,     0,
       0,     0,   656,   657,     0,   658,     0,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
       0,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   760,   436,   437,
     438,   761,   762,   763,   764,   765,   766,   767,   439,   440,
     768,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,   769,   446,   447,   448,   449,   450,   770,   771,
     451,   452,     0,   139,   453,   773,   454,   455,   456,   457,
     143,   774,   144,   775,   458,   459,   460,   461,   147,   462,
     463,   776,   777,   464,   465,   466,   467,   468,   469,   778,
     150,   470,   471,     0,   780,   781,   782,   151,   783,   784,
     785,   473,   474,   475,   476,     0,   477,   154,   155,   478,
     786,   479,   787,   480,   481,   482,   483,   484,   788,   485,
     486,   487,   789,   790,   488,   489,   490,   491,   492,   791,
     493,   494,   495,   792,   496,   497,   498,   793,   499,   500,
     501,   502,   163,   503,   504,   505,   165,   794,   506,   795,
     507,   508,   167,   509,   796,   510,   797,   511,   168,   798,
     169,   512,   513,   514,   799,   515,   171,   800,   172,   516,
     801,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,   802,   525,   526,   527,   528,   529,   530,   803,   531,
     175,   176,     0,   532,   533,   534,     0,   177,   806,   178,
     807,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,   808,   809,   542,   182,   183,   543,   184,   810,   544,
     545,   546,   811,   812,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,   813,   562,   563,   194,   564,
     814,   195,   565,   196,   566,   567,   568,   815,   569,   816,
     817,   570,   571,   572,   818,   819,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,   820,
     582,   583,   201,   584,   202,   585,   586,   587,   821,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,   822,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   823,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
     824,   623,   624,   625,   626,   627,   825,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,   826,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
     827,   647,   648,   828,   649,   225,   650,   651,   652,   653,
     654,   829,   226,   227,     0,   831,   656,   657,   228,   658,
     229,   832,   659,   660,   661,   662,   663,   664,   665,     0,
     834,   666,   667,   668,   669,   670,   835,   836,   671,   672,
     673,   674,   675,     0,   236,   838,   676,   237,   677,   678,
     679,   680,   839,   840,   681,   841,   842,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,  1194,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,  2561,   454,   455,
     456,   457,   143,     0,     0,  2635,   458,   459,   460,   461,
       0,   462,   463,   720,  2562,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
    2636,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,  2564,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
    2565,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,  2566,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,  2561,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,  2562,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,  2636,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,  2564,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,  3548,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,  2565,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,  2566,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,  1089,   434,   435,  1041,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,  1042,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,  1090,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,  1043,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
    1044,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1041,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,  1042,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,  3286,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,  1043,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,  1044,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,  2561,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,  2562,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
    2636,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,  2564,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
    2565,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,  2566,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   718,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,   721,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,   723,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1041,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,  1042,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,  1043,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
    1044,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,   950,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   951,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     952,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  2234,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,  2235,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,  2236,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,  2237,   511,     0,     0,     0,  2238,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,  2239,  2240,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,  2241,   620,   621,   727,   622,     0,  2242,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,  2243,   649,     0,  2244,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,  2245,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,  1042,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,  1043,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,  1044,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,  2223,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,  3145,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,  3146,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,  2501,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,  3147,
     649,     0,   650,  3148,   652,  3149,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,  3150,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,   745,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,   723,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   899,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1282,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1283,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,  1124,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1391,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,   129,   130,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  3369,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
    3370,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  3382,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,  3383,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   956,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,  1003,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
    1059,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,  1124,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1246,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1247,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1690,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1873,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
    1124,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1921,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1922,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,  2090,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,  2223,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
    2501,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,  4390,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,  4404,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,  5096,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,  1071,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1073,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  1075,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,  1076,   227,
       0,     0,  1077,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1118,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,  1119,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,  1120,   227,     0,     0,  1121,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,  1138,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1270,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1277,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1292,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1348,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1363,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1404,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1462,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1466,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1468,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1470,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1474,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1482,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,  1701,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,  1103,   452,  1074,   139,
    1702,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,  1107,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,  1108,   614,   615,   213,   616,   617,
     618,  1109,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  1694,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,  1111,   227,
       0,     0,  1112,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,  1113,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,  1827,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1073,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2046,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  2076,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2078,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2150,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2152,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2154,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,  2271,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,  2468,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,     0,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2854,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2858,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2898,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  3297,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  3372,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  3374,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  3484,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,  3506,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,  1103,   452,  1074,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
    1107,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
    1108,   614,   615,   213,   616,   617,   618,  1109,   620,   621,
     727,   622,     0,   623,   624,   625,   626,  1694,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,  1111,   227,     0,     0,  1112,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,  1113,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
    1103,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,  1107,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,  1108,   614,
     615,   213,   616,   617,   618,  1109,   620,   621,   727,   622,
       0,   623,   624,   625,   626,  1694,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,  2548,   651,   652,   653,
     654,     0,  1111,   227,     0,     0,  1112,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,  1113,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,  1103,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,  1107,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,  1108,   614,   615,   213,   616,   617,   618,  2620,
     620,   621,   727,   622,     0,   623,   624,   625,   626,  2621,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,  1111,   227,     0,     0,
    2622,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,  1113,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,  1103,   452,
    1074,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,  1107,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,  1108,   614,   615,   213,
     616,   617,   618,  1109,   620,   621,   727,   622,     0,   623,
     624,   625,   626,  2621,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
    1111,   227,     0,     0,  2622,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,  1078,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
    1113,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,     0,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,     0,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,     0,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114, -2553,   115,   116,   117,     0,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
     126,    35,     0,   422,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114, -2554,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,  1189,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,     0,   115,   116,   117,     0,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,   122,     0,
       0,     0,     0,     0,     0,     0,     0,   123,     0,   124,
       0,   125,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,     0,   115,   116,   117,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   161,     0,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,  2199,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,  2200,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,  2201,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,     0,     0,     0,     0,    41,    42,  1032,
    1785,  4922,     0,     0,     0,     0,     0,     0,  4923,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,   129,   130,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,   216,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,   224,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   235,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
     238,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689,    35,
     427,   248,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,   249,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,  2402,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,  2199,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,  2200,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,  2201,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689,     0,
       0,     0,     0,     0,    35,   427,  1032,  1785,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,     0,   477,   154,   155,   478,  2407,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,  2199,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,  2200,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
    2201,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   688,   689,     0,     0,     0,     0,     0,    35,
     427,  1032,  1785,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,  2199,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,  2200,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,  2201,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689,     0,
       0,     0,     0,     0,    35,   427,  1032,  1785,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,     0,   477,   154,   155,   478,  3279,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,  2199,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,  2200,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
    2201,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,   688,   689,     0,     0,     0,     0,     0,    35,
     427,  1032,  1033,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,   655,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,  2199,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
    2200,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,  2201,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,     0,   473,
     474,   475,   476,     0,   477,   154,   155,   478,  2387,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,  2179,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   688,   689,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,  1272,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,   472,
     473,   474,   475,   476,     0,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    35,   688,   689,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,   472,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,  2740,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   688,
     689,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,   472,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
    3683,   172,   516,     0,   517,   518,     0,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
     472,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,   472,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,  1289,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,  1371,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,   472,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,  1452,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,   472,   473,
     474,   475,   476,     0,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,  1464,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,   472,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
    1478,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,  1479,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,   129,   130,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   688,   689
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-4750))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2798))

static const yytype_int16 yycheck[] =
{
       2,  1105,  1451,    78,  1155,   923,   249,    78,    78,    78,
    1504,   210,    78,  1455,   390,   390,   963,  1460,  1160,    96,
    1122,   230,   224,     2,  1042,  1043,  1044,   374,  1225,   106,
    1048,  1100,    94,   879,   153,  2238,  2363,    78,   166,  1739,
    1423,  1128,  1359,    84,  1291,   152,   149,   963,  1279,  1722,
    1426,  1534,  1859,  1370,  1443,  1301,  1894,  3004,  1340,    78,
     188,  2003,  1009,   981,   141,    84,   751,  2527,  2528,   131,
     170,  1570,  3169,  2376,  2188,  2769,    78,   923,  1183,   156,
     159,  1914,    84,  2777,   203,  2779,  1112,    89,  3340,   164,
     152,   153,  2804,  1900,    78,  2813,  3615,   116,  1345,  2731,
     162,  1441,  1349,  1904,  3386,  2679,  3388,  1354,   164,  1954,
     210,   984,  2073,  2276,   116,  1362,  1411,  1412,  1400,   131,
    2426,  2976,   995,   116,  1743,  1372,  1421,  3573,  3546,  3531,
    1278,  3892,  3536,   752,  3536,   981,  3945,  3364,  1971,  1972,
     362,   203,   161,  2085,  1249,  1202,   376,  1278,  3945,  3223,
     152,  3158,  1202,  1284,  4204,  3995,  3602,   875,  1008,   161,
    1833,  1108,  1293,   376,   882,  1966,  3156,  3157,   161,   994,
    3836,  4141,  3941,   209,  4194,   893,  4216,  3842,  4193,  4191,
    1779,  1780,  1781,   219,  4207,   248,  3808,  2370,   217,   116,
    4671,  4203,  1108,  1517,  3089,  1886,  2124,  1837,  1291,  1497,
    2527,  1900,  1242,   921,  1152,  3254,  4473,   209,   926,  1774,
    1775,  4864,  4800,   232,  4802,   217,  2177,   219,  1152,   937,
    1488,  3841,  3771,  1197,  1198,    30,  3908,    21,  1000,    71,
     232,  1409,  1410,  2807,   161,    10,    87,  4986,  3154,   232,
     111,   115,  1420,    85,  4845,  4898,   166,    87,   131,   124,
    1626,   138,   117,    71,    74,    75,    76,    77,  1024,    87,
      71,    81,  1028,  1029,  1030,   950,   160,    85,   188,   190,
     131,   117,  1038,    74,    75,    76,    77,    87,   116,   131,
      81,    14,   209,    78,    14,    84,   115,    71,   116,    96,
     217,   234,   219,  1496,   209,    14,    80,   152,    98,  3215,
     185,    85,   240,  1598,  1599,   232,   116,   382,    98,   146,
     234,   382,   382,   382,   859,   204,   382,   148,   146,    78,
    1338,  1616,   234,   161,    74,    75,    76,    77,    71,   236,
     234,    81,    25,  2907,  3229,  2909,   146,    80,    71,    89,
      90,    71,    85,   229,    74,    75,    76,    77,   269,   390,
      80,    81,    82,    83,    25,    85,  4290,   187,  4292,    74,
      75,    76,    77,  3639,   426,   185,    81,   131,   102,   333,
     102,   390,  4902,  4903,    89,    90,    37,   275,    39,  3154,
      74,    75,    76,    77,   425,   375,   102,    81,   390,   321,
    2593,   413,    98,   109,   232,  1497,   244,   102,   382,  1504,
     157,   189,   202,  1321,   106,   107,   425,   365,   215,  1587,
    1588,   102,   202,   180,   234,   157,   150,  1102,   109,    74,
      75,    76,    77,   425,   158,   112,    81,   340,   185,   214,
      74,    75,    76,    77,  1612,   493,   148,    81,   212,   226,
    3215,    78,  1645,     0,   138,    89,    90,    78,   144,  1646,
     229,   216,   186,    78,   512,   370,  3059,  3060,   190,  5112,
    1706,  3064,    74,    75,    76,    77,   102,  5055,   526,    81,
     105,   250,   257,   109,    78,  1321,  1673,    89,    90,    78,
      78,   248,   234,   138,   405,   861,   861,   256,   276,   402,
     235,   398,   197,   387,   484,  4976,   202,    29,  3101,  3102,
      74,    75,    76,    77,   526,   388,   193,    81,  4478,   105,
      74,    75,    76,    77,   148,    89,    90,    81,    78,   293,
     102,    74,    75,    76,    77,   192,   260,   388,    81,   275,
     317,   233,   190,   235,  1481,  2235,   388,   269,   470,  2239,
     307,  2241,    78,   310,  2244,   452,   148,  2475,   655,   470,
      78,   458,    78,    74,    75,    76,    77,  1504,   348,   131,
      81,   435,   526,   320,  2013,  1481,  1668,   148,   526,   184,
      74,    75,    76,    77,   472,  2018,   157,    81,   271,  1681,
    1199,  1200,    87,   526,   703,   704,  2514,   382,  1461,   396,
    2518,   529,   382,   655,    74,    75,    76,    77,   487,  1704,
     271,    81,   526,   449,  1709,  1710,   435,   462,   415,  1711,
    1712,   526,   477,    74,    75,    76,    77,   529,   449,  4023,
      81,  4023,   412,   382,   388,   529,   425,  1574,   476,   449,
     515,    74,    75,    76,    77,   529,   403,   333,    81,   526,
     526,   703,   704,   116,   474,  2318,   529,    74,    75,    76,
      77,   526,  4664,   655,    81,   526,  1506,  4672,  1574,   320,
    5261,  4631,    74,    75,    76,    77,   477,  1540,   529,    81,
     470,   522,  5421,   405,  1219,   517,   518,   529,   472,   519,
     520,   521,   522,  1556,   526,   475,   888,   524,   161,   751,
     423,   528,  2365,   423,   522,   515,  2369,   431,  1571,   517,
     518,   187,   477,  1950,   423,  1952,   422,   449,   528,   519,
     520,   521,   522,   178,  1486,  2032,  3290,  4163,  4688,   524,
    4385,  3948,   487,   524,  2006,   526,   520,   528,  4394,  1960,
    5383,   422,  4398,   517,   518,   267,  4358,   449,   470,  2181,
     507,  1507,  5395,  1874,  1510,   382,  2229,  1513,   491,  1515,
     385,   382,  1518,  4302,  1701,  2001,  1522,   382,  5288,   232,
     529,   868,  1709,  1710,  4384,   529,  1009,  4449,  4186,   512,
     335,  1876,  5360,   355,   517,   518,   526,   529,   382,  1884,
     482,   526,   528,   382,   382,  1701,   422,   517,   518,   385,
    1012,  4725,  1923,   279,  2236,  4729,  4730,  3257,  4732,  3259,
     396,  5454,   398,  2245,   412,   472,  2607,   914,  1155,   234,
    3504,   526,   470,  1761,   178,   449,   388,  3511,  3512,  1793,
     861,  3515,   382,  5090,   903,   407,   481,  1761,  3522,  3156,
    3157,  3158,   526,   952,   320,  3342,   451,  1942,   857,  1932,
    1945,  1946,   861,   179,  1937,  5326,   382,   449,  2143,  3856,
    3568,  5179,  1054,  1893,   382,   857,   382,   178,   454,   861,
     442,   178,   444,   865,   857,   972,   148,   362,   449,  3172,
    4840,   526,   874,   875,  2675,   157,   189,  4847,  1497,   494,
     882,  3930,   526,   275,   347,   371,  2210,   275,   950,    14,
     952,   893,  2216,  1021,   234,  1023,  2194,  1025,   154,  4126,
      14,  2541,  1005,  1031,  5098,  5099,   180,   909,  1753,  2014,
    2113,  2476,   185,  2478,   526,  1145,   178,  2185,  3834,   921,
    3836,   529,   234,   259,   926,  4975,  1128,  1055,  1056,  1006,
     857,   496,  1145,  1008,  2625,   937,  2635,  5418,   194,  3513,
    3514,  1003,  2120,  2121,   409,  1007,  1023,   398,  1025,   412,
     226,    98,   526,  1009,   956,   122,   451,  1159,  1035,    87,
     164,   963,   526,   276,  4937,   967,  4242,  4243,  4244,  4245,
    4246,   973,   493,   526,   248,   977,   978,  4229,  1055,  1056,
     154,  2321,   984,    74,    75,    76,    77,  4784,   116,   493,
      81,   512,   994,   995,   244,   340,   178,  5325,  1000,   494,
     275,   481,  2847,   454,   234,   526,   215,  1009,   512,   285,
    1928,  3906,   517,   518,   519,   520,   521,   522,   146,   857,
     194,  1000,   526,  2861,   449,   131,   256,   215,   234,  3945,
    4827,   185,  4841,   307,   330,   239,   310,   164,  3545,  1241,
    1102,  3224,  1104,   529,  4841,   275,   526,   330,    71,   234,
     256,    74,    75,    76,    77,   202,   334,    80,    81,  3834,
    2554,  3836,    85,  2081,   400,   526,   190,   124,   318,   275,
     275,  3531,  2275,  2276,   438,  1138,  3536,  1106,  1134,  2282,
     472,  1110,  1928,   526,   251,  2288,  2289,  2290,  1129,   256,
    2192,   140,  1104,   349,   275,  2298,  2299,  1099,  1100,   526,
    2303,   437,   438,  1023,  1106,  1025,  1108,   318,  1110,   449,
    1129,   237,   239,   212,   526,   318,    25,   438,  2315,   176,
    4785,   438,  4744,  4789,   482,   292,    35,  1129,  4794,   403,
     334,  4797,   405,   154,  1136,  1055,  1056,   449,  2242,  2243,
    2523,   529,  5192,  5471,  2533,   269,  5166,  3750,  3751,  3752,
    3753,   244,  3612,  3756,  3757,  3758,  3759,  3760,  3761,  3762,
    3763,  3764,  3765,  5203,   213,   438,   320,   449,  5188,  4688,
    3945,   275,  5187,   194,   273,   349,   438,  5200,  5151,  1106,
     330,  5375,   231,  1110,   529,   389,  5198,   443,    71,  4986,
     526,    74,    75,    76,    77,  1197,  1198,    80,    81,    82,
      83,   348,    85,   515,  1183,   478,   415,   334,   242,  3812,
    3813,   268,   318,   187,  4660,   400,   528,    87,   491,   229,
     202,   102,  4848,  1202,  4506,   318,   476,   415,   137,   340,
     526,  1233,   103,   507,   185,   382,   491,   396,  2156,   512,
    4467,   340,   472,   526,  1280,  1281,   400,   412,   526,  1233,
     417,  2198,   526,   526,   529,   234,   438,  3185,   178,   154,
     334,   318,   389,   334,  2964,   412,   472,   472,   427,   443,
    1249,   190,   185,   476,   529,  2148,   146,   256,  1280,  1281,
     530,   407,   388,   202,   235,  1850,   234,   491,  2161,   488,
     190,   472,   281,    70,  2119,  2894,   275,   508,   483,   194,
     530,    78,    79,  2176,  1306,  1384,   412,  1291,   256,  2411,
    2156,  1313,  5327,   439,   363,  1317,   197,  4943,     8,  5088,
     231,    11,    12,   527,   530,   530,   530,   275,   349,   318,
     529,  1333,    22,    23,    24,   164,    26,    27,   429,   430,
    1342,    31,    32,    33,   401,   178,   470,  2197,   164,  2174,
    5190,   325,   185,  1280,  1281,   184,   338,  2461,   179,   393,
     100,   236,   271,   528,   491,   464,  5336,  5417,   472,   269,
     321,   154,  5422,  4447,   384,   438,   526,  2295,  1380,   156,
     120,   108,   371,   476,   857,  5051,   195,   216,  2493,   517,
     518,   519,   520,   521,   522,    98,   205,  5019,   318,   270,
     527,   104,  1645,   530,   386,   396,  4100,   320,  4415,   412,
    2727,   194,  4106,  4107,  4421,  4109,   465,   347,   529,   140,
    4410,  1423,   443,   239,  5474,   146,   415,  4282,   114,   206,
     412,  1506,  1509,  5230,  1511,   140,   157,  1514,   259,  1516,
     238,   360,  1519,  1520,  1521,  5430,  5255,  1823,  1823,  2295,
     235,  2900,  2297,   524,   349,  1532,  2513,   528,  5255,  1461,
    2305,   336,  2904,  2513,   185,  5091,   187,  2910,   405,  1546,
    4874,  1548,  4874,   185,  2039,  5101,    78,  3680,  4394,  1481,
     185,   470,  4398,  1485,  1486,  5535,  1488,   320,   178,   216,
     236,  1553,  5114,   472,  1496,   518,  5118,  5119,   296,   202,
     396,   438,  1504,  2634,  5265,  5266,  1485,  1486,   228,  1488,
    1732,  2828,  2829,  2830,  2831,   140,  1746,  1747,  3356,  1749,
     187,   472,   299,  2840,   472,  1504,   529,   110,   282,  3856,
     270,  4134,   157,  1746,  1747,   526,  1749,  2784,  1540,   348,
     305,   478,   263,  5528,  4962,   124,   148,  2695,   443,   378,
     412,   530,  1554,  4185,  1556,   449,   431,   457,   187,   248,
    3723,  1763,   164,  4023,  2695,   350,   349,  3186,   254,  1571,
     470,   348,  1574,   382,   470,  2194,   405,   375,   197,   400,
     199,   340,   530,  1585,   132,  3285,  2717,   159,   213,   526,
     336,  2873,   140,  2698,   238,   428,   263,   176,   431,   320,
    3445,  2706,   185,  2708,   325,   362,   231,  2554,  3914,   438,
     370,  1613,   187,   325,  2745,   320,   437,   438,   307,  4394,
     325,   515,   312,  4398,  5421,  1687,  1688,   199,   188,    74,
      75,    76,    77,   418,   517,   518,    81,   397,   358,  1641,
    1642,  1643,   363,  1645,   442,   348,   444,   249,   180,   478,
     279,   318,   296,   320,  3455,  1657,   377,   197,   363,   199,
     443,   305,   491,  1665,   441,     5,   443,   529,   307,   359,
     468,   229,   377,   382,  2877,  1687,  1688,  2595,  4252,   382,
    4254,   239,   222,   512,    98,    25,   484,  5448,   324,   268,
     104,   320,   252,   526,   451,    35,   338,   526,   256,  1701,
     451,  1720,  1704,   412,   279,  3666,   348,  1709,  1710,   412,
     530,   330,  4939,   161,   403,    70,   248,  1719,  1720,    74,
      75,    76,    77,    78,    79,  1704,    81,  1720,   382,  1791,
    1709,  1710,  5178,  1774,  1775,   449,   224,   494,   363,   318,
     382,   197,   371,   199,   465,   320,  1748,  4999,   296,  2595,
    1752,  1753,   348,   244,  1773,  1774,  1775,   340,  5176,  2632,
     465,   393,  3595,  1965,   403,  3598,   222,   237,   527,   459,
     529,  1773,  1774,  1775,   376,   307,   386,  4724,   310,  1791,
     382,   180,  1823,   419,   232,   325,   382,   449,   202,  1830,
     330,  1793,  1871,  1720,   347,   449,   371,   137,   442,  5217,
     444,   127,   412,   348,  1823,   293,  1785,    74,    75,    76,
      77,  1830,  3295,   348,    81,   529,   412,  5336,  1837,   277,
     146,  1823,   401,  2508,   468,   180,  5108,   318,  1830,  1831,
     224,  1810,  1811,   391,   160,  1837,  3176,   382,  2856,   471,
     465,   483,    70,   449,  1837,  1847,   421,   165,  1850,   248,
      78,    79,  1854,    74,    75,    76,    77,   348,  3061,   412,
      81,   201,   526,  2968,   320,   256,  3255,   529,  4784,   325,
    3073,   403,  3261,  4789,   330,  5102,   334,   412,  4794,   529,
     325,  4797,  1720,  3326,  1886,   472,   212,  2055,  4835,  5335,
    4837,   382,  1894,   248,    50,   384,   347,  1876,  4995,   293,
     188,  4595,  3105,  4597,  4598,  1884,  2074,  4601,   307,   515,
    1837,  4827,    68,  2631,  4488,  4489,   456,   235,  2865,   281,
    1847,   197,   528,   199,  1926,  4841,   466,  4639,   156,   472,
     526,   271,   515,  4651,   348,  1773,   398,   407,   332,   526,
    3143,   524,   348,   526,   527,   528,   529,   265,  1932,  2865,
     177,  4663,   307,  1937,   188,   310,   318,   238,   177,  1886,
    5212,   412,   280,  1942,   252,   234,  1945,  1946,   382,   439,
    3265,  2689,   290,   382,   524,   507,   382,   386,  3678,   207,
    2927,   531,   472,   526,  1986,   476,  1988,   256,   491,    22,
     460,   382,   454,   375,   526,   386,   212,   315,   412,  1837,
     456,  2108,   491,   412,   403,  2007,   412,  3949,   224,  4784,
     466,  2927,  3163,   229,  4789,   296,   334,  2036,   252,  4794,
    2022,   412,  4797,   512,   406,  2743,   529,  4871,  2030,   530,
    2690,   302,  3314,   261,  2036,  2014,   526,  2039,    71,  2041,
     529,  5268,   261,  2036,   320,  2421,  2421,   451,   403,   386,
    2252,  5469,  4827,   415,   330,  2057,   438,   273,   325,  2061,
     307,  1988,   283,   310,   348,  4909,  4841,   321,   322,  2268,
    4986,  2073,  3177,  5519,   392,   412,   348,   293,   302,   306,
     224,   308,   491,  4410,  2744,   229,  2088,   306,  4415,   308,
     494,  3743,   348,    71,  4421,  3578,   493,   382,   382,  2101,
     491,   212,   484,   512,  3587,  2107,   532,    85,   470,  2036,
     382,  2113,  3343,   224,   386,   512,   332,  2119,   229,  3792,
    3772,   512,  2197,  4426,   340,   353,   382,   412,   412,  2131,
    2207,   371,  2209,   100,  3365,  5051,  2213,  4740,  2215,   491,
     412,  2218,  2198,   383,  2146,  2222,  2148,  2149,  3174,   293,
    5377,   405,   507,   120,   472,    40,   403,  5254,    98,  2161,
     512,   442,   273,   444,   104,  3998,  3999,  2267,   408,  2171,
     441,   491,  2174,   524,  2176,  2177,   400,   529,   472,   530,
     515,  3982,   293,  2185,   438,  2260,  2188,   468,   332,  2260,
    2260,  2260,   512,   528,  2260,  2274,  2198,   468,  2036,  3117,
     320,    74,    75,    76,    77,   325,  2185,  3706,    81,  2188,
     396,  4986,   398,  3344,  3059,  3060,   148,   441,  4912,  3064,
     491,   332,   493,    87,   478,   157,  4027,   348,   271,   340,
    3177,    74,    75,    76,    77,   463,  2238,   491,    81,    16,
     236,   187,  3915,   471,   468,   148,   474,  1720,   464,   369,
      70,    71,   116,   375,   157,   526,  3101,  3102,   512,  3635,
    3636,   382,   202,   365,  4206,  3714,  2951,   491,   454,   493,
     266,  3117,   526,  2275,  2276,  5502,  5051,     7,   454,  2281,
    2282,  3412,   146,   229,   406,  2287,  2288,  2289,  2290,    19,
      20,   412,  2294,  3540,  2296,  2297,  2298,  2299,  2300,  2301,
     224,  2303,   526,  2305,  2306,   229,   329,  2309,    38,  2328,
     118,    41,  2440,    80,  5230,   524,   438,   263,    85,   528,
      84,  2323,  2324,  2325,  2326,  2327,  2328,    91,    92,    93,
    2332,   139,   484,   229,  2336,  2328,   124,  2339,  4452,  5255,
    2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  5446,
    2352,  3197,   491,   464,   250,   137,   138,  2556,  2360,  2558,
    4687,  2363,   484,   521,  1837,  3312,   165,  2423,   526,   293,
     528,  4209,   318,   512,   320,   402,   334,   348,   166,  5476,
    2421,   339,  4956,    70,    71,  4192,   283,    74,    75,    76,
      77,    78,    79,    80,    81,  2466,  3312,    34,    85,   235,
     129,  2328,  2421,   191,  2606,   449,  1008,  1009,   332,  3282,
    3283,   382,   526,   524,  4874,  5018,   527,   528,   206,  2421,
     405,   529,   210,    70,  2426,   533,  2554,  5374,  3710,   265,
     160,    78,    79,   334,   454,  2476,   235,  2478,   339,   529,
    2547,   412,   230,   533,   280,   233,  2508,  5544,   177,   519,
     520,   521,   325,   438,   290,  5230,   302,  2476,   246,  2478,
     529,   530,    84,  3946,  3947,    87,   265,   454,   198,    91,
      92,    93,   529,   530,  2476,   493,  2478,  4609,   384,  4611,
    5255,   280,   325,  4615,   331,  4617,   108,   334,    70,    71,
    2328,   290,   402,   478,   512,  2497,    78,    79,   185,   442,
     525,   444,   521,    85,   529,  5421,   491,   526,   526,   528,
     526,   305,   528,  2515,  2493,  2517,   315,    74,    75,    76,
      77,  2523,  2541,   161,    81,  2527,  2528,   512,  4988,   258,
     442,   305,   444,     2,  2513,  2537,  2515,   325,  2517,  2541,
    2542,   526,  3745,  1145,  2546,   333,  3564,   524,  2541,   526,
     259,   528,  2554,  3426,   400,   302,   392,    74,    75,    76,
      77,    84,  3435,  2036,    81,  4265,  4266,  4267,   396,   397,
    2572,   525,   336,  2575,   531,   529,  3779,   306,    71,   308,
    2687,   369,   250,   527,  2586,  3974,   530,   274,  2590,   318,
     527,  2593,   529,   392,  3541,   441,  3543,    89,    90,  3072,
    2602,  3074,  3075,  3690,    84,   527,   454,    87,   530,   296,
    3715,   527,  2614,   529,  2541,   524,   128,   526,   347,   484,
      89,  3824,   468,  2625,   491,  3541,   493,  3543,   302,  2631,
    2632,   526,  3927,   528,  3880,  2307,   116,  2639,  2310,  2658,
     396,   397,   122,  2662,   153,   491,  5421,   493,   283,   527,
    3847,   529,   402,   400,    70,   277,  2658,  2659,   387,   527,
    2662,   529,    78,    79,  3611,   527,   146,   529,   527,  2662,
     529,   527,    84,   529,   527,    87,   529,   527,   532,   529,
     526,   526,  3555,   152,  3557,  3531,    85,  2689,  2690,   158,
    3536,  2693,    89,    90,   441,  3611,   526,   426,  2625,  3850,
    3851,  3852,   334,  2541,   116,    74,    75,    76,    77,  2711,
     122,  2814,    81,   527,   336,   529,   527,   186,   529,  2698,
    2722,   468,   527,   527,   529,   529,   400,  2706,   400,  2708,
     210,  2658,  4935,  2735,   146,  2662,   529,   491,  4411,   493,
     156,  2743,  2744,   527,   491,   529,   493,   128,   482,   513,
     514,   515,   484,   517,   518,   519,   520,   521,   522,   517,
     518,   519,   520,   521,   527,   118,   529,   441,   509,   527,
    4443,   251,   527,   279,   529,   527,   256,   529,   337,   526,
    2799,   334,   527,    84,   529,   527,    87,   529,  2790,  2791,
     206,   527,   337,   529,   468,   528,   449,  2799,   210,   527,
     229,   529,    84,  2805,   334,    87,  2799,   509,   527,  2811,
     529,   527,   292,   529,     2,   116,   337,   491,  3061,   493,
    2658,   122,   279,   118,  2662,   517,   518,   519,   520,   521,
     517,   518,  3705,   525,   116,    74,    75,    76,    77,   251,
     122,  2843,    81,   509,   256,   146,    74,    75,    76,    77,
     519,   233,   526,    81,   529,  2328,   336,   527,   302,  2861,
     527,  4092,  3105,  2865,   146,   526,   128,  4567,  4568,   442,
    4570,   444,  2799,   234,   442,  2877,   444,  5204,   530,   527,
     292,   529,   527,   299,   529,   527,   527,   529,   529,  2951,
     275,   513,   514,   515,   519,   517,   518,   519,   520,   521,
     522,   532,   532,  4220,  1506,  3750,  3751,  3752,  3753,   210,
     449,  3756,  3757,  3758,  3759,  3760,  3761,  3762,  3763,  3764,
    3765,   527,   271,   529,   336,  2927,   111,   527,   210,   529,
     449,   449,   348,  2935,   527,   449,   529,   417,  3783,  3148,
    3149,  3150,   449,   527,    84,   529,   527,    87,   529,   526,
     251,    91,    92,    93,   208,   256,   400,    74,    75,    76,
      77,  2799,   271,   128,    81,  4348,   382,  3812,  3813,   251,
     386,   527,  2974,   529,   256,  3218,   449,   526,   166,  1581,
     527,   491,   529,   493,   527,   527,   529,   529,  2990,  2968,
     527,   292,   529,   527,  2996,   529,   412,   441,  1600,   527,
     188,   529,  3004,   277,   528,   417,  3008,   412,    84,  3011,
     292,    87,  3014,   495,   382,    91,    92,    93,   256,   527,
    3022,   529,   526,   217,   468,   441,   526,   443,  1630,  3031,
     510,   527,   334,   529,  3036,   336,   217,   517,   518,   519,
     520,   521,   522,  1645,   527,   256,   529,   491,   157,   493,
     527,   527,   529,   529,   336,   382,   528,  3059,  3060,  3061,
     217,  3080,  3064,   527,   527,   529,   529,  3086,  2541,   334,
    3072,  3073,  3074,  3075,   527,   491,   529,   527,  3080,   529,
     256,   217,   526,  3085,  3086,   334,  3088,  3080,  3090,   527,
      89,   529,   527,  3086,   529,   527,   229,   529,   510,  3101,
    3102,   382,   217,  3105,   302,   517,   518,   519,   520,   521,
     522,   530,  4606,   527,   291,   529,   417,  3119,  3193,  3121,
     187,  3123,  3193,  3193,  3193,   472,   527,  3193,   529,   238,
     334,    84,  4335,   526,    87,   417,   302,   277,    91,    92,
      93,  3143,   454,   329,  1746,  1747,   484,  1749,   302,   527,
     259,   529,  3154,  3080,  3156,  3157,  3158,   402,   229,  3086,
     527,   527,   529,   529,  4647,  4270,  4973,   527,   527,   529,
     529,   527,   527,   529,   529,  3177,   527,  4023,   529,  3181,
     256,   527,   527,   529,   529,  2658,   655,   296,   527,  2662,
     529,   527,  3194,   529,   283,   368,   336,  3199,  3177,   140,
     526,   277,   400,  3205,   527,   527,   529,   529,   527,   510,
     529,   111,   527,  3215,   529,   320,   517,   518,   519,   520,
     521,   522,   526,   302,  5427,  5428,   495,   527,   510,   529,
     339,   527,   334,   529,   400,   517,   518,   519,   520,   521,
     522,   118,  3080,   441,   118,   320,   400,   527,  3086,   529,
     459,   527,  3254,   529,   527,  3257,   529,  3259,   348,   527,
     336,   529,  3264,   229,  3266,   302,   527,   527,   529,   529,
     468,   527,  1149,   529,  1151,   441,  4473,  4399,   484,  4401,
    3282,  3283,   484,   153,  4157,  4158,  3288,   441,   366,  4134,
     229,   531,   217,   491,   217,   493,   526,  4170,   217,   481,
     526,   359,   468,   526,   217,   110,   495,  3309,   217,   217,
    3312,   529,   217,  3315,   468,   217,   334,   334,   217,   217,
     217,   400,   217,   229,   277,   491,  2799,   493,   526,   217,
    3332,   334,   217,   442,   217,   444,   217,   491,   438,   493,
     111,   291,   526,   229,  5044,   454,   334,   229,   526,   229,
     492,  5554,  5555,   345,  3356,  5055,   465,   526,   526,   468,
     526,   275,   441,   400,   526,   526,   526,  3386,  3387,  3388,
    4439,   526,   526,   513,   514,   515,   526,   517,   518,   519,
     520,   521,   522,   336,  3386,  3387,  3388,   526,   526,   468,
     111,   526,   526,   168,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   441,   526,   526,   526,  3410,   275,
     526,   529,   491,   526,   493,   526,   291,  3419,   277,  3421,
    3422,   529,   111,   229,  3426,   332,   229,   330,   412,  4923,
     271,   468,   519,  3435,  5134,   904,   403,   513,   514,   515,
     184,   517,   518,   519,   520,   521,   522,   526,  4931,  4932,
     310,   471,   529,   515,   491,    84,   493,   529,    87,  3386,
    3387,  3388,    91,    92,    93,    14,   529,   526,   449,   526,
     526,   449,   400,  3820,   528,   322,   449,   449,  3480,   108,
     400,   293,   515,   157,   449,   449,   449,   116,  3690,   526,
     400,   217,   334,   122,   963,   964,   288,  3499,   449,   325,
     404,  4606,   449,  3505,   449,   441,  3625,   334,   261,   471,
     330,   526,   449,  4431,   449,  3622,  3535,   146,   249,   526,
    3591,   157,   256,   529,   348,   217,   472,   179,  3530,  3531,
    3601,  1000,   472,  3535,  3536,   128,  5236,   449,   449,  3541,
     128,  3543,  3535,   338,   117,   441,   117,   400,  3386,  3387,
    3388,   334,  3531,  3555,  3625,  3557,   449,  3536,   405,   449,
     513,   514,   515,  3625,   517,   518,   519,   520,   521,   522,
     449,   449,   529,   449,   277,  3818,   449,   449,   449,   106,
     107,   449,   334,   334,   277,  4431,   277,   111,   526,   100,
    1059,   438,  3594,  3836,   495,  2197,   334,   491,   217,    89,
     320,   185,   526,   472,   217,   299,   330,  3080,  3535,  3611,
    3612,   320,   320,  3086,  4632,   111,   483,  3826,  3827,  3828,
    3829,   229,   251,   111,  1093,  3627,   283,   256,   401,   110,
    4503,   478,   447,   447,  1103,   526,   528,   164,  1107,  1108,
    1109,   449,   526,   412,   491,   449,    14,   217,   277,   278,
     217,   472,   217,  4804,   472,   217,   217,   184,  2260,  4606,
    4811,   524,  5145,   292,  3666,   512,  5115,   524,   529,   329,
     449,  4918,   526,  5116,   324,   234,   166,   487,  3680,   526,
     527,  3683,   312,   530,   312,    87,  4559,  4829,  5130,   216,
    5132,   529,   447,   526,   323,   526,   242,  3535,   188,   449,
     225,   234,   865,  3705,   529,   451,  3708,   336,   515,   249,
     339,   874,   529,   249,   527,   526,   273,   415,   281,   335,
     529,  4823,   111,  3725,   472,    34,  3728,   529,  1197,  1198,
     527,  2333,  3734,  1202,   527,    10,  3715,   342,  3740,   527,
    3742,   128,   449,  3745,   449,   400,   909,  3749,  3750,  3751,
    3752,  3753,   400,   472,  3756,  3757,  3758,  3759,  3760,  3761,
    3762,  3763,  3764,  3765,   526,   281,  3785,  3769,  3770,   281,
     325,    70,  3774,   325,   449,   454,   449,  3779,   449,    78,
      79,  3783,   484,  3785,   526,  3787,   229,   402,   417,   283,
     325,   334,  3785,  3795,   118,   421,  3798,   441,  3800,   291,
      99,   333,  5296,   449,   967,   291,  3808,  3809,   449,   400,
    3812,  3813,  1000,   529,   977,  3817,  3818,   334,   382,   250,
    5023,   371,  3824,   409,   382,   449,   449,   277,   111,   277,
     277,   277,  3834,  1021,  3836,  1023,   277,  1025,   472,   472,
     333,   283,   217,  1031,  1032,  1033,  3848,   515,   515,   229,
    4954,   378,  3854,  3855,  3856,   229,   330,   156,  3785,  5062,
     231,   526,   484,   526,  2466,  4241,  4241,  1055,  1056,   217,
     409,   217,   216,   491,   111,   320,   875,   334,   405,   334,
     320,   510,   283,   882,   513,   514,   515,  5038,   517,   518,
     519,   520,   521,   522,   893,  4740,   525,   247,   247,  3901,
     520,   229,   531,   111,  4749,   509,   527,   524,   207,   509,
     310,   438,  3914,  3386,  3387,  3388,   527,   527,   527,   217,
     527,   334,   921,  4051,  4842,   334,   283,   926,  3930,   334,
     409,   256,   229,   256,   256,   529,    99,   529,   937,   495,
     529,   449,   234,  3945,   240,    84,   526,  3785,    87,   309,
     491,   478,   334,   529,   128,   482,   454,   256,   438,   329,
     234,   484,   261,   283,   491,   509,   345,  4885,   352,   234,
     488,   449,   344,   527,   527,  3977,  4923,   116,   529,   527,
     527,   470,   527,   122,   526,   512,   301,   478,   488,   527,
     527,   511,   334,   527,   515,  1183,  4842,   527,  4017,   526,
     529,   527,  4875,  4022,   526,  4024,  5455,   146,   527,   515,
     128,   526,  1481,   526,  1202,  4017,  1485,  1486,   527,  1488,
    4022,  4023,  4024,   526,  5227,   526,   530,   529,  4874,  4022,
     527,  4024,   527,   334,   337,  1504,  5239,   259,   217,  4885,
     334,  5244,   526,  5246,  4023,   449,   495,   267,   325,   526,
     449,   449,   449,   338,   353,   217,   217,   404,   259,   404,
     472,  1249,  3535,   449,   293,   353,   353,   303,   449,   303,
    4072,   210,   449,  4075,   469,   303,   449,   320,   412,   400,
     449,  1550,   449,   449,   449,   449,   400,   449,   400,   400,
    4017,   449,   217,  4112,   393,  4022,   449,  4024,   449,   117,
     277,   277,   277,   526,   277,  1574,   449,   527,   527,   449,
    4112,   529,   251,   118,   384,   178,   527,   256,   459,  4112,
     526,   529,   333,   111,   101,   334,   217,   217,   229,   244,
    4201,   527,  4134,   449,   525,   138,   526,   436,   400,   472,
    4119,   472,   229,  1306,   400,   400,   529,   337,   409,   215,
     215,   277,   208,   292,  1317,  4157,  4158,   277,   277,  4161,
     234,   524,    87,   345,   463,   229,   527,   234,  4170,   340,
    4172,   148,   471,  5018,   529,   474,   483,   529,  1647,  4017,
     488,   234,   512,   242,  4022,  4112,  4024,  1656,   527,   527,
     527,   526,   335,  4264,   389,   527,   515,   336,  1197,  1198,
    4241,  1670,   179,   529,   155,   459,   229,  4209,  4210,  4211,
     527,    84,   111,   526,    87,   515,   526,  1380,    91,    92,
      93,   527,  4241,   200,   529,   527,    84,   472,   472,    87,
     449,   283,  1701,   267,   211,  1704,  1705,   128,   441,  4241,
    1709,  1710,   526,    84,   459,   449,    87,   449,   400,  5267,
      91,    92,    93,   449,   231,   449,   449,   526,   116,   236,
     400,   527,   128,   527,   122,   382,  4465,   527,   491,   441,
     229,  4273,   146,   217,  4112,   116,   178,   527,   417,   459,
     277,   122,   277,   277,   277,   526,   491,   367,   146,   281,
     262,  4270,  4294,   526,   526,   495,   229,  1485,  1486,   529,
    1488,   527,   529,  4305,   151,   146,   441,   284,   529,   526,
     459,   529,  3785,   449,   526,    84,  1504,   527,   525,   239,
     409,   178,   234,   277,  1793,   277,   234,   277,   305,   277,
     527,   376,   128,  4335,   526,   489,   527,   345,   489,   527,
     529,   527,   526,  4345,  4346,  5263,  4348,   343,   526,  5296,
    4352,  4353,   210,   280,   280,  4357,  4358,   527,   440,   526,
    4362,   341,   128,  4365,  4366,   245,   330,   527,  4370,   527,
    4441,   510,   527,    84,  4376,   459,    87,   515,   517,   518,
     519,   520,   521,   522,  4512,   234,   491,   449,   146,   366,
     261,   325,  4394,   251,   325,   128,  4398,   441,   256,   515,
     529,   529,   449,   140,   217,   116,   449,   449,  4410,   277,
     251,   122,   236,  4415,   234,   256,   393,  5263,    84,  4421,
     256,    87,   472,   400,   526,    91,    92,    93,   409,   406,
     111,   472,   203,   487,   292,   146,   491,  4439,   111,   234,
     491,   334,   108,   526,   229,   264,   527,  4426,   337,   275,
    4452,   292,   234,   526,   526,   376,   477,   425,   527,  3061,
     490,   438,   280,   336,   441,   351,  4468,   527,   526,   526,
     157,   198,   334,  4452,   377,   449,   449,   526,   336,   527,
     229,   527,   459,   192,  4486,   325,   526,  4506,   526,  1958,
     526,   111,   325,   304,   259,   336,   527,   526,   367,   526,
     526,  4503,   216,  3105,  4506,   111,   338,   484,   527,   397,
     397,   527,   459,  4515,   423,   515,  1704,   423,   128,   128,
    3122,  1709,  1710,   111,   526,   526,   441,  4529,   527,   527,
     472,  1021,  4534,  1023,   441,  1025,  3138,   526,   529,  4541,
     251,  1031,   526,   526,  4017,   256,   318,  4549,   334,  4022,
      81,  4024,  3154,   223,   140,   367,   441,  4559,   527,   417,
    2029,   337,   140,   198,    84,  1055,  1056,   491,   491,   376,
     526,   476,   529,   477,   111,   412,   417,   526,   234,  4506,
     441,   292,   374,   229,   203,   261,  4588,   488,   334,   334,
    2059,  3193,   409,   111,   526,  1783,   111,  1785,   337,   337,
     236,   128,   236,   396,  4606,   527,   190,   526,   526,   526,
     470,   277,    81,  3215,   527,  1803,  3218,   527,   396,   383,
      97,  4623,  1810,  1811,   108,   336,   526,  4606,   449,   526,
     234,   529,  4634,   529,   216,   367,   423,   491,   491,  4112,
     513,   514,   515,   423,   517,   518,   519,   520,   521,   522,
     526,   236,   510,   236,   382,  1989,  1281,  2812,  1245,   517,
     518,   519,   520,   521,   522,  1710,  3177,  2671,  4506,   510,
     336,  1274,   513,   514,   515,  4022,   517,   518,   519,   520,
     521,   522,  1280,  3365,  2739,  4687,  3527,  4689,  1876,  4111,
    5137,  5296,  4921,  1183,    98,  4969,  1884,  4155,  4973,  4625,
     104,  4953,  5381,  3289,  2956,  4841,   417,  1197,  1198,  5452,
    5310,  5309,  1202,  5401,  4202,  3293,  2185,  4188,  4147,  2188,
    2802,  2802,  4724,  4017,  3387,  2060,  4171,  4650,  2796,  3580,
    5460,  5553,  5534,  4948,  3535,  3530,  5412,  4887,  4740,  2049,
     144,  5282,  4744,  5391,  4890,  4822,   188,  4749,  4273,  5087,
    1541,  3264,  2528,  4209,  1942,  5204,  1557,  1945,  1946,  1249,
    2263,   992,  2263,  5426,  4766,  4767,   964,  2264,  4770,  5537,
    3483,  1854,  2423,  2198,  2424,  3193,  4190,  4442,  5373,  3912,
    2939,  1499,  4784,  1738,  3194,  2464,  1756,  4789,  3205,  3200,
    3859,   195,  4794,  5366,  1793,  4797,  4798,  1755,   202,   510,
    5248,   205,  4424,  4805,  4806,  1123,   517,   518,   519,   520,
     521,   522,  3215,  4400,  2463,  1758,  1681,  3836,  2287,  5062,
    5052,  1763,  4385,  3834,  5230,  4827,  2014,  5229,  3913,  5021,
    3645,  3787,  4813,  4835,  5369,  4837,  4815,  5370,  5356,  4841,
    3197,  5084,  2357,  3122,  3032,  3120,   655,   513,   514,   515,
    3622,   517,   518,   519,   520,   521,   522,   261,  2360,  2866,
    1388,  2095,  5347,  2497,  2473,   391,  1220,  1553,  1428,  1002,
    2513,  1200,  4874,  4875,  3171,  3919,  2505,  4425,  2506,  3920,
    1769,  3885,  4884,    84,  1684,   424,    87,  4958,  1775,  2952,
      91,    92,    93,  2517,  2227,  4874,  1200,     2,    -1,    -1,
    1485,    -1,  4921,  1034,    -1,  2093,    -1,   108,    -1,  1469,
      -1,  1773,  4983,    -1,   318,    -1,   320,  1477,    -1,  4921,
      -1,  4923,    -1,  1483,    -1,  2394,   330,    -1,  4921,  2117,
      -1,    -1,    -1,  4935,   338,    -1,    -1,    -1,  2101,  2127,
      -1,  2129,    -1,    -1,   348,    -1,    -1,    -1,  2136,    -1,
      -1,    -1,    -1,  2141,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,   386,  2146,  4986,    -1,  4988,  1986,    -1,  3591,
      -1,    -1,    -1,    -1,  4921,    -1,    -1,  2185,    -1,  3601,
    2188,    98,    -1,    84,    -1,    -1,    87,   104,   412,    -1,
      91,    92,    93,    -1,  1504,    -1,  5018,  5019,    -1,  5021,
      -1,  5023,    -1,  3625,    -1,    -1,    78,   108,  2497,    -1,
      -1,    -1,    84,  4506,    -1,    -1,    -1,    89,    -1,    -1,
      -1,    -1,    -1,    -1,  2513,  5047,  2515,   144,  2517,  5051,
      -1,    -1,    -1,    -1,    -1,  5057,    -1,    -1,  2057,    -1,
    5062,    -1,  2061,    -1,   116,    -1,    -1,    -1,    -1,    -1,
      -1,   475,    -1,    -1,  2073,  2238,   277,    -1,    -1,    -1,
      -1,    -1,  5084,  4921,    -1,  2554,    -1,    -1,    -1,  5108,
      -1,    -1,    -1,    -1,    -1,    -1,  2284,  2285,   195,    -1,
      -1,    -1,    -1,  2291,  2292,   202,  5108,    -1,   205,   161,
      -1,    -1,  5114,    -1,    -1,  5186,  5118,  5119,    -1,    -1,
      -1,  5123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2320,    -1,    -1,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2149,  2620,    -1,    -1,    -1,    -1,   111,   209,    -1,    -1,
      -1,    -1,  5164,    -1,   261,   217,    -1,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,  2177,    -1,
     232,  5108,  5184,    -1,    -1,    -1,    -1,    -1,  2376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   277,    -1,    -1,    -1,
      -1,    -1,  5204,  5205,    -1,    -1,    -1,    -1,   163,    -1,
      -1,    -1,    -1,  5215,  1704,    -1,  3818,    -1,    -1,  1709,
    1710,   318,    -1,   320,    -1,  5227,    -1,    -1,  5230,    -1,
      -1,    -1,  3834,   330,  3836,  5478,    -1,  5239,    -1,    -1,
      -1,   338,  5244,    -1,  5246,    -1,  5248,    -1,    -1,    -1,
      -1,   348,  2440,  5255,    -1,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
    5108,  5273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,   386,
      -1,    -1,  2761,    -1,  5296,    -1,    -1,    -1,   253,    -1,
    2769,    -1,    -1,  1793,    -1,  2493,    -1,    -1,  2777,    -1,
    2779,    -1,   513,   514,   515,   412,   517,   518,   519,   520,
     521,   522,  5324,    -1,    -1,  2513,    -1,  2515,   283,  2517,
      -1,    -1,    -1,   288,    -1,    -1,    84,    -1,   390,    87,
      -1,    -1,  5413,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,  5426,    -1,  5355,  5356,  5426,  5426,  5426,  2827,    -1,
    5426,    -1,    -1,    -1,  5366,   320,  2554,    -1,   116,    -1,
      -1,    -1,  5374,   425,   122,    -1,    -1,    -1,   475,    -1,
      -1,    -1,    -1,    -1,  5386,    -1,  1876,    -1,  2857,    -1,
      -1,    -1,    -1,    -1,  1884,    -1,  2865,    -1,   146,    -1,
      -1,    -1,    -1,  5478,    -1,    78,    -1,  5478,  5478,  5478,
      -1,    84,  5478,    -1,    -1,    -1,    89,    -1,    -1,  5421,
      -1,    -1,  2891,  2586,    -1,  5427,  5428,    -1,  5430,    -1,
    2593,   386,   513,   514,   515,   390,   517,   518,   519,   520,
     521,   522,   397,   116,    -1,    -1,    -1,  5449,  4921,   404,
      -1,    -1,  1942,  5472,    -1,  1945,  1946,   412,  2927,    -1,
      -1,    -1,  5537,    -1,    -1,    -1,  5537,  5537,  5537,   424,
    5472,  5537,    -1,    -1,    -1,    -1,    -1,   432,    -1,  5472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,  5472,    -1,    -1,    -1,   452,  2497,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,
    2698,    -1,    -1,    -1,    -1,  5534,    -1,    -1,  2706,    -1,
    2708,    -1,    -1,    -1,  2014,    -1,  5528,  5529,    -1,   277,
     278,   486,  5534,    -1,  5553,   490,   973,    -1,  2537,    -1,
    5542,  5534,  2102,  2542,   292,  5472,    -1,  2546,    -1,    -1,
      -1,  5553,  5554,  5555,    -1,  5534,   101,   994,    -1,   232,
    5553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2572,  5553,   323,    -1,    -1,    98,    -1,
      -1,    -1,    -1,    -1,   104,    -1,    -1,  2147,   336,   134,
      -1,  2151,    -1,    -1,    -1,    -1,    -1,  2157,  2158,  4201,
      -1,    -1,   147,    -1,    -1,    -1,    -1,  5534,    -1,   129,
      -1,    -1,    -1,    -1,    -1,  2614,   161,    -1,    -1,    -1,
    2180,    -1,    -1,    -1,   144,    -1,  5553,    -1,    -1,    -1,
      -1,    -1,  2631,    -1,  5472,  5108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   200,    -1,   177,    -1,    -1,
    2659,    -1,  4264,    -1,    -1,    -1,   211,    -1,    -1,   417,
      -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,
      -1,    -1,   202,    -1,    -1,   205,   231,    -1,    -1,    -1,
    2689,   236,    -1,    -1,  2693,    -1,  5534,    -1,    -1,    -1,
      -1,    -1,  2890,  2891,    -1,    -1,    -1,    -1,  3177,    -1,
      -1,    -1,  2711,    -1,    -1,  5553,    -1,   390,    -1,    -1,
      -1,    -1,    -1,  2722,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2735,    -1,   258,    -1,
      -1,   261,    -1,    -1,  2743,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     305,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
    2968,    -1,    -1,    -1,    -1,    -1,   306,    -1,   308,    -1,
      -1,   336,  4394,    -1,    -1,    -1,  4398,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,   857,   111,    -1,    -1,   861,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,   130,
      -1,   366,    -1,   875,    -1,   130,    -1,   347,   348,    -1,
     882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4441,
      -1,   893,    -1,  3312,    -1,  3008,    -1,    -1,    -1,    -1,
      -1,  3014,   163,    -1,    -1,   400,    -1,    -1,   163,    -1,
    2420,   406,   382,    -1,   409,   385,   386,   387,    -1,   921,
      -1,    -1,    -1,    -1,   926,    -1,  1313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   937,    -1,    -1,    -1,    -1,
      -1,    -1,   412,   438,    -1,    -1,  1333,    -1,    -1,    -1,
     445,    -1,    -1,    -1,    -1,  1342,   426,   452,    -1,   220,
      -1,   963,    -1,    -1,   459,   220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3392,    -1,    -1,   978,    -1,    -1,    -1,
      -1,    -1,   984,    -1,    -1,    -1,    -1,    -1,    -1,   484,
      -1,    -1,   253,   995,    70,    -1,    -1,    -1,   253,    -1,
    2440,    -1,    78,    79,    -1,   475,    -1,  1009,    84,    -1,
      -1,    87,    -1,    -1,  3433,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2974,    -1,   288,   283,    -1,
      -1,    -1,   108,   288,  3172,   111,    -1,  3175,    -1,  3177,
     116,  3154,    -1,    -1,    -1,    -1,   122,  2996,    -1,  5472,
      -1,    -1,    -1,  2493,    -1,  3004,    -1,  2497,    -1,   320,
      -1,    -1,    -1,  3482,    -1,   320,    -1,    -1,    -1,    -1,
     146,    -1,    -1,  2513,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3504,    -1,   348,    -1,    -1,
      -1,    -1,  3511,  3512,    -1,    -1,  3515,    -1,    -1,    -1,
      -1,    -1,  3215,  3522,  1106,    -1,  1108,    -1,  1110,    -1,
      -1,  5534,  3531,    -1,  2554,    -1,    -1,  3536,    -1,    -1,
      -1,   382,  3541,    -1,  3543,   386,    -1,  1129,    -1,   390,
    5553,   386,    -1,    -1,    -1,   390,   397,    -1,    -1,    -1,
      -1,    -1,   397,   404,    -1,    -1,    -1,    -1,    -1,   404,
      -1,   412,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,
      98,    -1,  3581,   424,    -1,    -1,   104,  1554,    -1,   424,
      -1,   432,    -1,    -1,    -1,   251,    -1,   432,    -1,    -1,
     256,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,  3610,  3611,    -1,    -1,  1197,  1198,   452,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
    3639,    -1,    -1,    -1,    -1,   486,    -1,    -1,    -1,   144,
      -1,   486,    -1,    -1,   857,   490,   491,  4789,   861,    -1,
      -1,    -1,  4794,    -1,    -1,  4797,    -1,   323,    -1,    -1,
      -1,    -1,   875,    -1,    -1,    -1,    -1,   195,  2698,   882,
     336,    -1,    -1,   339,   202,    -1,  2706,   205,  2708,    -1,
     893,    -1,    -1,    -1,    -1,    -1,    -1,  4829,  1280,  1281,
     195,    -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,
     205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   921,    -1,
      -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   937,    -1,    -1,  3266,    -1,    84,
      -1,    -1,    87,   261,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     963,   417,    -1,   108,    -1,    -1,   261,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,   978,    -1,   122,    -1,    -1,
    3309,   984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2880,    -1,   995,    -1,    -1,  3794,    -1,    -1,    -1,    -1,
     318,   146,   320,    -1,    -1,    -1,  1009,    -1,    -1,  2899,
      -1,    -1,   330,  3531,    -1,    -1,    -1,    -1,  3536,    -1,
     338,    -1,    -1,   318,  2914,   320,  4958,  2917,  2918,    -1,
     348,    -1,  2922,  2923,    -1,   330,    -1,    -1,    84,  2929,
    3558,    87,    -1,   338,    -1,    91,    92,    93,    -1,    -1,
      -1,  4983,    -1,   348,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,   385,   386,    -1,
     116,    -1,    -1,    -1,    -1,    -1,   122,    84,    -1,  1461,
      87,  3410,    -1,    -1,    91,    92,    93,   382,    -1,    -1,
     385,   386,    -1,  3422,   412,    -1,    -1,    -1,    -1,  1481,
     146,   108,    -1,    -1,    -1,  1108,   251,    -1,    -1,   116,
      -1,   256,    -1,    -1,  3632,   122,  3006,   412,    -1,  5051,
      -1,  3639,  1504,    -1,    -1,    -1,  1129,    -1,    -1,    -1,
    5062,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,  2968,    -1,
      -1,    -1,  5084,    -1,    -1,    -1,    -1,   475,  1540,  1926,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3499,    -1,    -1,    -1,  1556,    -1,    -1,    -1,   323,    -1,
     475,    -1,    -1,    -1,    -1,    -1,    -1,  3680,    -1,  1571,
      -1,   336,  1574,    -1,  1197,  1198,    -1,  3715,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4023,    -1,    -1,    -1,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2007,    -1,   111,    -1,   251,    -1,   292,    -1,    -1,   256,
      -1,    -1,    -1,  4052,  5186,  2022,  4055,    -1,  4057,    -1,
      -1,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     277,   278,   417,    -1,  2041,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,
     336,    -1,    -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,
      -1,  4100,    -1,    -1,    -1,    -1,    -1,  4106,  4107,    -1,
    4109,    -1,  4111,    -1,    -1,    -1,   323,    -1,    -1,  1701,
      -1,  2088,    -1,    -1,    -1,    -1,    -1,  1709,  1710,   336,
      -1,    -1,   339,    -1,    -1,    -1,    -1,  3666,  1720,    -1,
    2107,  3834,    -1,  3836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,  2119,    -1,  3683,    -1,    -1,  3177,    -1,    -1,
      -1,    -1,    -1,    -1,  2131,   510,    -1,    -1,   513,   514,
     515,   417,   517,   518,   519,   520,   521,   522,    -1,  3708,
      -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,
      -1,  1773,  1774,  1775,    -1,    -1,    -1,    -1,  3916,    -1,
      -1,    -1,    -1,    -1,  2171,    -1,  4205,  2174,  3298,    -1,
     417,  1793,    -1,    -1,   283,    -1,    -1,    -1,    84,   288,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1823,   108,  4242,  4243,  4244,  4245,  4246,  1830,    -1,
     116,   320,  3945,    -1,    -1,  1837,   122,    -1,  1461,    -1,
      -1,    -1,    -1,    -1,   510,  1847,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,  1481,    -1,
     146,  5413,    -1,  3373,    -1,  3375,    -1,    -1,  4287,    -1,
      -1,  4290,    -1,  4292,  5426,    -1,    -1,    -1,    -1,    -1,
      -1,  1504,    -1,   510,  1886,  4023,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,   386,    -1,    -1,
      -1,   390,   529,    -1,    -1,    -1,    -1,    -1,   397,    -1,
      -1,    -1,    -1,  4051,    -1,   404,    -1,  1540,    -1,    -1,
      -1,    -1,    -1,   412,    -1,    -1,  5478,    -1,    -1,    -1,
      -1,    -1,    -1,  1556,    -1,   424,  2323,    -1,    -1,    -1,
      -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,  1571,    -1,
      -1,  1574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   452,    -1,   251,    98,    -1,    -1,  3479,
     256,    -1,   104,    -1,    -1,  3485,    -1,    -1,    -1,    -1,
    4118,  4119,    -1,    -1,  1986,  5537,  1988,    -1,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,   486,    -1,    -1,
      -1,   490,   130,    -1,  4423,    -1,   292,  4426,  4427,    -1,
      -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,
      -1,    -1,    -1,  4452,  2036,   163,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,  2057,    -1,    -1,    -1,  2061,
      -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,
     202,  2073,    -1,   205,    -1,    -1,    -1,    -1,  1701,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1709,  1710,    -1,    -1,
      -1,  3531,   220,    -1,    -1,    -1,  3536,  1720,    -1,    -1,
      -1,    -1,    -1,    -1,  4242,  4243,  4244,  4245,  4246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3626,    -1,    -1,    -1,
      -1,    -1,    -1,  4072,    -1,   253,  4075,    -1,    -1,   261,
      -1,   417,  4270,    -1,    -1,    -1,    89,    -1,    -1,  3649,
    3650,    -1,  3652,    -1,  3654,  3655,  2148,  2149,    -1,    -1,
    1773,  1774,  1775,    -1,    -1,    -1,    -1,  3667,    -1,  2161,
     288,    -1,    -1,   116,    -1,    -1,    -1,  4586,  4587,    -1,
    1793,    -1,    -1,    -1,  2176,  2177,  4595,    -1,  4597,  4598,
      -1,    -1,  4601,    -1,    -1,    -1,   318,  4606,   320,    -1,
      -1,  4610,   320,    -1,    -1,    -1,  2198,  3707,   330,    -1,
    1823,    -1,    -1,  2590,    -1,    -1,   338,  1830,   161,    -1,
      -1,    -1,    -1,    -1,  1837,  2602,   348,    -1,    -1,    -1,
      -1,    -1,    -1,  4172,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,  4657,    -1,
      -1,    -1,    -1,   529,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,  2639,   385,   386,    -1,   209,    -1,   386,    -1,
     388,    -1,   390,    -1,   217,    -1,   219,  4686,    -1,   397,
      -1,    -1,    -1,    -1,    -1,  3715,   404,    -1,    -1,   232,
     412,  4394,    -1,    -1,   412,  4398,    -1,    -1,  4426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   432,    -1,  4725,    -1,    -1,    -1,
    4729,  4730,    -1,  4732,  4452,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4273,    -1,  2328,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,   475,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,   486,    -1,
      -1,   116,    -1,  1986,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,  4512,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,   146,    -1,    -1,  4532,  4533,    -1,    -1,    -1,  4537,
    4538,    -1,    -1,   108,  2791,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,  2036,    -1,    -1,    -1,   122,    -1,  2421,
      -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,    -1,  2057,    -1,    -1,    -1,  2061,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2073,    -1,    -1,    -1,    -1,  4874,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4606,   144,
      -1,    -1,    -1,    -1,  2476,    -1,  2478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4912,    -1,  2497,   251,    -1,    -1,    -1,
      -1,   256,    -1,    -1,  4923,    -1,    -1,    -1,  4927,    -1,
    4929,    -1,    -1,    -1,  4933,  4934,    -1,    -1,    -1,    -1,
     195,  4634,   277,   278,    -1,  2148,  2149,   202,    -1,    -1,
     205,    -1,    -1,    -1,    -1,  2537,    -1,   292,  2161,  2541,
    2542,    -1,    -1,    -1,  2546,    -1,   251,    -1,    -1,    -1,
      -1,   256,  2554,  2176,  2177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,
    2572,    -1,   277,   278,    -1,  2198,    -1,    -1,    -1,    -1,
    4529,   336,    -1,  4023,   339,    -1,   261,   292,    -1,    -1,
      -1,    -1,  4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2990,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4051,  2614,    -1,    -1,    -1,    -1,    -1,   323,    98,
      -1,    -1,    -1,  2625,  3011,   104,    -1,    -1,    -1,  2631,
    2632,   336,    -1,    -1,   339,  3022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,
     129,    -1,    -1,    -1,    -1,   330,  2658,  2659,    -1,    -1,
    2662,    -1,   417,   338,    -1,   144,    -1,    -1,    -1,    -1,
      -1,  4784,    -1,   348,    -1,    -1,  4789,  4815,    -1,    -1,
      -1,  4794,    -1,    -1,  4797,  4798,    -1,  2689,    -1,    -1,
      -1,  2693,    -1,    -1,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,    -1,    -1,    -1,  2328,    -1,   382,    -1,  2711,
     385,   386,   417,    -1,  4827,    -1,   195,    -1,    -1,  5138,
    2722,    -1,    -1,   202,    -1,    -1,   205,    -1,  4841,    -1,
      -1,    -1,    -1,  2735,    -1,    -1,  4874,   412,    -1,  4249,
      -1,  2743,    -1,    -1,    -1,    -1,    -1,  4257,  4258,  4259,
    4260,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,  4884,   527,    -1,    -1,  4724,    -1,    -1,    -1,   258,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2799,  2421,    -1,
     475,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
     525,    -1,  4935,    -1,    -1,    -1,    -1,   306,    -1,   308,
    4270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,  2476,    -1,  2478,    -1,    -1,    -1,   338,
      -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,   347,   348,
      -1,    -1,    -1,  4986,  2497,    -1,    -1,  5296,    -1,    -1,
      -1,    98,    -1,    -1,    -1,    -1,  4835,   104,  4837,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   382,   857,    -1,   385,   386,   387,    -1,
      -1,    -1,    -1,    -1,  2537,    -1,    -1,    -1,  2541,  2542,
      -1,    -1,   875,  2546,    -1,  2927,    -1,   144,  3315,   882,
      -1,  2554,    -1,   412,    -1,    -1,    -1,    -1,  5051,    -1,
     893,    -1,    -1,    -1,    -1,  3332,    -1,   426,    -1,  2572,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   921,    -1,
      -1,    -1,  2974,   926,  4484,    -1,    -1,    -1,   195,    -1,
      -1,    -1,    -1,    -1,   937,   202,    -1,    -1,   205,    -1,
      -1,  2614,    -1,    -1,  2996,    -1,   475,    -1,    -1,    -1,
      -1,    -1,  3004,    -1,    -1,    -1,  4516,  4517,  2631,  2632,
     963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   978,    -1,    -1,    -1,    -1,
      -1,   984,  3419,    -1,  3421,  2658,  2659,    -1,    -1,  2662,
      -1,    -1,   995,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,  5164,    -1,  5472,    -1,    -1,  1009,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2689,    -1,    -1,    -1,
    2693,    -1,  4512,    -1,    -1,    -1,    -1,  5215,  3080,  4589,
    4590,    -1,    -1,    -1,  3086,    -1,    -1,    -1,  2711,    -1,
      -1,    -1,    -1,  3480,    -1,    -1,    -1,    -1,    -1,  2722,
      -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2735,   330,    -1,  5534,    -1,  5230,  3505,    -1,
    2743,   338,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,
      -1,   348,   104,    -1,  5553,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1106,    -1,  1108,    -1,  1110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,  4606,    -1,   385,   386,
      -1,    -1,   144,    -1,    -1,  3177,  2799,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4697,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   412,    -1,  4707,  4708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3594,    -1,    -1,
      -1,  5324,    -1,  4723,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,
     202,    -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,
    3627,    -1,  2865,    -1,  1197,  1198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,    -1,
      -1,    -1,    -1,    -1,  3266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5386,    -1,    -1,    -1,    -1,    -1,    -1,
    3282,  3283,    -1,    -1,    -1,    98,    -1,    -1,    -1,   261,
      -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2927,    -1,    -1,  3309,  5421,    -1,
    3312,    -1,    -1,    -1,  5427,  5428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1280,  1281,    -1,
      -1,   144,    -1,    -1,  5472,    -1,    -1,    -1,    -1,    -1,
      -1,  3728,    -1,    -1,    -1,    -1,   318,    -1,   320,    -1,
      -1,  2974,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,  3749,    -1,    -1,    -1,   338,    -1,    -1,    -1,
      -1,    -1,    -1,  2996,    -1,    -1,   348,    -1,    -1,    -1,
      -1,  3004,   195,    -1,  3386,  3387,  3388,  3774,    -1,   202,
      -1,    -1,   205,    -1,    -1,    -1,  5534,    -1,    84,    -1,
      -1,    87,   973,    -1,    -1,    91,    92,    93,  3410,    -1,
     382,    -1,    -1,   385,   386,  5553,    -1,    -1,    -1,    -1,
    3422,  3808,   108,   994,  3426,  5374,    -1,    -1,    -1,  5542,
     116,    -1,    -1,  3435,  4874,    -1,   122,    -1,    -1,    -1,
     412,  5554,  5555,    -1,    -1,    98,    -1,    -1,   261,    -1,
      -1,   104,    -1,    -1,    -1,    -1,    -1,  3080,    -1,    -1,
     146,    -1,    84,  3086,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,   144,    -1,    -1,   116,    -1,    -1,  3499,    -1,    -1,
     122,  5011,    -1,   475,    -1,   318,    -1,   320,  1461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,   146,   338,    -1,    -1,  1481,    -1,
      -1,    -1,    -1,  3535,    -1,   348,    -1,    -1,    -1,  3541,
      -1,  3543,   195,    -1,    -1,    -1,    -1,    -1,    -1,   202,
      -1,  1504,   205,  3555,  3177,  3557,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,   382,
     256,    -1,   385,   386,    -1,    -1,    -1,    -1,    -1,  5089,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1540,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,   412,
      -1,    -1,    -1,  1556,    -1,    -1,   292,    -1,   261,  3611,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1571,    -1,
      -1,  1574,    -1,    -1,    -1,  5135,    -1,    -1,    -1,   251,
      -1,    -1,    -1,    -1,   256,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,  3266,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,   277,   278,    -1,    -1,  3282,
    3283,    -1,   475,    -1,  3666,   318,    -1,   320,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,  3683,    -1,    -1,    -1,   338,  3309,    -1,    -1,  3312,
      -1,    -1,    -1,    -1,    -1,   348,    -1,    -1,    -1,    -1,
      -1,   323,    -1,  3705,    -1,    -1,  3708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    84,    -1,   339,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,   382,
      -1,   417,   385,   386,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,  1313,    -1,    -1,    -1,    -1,   116,  1701,    -1,
      -1,    -1,    -1,   122,    -1,    -1,  1709,  1710,    -1,   412,
      -1,    -1,  1333,  3386,  3387,  3388,    -1,  1720,    -1,    -1,
      -1,  1342,    -1,    -1,  4161,  5215,    -1,   146,    -1,    -1,
      -1,    -1,    -1,  3785,    -1,    -1,    -1,  3410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,  3422,
      -1,    -1,    -1,  3426,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1773,    -1,   475,    -1,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
    1793,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,  1423,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,  3499,    -1,    -1,    -1,
      -1,    -1,   251,   116,  1837,    -1,    -1,   256,   510,   122,
      -1,   513,   514,   515,  1847,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,   527,    -1,    -1,   277,   278,
      -1,    -1,  3535,   146,    -1,    -1,    -1,    -1,  3541,    -1,
    3543,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3555,  1886,  3557,    -1,    -1,  5447,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,  4358,    -1,    -1,    -1,  3977,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1554,    -1,    -1,    -1,    -1,  3611,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4017,   108,    -1,   251,    -1,
    4022,    -1,  4024,   256,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,  1986,    -1,  1988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3666,   277,   278,    -1,    -1,   417,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,   292,
    3683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4072,    -1,    -1,  4075,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3705,  2036,    -1,  3708,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4486,
      -1,    -1,    -1,   336,  2057,    -1,   339,    -1,  2061,    -1,
    4112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4515,    -1,
      -1,    -1,    -1,  1704,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,  4534,   517,   518,
     519,   520,   521,   522,    -1,  4157,  4158,    -1,   527,   251,
      -1,    -1,  3785,    -1,   256,    -1,    -1,    -1,  4170,    -1,
    4172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   277,   278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2148,  2149,    -1,    -1,    -1,
     292,  4588,    -1,    -1,    -1,    -1,    -1,    -1,  2161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2176,  2177,    -1,    -1,    -1,    -1,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4241,
      -1,    -1,    -1,    -1,   336,  2198,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4273,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    98,    -1,    -1,   527,    -1,    -1,   104,    -1,    -1,
      -1,    -1,  4689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,  1894,    -1,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,   144,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,  3977,  1926,    -1,  4744,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,  2328,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,   195,    -1,
      -1,    -1,    -1,    -1,  4017,   202,    -1,    -1,   205,  4022,
      -1,  4024,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,   527,  2007,    -1,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4072,
      -1,  2022,  4075,    -1,   261,    -1,    -1,    -1,    -1,  2030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,  4112,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4503,    -1,    -1,  4506,   277,   278,    -1,    -1,    -1,
      -1,   318,    -1,   320,    -1,    -1,    -1,  2088,    -1,    -1,
     292,    -1,    -1,   330,    -1,    -1,    -1,  4529,    -1,    -1,
      -1,   338,    -1,    -1,  4157,  4158,  2107,    -1,    -1,  4541,
      -1,   348,    -1,    -1,  2497,   251,    -1,  4170,  2119,  4172,
     256,   323,    -1,    -1,    -1,    -1,    -1,  4559,    -1,    -1,
    2131,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,    -1,
      -1,   277,   278,    -1,    -1,   382,    -1,    -1,   385,   386,
      -1,    -1,    -1,    -1,  2537,    -1,   292,    -1,  2541,  2542,
      -1,    -1,    -1,  2546,    -1,    -1,    -1,    -1,    -1,    -1,
    2171,  2554,    -1,  2174,  4606,   412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,  4241,  2572,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,  5019,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,
    4273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2614,    -1,    -1,    -1,    -1,    -1,    -1,   475,    -1,
    5057,    -1,  2625,    -1,    -1,    -1,    -1,    -1,  2631,  2632,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2658,  2659,    -1,    -1,  2662,
      -1,   417,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4724,    -1,    -1,    -1,    -1,  5114,    -1,    -1,
      -1,  5118,  5119,    -1,    -1,    -1,  2689,    -1,   510,    -1,
    2693,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,  2323,    -1,    -1,   527,    -1,    -1,  2711,    -1,
      -1,    -1,   212,    -1,    -1,    -1,    -1,    -1,    -1,  2722,
      -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,   229,
      -1,    -1,  2735,    -1,   234,    -1,    -1,    -1,    -1,   239,
    2743,    -1,   242,    -1,    -1,   245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,  5205,    -1,
      -1,   527,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4835,    -1,  4837,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   293,    -1,    -1,  2799,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4875,    -1,    -1,    -1,    -1,    -1,    -1,
    4503,    -1,   332,  4506,   334,    -1,    -1,    -1,    -1,    -1,
     340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4529,    -1,    -1,    -1,
      -1,    -1,  2865,    -1,    -1,    -1,    -1,    84,  4541,  4921,
      87,  4923,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4559,    -1,    -1,   389,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,  2523,    -1,    -1,   122,  2527,  2528,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2927,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,  4606,    -1,    -1,    -1,    -1,   438,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,  2590,
      -1,  2974,    -1,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2602,    -1,    -1,    -1,    -1,    -1,    -1,   488,    -1,
     490,   491,    -1,  2996,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3004,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,    -1,
      -1,    -1,    -1,    -1,   524,    -1,    -1,   527,   528,    -1,
     530,   152,    -1,    -1,   251,    -1,    -1,    -1,     3,   256,
      -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    13,   170,
      15,  4724,    17,    18,    -1,    -1,  5108,    -1,    -1,    -1,
     277,   278,    -1,    28,   185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,   292,    -1,  3080,    -1,    44,
      45,    -1,    -1,  3086,    -1,    -1,    -1,   208,    -1,   210,
      -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,   323,    -1,    -1,    -1,
      -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,    -1,   336,
      -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,
      -1,   106,   107,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,
      -1,    -1,  4835,    -1,  4837,    -1,    -1,    -1,    -1,    -1,
    2791,    -1,    -1,    -1,  3177,    -1,   141,    -1,   143,   144,
      -1,    -1,    -1,    -1,   149,    -1,   151,    -1,    -1,    -1,
      -1,   212,    -1,    -1,    -1,    -1,    -1,   162,    -1,   164,
     417,    -1,  4875,   224,    -1,    -1,    -1,    -1,   229,    -1,
      -1,    -1,    -1,   234,   179,    -1,   181,    -1,   239,   184,
      -1,   242,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,
      -1,   196,    -1,   198,    -1,    -1,    -1,   202,    -1,    -1,
    2861,    -1,    -1,   208,  5296,    -1,    -1,    -1,  4921,    -1,
    4923,   216,   273,   218,    -1,    -1,    -1,    -1,    -1,   224,
      -1,    -1,    -1,  3266,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,   239,    -1,    -1,    -1,    -1,  3282,
    3283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     255,    -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,  3309,    -1,    -1,  3312,
     527,   332,    -1,   334,    -1,    -1,    -1,    -1,    -1,   340,
      -1,    -1,  5374,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   389,  2990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3386,  3387,  3388,    -1,    -1,    -1,    -1,
    3011,    -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,
      -1,  3022,    -1,    -1,    -1,    -1,    -1,  3410,   373,    -1,
      -1,    -1,    -1,   378,   379,    -1,   381,   438,    -1,  3422,
    5472,   386,    -1,  3426,    -1,    -1,   391,    -1,    -1,   394,
      -1,    -1,  3435,    -1,   399,  5108,    -1,    -1,    -1,   404,
     405,    -1,    -1,   464,    -1,    -1,    -1,   412,    -1,    -1,
      -1,   416,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,   426,    -1,    -1,    91,    92,    93,   488,    -1,   490,
     491,    -1,    -1,   438,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,  5534,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,   457,    -1,   459,   122,  3499,    -1,    -1,    -1,
      -1,  5553,   467,   524,    -1,    -1,   527,   528,   473,   530,
      -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,   491,    -1,    -1,    -1,
      -1,    -1,  3535,    -1,   655,    -1,    -1,    -1,  3541,    -1,
    3543,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,
      -1,    -1,  3555,    -1,  3557,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3611,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5296,   251,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,  3254,    -1,    -1,  3257,    -1,  3259,    -1,
      -1,    -1,    -1,  3264,    -1,    -1,    -1,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,  3666,    -1,   292,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3683,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,  3315,    -1,   323,   122,    -1,    -1,
      -1,  5374,  3705,    -1,    -1,  3708,    -1,    -1,    -1,   336,
      -1,  3332,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   865,   866,   867,   868,    -1,   870,
      -1,   872,    -1,   874,    -1,   876,    -1,    -1,   879,    -1,
      -1,    -1,    -1,    -1,   885,    -1,    -1,   888,    -1,    -1,
      -1,   892,    -1,   894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   902,  3785,    -1,    -1,    -1,   907,    -1,   909,    -1,
     417,   912,    -1,   914,    -1,   916,    -1,    -1,  3419,  5472,
    3421,    -1,   923,    -1,    -1,    -1,   927,    -1,    -1,    -1,
      -1,    -1,    -1,   934,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   967,    -1,    -1,    -1,
      -1,   972,   277,   278,    -1,    -1,   977,    -1,    -1,  3480,
     981,  5534,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
    5553,    -1,    -1,   510,  3505,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,   323,    -1,
     527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3531,   336,    -1,    -1,   339,  3536,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,  1054,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,  1069,    -1,
    1071,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3594,  3977,    -1,    -1,    -1,  1099,  1100,
      -1,   146,    -1,  1104,  1105,    -1,    -1,    -1,    -1,    -1,
      -1,  3612,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1124,    -1,    -1,  3627,  1128,    -1,    -1,
      -1,    -1,    -1,    -1,  4017,  1136,    -1,    -1,    -1,  4022,
      -1,  4024,    -1,    -1,    -1,    -1,  1147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4072,
      -1,    -1,  4075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,   251,    -1,   513,   514,
     515,   256,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,    -1,  3728,    -1,  4112,
      -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
    1241,    -1,    -1,    -1,    -1,    -1,    -1,   292,  3749,  1250,
      -1,    -1,    -1,    -1,  1255,  1256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3774,  4157,  4158,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4170,    -1,  4172,
      -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1306,    -1,  3808,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1317,    -1,    -1,    -1,
    1321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1351,     5,    -1,    -1,    -1,    -1,  1357,  1358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,   417,  1374,  1375,  1376,    -1,  1378,    -1,  1380,
      -1,    35,    36,    -1,  1385,    -1,    40,    -1,    42,    43,
    4273,    -1,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,  3930,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1455,    -1,  1457,  1458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,   101,
      -1,    -1,   527,   137,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,  1496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,   134,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,  4023,   122,    -1,   147,   148,    -1,    -1,    -1,
      -1,    -1,    -1,  1534,  1535,   157,    -1,    -1,  1539,   161,
    1541,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,   179,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,  1570,
      -1,    -1,  1573,   227,    -1,    -1,    -1,    -1,   200,    -1,
      -1,    -1,    -1,    -1,  1585,    -1,    -1,    -1,    -1,   211,
      -1,    -1,    -1,    -1,   248,    -1,    -1,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,  1613,    -1,   236,    -1,    -1,   271,    -1,    -1,
    4503,    -1,    -1,  4506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,    -1,
    1641,  1642,  1643,    -1,  1645,    -1,  4529,    -1,    -1,    -1,
      -1,    -1,   251,   307,    -1,    -1,   310,   256,  4541,    -1,
    4161,    -1,   284,    -1,  1665,    -1,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,    -1,    -1,  4559,    -1,   277,   278,
      -1,    -1,    -1,   305,    -1,    -1,  1687,  1688,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4209,    -1,
      -1,    -1,    -1,    -1,   336,  1716,    -1,    -1,  1719,    -1,
      -1,    -1,    -1,  4606,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,    -1,    -1,   336,    -1,    -1,
     339,    -1,    -1,    -1,   366,    -1,    -1,  1748,    -1,   403,
      -1,  1752,  1753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1763,  1764,  1765,    -1,    -1,    -1,    -1,    -1,
      -1,   393,    -1,    -1,    -1,    -1,   398,    -1,   400,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,   409,    -1,    -1,
    1791,    -1,    -1,    -1,    -1,   449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     464,    -1,    -1,    -1,    -1,    -1,   438,    -1,   417,   441,
      -1,    -1,    -1,   445,    -1,   479,    -1,    -1,    -1,    -1,
     452,    -1,   454,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,  4724,    -1,    -1,    -1,    -1,    -1,  4348,    -1,    -1,
      -1,    -1,    -1,   507,    -1,    -1,    -1,  4358,    -1,    -1,
      -1,   515,   484,   517,   518,   519,   520,   521,    -1,    -1,
     524,   525,   526,   527,    -1,   529,   530,   531,   532,   533,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1899,  1900,
      -1,    -1,    -1,    -1,    -1,  1906,    -1,    -1,  1909,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,  1928,   527,  1930,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1938,    -1,    -1,
    1941,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4835,    -1,  4837,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,  1965,    -1,    91,    92,    93,    -1,
      -1,    -1,  1973,  1974,  1975,  1976,  1977,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,  4486,    -1,    -1,    -1,    -1,
    1991,   116,  4875,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,  2003,    -1,  2005,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4515,  2016,  2017,    -1,    -1,    -1,
      -1,   146,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4534,  2035,    -1,    -1,    -1,  4921,    -1,
    4923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2054,   164,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2063,  2064,  2065,  2066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2075,    -1,    -1,    -1,    -1,    -1,
      -1,  2082,    -1,    -1,  2085,    -1,    -1,  4588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2101,    -1,   212,    -1,    -1,    -1,    -1,  2108,    -1,    -1,
      -1,    -1,  2113,    -1,   224,    -1,    -1,    -1,    -1,   229,
      -1,    -1,    -1,    -1,   234,    -1,   251,    -1,    -1,   239,
      -1,   256,   242,    -1,    -1,   245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2146,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   278,    -1,  2156,    -1,    -1,    -1,  2160,
      -1,    -1,  2163,   273,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,  2173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2181,  2182,    -1,   293,    -1,    -1,    -1,    -1,  4689,    -1,
      -1,    -1,    -1,    -1,  2195,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   332,    -1,   334,  5108,    -1,    -1,  2229,    -1,
     340,    -1,    -1,    -1,    -1,  2236,    -1,  2238,    -1,    -1,
      -1,  2242,  2243,  4744,  2245,    -1,    -1,    -1,    -1,    -1,
      -1,  2252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2262,    -1,    -1,    -1,    -1,  2267,  2268,    -1,    -1,
    2271,    -1,    -1,    -1,  2275,  2276,    -1,    -1,    -1,   389,
    2281,  2282,    -1,    -1,    -1,    -1,    -1,  2288,  2289,  2290,
      -1,    -1,   417,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,    -1,  2303,    -1,  2305,  2306,    -1,    -1,  2309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2324,  2325,  2326,  2327,    -1,   438,    -1,
    2331,  2332,    -1,    -1,    -1,  2336,    -1,    -1,  2339,    -1,
      -1,  2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,
      -1,  2352,    -1,    -1,   464,    -1,    -1,    -1,  2359,  2360,
      -1,    -1,  2363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4874,    -1,    -1,    -1,    -1,   488,    -1,
     490,   491,    -1,    -1,  2385,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     101,    -1,    -1,  5296,   524,    -1,    -1,   527,   528,    -1,
     530,  2422,   113,  2424,    -1,  2426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   134,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,   147,    -1,    -1,    -1,
    2461,    -1,    -1,    -1,    -1,    -1,    -1,  2468,   108,  2470,
     161,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,  4988,   179,    -1,
      -1,  5374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   101,    -1,    -1,    -1,   146,    -1,    -1,   200,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,  5019,    -1,
     211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,    -1,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,    -1,   236,  2547,    -1,   147,    -1,
      -1,   242,    -1,    -1,    -1,  2556,  5057,  2558,   157,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   259,    -1,
      -1,    -1,    -1,    -1,  2575,    -1,    -1,    -1,    -1,    -1,
     179,    -1,    -1,    -1,    -1,  2586,   185,  2588,  2589,  5472,
      -1,    -1,  2593,    -1,  2595,    -1,  2597,    -1,  2599,    -1,
      -1,   200,  2603,    -1,    -1,  2606,    -1,    -1,    -1,    -1,
      -1,   251,   211,  5114,   305,    -1,   256,  5118,  5119,    -1,
     219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,  2635,    -1,    -1,   277,   278,   238,
      -1,  2642,    -1,   242,    -1,   336,    -1,  2648,    -1,    -1,
      -1,  5534,   292,    -1,  2655,    -1,   347,    -1,    -1,    -1,
     259,    -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,
    5553,    -1,    -1,  2674,    -1,   366,    -1,  2678,  2679,    -1,
      -1,    -1,    -1,   323,    -1,    -1,  2687,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,   296,    -1,   339,
      -1,    -1,   393,  2704,  5205,    -1,   305,   398,    -1,   400,
      -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2731,    -1,  2733,  2734,    -1,    -1,    -1,   336,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    -1,    -1,   438,    -1,    -1,
     441,    -1,    -1,    -1,   445,    -1,    -1,   356,    -1,  2760,
      -1,   452,    -1,   454,    -1,    -1,    -1,  2768,   459,  2770,
      -1,    -1,    -1,    -1,    -1,  2776,   375,   417,    -1,    -1,
     471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,
      -1,    -1,    -1,   484,   393,    -1,    -1,    -1,    -1,    -1,
      -1,   400,    -1,  2804,    -1,    -1,  2807,   406,  2809,    -1,
     409,  2812,    -1,    -1,  2815,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   438,
    2841,    -1,   441,   442,    -1,   444,   445,    -1,    -1,  2850,
    2851,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
     459,    -1,    -1,    -1,    -1,  2866,   465,    -1,    -1,   468,
     510,    -1,   471,   513,   514,   515,  2877,   517,   518,   519,
     520,   521,   522,    -1,    -1,   484,    -1,   527,    -1,    -1,
    2891,  2892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2904,    -1,  2906,  2907,  2908,  2909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2935,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,  2956,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,  2998,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3008,    -1,    -1,
      -1,    -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3025,    -1,    -1,    -1,    -1,    -1,
    3031,    -1,    -1,    -1,    -1,  3036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,  3059,  3060,
    3061,    -1,    -1,  3064,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3072,  3073,  3074,  3075,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3085,    -1,    -1,  3088,    -1,  3090,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3101,  3102,    -1,    -1,  3105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3117,    -1,  3119,    -1,
    3121,    -1,  3123,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   227,  3143,    -1,    -1,    -1,  3147,    -1,    -1,    -1,
      -1,    -1,    -1,  3154,    -1,  3156,  3157,  3158,    -1,    -1,
      -1,    -1,   248,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
    3181,    -1,    -1,    -1,    -1,   271,    -1,    -1,   108,    -1,
      -1,    -1,    -1,  3194,    -1,    -1,   116,    -1,  3199,    -1,
      -1,    -1,   122,    -1,  3205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3215,    -1,    -1,  3218,    -1,    -1,
    3221,   307,  3223,    -1,   310,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3288,    -1,  3290,
      -1,    -1,    -1,    -1,  3295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,
    3321,    -1,  3323,  3324,  3325,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,   278,    -1,
      -1,    -1,    -1,   449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,   464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
      -1,   507,    -1,  3424,    -1,    -1,    25,    -1,    -1,   515,
      -1,   517,   518,   519,   520,   521,    35,    36,   524,   525,
     526,    -1,    -1,    42,    43,   531,   532,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3506,    -1,    -1,    -1,    -1,
      -1,    -1,  3513,  3514,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3547,  3548,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,  3563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3578,  3579,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3587,  3588,  3589,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,  3605,    -1,   161,   527,    -1,    -1,
     209,    -1,    -1,    -1,   876,    -1,    -1,    -1,    -1,    -1,
      -1,  3622,    -1,   885,    -1,    -1,    -1,    -1,   227,    -1,
      -1,    -1,   894,    -1,    -1,    -1,    -1,    -1,  3639,    -1,
     902,    -1,    -1,    -1,    -1,   907,    -1,    -1,    -1,   248,
      -1,    -1,    -1,    -1,   209,  3656,    -1,  3658,    -1,    -1,
      -1,  3662,   217,    -1,   219,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,    -1,   232,    -1,  3680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3706,    -1,    -1,   307,    -1,
      -1,   310,    -1,    -1,    -1,    -1,    -1,  3718,    -1,    -1,
      -1,    -1,    -1,    -1,  3725,    -1,   325,    -1,    -1,    -1,
      -1,    -1,    -1,  3734,    -1,    -1,    -1,    -1,    -1,  3740,
      -1,  3742,    -1,    -1,  3745,    -1,    -1,    -1,    -1,  3750,
    3751,  3752,  3753,    -1,    -1,  3756,  3757,  3758,  3759,  3760,
    3761,  3762,  3763,  3764,  3765,    -1,    -1,    -1,  3769,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3779,    -1,
      -1,    -1,  3783,    -1,    -1,    -1,  3787,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3795,    -1,    -1,  3798,    -1,  3800,
      -1,    -1,    -1,    -1,   403,    -1,    -1,  1069,  3809,    -1,
      -1,  3812,  3813,    -1,    -1,    -1,  3817,  3818,    -1,    -1,
      -1,  3822,    -1,  3824,    -1,    -1,    -1,    -1,    -1,    -1,
    3831,  3832,  3833,  3834,    -1,  3836,  3837,    -1,    -1,    -1,
    3841,  3842,    -1,  1105,    -1,    -1,    -1,  3848,    -1,    -1,
     449,    -1,    -1,  3854,  3855,  3856,    -1,    -1,    -1,    -1,
      -1,    -1,  1124,    -1,    -1,   464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     479,    -1,    -1,    -1,    -1,  1147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,    -1,
      -1,  3912,    -1,  3914,    -1,    -1,   515,    -1,   517,   518,
     519,   520,   521,    -1,    -1,   524,   525,   526,   527,    -1,
      -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3945,  3946,  3947,    -1,  3949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3967,  3968,  3969,  3970,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4089,  1351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1374,  1375,  1376,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4130,
      -1,  4132,    -1,  4134,    -1,    -1,    -1,    -1,    -1,  4140,
      -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4185,    -1,    -1,    -1,    -1,    -1,
      -1,  4192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4202,    -1,    -1,    -1,  4206,   251,    -1,    -1,  4210,
    4211,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4242,  4243,  4244,  4245,  4246,    -1,   292,    -1,    -1,
      -1,  4252,    -1,  4254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1539,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,  4294,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   857,    -1,  4305,    -1,    -1,    -1,  1570,    -1,
     865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4345,  4346,    -1,    -1,    -1,    -1,
      -1,  4352,  4353,    -1,   909,    -1,  4357,    -1,    -1,    -1,
      -1,  4362,    -1,    -1,  4365,  4366,    -1,    -1,    -1,  4370,
    4371,    -1,   417,    -1,    -1,  4376,  4377,  4378,  4379,  4380,
      -1,    -1,    -1,  4384,  4385,    -1,  4387,    -1,    -1,  4390,
      -1,    -1,    -1,  4394,    -1,    -1,    -1,  4398,    -1,    -1,
      -1,    -1,    -1,  4404,    -1,    -1,    -1,    -1,    -1,  4410,
      -1,    -1,   967,    -1,  4415,    -1,    -1,    -1,   973,    -1,
    4421,    -1,   977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4439,   994,
      -1,  4442,    -1,    -1,    -1,    -1,  4447,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1716,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4465,   510,    -1,  4468,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,    -1,  4488,  4489,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4513,    -1,    -1,    -1,   866,   867,    -1,    -1,
     870,    -1,   872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   892,    -1,  1099,  1100,    -1,    -1,  4549,    -1,
      -1,  1106,    -1,    -1,    -1,  1110,    -1,    -1,    -1,    -1,
      -1,    -1,   912,    -1,    -1,    -1,   916,    -1,  4569,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1136,  4583,    -1,   934,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4634,    -1,    -1,    -1,  1899,  4639,    -1,
      -1,    -1,    84,    -1,  1906,    87,  4647,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,  4662,  4663,    -1,    -1,    -1,   108,    -1,  1930,    -1,
      -1,    -1,   161,    -1,   116,    -1,  1938,    -1,    -1,  1941,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     179,  4692,    -1,    -1,  4695,    -1,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,   200,    -1,    -1,    -1,  1977,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,  1280,  1281,    -1,    -1,  1991,
     219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4740,
      -1,    -1,   231,  2005,    -1,    -1,    -1,   236,  4749,    -1,
      -1,  1306,    -1,   242,    -1,    -1,    -1,    -1,  1313,    -1,
      -1,    -1,  1317,    -1,    -1,  4766,  4767,    -1,    -1,  4770,
     259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,
      -1,    -1,    -1,  4784,  4785,    -1,    -1,  1342,  4789,    -1,
      -1,    -1,  2054,  4794,    -1,   284,  4797,  4798,    -1,  4800,
      -1,  4802,    -1,    -1,  4805,  4806,    -1,    -1,    -1,   251,
      -1,    -1,    -1,  2075,   256,    -1,   305,    -1,    -1,    -1,
    2082,    -1,    -1,    -1,    -1,  1380,  4827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,
    4841,  4842,  4843,  4844,  4845,    -1,    -1,   336,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,  1423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,
      -1,   323,    -1,  4884,  4885,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,   393,  1255,  1256,    -1,    -1,   398,
      -1,   400,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4931,  4932,    -1,  2195,  4935,    -1,    -1,  4938,    -1,    -1,
      -1,  1496,    -1,    -1,    -1,    -1,    -1,  4948,   437,   438,
      -1,    -1,   441,  4954,    -1,  4956,   445,    -1,    -1,    -1,
    4961,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
     459,    -1,  4973,    -1,    -1,   417,    -1,    -1,    -1,    -1,
    2242,  2243,   471,  4984,  4985,  4986,  1336,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,  1554,
    2262,    -1,    -1,    -1,    -1,    -1,    -1,  1357,  1358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5018,    -1,    -1,
    5021,    -1,  5023,    -1,    -1,    -1,    -1,    -1,  1378,    -1,
    1585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5047,    -1,    -1,    -1,
    5051,    -1,    -1,    -1,  5055,    -1,    -1,    -1,  1613,    -1,
      -1,  5062,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,
    5071,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,  5084,    -1,   527,  1641,  1642,  1643,    -1,
    1645,    -1,    -1,    -1,    -1,  5096,    -1,  2359,    -1,  5100,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1457,  1458,    -1,
    1665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5123,  2385,    -1,    -1,    -1,    -1,    -1,  5130,
    5131,  5132,  5133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5145,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
    2422,    -1,  2424,  5164,  1719,  1720,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,  5184,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,  1748,    -1,    -1,    -1,  1752,  1753,  2461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5227,    -1,    -1,  5230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5239,    -1,
      -1,    -1,    -1,  5244,    -1,  5246,    -1,  5248,    -1,    -1,
      -1,    -1,    -1,    -1,  5255,    -1,    -1,    -1,    -1,    -1,
    5261,    -1,  5263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,  5273,    87,    -1,    -1,  1831,    91,    92,    93,
      -1,    -1,  1837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1847,    -1,   108,    -1,    -1,    -1,   112,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,  5319,    -1,
      -1,   256,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1886,   146,    -1,    -1,    -1,    -1,    -1,    -1,  1894,
      -1,    -1,   277,   278,    -1,    -1,  5347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5355,  5356,    -1,   292,    -1,  5360,
      -1,    -1,    -1,    -1,    -1,  5366,    -1,    -1,  5369,    -1,
      -1,  1926,  5373,    -1,    -1,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,    -1,  5386,    -1,    -1,   323,    -1,
      -1,    -1,    -1,  2655,    -1,  5396,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5421,    -1,    -1,    -1,    -1,    -1,  5427,  5428,    -1,  5430,
      -1,    -1,    -1,  1988,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,  5449,    -1,
      -1,    -1,  2007,    -1,    -1,  5456,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,   278,    -1,    -1,  2022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2030,    -1,    -1,   292,    -1,
      -1,  2036,   417,    -1,    -1,    -1,  2041,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,   339,    -1,  5528,  5529,    -1,
      -1,    -1,    -1,  2088,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5542,    -1,    -1,    -1,    -1,  2101,  2809,    -1,    -1,
      -1,    -1,  2107,  5554,  5555,    -1,    -1,    -1,  2113,  1909,
      -1,    -1,    -1,    -1,  2119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,  2131,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,  2146,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2171,    -1,    -1,  2174,
      -1,    -1,    -1,  1973,  1974,  1975,  1976,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2016,  2017,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2238,    -1,  2035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,  2063,  2064,  2065,  2066,    -1,    -1,    -1,
    2275,  2276,    -1,    -1,    -1,    -1,  2281,  2282,    -1,    -1,
      -1,    -1,    -1,  2288,  2289,  2290,  2998,    -1,    -1,  2294,
      -1,  2296,  2297,  2298,  2299,  2300,  2301,    -1,  2303,    -1,
    2305,  2306,    -1,    -1,  2309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2323,  2324,
    2325,  2326,  2327,  2328,    -1,    -1,    -1,  2332,    -1,    -1,
      -1,  2336,    -1,    -1,  2339,    -1,    -1,  2342,  2343,  2344,
    2345,  2346,  2347,  2348,  2349,  2350,    -1,  2352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2360,    -1,    -1,  2363,    -1,
    2160,    -1,    -1,  2163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,  2426,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      -1,    -1,    42,    43,    -1,  3147,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,  2523,    -1,
      -1,    -1,  2527,  2528,    -1,    -1,    -1,   137,    -1,   108,
      -1,  2331,    -1,    -1,    -1,    -1,  2541,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
    2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2586,    -1,    -1,    -1,  2590,    -1,    -1,  2593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2602,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,
    2625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2639,    -1,    -1,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     229,    -1,    -1,  2658,    -1,   234,    -1,  2662,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   277,   278,
     310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3424,   292,    -1,   325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2790,  2791,    -1,  2588,  2589,
      -1,    -1,    -1,   403,  2799,    -1,    -1,  2597,    -1,  2599,
      -1,    -1,    -1,  2603,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,  3547,  3548,    -1,   417,   449,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,  3563,    -1,    -1,   464,    -1,  2861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3579,    -1,   479,
     146,    -1,  2877,    -1,    -1,    -1,  3588,  3589,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3605,    -1,    -1,    -1,   507,    -1,    -1,
      -1,    -1,    -1,    -1,  2704,   515,    -1,   517,   518,   519,
     520,   521,    -1,    -1,   524,   525,   526,   527,    -1,    -1,
      -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2935,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,
    2770,    -1,    -1,    -1,    -1,   251,  2776,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,  2990,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3706,    -1,    -1,    -1,    -1,    -1,
      -1,   277,   278,  3008,    -1,    -1,  3011,    -1,    -1,  3014,
      -1,    -1,    -1,    -1,    -1,    -1,   292,  3022,    -1,    -1,
     973,    -1,    -1,    -1,    -1,    -1,  3031,    -1,    -1,    -1,
      -1,  3036,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   994,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,
    2850,    -1,    -1,    -1,  3059,  3060,  3061,    -1,    -1,  3064,
     336,    -1,    -1,   339,    -1,    -1,    -1,  3072,  3073,  3074,
    3075,    -1,    -1,    -1,    -1,  3080,    -1,    -1,    -1,    -1,
    3085,  3086,    -1,  3088,   360,  3090,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3101,  3102,    -1,    -1,
    3105,    -1,    -1,    -1,    -1,    -1,  2906,    -1,  2908,    -1,
      -1,    -1,    -1,    -1,  3119,    -1,  3121,    -1,  3123,  3831,
    3832,  3833,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,  3143,    -1,
      -1,   417,    -1,    -1,    -1,    -1,   108,    -1,    -1,  3154,
      -1,  3156,  3157,  3158,   116,    -1,    -1,   433,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,  3194,
      -1,    -1,    -1,    -1,  3199,    -1,    -1,    -1,    -1,    -1,
    3205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,  3254,
      -1,    -1,  3257,    -1,  3259,    -1,    -1,    -1,    -1,  3264,
      84,    -1,    -1,    87,    -1,    -1,   228,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3288,   108,    -1,    -1,   111,    -1,   251,
      -1,    -1,   116,    -1,   256,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3315,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,  3332,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1313,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,    -1,
    1333,  3386,  3387,  3388,    -1,    -1,    -1,    -1,    -1,  1342,
      -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3419,    -1,  3421,    -1,  4130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,  4140,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,   278,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4175,    -1,    -1,    -1,    -1,   292,    -1,
    1423,    -1,    -1,    -1,    -1,  3480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
    3505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,  3321,    -1,  3323,  3324,  3325,  3531,    -1,   209,    -1,
    3535,  3536,    -1,    -1,    -1,    -1,   217,    -1,   219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3594,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1554,    -1,    -1,    -1,    -1,    -1,  3612,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4377,  4378,  4379,  4380,    -1,
      -1,    -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3725,    -1,    -1,  3728,    -1,    -1,    -1,    -1,    -1,  3734,
      -1,    -1,    -1,    -1,    -1,  3740,    -1,  3742,    -1,    -1,
    3745,    -1,    -1,    -1,  3749,  3750,  3751,  3752,  3753,    -1,
      -1,  3756,  3757,  3758,  3759,  3760,  3761,  3762,  3763,  3764,
    3765,    -1,    -1,    -1,  3769,  3770,    -1,    -1,    -1,  3774,
      -1,    -1,    -1,    -1,  3779,    -1,    -1,    -1,  3783,    -1,
    3785,    -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3795,    -1,    -1,  3798,    -1,  3800,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3808,  3809,    -1,    -1,  3812,  3813,    -1,
      -1,    -1,  3817,  3818,    -1,    -1,    -1,    -1,    -1,  3824,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3834,
      -1,  3836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3848,    -1,    -1,    -1,    -1,    -1,  3854,
    3855,  3856,    -1,    -1,    -1,    -1,  3656,    -1,  3658,    -1,
      -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,  3901,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,  3914,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,  3718,   122,
      -1,    -1,    -1,    -1,    -1,  3930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3945,  1894,    -1,   146,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,  1926,   111,    -1,    -1,    -1,    -1,   116,
    4692,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,  4017,    -1,    -1,    -1,    -1,  4022,  4023,  4024,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,   251,    -1,
      -1,    -1,    -1,   256,  2007,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,
      -1,    -1,    -1,    -1,   277,   278,    -1,  2030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,  2041,   292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4112,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4134,
      -1,    -1,    -1,   336,    -1,  2088,   339,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   354,    -1,    -1,  2107,   292,  4161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2119,  3967,  3968,  3969,
    3970,    -1,    -1,   234,    -1,    -1,    -1,    -1,  2131,    -1,
      -1,    -1,    -1,    -1,   865,    -1,   323,    -1,    -1,    -1,
     251,    -1,    -1,   874,    -1,   256,    -1,    -1,    -1,   336,
      -1,    -1,   339,    -1,  4209,  4210,  4211,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,    -1,   277,   278,  2171,    -1,
      -1,  2174,    -1,    -1,    -1,    -1,  4938,    -1,   909,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4985,    -1,   336,    -1,    -1,   339,    -1,
     417,    -1,    -1,    -1,    -1,    -1,   967,    -1,    -1,  4294,
      -1,    -1,   973,    -1,    -1,    -1,   977,    -1,    -1,    -1,
    4305,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   994,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4335,    -1,  4132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4345,  4346,    -1,  4348,    -1,    -1,    -1,  4352,  4353,    -1,
      -1,    -1,  4357,  4358,    -1,    -1,   417,  4362,    -1,    -1,
    4365,  4366,    -1,    -1,    -1,  4370,    -1,    -1,    -1,    -1,
    2323,  4376,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,  5100,  4394,
      -1,    -1,    -1,  4398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4410,    -1,    -1,    -1,    -1,
    4415,    -1,    -1,    -1,    -1,    -1,  4421,    -1,  1099,  1100,
      -1,    -1,    -1,    -1,    -1,  1106,    -1,    -1,    -1,  1110,
      -1,    -1,    -1,    -1,  4439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,  1136,   517,   518,   519,   520,
     521,   522,    -1,  4468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4515,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4534,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,   111,    84,
      -1,    -1,    87,   116,  4549,    -1,    91,    92,    93,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
    2523,   116,    -1,   146,  2527,  2528,    -1,   122,    -1,    -1,
      -1,    -1,    -1,  4588,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1280,
    1281,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,    -1,    -1,    -1,  1306,    -1,    -1,    -1,  4634,
      -1,    -1,  1313,    -1,    -1,    -1,  1317,  2590,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,  2602,
      87,    -1,  1333,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,  1342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,   111,    -1,    -1,    -1,   251,   116,
      -1,    -1,  4687,   256,  4689,   122,  2639,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1380,
      -1,    -1,    -1,    -1,   277,   278,   251,    -1,    -1,   146,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   278,    -1,  4740,    -1,    -1,    -1,  4744,
      -1,    -1,  1423,    -1,  4749,    -1,    -1,   292,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4766,  4767,   336,    -1,  4770,   339,    -1,    -1,  4569,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,  4784,
      -1,    -1,    -1,  4583,  4789,    -1,    -1,    -1,    -1,  4794,
      -1,   336,  4797,  4798,   339,    -1,    -1,    -1,    -1,    -1,
    4805,  4806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,  1496,    -1,    -1,    -1,   256,
      -1,    -1,  4827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4841,    -1,  2791,    -1,
     277,   278,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   292,    84,    -1,    -1,    87,
      -1,    -1,  4662,    91,    92,    93,    -1,    -1,    -1,  4874,
      -1,    -1,   417,  1554,    -1,    -1,    -1,    -1,    -1,  4884,
     108,    -1,    -1,    -1,    -1,    -1,   323,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,   336,
      -1,   446,   339,    -1,  1585,    -1,    -1,    -1,  2861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4921,    -1,   146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4935,    -1,  1613,    -1,    -1,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1641,  1642,  1643,    -1,  1645,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
     417,  4986,    -1,  4988,  1665,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5018,  5019,    -1,  5021,    -1,  5023,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2990,  1719,    -1,
      -1,    -1,  5047,  4843,  4844,  4845,  5051,    -1,    -1,   277,
     278,    -1,  5057,    -1,    -1,    -1,    -1,  5062,  3011,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,  1748,    -1,  3022,
      -1,  1752,  1753,   510,    -1,    -1,   513,   514,   515,  5084,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5108,    -1,    -1,    -1,    -1,   336,  5114,
      -1,   339,    -1,  5118,  5119,    -1,    -1,    -1,  5123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5164,
      -1,    -1,    -1,    -1,    -1,    -1,  1847,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5184,
      -1,    -1,    -1,    -1,  4984,    -1,    -1,    -1,    -1,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5204,
    5205,    -1,    -1,    -1,    -1,  1886,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5227,    -1,    -1,  5230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5239,    -1,    -1,    -1,    -1,  5244,
      -1,  5246,    -1,  5248,    -1,  1926,    -1,    -1,    -1,    -1,
    5255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,  5096,    -1,    -1,    -1,
      -1,  3254,    -1,    -1,  3257,    -1,  3259,  1988,    -1,    -1,
      -1,  3264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5324,
      -1,    -1,    -1,    -1,    -1,    -1,  2007,    -1,    -1,    -1,
      -1,  5131,    -1,  5133,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,
    5355,  5356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2041,  5366,  3315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3332,
      -1,  5386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3356,    -1,    -1,    -1,  2088,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5421,    -1,    -1,    -1,
    2101,    -1,  5427,  5428,    -1,  5430,  2107,    -1,    -1,    -1,
      -1,    -1,  2113,    -1,    -1,    -1,    -1,    -1,  2119,    -1,
      -1,    -1,    -1,    -1,  5449,    -1,    -1,    -1,    -1,    -1,
    2131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5261,    -1,    -1,    -1,  2146,  3419,  5472,  3421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2171,    -1,    -1,  2174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5319,
      -1,    -1,    -1,  5528,  5529,    -1,    -1,  3480,    -1,  5534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5553,  5554,
    5555,    -1,  3505,    -1,    -1,    -1,    -1,  2238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,    -1,
      -1,    -1,    -1,  3536,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2275,  2276,  5396,    -1,    -1,    -1,
    2281,  2282,    -1,    -1,    -1,    -1,    -1,  2288,  2289,  2290,
      -1,    -1,    -1,  2294,    -1,  2296,  2297,  2298,  2299,  2300,
    2301,    -1,  2303,    -1,  2305,  2306,    -1,    -1,  2309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3594,  2323,  2324,  2325,  2326,  2327,    -1,    -1,    -1,
      -1,  2332,    -1,    -1,    -1,  2336,  5456,    -1,  2339,  3612,
      -1,  2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,
      -1,  2352,    -1,    -1,  3627,    -1,    -1,    -1,    -1,  2360,
      -1,    -1,  2363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2426,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,  3728,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    -1,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,  3749,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,
      -1,  3774,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2523,    -1,    -1,    -1,  2527,  2528,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3808,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,   147,    -1,  2575,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,  2586,    -1,    -1,    -1,  2590,
     165,    -1,  2593,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,  2602,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,  2639,    -1,
      -1,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,    -1,    -1,    -1,  3930,   233,    -1,
     235,    -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,
      -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,
    4023,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,  2790,
    2791,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
    2861,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,    -1,    -1,  2877,    -1,   453,    -1,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4161,   464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,    -1,  2935,    -1,  4209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3008,    -1,    -1,
    3011,    -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3031,    -1,    -1,    -1,    -1,  3036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3059,  3060,
    3061,    -1,    -1,  3064,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3072,  3073,  3074,  3075,  4348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3085,  4358,    -1,  3088,    -1,  3090,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3101,  3102,    -1,    -1,  3105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3119,    -1,
    3121,    -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     162,    -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3154,    -1,  3156,  3157,  3158,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3181,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3194,    -1,    -1,    -1,    -1,  3199,    -1,
      -1,    -1,    -1,    -1,  3205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4486,  3215,    -1,   238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3254,    -1,    -1,  3257,    -1,  3259,    -1,
      -1,  4534,    -1,  3264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3315,  4588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4689,    -1,  3419,    -1,
    3421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3531,    -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3594,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3627,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3680,
      -1,   703,   704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3725,    -1,    -1,  3728,    -1,   751,
      -1,    -1,    -1,  3734,    -1,    -1,    -1,    -1,    -1,  3740,
      -1,  3742,    -1,    -1,  3745,    -1,  5019,    -1,  3749,  3750,
    3751,  3752,  3753,    -1,    -1,  3756,  3757,  3758,  3759,  3760,
    3761,  3762,  3763,  3764,  3765,    -1,    -1,    -1,  3769,  3770,
      -1,    -1,    -1,  3774,    -1,    -1,    -1,    -1,  3779,    -1,
      -1,    -1,  3783,    -1,  5057,    -1,  3787,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3795,    -1,    -1,  3798,    -1,  3800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3808,  3809,    -1,
      -1,  3812,  3813,    -1,    -1,    -1,  3817,  3818,    -1,    -1,
      -1,    -1,    -1,  3824,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3834,    -1,  3836,    -1,    -1,    -1,    -1,
      -1,  5114,    -1,    -1,    -1,  5118,  5119,  3848,    -1,    -1,
     872,    -1,    -1,  3854,  3855,  3856,    -1,    -1,   880,    -1,
      -1,   883,   884,    -1,   886,    -1,    -1,   889,    -1,   891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   910,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,    -1,    -1,
    3901,    -1,    -1,   925,    -1,    -1,   928,   929,    -1,    -1,
      -1,   933,    -1,  3914,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   950,  3930,
     952,    -1,  5205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3945,    -1,   968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   983,    -1,   985,    -1,    -1,   988,    -1,   990,    -1,
      -1,   993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1007,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,  1210,    -1,
    1212,    -1,    -1,    -1,  1216,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,  4209,  4210,
    4211,    35,    36,    -1,  1236,    -1,    -1,    -1,    42,    43,
      -1,    -1,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1310,    -1,
      -1,    -1,    -1,  4294,    -1,    -1,    -1,    -1,    -1,    -1,
    1322,    -1,  1324,    -1,  4305,    -1,    -1,    -1,    -1,    -1,
    1332,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1344,    -1,    -1,  1347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4345,  4346,    -1,  4348,    -1,    -1,
      -1,  4352,  4353,    -1,    -1,    -1,  4357,  4358,    -1,  1381,
      -1,  4362,    -1,    -1,  4365,  4366,    -1,    -1,    -1,  4370,
      -1,    -1,    -1,    -1,    -1,  4376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4394,    -1,    -1,    -1,  4398,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,  4410,
      -1,    -1,    -1,    -1,  4415,    -1,    -1,    -1,    -1,    -1,
    4421,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   307,    -1,  4486,   310,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4515,    -1,    -1,    -1,    -1,    -1,
      -1,  1543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4623,    -1,    -1,   449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4634,    -1,    -1,    -1,    -1,    -1,    -1,
     464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,    -1,    -1,  4687,    -1,  4689,    -1,
      -1,   515,    -1,   517,   518,   519,   520,   521,    -1,    -1,
     524,   525,   526,    -1,    -1,    -1,    -1,   531,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1738,  1739,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4740,
      -1,    -1,    -1,  4744,    -1,    -1,    -1,    -1,  4749,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4766,  4767,    -1,    -1,  4770,
      -1,    -1,    -1,    -1,  1796,    -1,    -1,  1799,    -1,    -1,
      -1,    -1,    -1,  4784,    -1,  1807,    -1,    -1,  4789,    -1,
      -1,    -1,    -1,  4794,    -1,    -1,  4797,  4798,    -1,    -1,
      -1,    -1,    -1,  1825,  4805,  4806,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4874,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4884,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4935,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4986,    -1,  4988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    89,    -1,    -1,    -1,    -1,    94,    -1,    96,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5018,  5019,   106,
    5021,    -1,  5023,  2045,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,  5047,    -1,    -1,    -1,
    5051,    -1,    -1,    -1,   141,    -1,  5057,    -1,    -1,    -1,
      -1,  5062,    -1,    -1,    -1,   152,   153,    -1,    -1,   156,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,   166,
      -1,    -1,    -1,  5084,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5114,    -1,    -1,   203,  5118,  5119,    -1,
      -1,    -1,  5123,  2145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2159,    -1,    -1,
    2162,    -1,  2164,    -1,  2166,    -1,    -1,    -1,    -1,    -1,
    2172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5184,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2223,    -1,  5204,  5205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2235,    -1,    -1,    -1,  2239,    -1,  2241,
      -1,    -1,  2244,    -1,    -1,    -1,  5227,    -1,    -1,  5230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5239,    -1,
      -1,    -1,    -1,  5244,    -1,  5246,    -1,  5248,    -1,    -1,
      -1,    -1,    -1,    -1,  5255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
      -1,    -1,    -1,    -1,  2366,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5355,  5356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5366,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5421,    -1,    -1,    -1,    -1,    -1,  5427,  5428,    -1,  5430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2508,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2538,  2539,    -1,    -1,
      -1,  2543,  2544,    -1,    -1,    -1,  2548,  5528,  5529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2562,  5542,    -1,    -1,    -1,    -1,    -1,  2569,    -1,    -1,
      -1,  2573,  2574,  5554,  5555,  2577,  2578,    -1,    -1,    -1,
      -1,    -1,  2584,    -1,    -1,    -1,    -1,    -1,   655,    -1,
      -1,    -1,    -1,    -1,  2596,    -1,  2598,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2615,    -1,    -1,    -1,    -1,  2620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2633,    -1,    -1,    -1,    -1,   703,   704,    -1,  2641,
      -1,  2643,    -1,  2645,  2646,  2647,    -1,    -1,    -1,    -1,
    2652,  2653,    -1,    -1,    -1,    -1,    -1,    -1,  2660,    -1,
      -1,    -1,    -1,  2665,    -1,    -1,    -1,    -1,  2670,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   751,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2705,    -1,  2707,    -1,    -1,    -1,    -1,
    2712,    -1,    -1,    -1,  2716,    -1,  2718,  2719,  2720,  2721,
      -1,  2723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2736,  2737,  2738,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2746,  2747,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   949,   950,    -1,   952,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1003,    -1,    -1,  1006,
    1007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,
      -1,    -1,    -1,    -1,  1021,    -1,  1023,    -1,  1025,    -1,
      -1,    -1,  2964,    -1,  1031,    -1,    -1,    -1,  1035,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1099,  1100,  1055,  1056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2999,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1102,    -1,  1104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1197,  1198,    -1,    -1,  1201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3267,  3268,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3319,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3335,  3336,    -1,    -1,    -1,  3340,    -1,
      -1,    -1,    -1,  3345,  3346,  3347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3376,  3377,  3378,  3379,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3411,
      -1,  3413,  3414,  3415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1504,    -1,    -1,
      -1,    -1,  1509,    -1,  1511,    -1,    -1,  1514,    -1,  1516,
      -1,    -1,  1519,  1520,  1521,    -1,    -1,    -1,  1525,    -1,
      -1,    -1,    -1,    -1,    -1,  1532,    -1,    -1,    -1,    -1,
      -1,    -1,  1585,    -1,    -1,    -1,    -1,    -1,    -1,  1546,
      -1,  1548,    -1,    -1,    -1,    -1,  1553,    -1,    -1,    -1,
    3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3500,    -1,
    1613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1641,  1642,
    1643,    -1,  1645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3586,    -1,    -1,    -1,  3590,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1719,    -1,    -1,  1676,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3619,    -1,    -1,
    1687,  1688,    -1,  3625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1748,    -1,  1704,    -1,  1752,
    1753,    -1,  1709,  1710,    -1,  3647,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3661,
      -1,    -1,    -1,  3665,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3678,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1791,    -1,  1793,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1876,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1884,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1942,    -1,    -1,  1945,  1946,
      -1,   865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   909,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2014,    -1,    -1,
    3952,    -1,  3954,    -1,    -1,    -1,    -1,    -1,    -1,  3961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3978,    -1,    -1,    -1,
      -1,    -1,    -1,   967,    -1,    -1,    -1,    -1,    -1,   973,
      -1,  3993,    -1,   977,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4004,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4020,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4047,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4058,  4059,  4060,    -1,
      -1,  4063,  4064,  4065,  4066,  4067,  4068,    -1,    -1,    -1,
      -1,  4073,  4074,    -1,  4076,  4077,  4078,  4079,  4080,  4081,
    4082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4091,
      -1,  4093,  4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1099,  1100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2207,    -1,  2209,    -1,    -1,    -1,  2213,    -1,  2215,    -1,
      -1,  2218,  1136,    -1,    -1,  2222,    -1,    -1,    -1,    -1,
    2227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2294,    -1,  2296,    -1,    -1,  2299,  2300,  2301,    -1,
      -1,    -1,    -1,  2306,    -1,    -1,  2309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2324,  2325,  2326,  2327,    -1,    -1,    -1,    -1,  2332,
      -1,    -1,    -1,  2336,    -1,    -1,  2339,  4229,    -1,  2342,
    2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,    -1,  2352,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2360,    -1,    -1,
    2363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4265,  4266,  4267,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4277,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2359,    -1,    -1,    -1,    -1,    -1,    -1,  2366,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2376,
      -1,    -1,    -1,  2426,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1306,    -1,    -1,    -1,    -1,    -1,    -1,  1313,
      -1,    -1,    -1,  1317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2440,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2493,    -1,    -1,    -1,
    2497,    -1,    -1,    -1,    -1,    -1,  2503,    -1,  2505,  1423,
      -1,  2508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2554,    -1,    -1,
      -1,    -1,  4494,    -1,    -1,    -1,  4498,  4499,  4500,  4501,
      -1,    -1,  4504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4525,  4526,  4527,  4528,    -1,  4530,  4531,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4542,  4543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4560,    -1,
      -1,    -1,    -1,    -1,    -1,  4567,  4568,    -1,  4570,    -1,
    1554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1613,
      -1,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2706,
      -1,  2708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4653,    -1,    -1,    -1,    -1,    -1,  1641,  1642,  1643,
      -1,  1645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4674,    -1,    -1,    -1,    -1,  2790,    -1,    -1,
      -1,  1665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1719,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1748,    -1,    -1,    -1,  1752,  1753,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4787,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2951,  2952,    -1,    -1,    -1,    -1,
      -1,    -1,  4894,    -1,    -1,    -1,    -1,  4899,  4900,    -1,
      -1,  2968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3031,    -1,
      -1,    -1,    -1,  3036,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1926,    -1,    -1,    -1,    -1,    -1,  3061,    -1,
      -1,    -1,    -1,  4955,    -1,    -1,    -1,    -1,    -1,  3072,
      -1,  3074,  3075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3085,    -1,    -1,  3088,    -1,  3090,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4999,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3119,  5009,  3121,    -1,
    3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2007,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,
      -1,    -1,  5044,  3156,  3157,  3158,  2030,    -1,    -1,    -1,
      -1,    -1,    -1,  5055,    -1,    -1,    -1,  2041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5080,    -1,
      -1,  3194,    -1,    -1,    -1,    -1,  3199,    -1,    -1,    -1,
      -1,    -1,  3205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5104,    -1,  2088,  3172,    -1,    -1,    -1,    -1,
    3177,  5113,    -1,    -1,    -1,    -1,    -1,  2101,    -1,    -1,
      -1,    -1,    -1,  2107,    -1,    -1,    -1,    -1,    -1,  2113,
      -1,    -1,  5134,    -1,    -1,  2119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2171,    -1,    -1,
    2174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5286,    -1,    -1,    -1,    -1,    -1,
      -1,  2275,  2276,    -1,    -1,    -1,    -1,  2281,  2282,    -1,
      -1,    -1,    -1,    -1,  2288,  2289,  2290,    -1,    -1,  5311,
    2294,    -1,  2296,  2297,  2298,  2299,  2300,  2301,    -1,  2303,
      -1,  2305,  2306,    -1,    -1,  2309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2323,
    2324,  2325,  2326,  2327,    -1,    -1,    -1,    -1,  2332,    -1,
      -1,    -1,  2336,    -1,    -1,  2339,    -1,    -1,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,    -1,  2352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2360,    -1,    -1,  2363,
      -1,    -1,    -1,  5385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,  3536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2523,
      -1,    -1,    -1,  2527,  2528,   973,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3625,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2586,    -1,    -1,    -1,  2590,    -1,    -1,  2593,
      -1,    -1,  3725,    -1,    -1,    -1,    -1,    -1,  2602,    -1,
      -1,  3734,    -1,    -1,    -1,    -1,    -1,  3740,    -1,  3742,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3715,    -1,
      -1,    -1,    -1,    -1,    -1,  2639,  3769,  3770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3795,    -1,    -1,  3798,    -1,  3800,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3809,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3817,  3818,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,    -1,
      -1,  3854,  3855,  3856,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3901,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3914,    -1,    -1,    -1,    -1,  2790,  2791,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2861,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2935,    -1,    -1,    -1,    -1,  4023,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4051,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3008,    -1,    -1,  3011,    -1,    -1,
    3014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3031,    -1,    -1,
      -1,    -1,  3036,    -1,    -1,    -1,    -1,    -1,   973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3059,  3060,  3061,    -1,   994,
    3064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,  3073,
    3074,  3075,    -1,    -1,    -1,    -1,    -1,  4210,  4211,    -1,
      -1,  3085,    -1,    -1,  3088,    -1,  3090,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3101,  3102,    -1,
      -1,  3105,    -1,    -1,    -1,    -1,  1554,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3119,    -1,  3121,    -1,  3123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3154,    -1,  3156,  3157,  3158,    -1,    -1,    -1,    -1,    -1,
      -1,  4294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4305,    -1,    -1,    -1,    -1,  3181,    -1,    -1,
      -1,    -1,    -1,  4270,    -1,    -1,    -1,    -1,    -1,    -1,
    3194,    -1,    -1,    -1,    -1,  3199,    -1,    -1,    -1,    -1,
      -1,  3205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3215,  4345,  4346,    -1,    -1,    -1,    -1,    -1,  4352,
    4353,    -1,    -1,    -1,  4357,    -1,    -1,    -1,    -1,  4362,
      -1,    -1,  4365,  4366,    -1,    -1,    -1,  4370,    -1,    -1,
      -1,    -1,    -1,  4376,    -1,   973,    -1,    -1,    -1,    -1,
    3254,    -1,    -1,  3257,    -1,  3259,    -1,    -1,    -1,    -1,
    3264,    -1,    -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4410,    -1,    -1,
      -1,    -1,  4415,    -1,  3288,    -1,    -1,    -1,  4421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4439,    -1,    -1,    -1,
      -1,  3315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3332,    -1,
      -1,    -1,    -1,    -1,    -1,  4468,    -1,    -1,    -1,  4426,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1313,    -1,
      -1,    -1,    -1,  1831,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3419,  4549,  3421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3480,    -1,  1926,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1423,    -1,
    4623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4606,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,    -1,    -1,
      -1,    -1,  3536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2007,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,
      -1,    -1,    -1,    -1,  2022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2030,    -1,    -1,  1313,    -1,    -1,   994,    -1,
    3594,    -1,    -1,  2041,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,  3612,    -1,
      -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,    -1,  1554,
      -1,    -1,    -1,  3627,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4766,  4767,    -1,    -1,  4770,    -1,    -1,
    2088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2119,  4805,  4806,    -1,    -1,  3680,    -1,    -1,    -1,
      -1,    -1,    -1,  2131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3725,    -1,  2171,  3728,    -1,  2174,    -1,    -1,    -1,
    3734,    -1,    -1,    -1,    -1,  4822,  3740,    -1,  3742,    -1,
      -1,  3745,    -1,    -1,    -1,  3749,  3750,  3751,  3752,  3753,
      -1,    -1,  3756,  3757,  3758,  3759,  3760,  3761,  3762,  3763,
    3764,  3765,    -1,    -1,    -1,  3769,  3770,    -1,    -1,    -1,
    3774,    -1,    -1,    -1,    -1,  3779,    -1,    -1,    -1,  3783,
      -1,    -1,    -1,  3787,    -1,    -1,    -1,  4874,    -1,    -1,
      -1,  3795,    -1,    -1,  3798,    -1,  3800,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3808,  3809,    -1,    -1,  3812,  3813,
      -1,    -1,    -1,  3817,  3818,    -1,    -1,    -1,    -1,    -1,
    3824,    -1,    -1,    -1,    -1,    -1,  1554,    -1,    -1,    -1,
    3834,    -1,  3836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,    -1,    -1,
    3854,  3855,  3856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5021,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1831,  3901,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1313,    -1,    -1,
    3914,    -1,    -1,    -1,  5047,  2363,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3930,  1333,    -1,  5062,
      -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,
      -1,  3945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5123,  1926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1423,    -1,  4023,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2007,    -1,    -1,  2523,    -1,    -1,    -1,  2527,
    2528,    -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1831,    -1,    -1,  2041,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   973,  5248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5215,    -1,
    4134,    -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,    -1,
    5273,    -1,  2590,    -1,    -1,    -1,    -1,    -1,  1554,    -1,
      -1,    -1,    -1,  2088,  2602,    -1,    -1,  4161,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,    -1,  2107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2119,    -1,    -1,    -1,    -1,    -1,
      -1,  2639,    -1,    -1,    -1,    -1,  2131,    -1,  1926,    -1,
      -1,    -1,    -1,    -1,    -1,  4209,  4210,  4211,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5355,  5356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5366,    -1,    -1,  2171,    -1,    -1,  2174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2007,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4294,    -1,    -1,    -1,  2022,    -1,    -1,  5430,    -1,    -1,
      -1,  4305,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2041,    -1,    -1,  5449,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4345,  4346,  2791,  4348,    -1,    -1,    -1,  4352,  4353,
      -1,    -1,    -1,  4357,  4358,    -1,    -1,    -1,  4362,    -1,
    2088,  4365,  4366,    -1,    -1,    -1,  4370,    -1,    -1,    -1,
      -1,    -1,  4376,    -1,    -1,    -1,    -1,    -1,    -1,  2107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2323,    -1,
    4394,  2119,    -1,    -1,  4398,  5528,  5529,    -1,    -1,    -1,
      -1,    -1,    -1,  2131,    -1,    -1,  4410,    -1,    -1,    -1,
      -1,  4415,    -1,  2861,    -1,    -1,    -1,  4421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2171,    -1,    -1,  2174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4486,  1342,    -1,   973,    -1,    -1,  1894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,
      -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2990,    -1,    -1,  4549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3011,  1423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4588,    -1,    -1,    -1,  2523,    -1,
      -1,    -1,  2527,  2528,    -1,  2323,    -1,    -1,    -1,    -1,
      -1,  2007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,    -1,  4623,
      -1,    -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,
    4634,    -1,    -1,    -1,    -1,  2041,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2602,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2088,  4687,    -1,  4689,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1554,    -1,    -1,    -1,    -1,
      -1,  2107,    -1,    -1,  2639,    -1,    -1,    -1,  3156,  3157,
    3158,    -1,    -1,  2119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4740,    -1,    -1,    -1,
    4744,    -1,    -1,    -1,    -1,  4749,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4766,  4767,    -1,  2171,  4770,    -1,  2174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4784,    -1,    -1,    -1,    -1,  4789,    -1,    -1,    -1,    -1,
    4794,    -1,    -1,  4797,  4798,  2523,    -1,    -1,    -1,  2527,
    2528,  4805,  4806,    -1,    -1,    -1,  3254,    -1,    -1,  3257,
      -1,  3259,    -1,    -1,    -1,    -1,  3264,    -1,    -1,    -1,
      -1,    -1,    -1,  4827,    -1,  1313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4841,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1342,    -1,  2791,    -1,    -1,    -1,
      -1,    -1,  2590,    -1,    -1,    -1,    -1,  3315,    -1,    -1,
    4874,    -1,    -1,    -1,  2602,    -1,    -1,    -1,    -1,    -1,
    4884,    -1,    -1,    -1,  3332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,    -1,
      -1,  2639,    -1,    -1,    -1,    -1,    -1,  2323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2861,    -1,    -1,    -1,
      -1,  4935,    -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3419,  1831,  3421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4986,    -1,  4988,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5018,  5019,    -1,  5021,    -1,  5023,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3480,    -1,    -1,  1894,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5047,    -1,    -1,    -1,  5051,    -1,    -1,
      -1,    -1,    -1,  5057,    -1,  2990,    -1,  3505,  5062,    -1,
      -1,    -1,    -1,  2791,    -1,    -1,  1554,  1926,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3011,    -1,    -1,    -1,
    5084,    -1,    -1,  3531,    -1,    -1,    -1,  3022,  3536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5114,    -1,    -1,    -1,  5118,  5119,    -1,  2523,    -1,  5123,
      -1,  2527,  2528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3594,    -1,  2007,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5164,    -1,    -1,  2022,  3612,    -1,    -1,    -1,    -1,    -1,
      -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3627,
    5184,    -1,  2041,    -1,  2590,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2602,    -1,    -1,    -1,
    5204,  5205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5227,    -1,    -1,  5230,    -1,    -1,  2088,
      -1,    -1,    -1,  2639,    -1,  5239,    -1,    -1,    -1,    -1,
    5244,    -1,  5246,    -1,  5248,    -1,    -1,    -1,  2107,    -1,
      -1,  5255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2119,    -1,  2990,    -1,    -1,    -1,    -1,    -1,    -1,  5273,
      -1,    -1,  2131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3728,    -1,    -1,  3011,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,
      -1,  3749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2171,    -1,    -1,  2174,    -1,    -1,    -1,  3254,
    5324,    -1,  3257,    -1,  3259,    -1,  3774,    -1,    -1,  3264,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1831,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5355,  5356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3808,    -1,  5366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3315,    -1,  5386,    -1,    -1,  2791,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1894,    -1,  3856,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5421,    -1,    -1,
      -1,  3356,    -1,  5427,  5428,    -1,  5430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1926,    -1,
      -1,    -1,    -1,    -1,    -1,  5449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3930,    -1,  3419,    -1,  3421,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2007,
      -1,    -1,    -1,    -1,  5528,  5529,  3254,    -1,    -1,  3257,
      -1,  3259,    -1,    -1,  2022,    -1,  3264,    -1,  5542,    -1,
      -1,    -1,  2030,    -1,    -1,  3480,    -1,    -1,    -1,    -1,
    5554,  5555,    -1,  2041,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3505,    -1,    -1,    -1,    -1,  4023,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2990,    -1,    -1,  3315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3531,    -1,    -1,    -1,
    2088,  3536,    -1,    -1,  3332,  3011,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3022,    -1,    -1,  2107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,    -1,
      -1,  2119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3594,
      -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,  2527,  2528,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3612,    -1,    -1,
      -1,    -1,    -1,  2171,    -1,    -1,  2174,    -1,    -1,    -1,
      -1,  3419,  3627,  3421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2602,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3505,    -1,    -1,
    2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3728,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,  3536,    -1,
      -1,    -1,    -1,    -1,  3749,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2323,    -1,    -1,    -1,  3774,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3254,    -1,
      -1,  3257,    -1,  3259,    -1,    -1,    -1,    -1,  3264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3594,    -1,    -1,    -1,
      -1,    -1,    -1,  3808,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3612,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3627,
    4348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3315,
    4358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,
      -1,    -1,  2791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4410,    -1,    -1,    -1,    -1,  4415,    -1,    -1,
      -1,    -1,    -1,  4421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3930,    -1,    -1,    -1,    -1,
    3728,    -1,  2861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3419,    -1,  3421,    -1,    -1,    -1,    -1,
      -1,  3749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,  4486,  2527,
    2528,    -1,    -1,    -1,    -1,    -1,  3774,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4515,    -1,    -1,
      -1,    -1,    -1,    -1,  3480,    -1,    -1,    -1,    -1,    -1,
    3808,    -1,    -1,    -1,    -1,    -1,  4534,    -1,  4023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3505,
      -1,    -1,  2590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2602,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3531,    -1,  1657,    -1,    -1,
    3536,  2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2639,  3011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3594,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3930,    -1,  1734,    -1,  3612,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3627,    -1,    -1,    -1,    -1,  4161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4687,
      -1,  4689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4023,  4744,    -1,    -1,    -1,
      -1,    -1,    -1,  2791,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3749,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3774,    -1,
      -1,    -1,    -1,  2861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,  3257,    -1,
    3259,    -1,  3808,    -1,    -1,  3264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4358,    -1,    -1,  4874,    -1,    -1,    -1,
      -1,    -1,    -1,  4161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,    -1,    -1,
      -1,    -1,  2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3011,  3930,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,
    4988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3419,    -1,  3421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4023,    -1,    -1,
    4348,  3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3505,    -1,    -1,    -1,
      -1,    -1,    -1,  4588,    -1,    -1,    -1,    -1,    -1,    -1,
    2190,    -1,    -1,    -1,    -1,    -1,  5114,    -1,    -1,    -1,
    5118,  5119,  3531,    -1,    -1,    -1,    -1,  3536,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3594,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2279,
      -1,    -1,    -1,  3612,  4689,  4161,  5204,  5205,  4486,    -1,
      -1,    -1,    -1,  2293,    -1,    -1,  3254,  2297,  3627,  3257,
      -1,  3259,    -1,    -1,    -1,    -1,  3264,    -1,    -1,    -1,
      -1,  2311,  2312,  2313,    -1,    -1,  2316,  4515,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4209,    -1,    -1,  4534,    -1,    -1,  4744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3315,  2358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,  3728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2413,    -1,    -1,    -1,    -1,    -1,    -1,
    3749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3774,    -1,    -1,  2448,    -1,
      -1,  2451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3419,    -1,  3421,    -1,    -1,    -1,    -1,    -1,  4874,
      -1,    -1,  4348,    -1,    -1,    -1,    -1,    -1,    -1,  3808,
      -1,    -1,  4358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4744,  3505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,  3536,    -1,
      -1,    -1,    -1,  4988,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4486,    -1,    -1,    -1,  5019,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3594,    -1,    -1,  4515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5057,    -1,  3612,    -1,    -1,    -1,  4534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3627,
      -1,    -1,    -1,    -1,    -1,    -1,  4874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4023,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5114,
      -1,    -1,  4588,  5118,  5119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4988,  3749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4689,    -1,    -1,  3774,    -1,    -1,    -1,
      -1,  5019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4744,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5114,    -1,    -1,    -1,
    5118,  5119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4874,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4358,
      -1,    -1,    -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3054,    -1,  3056,    -1,    -1,  3059,
    3060,    -1,  3062,    -1,  3064,  4023,    -1,    -1,  3068,    -1,
      -1,  3071,    -1,    -1,    -1,    -1,  3076,    -1,    -1,    -1,
      -1,    -1,  3082,    -1,    -1,    -1,    -1,  3087,    -1,    -1,
      -1,    -1,    -1,    -1,  3094,  3095,  3096,  3097,    -1,    -1,
      -1,  3101,  3102,    -1,  3104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4988,    -1,    -1,    -1,  3116,    -1,  3118,    -1,
      -1,    -1,    -1,    -1,    -1,  3125,  3126,  3127,  3128,  3129,
    3130,  3131,  3132,  3133,  3134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5019,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4486,    -1,    -1,
      -1,    -1,  3162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5057,    -1,    -1,    -1,    -1,  4515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4161,    -1,  4534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5114,    -1,
      -1,    -1,  5118,  5119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4588,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4744,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4486,    -1,
      -1,    -1,  3532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4874,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4515,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3724,    -1,    -1,    -1,  5057,    -1,
    3730,  4689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3746,  3747,    -1,    -1,
    3750,  3751,  3752,  3753,    -1,    -1,  3756,  3757,  3758,  3759,
    3760,  3761,  3762,  3763,  3764,  3765,  3766,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5114,  4744,    -1,  3788,  5118,
    5119,  3791,    -1,  3793,    -1,    -1,  3796,  3797,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3811,  3812,  3813,  3814,    -1,  3816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3884,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5114,    -1,    -1,    -1,
    5118,  5119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,  4299,
    4300,  4301,    -1,    -1,    -1,    -1,    -1,  4307,  4308,  4309,
    4310,    -1,    -1,    -1,    -1,  4315,  4316,  4317,  4318,  4319,
    4320,  4321,  4322,  4323,  4324,  4325,  4326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4351,    -1,    -1,  4354,    -1,  4356,    -1,    -1,    -1,
    4360,    -1,    -1,  4363,  4364,    -1,    -1,  4367,  4368,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4412,    -1,    -1,    -1,    -1,    -1,    -1,  4419,
    4420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4438,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4626,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,  4684,  4685,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,  4734,    55,    -1,    -1,    -1,  4739,
    4740,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,  4754,    -1,  4756,    -1,    78,    79,
    4760,  4761,  4762,    -1,    -1,  4765,    -1,    -1,  4768,  4769,
      -1,    -1,    -1,  4773,    94,    -1,    -1,  4777,    -1,    -1,
      -1,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,   118,    -1,
      -1,   121,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,    -1,    -1,  4839,
      -1,    -1,   162,    -1,   164,   165,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,   179,
      -1,   181,   182,   183,   184,    -1,    -1,    -1,    -1,    -1,
     190,    -1,    -1,    -1,    -1,    -1,   196,    -1,   198,    -1,
      -1,    -1,   202,    -1,    -1,    -1,    -1,    -1,   208,   209,
      -1,    -1,    -1,    -1,    -1,  4895,   216,   217,   218,    -1,
      -1,   221,    -1,    -1,   224,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,   239,
      -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,
    4940,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,   269,
      -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,
     280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,
     290,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,
     300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,
      -1,    -1,   322,   323,    -1,    -1,   326,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5017,  5018,    -1,
      -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,
      -1,    -1,    -1,  5033,  5034,  5035,    -1,   357,    -1,   359,
      -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   372,   373,    -1,    -1,    -1,    -1,   378,   379,
      -1,   381,    -1,    -1,    -1,    -1,   386,    -1,    -1,  5069,
    5070,   391,   392,    -1,   394,    -1,   396,    -1,    -1,   399,
      -1,    -1,    -1,    -1,   404,   405,    -1,    -1,    -1,    -1,
      -1,    -1,   412,    -1,   414,    -1,   416,   417,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,   438,    -1,
     440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,
      -1,    -1,    -1,   453,    -1,   455,    -1,   457,    -1,   459,
      -1,    -1,    -1,    -1,   464,    -1,    -1,   467,    -1,    -1,
     470,    -1,    -1,   473,    -1,    -1,    -1,    -1,   478,   479,
      -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,    -1,    -1,
      -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,
     530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,  5501,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5541,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
     532,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,
      -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,
      -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,
     278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,   533,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,   519,    -1,    -1,    -1,    -1,    -1,
      -1,   526,   527,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,   527,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,   527,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,   527,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,    -1,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
      -1,   321,   322,   323,   324,    -1,    -1,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,   358,    -1,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   527,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   527,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,   524,   525,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,   519,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   526,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,   512,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   526,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   526,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   526,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   527,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,   525,   526,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   526,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,   512,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,   512,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   526,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   526,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   526,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    84,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,   452,
      -1,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,    -1,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,   519,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   519,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   519,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   519,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,   234,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,   234,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,   234,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,   234,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
       4,   515,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,    -1,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,    -1,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,    -1,   321,   322,   323,
     324,    -1,    -1,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,    -1,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,   358,    -1,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,    -1,   124,    -1,    -1,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,    -1,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,    -1,    -1,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,    -1,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,    -1,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
      -1,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,    -1,   317,   318,
      -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,    -1,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,    -1,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,   358,
      -1,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,    -1,    -1,
      -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
      -1,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,    -1,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,   231,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,   231,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,   231,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,   168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,   231,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,    -1,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,    -1,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,
      -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,
      -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,
      -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,
      -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,    -1,
     319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
     359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
      -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,
     499,   500,   501,   502,   503,   504,   505,   506,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,
      -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,
      -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,
     278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     498,   499,   500,   501,   502,   503,   504,   505,   506,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,
     147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     217,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,
      -1,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,
      -1,    -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,
     277,   278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,
      -1,    -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,
      -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,
     417,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,
      -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   498,   499,   500,   501,   502,   503,   504,   505,   506,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    -1,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,
      -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,
     266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,    -1,
      -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,   315,
     316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,    -1,
     326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,   345,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
     396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,
      -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   498,   499,   500,   501,   502,   503,   504,   505,
     506,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,
     235,    -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,
      -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,
      -1,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,   517,
     518,   519,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509,    70,
      71,   512,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,   526,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509,    -1,
      -1,    -1,    -1,    -1,    70,    71,   517,   518,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    -1,   508,   509,    -1,    -1,    -1,    -1,    -1,    70,
      71,   517,   518,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509,    -1,
      -1,    -1,    -1,    -1,    70,    71,   517,   518,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    -1,   508,   509,    -1,    -1,    -1,    -1,    -1,    70,
      71,   517,   518,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    70,   508,   509,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,   508,
     509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,   508,   509
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   535,  1139,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   209,   227,   248,
     271,   307,   310,   325,   403,   449,   464,   479,   507,   515,
     517,   518,   519,   520,   521,   524,   525,   526,   527,   529,
     530,   531,   532,   533,  1129,  1140,  1168,  1170,  1261,  1271,
    1272,  1274,  1280,  1281,  1169,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   196,   198,   202,
     208,   209,   216,   217,   218,   221,   224,   227,   233,   235,
     239,   241,   243,   251,   255,   265,   266,   272,   274,   277,
     278,   280,   289,   290,   292,   294,   295,   300,   311,   314,
     315,   316,   319,   322,   323,   326,   328,   342,   343,   345,
     346,   357,   359,   361,   372,   373,   378,   379,   381,   386,
     391,   392,   394,   396,   399,   404,   405,   412,   414,   416,
     417,   420,   426,   434,   438,   440,   447,   448,   453,   455,
     457,   459,   464,   467,   473,   478,   479,   482,   491,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   512,   526,
     536,   537,   543,   544,   546,   547,   548,   549,   550,   551,
     552,   554,   555,   559,   571,   576,   577,   580,   581,   582,
     594,   597,   598,   614,   653,   656,   657,   658,   665,   671,
     673,   675,   676,   679,   682,   683,   687,   688,   697,   701,
     702,   703,   704,   705,   708,   710,   711,   712,   713,   714,
     721,   734,   735,   739,   741,   742,   743,   753,   755,   762,
     763,   766,   767,   768,   769,   770,   776,   778,   781,   785,
     789,   790,   800,   801,   804,   809,   820,   843,   846,   847,
     848,   851,   854,   856,   858,   860,   861,   866,   867,   870,
     871,   872,   879,   880,   882,   883,   884,   889,   891,   892,
     898,   899,   900,   901,   902,   903,   905,   906,   908,   909,
     911,   914,   915,   920,   926,   929,   931,   939,   941,   946,
     953,   957,   958,   959,   960,   961,   962,   965,  1000,  1136,
    1137,  1141,  1143,  1144,  1161,  1162,  1163,  1164,  1175,  1177,
    1181,  1182,  1183,  1184,  1185,  1187,  1189,  1191,  1192,  1193,
    1194,  1196,  1201,  1202,  1206,  1207,  1216,  1218,  1219,  1220,
    1223,  1228,  1231,  1236,  1238,  1239,  1242,  1244,  1247,  1256,
    1274,  1282,    72,  1164,  1172,  1173,    14,    71,    94,    95,
      96,    97,    98,    99,   100,   101,   103,   104,   105,   113,
     114,   116,   117,   119,   120,   121,   128,   129,   130,   131,
     132,   135,   136,   139,   141,   142,   143,   144,   149,   150,
     151,   152,   154,   155,   158,   159,   160,   161,   162,   163,
     166,   167,   175,   176,   177,   178,   179,   181,   184,   186,
     188,   189,   190,   191,   192,   194,   195,   196,   199,   200,
     201,   202,   203,   205,   206,   207,   209,   210,   211,   213,
     214,   215,   216,   218,   219,   220,   223,   225,   226,   228,
     230,   232,   236,   237,   238,   240,   244,   246,   247,   249,
     250,   252,   253,   254,   255,   257,   258,   259,   260,   261,
     262,   264,   268,   269,   270,   276,   279,   281,   282,   283,
     284,   285,   288,   291,   294,   295,   296,   299,   300,   301,
     302,   303,   304,   305,   306,   308,   309,   311,   312,   313,
     317,   318,   321,   322,   324,   327,   329,   330,   331,   333,
     336,   337,   338,   341,   344,   347,   348,   349,   350,   351,
     352,   353,   355,   356,   358,   360,   361,   362,   364,   365,
     366,   367,   368,   369,   370,   371,   373,   374,   375,   376,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   390,   391,   393,   394,   395,   397,   398,   399,   400,
     401,   402,   404,   406,   407,   408,   409,   410,   411,   412,
     413,   415,   416,   418,   419,   421,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   436,   437,   439,
     441,   442,   443,   444,   445,   449,   451,   452,   454,   457,
     458,   459,   460,   461,   462,   463,   466,   467,   468,   469,
     470,   473,   474,   475,   476,   477,   481,   483,   484,   485,
     486,   489,   492,   493,   494,   495,   496,   497,   508,   509,
    1131,  1132,  1134,  1135,  1136,  1137,  1154,  1155,  1266,  1268,
    1272,  1274,    29,   267,  1217,     9,    13,    15,    28,    44,
      45,    49,    50,    55,    64,    66,    68,    69,   102,   137,
     156,   168,   180,   185,   248,   307,   310,   403,   478,   507,
    1122,  1135,  1136,  1156,  1203,  1204,  1246,  1247,  1248,  1252,
    1257,  1258,  1259,  1268,  1274,   102,   954,  1121,  1156,  1252,
    1265,    14,   954,     5,    25,    29,    35,    36,    42,    43,
     102,   106,   107,   108,   109,   110,   111,   112,   115,   127,
     133,   134,   137,   140,   146,   148,   156,   157,   164,   168,
     169,   170,   171,   173,   174,   175,   185,   187,   193,   197,
     198,   204,   208,   212,   222,   224,   229,   231,   234,   239,
     242,   245,   256,   263,   267,   271,   273,   275,   286,   287,
     293,   297,   298,   320,   325,   332,   334,   335,   339,   340,
     354,   363,   377,   389,   405,   411,   422,   435,   438,   446,
     449,   450,   456,   464,   465,   471,   472,   478,   480,   487,
     488,   490,   491,  1135,  1138,  1248,  1249,  1250,  1254,  1255,
    1256,  1257,  1259,    25,    35,   137,   271,  1243,    37,    39,
     320,  1176,   451,   494,   885,   101,   147,   161,   179,   185,
     200,   211,   219,   231,   236,   242,   259,   284,   305,   336,
     356,   366,   393,   398,   400,   406,   409,   437,   438,   441,
     445,   454,   459,   471,   484,   672,  1204,   184,   885,   102,
     954,   482,   916,   334,   362,   885,   124,   605,   958,   101,
     113,   134,   147,   157,   179,   185,   200,   211,   219,   231,
     238,   242,   296,   336,   339,   356,   393,   400,   409,   441,
     442,   444,   445,   454,   459,   465,   468,   471,   615,   655,
     758,   810,   821,  1122,  1145,  1146,  1147,  1156,  1272,  1274,
      14,   102,   361,  1121,  1156,  1160,   427,   954,   102,   355,
     407,   442,   444,   283,   852,   853,  1272,   101,   113,   134,
     147,   161,   179,   200,   211,   219,   231,   236,   242,   259,
     305,   336,   347,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   471,   484,   672,   771,   885,
     532,  1186,  1250,   252,  1160,   164,   184,   216,   482,   526,
     653,   656,   915,   921,   929,   931,   939,   946,   953,   957,
    1141,    95,   102,   119,   226,   232,   234,   256,   285,   317,
     364,   380,   517,   518,   786,   787,   954,  1129,  1130,  1266,
    1268,   102,   164,   377,   405,   791,   792,   793,  1252,   231,
    1252,  1126,  1272,   438,   968,   119,   232,   786,  1252,   451,
    1160,   347,   305,   179,   259,   400,   437,   438,   526,   862,
     863,   399,  1252,   102,   137,   410,   447,   451,   478,   563,
     572,   573,  1135,  1136,  1246,  1251,  1257,  1259,  1274,    99,
     239,   791,   792,   362,   885,  1252,   282,   102,   197,   970,
     971,     4,    14,   135,   156,   158,   296,   313,   393,   400,
     410,   447,   451,   497,   560,   561,   562,   563,   102,   410,
     447,   451,   563,   451,   335,  1011,  1119,  1252,   968,  1240,
    1250,   519,  1252,   235,   526,   917,   526,  1114,   375,   963,
     964,  1121,   963,   958,   959,   962,   530,   916,   212,   273,
     340,   464,   972,   973,   958,   960,   961,   190,   269,   470,
     529,   121,   536,  1184,  1187,  1183,  1179,   530,  1188,  1190,
       5,    25,    35,   137,   201,   271,  1195,   180,   248,   307,
     310,   403,   507,   526,  1048,  1049,  1167,  1171,  1261,    72,
    1164,  1121,  1156,  1275,   185,  1145,    21,   472,   520,  1160,
    1160,  1275,   472,  1208,  1209,  1210,    25,   271,   271,  1254,
       7,    19,    20,    38,    41,   160,   198,  1245,  1245,    16,
    1184,  1127,  1137,  1246,  1249,  1252,  1253,  1257,  1258,  1274,
     773,  1252,   773,  1122,   365,   773,   454,   773,  1121,  1252,
     178,   438,   799,  1127,  1131,  1132,   102,   250,  1119,   329,
     484,    84,    91,    92,    93,   142,   223,   513,   514,   515,
     517,   518,   519,   520,   521,   522,   850,  1081,  1082,  1252,
     250,  1121,   102,  1131,  1132,  1121,  1121,   250,  1119,  1121,
     386,   412,   102,   250,  1011,  1121,   402,  1121,   773,   303,
    1131,  1132,   250,  1119,   283,    34,   187,   279,   320,   371,
     886,   887,   888,  1119,  1125,  1252,   101,   134,   147,   148,
     157,   161,   179,   200,   211,   219,   231,   236,   259,   284,
     305,   336,   356,   393,   398,   400,   406,   409,   438,   441,
     445,   452,   454,   459,   484,   672,   779,  1272,  1119,   449,
    1127,  1121,   526,   773,   454,  1122,   773,   454,   250,  1121,
     178,   438,   442,   444,  1131,   442,   444,   142,   223,   850,
     384,  1121,  1131,   250,   556,  1252,  1121,  1121,   402,  1121,
     773,   303,  1131,   375,   406,   438,   484,   305,   161,   259,
     236,   398,   452,   458,   666,    84,  1148,  1149,   531,  1268,
    1275,   102,  1160,  1274,   955,   570,  1134,  1272,   853,   250,
    1127,  1121,   250,   857,   250,  1122,   123,   125,   126,   137,
     138,   182,   183,   201,   227,   250,   271,   272,   274,   314,
     316,   328,   372,   414,   420,   447,   448,   479,   775,  1026,
    1028,  1030,  1032,  1034,  1036,  1037,  1038,  1040,  1041,  1042,
    1045,  1046,  1246,  1253,  1257,  1258,  1274,   454,   178,   438,
     250,  1127,   250,  1132,  1133,   153,   484,   142,   223,   250,
     850,   128,   250,  1121,   250,  1133,   250,  1121,   250,  1121,
     250,  1121,   402,   857,   250,  1121,   250,   775,   250,   303,
    1133,   283,   250,   772,   773,   526,   532,  1276,  1277,  1278,
    1279,  1281,  1186,    70,  1156,  1205,   526,   930,   615,   954,
     921,   915,   922,   923,   924,  1134,   916,  1130,   787,   788,
     102,   787,   954,  1130,   788,   102,   787,   954,  1130,   788,
     788,   788,  1130,  1129,  1129,   275,   472,  1210,  1211,  1285,
    1286,   954,   788,   365,   526,   526,   634,   634,   634,   334,
     449,   529,   634,   400,  1011,  1012,   787,   954,   787,   954,
     529,   881,  1272,   234,   526,   927,   128,   484,   482,   864,
     865,  1119,  1121,  1252,   118,   509,   279,   528,   337,   337,
     334,   234,  1272,   449,   229,   782,   334,    82,    83,    84,
      86,   110,   123,   125,   126,   133,   134,   137,   138,   145,
     147,   169,   170,   171,   172,   173,   174,   175,   182,   183,
     217,   221,   222,   227,   241,   243,   272,   274,   289,   297,
     298,   314,   316,   320,   325,   326,   328,   336,   346,   357,
     372,   396,   411,   420,   434,   447,   448,   453,   455,   456,
     465,   471,   479,   499,   500,   501,   502,   503,   504,   505,
     506,   510,   517,   518,   519,   526,   958,  1029,  1032,  1035,
    1036,  1037,  1039,  1040,  1041,  1045,  1046,  1050,  1052,  1053,
    1054,  1056,  1077,  1078,  1079,  1083,  1102,  1107,  1116,  1117,
    1127,  1128,  1129,  1252,  1264,  1266,  1268,  1269,  1270,  1271,
    1272,  1115,  1116,   449,   515,  1275,  1272,   449,   515,  1204,
     102,   578,  1118,  1119,   410,   560,   185,   569,  1272,   570,
    1272,   118,   139,   560,   509,   421,   887,   337,   234,   449,
     515,   118,   509,   279,  1285,   888,   526,  1119,   519,   524,
     528,  1108,  1109,  1012,  1256,   233,   235,   482,   912,   913,
     915,   233,   918,   185,  1050,  1112,  1113,   963,   529,   526,
     919,   527,   527,  1119,   102,   197,   969,   969,   128,   969,
     224,   229,   293,   332,   976,   978,   979,   994,   996,   997,
     998,   972,   973,   234,   275,  1011,  1013,  1114,   530,  1178,
     519,  1197,  1198,  1200,   532,   532,    25,   271,   271,   449,
     449,   449,   449,   526,   449,   518,   663,  1130,  1165,  1271,
     208,   111,  1152,   128,  1155,  1155,   275,  1210,  1212,   275,
    1210,  1211,  1212,   477,  1221,  1222,  1268,    14,    83,   423,
     517,   518,  1129,  1213,  1214,  1215,  1264,  1266,  1270,  1271,
    1272,  1273,   271,   277,  1121,   449,  1121,     6,  1121,  1245,
    1200,   526,   833,  1109,   348,   382,   412,   528,   774,   348,
     382,   412,   156,   206,   299,   348,   382,   412,   441,   443,
     491,   571,   574,   893,   894,   895,   896,  1274,   805,    98,
     202,   348,   382,   412,   475,   585,  1121,   412,    98,   202,
     470,   553,   495,   250,  1011,   130,   163,   220,   253,   288,
     320,   348,   382,   390,   397,   404,   412,   424,   432,   486,
     571,   575,   836,   844,   526,   822,   382,   553,   256,   217,
      98,   104,   144,   195,   202,   205,   261,   318,   320,   330,
     338,   348,   382,   385,   386,   412,   475,   583,   584,   691,
     663,   102,   250,  1119,   773,   773,   526,   849,   528,   217,
     334,   256,   545,   382,   491,   512,   538,   545,   334,   348,
     382,   217,   129,   177,   258,   306,   308,   318,   347,   382,
     387,   412,   426,   583,   660,   661,   348,   382,   483,   691,
     699,   573,   561,   563,   256,   217,   382,   412,   583,   348,
     382,   386,   412,   154,   194,   349,   443,   334,    98,   104,
     202,   348,   382,   412,   595,   596,   229,   382,   412,   538,
     574,   217,   382,   412,   583,  1121,   530,   291,   187,   335,
     496,   529,   886,   472,   910,   334,  1127,   526,  1121,  1026,
     454,   178,   438,  1127,   329,   484,   142,   223,   850,  1121,
    1121,   402,   229,  1121,  1026,   283,   773,   634,   368,   600,
     526,   748,   833,   140,  1026,   234,   526,   744,  1121,   538,
     111,   904,  1121,   320,   538,   495,   250,  1119,   538,   773,
     773,   744,   468,   615,   334,   538,   320,   118,   557,   459,
     698,   348,   674,   154,   194,   349,   443,   100,   120,   270,
     722,   111,   744,   229,   538,   484,   250,  1119,   250,   651,
    1119,  1119,   484,   773,   153,   811,  1127,  1121,   229,   672,
      73,  1150,  1252,   531,  1151,  1148,   124,   176,   268,   318,
     401,   217,   833,   131,   388,   586,   217,   526,   217,   481,
    1043,  1043,  1043,   526,  1031,  1031,   359,   526,  1033,   217,
     137,   138,  1043,  1031,  1028,   493,   512,   526,  1047,   526,
    1047,   529,   586,   110,  1027,   138,   526,  1044,   180,   310,
     507,   526,  1048,   774,  1031,   495,   217,   822,   217,   529,
     250,   772,   250,   773,   250,   773,   217,   849,  1133,   217,
     334,   217,   217,   334,   217,   586,   217,   154,   194,   349,
     443,   229,   217,   334,   217,   586,   217,   229,   250,   250,
     570,   217,   529,   586,   527,  1277,  1278,  1276,   529,   533,
    1050,  1086,  1209,  1284,  1285,   438,   955,   527,   529,   222,
     334,   456,   567,   570,   663,   925,   921,   788,   954,   788,
     954,  1286,  1287,   788,   954,   788,   954,  1287,   788,   954,
     954,   954,   788,    14,   423,  1260,  1263,  1268,   954,   526,
     635,   636,  1252,   635,   102,   179,   200,   231,   236,   283,
     284,   400,   406,   438,   441,   459,   794,  1118,  1133,   793,
    1121,   256,   529,   942,   954,   954,  1272,  1205,  1026,  1089,
     111,  1133,   811,   527,   529,   291,  1252,   229,   229,   794,
    1133,   399,  1252,   570,   334,   526,   524,   958,  1090,  1050,
    1106,   526,   526,   229,   526,   526,   958,   526,   526,   526,
     526,   526,   526,  1050,   526,   526,   526,   526,   526,   526,
     526,   526,   958,   526,   526,   526,   526,   526,   526,   526,
     526,  1050,  1050,  1050,   478,   958,  1050,  1086,  1109,  1272,
     526,  1272,    84,    87,    91,    92,    93,   108,   111,   116,
     122,   146,   251,   256,   277,   278,   292,   323,   336,   339,
     417,   510,   513,   514,   515,   517,   518,   519,   520,   521,
     522,  1081,  1083,  1085,  1274,   492,  1065,   345,  1050,   275,
     529,   966,  1285,   526,  1272,  1109,    22,  1267,  1268,  1110,
     966,   331,   334,  1237,  1237,    10,   477,  1224,  1225,  1227,
    1204,  1204,   188,   252,   579,   529,   139,   185,   570,   111,
     185,   296,   568,   663,  1046,  1272,  1274,  1272,   159,   199,
    1062,   168,   185,   564,   565,   567,   663,   185,   564,  1285,
    1285,   291,  1119,  1050,   519,  1124,  1254,  1108,   160,   387,
     777,   277,   527,   529,   916,   527,   529,   964,  1120,  1121,
     111,   919,   960,   960,   974,   975,  1050,   960,   226,   317,
     985,   281,   318,   371,   415,   470,   102,   980,  1050,   981,
     983,  1050,  1052,   994,   995,   979,   978,   976,   977,   229,
     997,   330,   999,   976,   994,  1013,   932,  1119,   111,  1252,
     412,  1197,   519,   529,   530,  1255,  1174,  1177,  1174,   271,
     180,   248,   307,  1049,   307,  1049,  1049,   310,  1129,   307,
     310,   403,  1271,   529,  1166,   184,  1204,   471,  1153,  1155,
    1121,   423,  1129,  1226,  1268,   529,   515,  1121,    14,  1129,
    1271,  1129,  1271,   529,  1184,   526,  1121,   526,  1256,   256,
     266,   340,   342,   414,   480,   519,   826,   827,   828,   830,
     832,   834,  1026,  1253,   348,   382,   412,   449,   449,   400,
    1124,   528,   449,   449,   400,   293,   449,   449,   441,   560,
     348,   893,   895,   515,   897,   229,   239,   256,   391,   806,
     807,   140,   157,   213,   231,   363,   465,   631,   632,   157,
     185,   320,   449,   157,   449,   185,   320,   400,   157,   195,
     205,   348,   382,   740,   400,   680,   101,   134,   147,   161,
     200,   211,   231,   236,   305,   336,   400,   406,   409,   438,
     445,   452,   459,   484,   672,  1121,   217,   382,   412,   583,
     334,   663,   404,   288,   449,   449,   325,   663,   189,   276,
     400,   410,   451,   562,   388,   412,   836,   845,   527,   823,
     826,   449,   471,   441,  1119,   148,   213,   622,   631,  1252,
     148,   157,   868,   334,   396,   398,   454,   157,   868,   105,
     385,   396,   398,   454,  1119,   261,   330,   773,   526,   449,
     449,   249,   526,   590,   302,   441,   468,   491,   493,   590,
     157,   529,   348,   256,   217,   382,   412,   583,   472,   472,
     319,  1026,   348,   412,   850,  1121,  1119,   179,   574,   449,
     540,   574,  1119,   449,   449,  1119,   663,   128,   662,   663,
     663,   177,   306,   308,   128,   449,   538,   400,   538,   318,
     661,   449,   449,   325,  1272,   691,   441,  1011,   157,   449,
     868,   400,   449,   449,   590,   590,   773,   773,   773,   773,
    1119,   117,   477,   117,   117,   449,   117,   449,   400,   529,
     471,   709,  1132,   449,   540,  1119,   449,   400,   348,   382,
     371,   383,   408,   566,   886,  1125,  1252,  1119,   833,  1026,
     334,   277,   495,   822,   663,   773,   773,   849,   334,   277,
     334,   154,   194,   349,   443,  1026,   334,   277,   773,   277,
     491,   606,   429,   430,   601,  1272,   749,   750,  1274,   744,
     526,   111,   773,   745,   746,  1254,   100,   893,  1026,   334,
     217,   677,  1121,   320,   526,   539,   758,   472,   375,   484,
    1119,   539,   217,  1132,   164,   239,   558,   614,   657,   721,
     789,   809,   889,  1272,   699,   700,  1132,   299,   773,   773,
     773,   773,   330,   190,   269,   457,   470,   723,   724,   209,
     370,   526,   709,   539,  1119,   320,   659,   660,   320,   111,
     330,   526,   634,   634,   250,   654,  1119,   229,   250,   812,
    1125,   526,   824,   111,  1026,   283,   528,  1129,  1151,   491,
     493,   956,   401,  1127,   586,  1026,  1122,   526,  1086,  1129,
     775,  1043,  1043,   110,  1027,   447,   447,  1129,  1129,  1026,
     524,   524,   412,  1129,   449,   449,  1129,  1031,   250,  1121,
    1127,   586,  1133,  1132,   217,   586,   217,   472,   217,   472,
     850,   586,   586,  1121,   773,  1133,  1121,   773,  1121,  1121,
    1026,  1121,   773,   775,  1133,   709,   217,   217,   586,   772,
     773,   527,   533,  1279,   527,   529,  1285,  1209,  1119,   176,
     921,   923,   954,   954,  1287,   954,   954,  1287,   954,   954,
    1121,    14,   529,  1267,   635,   527,   529,   527,   237,   407,
     439,  1120,   772,   178,   409,   798,   799,  1120,   329,  1120,
    1118,  1118,  1120,   772,   449,   491,   802,   212,   293,   706,
     707,    96,   215,   396,   415,   943,  1011,   324,   944,   527,
     529,   928,   931,   939,   946,   957,   449,  1119,   862,   863,
     865,   792,   791,   792,   234,   240,   803,  1252,   101,   148,
     179,   200,   211,   231,   236,   284,   305,   393,   400,   406,
     438,   441,   459,   484,   672,   783,  1086,   525,  1086,  1090,
    1091,   487,  1103,  1104,  1050,  1086,   526,  1129,  1129,   180,
     248,   307,   310,   403,   507,  1092,  1093,  1272,  1274,  1086,
    1086,  1086,  1129,  1129,  1050,   850,  1050,  1094,   396,   517,
     518,   526,  1051,  1052,  1083,  1096,   527,  1086,  1050,  1086,
    1097,  1050,   127,   234,   287,   450,  1050,  1086,  1100,  1086,
     312,  1052,  1050,  1060,  1061,  1062,   312,  1050,  1062,   527,
     529,  1129,  1048,  1026,  1050,  1050,  1050,  1050,  1254,   447,
     115,   435,  1111,   773,  1050,   526,   958,  1101,   197,   199,
     222,   320,   325,   330,   456,   466,  1050,   526,  1050,   449,
     122,   251,   256,   292,   417,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,   102,   109,   422,  1080,   242,
     225,  1066,   396,   526,  1077,   238,   296,   438,   442,   444,
     468,   967,  1119,  1117,   234,  1001,   102,   197,   480,   519,
     527,   828,  1050,  1087,  1088,  1253,  1121,  1268,  1108,  1001,
    1226,   529,   515,  1119,   451,   526,  1272,   529,  1285,   527,
     525,   531,   249,   249,   586,  1184,  1119,   913,   914,  1119,
    1112,   527,   529,   526,   529,   112,   193,   472,   818,   526,
     982,  1130,   415,   281,   335,   529,   396,   397,   984,  1118,
     324,   419,   945,   995,   977,   472,   940,   185,   526,   933,
     957,   111,  1252,   526,   947,   948,   949,   950,   951,  1252,
     530,  1198,  1027,   533,  1177,   533,   527,   663,   527,    34,
    1154,  1229,  1230,  1268,  1222,  1227,  1275,  1213,  1027,  1262,
    1278,  1262,  1027,   342,   128,  1253,   527,   828,   830,   827,
     830,  1253,   340,   527,   529,   774,   449,   449,   400,  1132,
    1121,  1121,  1124,  1132,  1121,  1121,  1132,  1122,  1121,   185,
     567,  1130,   393,   471,   791,   400,   239,   791,   526,  1121,
     472,   813,   281,   281,   472,   526,   650,   250,  1121,   325,
    1132,  1121,  1121,  1050,   325,  1121,  1121,   105,   385,   449,
     449,  1121,   449,   681,  1127,   526,   773,   773,  1026,   454,
     178,   438,   799,   484,   142,   223,   850,  1121,   773,  1121,
     773,   402,   229,  1026,   773,   283,   244,   318,   348,   382,
     476,   684,   685,   686,  1011,   449,   868,   400,   325,   189,
     276,  1132,  1121,   334,  1121,   527,   529,  1131,  1133,  1121,
     382,   583,   622,  1026,  1121,  1252,  1121,   291,  1121,   102,
     471,  1121,   250,  1121,   250,  1252,   398,   454,   398,   454,
     291,  1121,   102,   471,  1121,  1119,    98,   202,   412,   692,
     693,   694,   695,  1254,  1132,  1121,   185,   235,   321,   472,
     589,   592,   593,  1254,  1121,   333,   144,   333,  1121,   584,
     449,   441,  1119,   449,   868,   400,  1123,  1252,  1123,   529,
     527,   529,   449,   400,   334,   382,   449,   718,  1122,  1131,
     156,   207,   261,   353,   463,   471,   474,   541,  1274,   382,
    1132,  1121,   382,   412,   583,   660,   663,   773,  1121,   663,
    1121,   663,  1132,  1121,  1121,   382,   412,   583,  1121,  1121,
    1121,  1121,  1132,  1121,    98,   104,   202,   348,   382,   412,
     348,   382,   412,   744,   382,   412,   382,   412,   382,  1025,
    1252,   250,   754,  1252,   250,  1252,  1132,  1121,  1121,  1121,
      98,   596,   409,  1131,   382,   412,   583,  1121,  1121,   449,
     449,   152,   462,   371,   277,   111,   200,   773,   325,   780,
    1272,   277,   277,   472,   472,   277,   773,   780,   773,   283,
     773,   780,   277,   780,   333,   234,   449,   599,   538,   527,
     529,   515,  1050,  1026,   527,   529,   515,   723,   624,  1254,
    1121,   234,   400,   483,   678,   685,   686,   217,   292,   616,
     618,   620,   622,   628,   631,    99,   256,   393,   436,   541,
     542,   229,  1123,   484,  1119,   229,   719,   556,  1252,   557,
     339,   615,   231,  1272,   744,   744,   744,   744,   330,   334,
     339,   526,   744,  1023,  1024,  1025,   409,   526,   217,   217,
     216,  1142,   773,   616,  1252,   491,   493,   646,   491,   591,
     320,   111,   634,  1272,   320,   334,   527,   825,   826,   831,
     111,   283,   390,   452,   490,   835,   836,   837,   334,   283,
     570,  1150,   520,   247,   247,   229,   833,   111,  1086,   527,
     527,   586,   524,   509,   509,   527,   527,  1129,   525,   526,
    1129,  1252,  1272,  1283,  1252,   527,   527,   217,   586,   822,
     772,   773,  1123,   773,  1123,   849,   334,   586,   334,   586,
     586,   283,   334,   586,   586,   409,   229,   570,   586,  1050,
     956,  1275,  1263,   527,   636,   256,   256,   256,   495,  1120,
     529,   663,   664,   242,   795,   796,  1132,    99,   803,   449,
     526,   234,   215,   415,   215,   415,   396,   470,   309,  1026,
    1132,   491,   652,  1119,  1121,   234,   334,   795,   128,   586,
    1127,  1026,   454,   438,  1127,   329,   484,  1026,   283,   773,
     527,   525,   525,   529,  1050,   204,  1104,  1105,   111,   527,
    1050,   527,   527,   527,   234,   527,   527,   527,   527,   527,
     529,   527,   354,  1095,   527,   526,  1051,  1051,  1086,    87,
      91,    92,    93,   256,   277,   336,   513,   514,   515,   517,
     518,   519,   520,   521,   522,  1083,  1051,   527,   527,   229,
     234,  1098,  1099,   527,   111,  1100,  1086,  1100,  1100,   234,
     527,   527,  1254,   352,  1064,   111,   527,   529,  1050,  1254,
     529,  1050,  1110,  1050,   527,   509,  1051,  1051,   210,  1086,
     234,   197,   199,   222,   325,   330,   456,   466,   526,   210,
     850,  1050,   435,  1111,  1050,  1101,  1050,   449,   526,   958,
     526,   526,   344,  1070,   526,  1086,   442,   444,   442,   444,
    1119,   968,   968,   968,   286,   397,   526,   958,  1002,  1003,
    1004,  1011,  1016,  1053,  1055,  1056,  1127,  1252,   488,  1021,
    1087,  1087,  1088,   527,    89,    90,   529,   972,   973,  1021,
       8,    11,    12,    22,    23,    24,    26,    27,    31,    32,
      33,   178,   312,   359,   459,  1232,  1233,  1235,  1225,  1226,
     887,  1129,  1048,   565,  1050,  1027,   919,  1121,   928,   975,
     336,  1081,  1084,   511,   819,  1050,   984,   470,   981,   301,
    1002,   488,  1022,   478,   934,   935,  1252,   334,   936,  1252,
     951,   952,   529,  1001,   515,  1110,   531,  1180,   530,   529,
     515,    30,  1241,   527,   527,   530,   834,   774,   830,   830,
     128,   832,   521,  1132,  1121,  1121,  1133,  1133,   334,  1120,
     337,   334,  1050,   632,  1123,   526,   526,   526,   650,   259,
     635,   732,   217,   586,   449,  1132,  1121,   570,   833,  1026,
    1121,   495,   773,   773,   773,   773,   849,   154,   194,   349,
     443,  1026,  1121,   667,  1121,   244,   476,   449,   449,   667,
     684,   691,   382,   412,   583,  1121,  1121,  1121,   267,   325,
     826,   347,   412,   449,   338,   689,   732,   202,   386,   412,
     585,   691,   869,   404,   217,   586,   217,   586,  1121,  1121,
    1121,  1121,   404,   694,   695,   694,   527,   529,   696,  1272,
     259,   527,   529,   515,   528,  1132,  1121,   382,   412,   583,
    1121,  1121,  1121,   348,   382,   412,    98,   202,   348,   382,
     412,  1026,   319,  1026,  1132,  1121,  1119,   449,  1133,   472,
     715,   293,   353,   325,  1272,   353,  1133,   469,   449,   449,
     400,   347,   412,   157,   449,   868,   400,   449,   449,   303,
     303,   303,   449,   449,   400,   449,   449,   400,   449,   400,
     449,   400,   449,   586,  1026,   320,  1272,   412,   869,   217,
     586,   449,  1121,   449,   400,  1132,  1121,   780,  1026,   773,
     277,   780,   780,  1123,  1123,   780,   277,   277,  1121,   277,
     780,   600,   526,   602,   603,   750,  1274,   336,   517,   518,
     663,   747,   830,  1084,  1138,  1272,   527,   527,   746,   747,
     334,   140,   146,   157,   185,   187,   263,   320,   325,   363,
     377,   465,   625,   626,   627,   216,   487,   538,   570,  1121,
     570,   689,  1119,  1119,   527,   529,  1133,   242,   393,  1133,
    1129,   459,  1119,   634,   102,   190,   269,   405,   470,   720,
     449,   717,   118,   557,   384,   438,   178,   591,   635,  1119,
     724,   751,   752,  1272,   527,   529,  1121,   635,  1119,  1119,
    1121,   957,   526,   617,   527,   333,   590,   333,   334,   647,
     590,   111,   217,   957,   591,   449,   217,  1119,   527,   529,
     185,   515,   838,  1272,   570,   438,   829,   830,   229,   839,
     491,   837,   840,   190,   269,   405,   470,   877,  1121,   244,
    1146,   957,  1160,   586,  1026,   527,  1129,  1047,  1047,   525,
    1283,   526,   517,   518,   519,   520,   521,   525,  1044,  1121,
     586,   586,   472,   586,   472,   586,   586,   773,   773,  1121,
     773,  1121,   709,   586,   229,   400,   400,   400,  1120,   799,
     529,  1132,   491,   529,   797,   337,  1012,   409,   215,   215,
     178,   318,  1133,   794,   586,  1132,   833,   277,   822,   663,
     277,   773,   277,  1090,   446,  1050,   208,  1026,   527,  1050,
    1050,  1050,  1098,   527,  1086,   529,  1026,  1051,  1051,  1051,
    1051,   197,   199,   320,   330,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1050,  1050,  1099,  1098,  1026,
     527,   527,   527,  1086,   527,   529,   128,  1052,   527,  1254,
    1061,   360,   433,  1063,   527,   529,   483,  1057,   111,   527,
    1272,  1050,   108,   108,  1050,   527,  1050,   234,   526,  1089,
    1050,   527,   210,  1051,  1051,   210,   210,  1050,  1050,   973,
     488,   526,  1071,  1252,   527,  1086,   529,   968,   968,   968,
     968,  1119,  1119,  1119,   958,  1016,   234,   958,  1003,  1004,
     111,  1005,  1006,  1252,   529,   165,   235,   265,   280,   290,
     315,   392,  1008,  1006,   111,  1005,  1007,  1252,   512,  1020,
     526,  1109,  1050,   242,   986,   529,   972,   972,   972,  1050,
    1050,   480,  1088,   527,   986,   529,   515,   527,   525,  1241,
     527,   526,   819,   226,   285,   527,   335,   168,  1050,   389,
     938,   527,   529,  1110,   155,   938,   527,   529,   948,  1022,
    1112,  1129,   515,  1199,  1230,  1235,   527,   521,   834,   459,
     237,   407,   439,   460,   808,   229,   808,   527,   526,   638,
     639,   815,  1055,  1252,   635,   635,   732,  1125,   527,   187,
     263,   318,   320,   733,  1121,  1121,   111,  1121,   472,   472,
     773,   773,   773,   773,   283,   774,  1132,  1121,   449,   868,
     400,   449,   267,   128,   441,  1121,   526,   624,   320,   590,
     178,   320,   428,   431,   590,   459,  1121,  1252,   693,  1121,
     593,   747,  1254,   347,   412,   449,   868,   400,   449,   449,
     449,   400,   236,   336,   431,   756,   757,   236,   336,   764,
     765,   449,   449,   400,   527,   527,   527,   382,  1121,   526,
     491,   716,  1130,  1272,  1272,  1272,  1121,  1121,  1121,   128,
     441,  1121,  1121,  1121,  1121,  1121,  1121,   229,   229,   384,
     229,   250,  1132,  1121,  1121,  1132,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,   146,   587,   217,   100,   120,   459,  1252,
    1121,   691,  1121,  1121,   527,   277,   780,   277,   277,   780,
     780,   277,   780,   601,   609,   610,  1254,   124,   166,   191,
     206,   210,   230,   233,   246,   325,   333,   369,   604,   732,
     491,   493,  1119,   526,   773,  1121,  1051,   188,   252,   187,
     325,   281,  1119,   840,   367,   736,   737,  1252,   677,   526,
     629,   262,   645,   620,  1133,  1133,  1026,   526,   591,  1133,
     715,  1132,  1119,   495,   229,   725,   527,   529,  1025,   689,
     527,   659,   330,   526,   930,   652,   619,   621,   623,   631,
    1252,   646,   645,   151,   441,   648,   957,   654,   652,   648,
    1272,  1125,   813,   831,  1050,  1050,   529,   526,   835,   459,
     529,   744,   449,   526,   667,    84,  1157,   527,   525,   527,
    1184,  1283,  1283,  1283,  1283,  1283,   586,  1123,  1123,   586,
     586,   586,   586,   409,  1120,  1120,  1120,   663,   239,   796,
     527,  1121,   178,   803,   234,   277,   325,   784,  1272,   277,
     277,   784,   277,   784,  1050,   527,   527,  1099,   527,  1050,
     234,   197,   199,   330,   526,   527,   498,  1059,  1086,   376,
     128,   489,   489,   527,  1050,   318,  1050,   529,  1058,  1028,
    1050,  1050,  1050,  1089,   527,  1050,   108,   108,  1050,  1050,
     210,   527,   527,  1050,  1072,  1252,   527,  1050,  1119,  1119,
    1119,  1119,  1006,  1007,   526,   527,  1252,   526,  1003,   280,
     343,  1009,  1003,  1009,   280,  1008,  1009,   280,   440,  1014,
     526,  1252,   526,   341,  1087,   128,   245,   993,   527,   527,
     527,  1088,  1272,   993,  1233,   518,  1226,  1234,  1271,  1272,
    1272,   850,   330,  1116,   957,   935,   334,   526,   937,   515,
     951,   938,  1279,   459,   527,   449,   791,   234,   732,  1050,
     527,   529,   491,   146,   816,   816,   527,   527,   840,   188,
     252,   261,   187,   474,   586,  1026,  1123,  1123,  1121,  1121,
    1121,  1121,  1121,  1133,  1121,   690,   694,   325,   325,  1130,
    1252,  1026,   586,   586,   515,   128,   441,  1121,  1121,  1121,
    1121,  1132,  1121,  1121,  1129,  1129,  1026,   529,  1129,  1129,
     529,  1132,  1121,  1121,   449,  1050,   140,  1133,  1121,   449,
     449,  1120,  1120,   773,  1120,   217,   773,  1272,  1272,  1026,
     586,   586,   277,   780,   780,   780,   780,   472,   607,   608,
     527,   529,   519,   526,   567,   611,   663,   904,  1272,   904,
     320,   325,   369,   904,   904,   236,   266,   236,   234,   731,
    1050,   320,   626,   840,   634,   472,   649,  1127,   108,   216,
     256,   616,   214,   257,   526,   409,   472,   635,   111,   716,
     557,   526,  1121,   203,   726,   487,   728,  1272,   591,   773,
     616,   652,   527,   529,   491,   647,   646,   190,   202,   360,
    1121,   491,   890,   111,   234,   334,   526,  1272,   828,   841,
     842,  1253,   840,  1026,   229,  1119,   234,   449,   859,   264,
     668,  1158,  1252,   586,   527,   586,   586,  1121,   337,   275,
     586,   795,   784,   784,   784,   784,   527,  1051,   234,   526,
    1089,   526,   527,   529,   527,  1052,   376,   527,   477,   425,
     527,   527,   527,  1050,  1050,  1050,   527,   351,  1073,   527,
    1017,  1018,  1055,  1005,   526,  1120,  1003,   334,   472,  1010,
    1003,   280,  1003,  1127,  1024,   526,  1024,  1252,   972,   167,
     243,   395,   526,   987,   988,   989,   990,   991,   992,  1050,
    1050,   490,  1067,   972,  1067,  1129,  1271,   527,   954,  1285,
     157,   814,   815,   198,   526,   958,  1114,   795,   334,   795,
     527,   840,   639,   336,   850,   773,   472,   773,   817,   817,
     377,   840,   649,   527,   449,   412,   944,   527,   529,   587,
     747,  1133,  1121,   449,   526,  1127,   850,   757,   526,   526,
     765,  1121,   527,   526,   412,   944,  1121,  1121,   491,   512,
     907,   384,   907,   907,   229,   587,   780,   538,   192,   610,
     567,   612,   613,  1272,  1272,   325,   635,   519,   635,  1272,
    1272,   799,   111,   855,   855,  1119,   732,   527,   649,   304,
     637,   259,   526,   737,   367,   526,   527,   102,   150,   158,
     186,   260,   431,   630,   630,  1118,  1121,  1123,   527,   957,
     689,   396,   427,   727,   526,   216,   111,   617,   527,   621,
     338,   648,   647,   397,   397,   132,   140,   296,   957,   773,
    1119,   814,   830,   527,   529,   459,  1021,   423,   423,   527,
     667,   318,   476,   669,   670,   515,  1159,  1121,   586,  1051,
    1089,   527,  1060,  1086,   128,   318,   508,   128,   972,   527,
     529,   111,  1019,  1120,   527,  1050,   526,  1003,  1010,   526,
     527,  1024,   527,   527,   526,   413,   526,   527,   529,  1068,
    1069,  1252,   527,  1121,   527,   529,   321,   470,   797,   808,
     586,   816,   649,   526,   773,   818,   818,  1119,   649,   732,
    1121,   441,   694,   472,   588,   412,   944,  1121,  1089,   822,
     229,   760,   849,  1089,  1089,  1050,   441,   772,   773,   772,
     773,  1120,   586,   602,  1272,   527,   529,   635,   855,   114,
     254,   229,   318,   633,   235,   350,   418,   334,   641,   642,
     643,   441,   527,  1127,    81,   738,   645,   527,   689,   223,
     759,   591,   890,  1050,   367,   957,   646,   645,   624,   648,
     140,   337,   140,   652,   813,   527,   835,   841,  1026,   198,
     491,   491,   476,   667,  1129,  1266,  1274,    84,   689,   527,
     527,   527,   376,   477,  1086,   370,   397,  1074,  1020,  1017,
     526,   527,  1120,  1086,   527,  1086,   526,  1086,   988,   529,
     111,  1021,   815,   412,   234,   817,   488,   640,   850,   819,
     819,   634,   732,  1121,  1050,   441,   527,   340,   402,   374,
     761,   760,   527,   527,   527,  1121,   907,   613,   203,   261,
     190,   470,   334,   643,   334,   642,  1121,   526,   527,   529,
     409,   773,   111,   111,   527,  1127,   890,   647,   646,   337,
     337,   526,   591,   840,   103,   270,   878,   236,   236,  1158,
     122,   168,   461,  1050,  1075,  1076,  1075,   527,  1024,   527,
     527,   527,   987,   527,  1069,  1071,   947,   795,   818,   526,
     732,   527,   637,   944,  1121,  1127,   128,   761,   944,   773,
     396,   131,   318,   388,   412,   644,   644,   527,    81,  1121,
     756,   957,   526,   648,   647,   814,   648,   321,   526,   873,
     875,   880,   931,   939,   946,   957,   799,   799,  1076,   396,
     228,   358,   228,   358,   527,   383,  1015,   527,  1021,   586,
     819,  1050,   641,   944,   822,   773,   728,    97,   185,   325,
     689,   890,   729,   730,  1129,  1254,  1271,  1272,   648,   527,
    1021,   874,   875,   876,   958,   959,   529,   529,   108,   526,
     527,   732,   216,   527,   529,   591,   527,   530,   449,   234,
    1076,  1050,   367,   730,   648,   876,   423,   423,   527,  1127,
    1021,   491,   491,   526,   236,   236,   729,   799,   799,   527
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1559 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1561 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1563 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1565 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1567 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1569 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1571 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1573 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1575 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1577 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1579 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1581 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1583 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1585 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1587 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1589 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1591 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1593 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1595 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1597 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1599 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1601 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1603 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1605 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1607 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1609 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1611 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1613 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1615 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1617 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1619 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1637 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1639 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1641 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1643 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1645 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1647 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1649 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1651 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1653 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1655 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1657 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1659 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1661 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1663 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1665 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1667 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1669 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1671 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1673 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1675 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1677 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1679 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1681 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1683 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1685 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1687 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1689 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1691 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1693 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1695 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1697 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1699 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1701 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1705 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1707 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1709 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1711 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1713 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1715 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1717 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1719 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1721 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1723 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1725 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1727 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1729 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1731 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1733 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1735 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1737 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1739 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1741 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1743 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1745 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1747 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1749 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1751 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1753 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1755 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1757 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1759 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1761 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1763 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1765 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1767 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1769 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1771 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1773 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1775 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1777 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1779 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1786 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1788 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1790 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1792 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1794 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1796 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1798 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1800 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1802 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1804 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1806 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1808 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1814 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1816 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1818 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1820 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1822 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1824 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1826 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1828 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1830 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1836 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1846 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1850 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1856 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1860 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1870 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1879 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1881 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1895 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1902 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1908 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1919 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1925 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1934 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1941 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1947 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1956 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1963 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1970 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1976 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1984 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1988 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1992 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1999 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 2003 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 2010 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 2014 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 2021 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 2025 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 2029 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 2033 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 2037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 2041 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 2045 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 2049 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 2053 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 2061 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 2065 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 2069 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 2073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 2077 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 2081 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 2089 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 2097 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 2105 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 2108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 2116 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 2120 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 2128 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 2136 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 2144 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2148 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2156 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2160 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2168 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2176 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2184 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2188 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2196 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2200 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2208 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2216 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[(6) - (9)].str),mm_strdup("authorization"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2221 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2230 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2234 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2241 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2245 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2252 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2256 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2260 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2264 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2268 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2272 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2280 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2284 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 2288 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2296 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2304 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2312 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2316 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2320 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2325 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2329 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2333 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2337 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2342 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2346 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2350 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2354 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2362 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2366 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2374 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2378 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2386 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2390 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2398 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2402 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2428 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2436 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2440 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2444 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2448 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2456 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2460 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2464 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2468 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2472 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2480 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2488 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2496 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2503 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2507 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2515 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2523 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time zone");
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization");
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2543 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2555 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2559 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2567 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2571 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2579 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2595 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2604 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2616 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2624 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2628 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2636 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2648 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2652 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2656 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2660 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2668 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2672 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2676 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[(6) - (10)].str),mm_strdup("set tablespace"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2680 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[(6) - (13)].str),mm_strdup("owned by"),(yyvsp[(9) - (13)].str),mm_strdup("set tablespace"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2684 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2688 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2692 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[(6) - (10)].str),mm_strdup("set tablespace"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2696 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[(6) - (13)].str),mm_strdup("owned by"),(yyvsp[(9) - (13)].str),mm_strdup("set tablespace"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2700 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2704 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2708 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2712 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2716 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2720 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2724 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[(7) - (11)].str),mm_strdup("set tablespace"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2728 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[(7) - (14)].str),mm_strdup("owned by"),(yyvsp[(10) - (14)].str),mm_strdup("set tablespace"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2736 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2740 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2748 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2752 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2756 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2760 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2764 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2768 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2772 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2776 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2780 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2784 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2788 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2792 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2796 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2800 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2804 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2808 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2812 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2816 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2820 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2824 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2828 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2832 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2836 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set logged");
}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2840 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2844 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2848 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2852 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2856 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2860 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2864 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2868 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2872 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2876 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2880 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2884 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2888 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2892 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2896 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2900 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2904 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2908 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2912 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2916 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2920 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2924 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[(3) - (3)].str));
}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2928 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2932 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2936 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2944 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2948 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2956 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2960 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2964 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2975 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2982 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2986 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2993 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2997 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 3001 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 3005 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 3013 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 3021 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 3025 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 3032 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 3036 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 3044 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 3048 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 3052 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 3056 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 3064 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 3072 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 3076 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 3084 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 3088 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 3092 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 3096 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 3104 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 3109 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 3117 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (11)].str), "from") == 0 &&
			   (strcmp((yyvsp[(7) - (11)].str), "stdin") == 0 || strcmp((yyvsp[(7) - (11)].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[(2) - (11)].str),(yyvsp[(3) - (11)].str),(yyvsp[(4) - (11)].str),(yyvsp[(5) - (11)].str),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 3125 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[(2) - (7)].str),mm_strdup("to"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3133 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3137 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3145 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3149 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3156 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3160 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3164 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3172 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3176 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3184 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3188 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3207 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3211 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3223 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3227 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3231 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
}
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3239 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3243 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[(3) - (3)].str));
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3247 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3259 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3270 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3277 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3281 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3288 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3292 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3311 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3319 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3323 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3331 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3335 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3342 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3346 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3354 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3362 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3366 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3370 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3374 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3410 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3417 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3421 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3428 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3432 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3439 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3443 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3451 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3455 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3463 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3467 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3471 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3483 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3491 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3499 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3507 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3511 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3522 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3526 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3530 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3538 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3542 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3546 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3550 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3554 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3558 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3562 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3590 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3598 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3602 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3606 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3613 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3625 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3633 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3641 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3645 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3653 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3657 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3665 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3669 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3673 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3677 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3685 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3689 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3696 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3700 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3707 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3719 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3731 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3736 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3740 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3747 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3763 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3771 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3775 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3782 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3786 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3794 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3798 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3805 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3813 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3821 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3825 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3829 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3833 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3837 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3845 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3849 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3856 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3860 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3864 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3868 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3887 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3894 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3898 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3905 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3909 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3916 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3924 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3932 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3940 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3947 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("materialized view"),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3951 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("materialized view if not exists"),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3959 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3971 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3978 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3986 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3990 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("sequence if not exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3998 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 4002 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 4010 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 4014 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 4021 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 4025 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 4033 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 4037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 4041 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 4045 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 4049 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 4053 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 4057 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 4061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 4065 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 4069 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 4073 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 4077 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 4085 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 4089 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 4096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 4100 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 4104 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 4112 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 4116 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4124 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4128 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4136 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4140 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4147 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4159 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4163 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4170 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4182 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4186 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4193 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4197 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4205 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4209 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4216 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("location"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4224 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4228 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4235 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4239 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4247 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4251 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4259 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4263 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4270 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4274 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4278 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4286 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4294 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4298 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4305 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4313 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4317 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4321 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4325 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4329 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4333 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4337 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4341 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4345 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4349 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4353 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4357 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("event trigger"),(yyvsp[(7) - (7)].str));
}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4361 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4365 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4369 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4373 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4377 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4381 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4385 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4389 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("materialized view"),(yyvsp[(7) - (7)].str));
}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4393 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4397 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4401 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4405 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("transform for"),(yyvsp[(7) - (9)].str),mm_strdup("language"),(yyvsp[(9) - (9)].str));
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4409 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4417 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4425 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4429 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4433 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4437 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4445 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4449 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4461 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4468 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4472 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4480 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4484 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4492 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4496 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4503 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4507 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4523 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4527 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4535 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4539 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4543 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4547 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4555 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4563 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4571 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4579 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4587 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4591 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4598 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4610 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4614 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4621 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4625 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4633 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4637 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4641 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4649 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4653 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),mm_strdup("server"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4665 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4673 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[(4) - (11)].str),(yyvsp[(5) - (11)].str),mm_strdup("from server"),(yyvsp[(8) - (11)].str),mm_strdup("into"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4681 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit to");
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4685 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4693 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4697 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4704 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4712 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4716 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4724 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4728 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4736 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4744 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4752 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4760 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4764 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4772 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4776 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4787 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4794 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4798 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4805 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4809 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4816 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4820 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4851 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4855 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4879 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4883 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4903 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4915 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4919 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4930 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4941 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4949 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4953 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4960 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4964 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4968 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4975 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4979 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4987 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4995 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4999 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 5006 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 5009 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 5017 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 5021 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 5025 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 5029 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 5033 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 5037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 5045 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5049 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5057 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[(4) - (11)].str),mm_strdup("on"),(yyvsp[(6) - (11)].str),mm_strdup("execute procedure"),(yyvsp[(9) - (11)].str),mm_strdup("( )"));
}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5061 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[(4) - (13)].str),mm_strdup("on"),(yyvsp[(6) - (13)].str),mm_strdup("when"),(yyvsp[(8) - (13)].str),mm_strdup("execute procedure"),(yyvsp[(11) - (13)].str),mm_strdup("( )"));
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5069 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5073 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5081 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("in ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5089 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sconst");
}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5093 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup(", sconst"));
}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5101 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5109 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5113 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable replica");
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5117 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable always");
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5121 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5129 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5138 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5147 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5151 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5155 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5159 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5163 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5167 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5171 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5175 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5179 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5183 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5187 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5191 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5195 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5199 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5207 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5215 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5219 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5227 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5231 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5239 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5243 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5247 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5251 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5255 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5263 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5271 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5275 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5283 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5295 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5302 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5306 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5314 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[(3) - (7)].str),mm_strdup("add value"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5318 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("before"),(yyvsp[(9) - (9)].str));
}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5322 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("after"),(yyvsp[(9) - (9)].str));
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if not exists");
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5334 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5341 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5349 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5353 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5361 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5365 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5369 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5373 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5377 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5389 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5396 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5400 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5411 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5415 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5422 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5427 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5434 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5442 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5446 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5454 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5458 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5466 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5470 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5478 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5482 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5490 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5494 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5510 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5518 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5522 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5534 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5546 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5598 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5606 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5610 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5618 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5630 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5642 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5654 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5659 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5675 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5682 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5686 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5690 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5694 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5698 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5702 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5706 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5710 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (9)].str),mm_strdup("on domain"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5714 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5718 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5722 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5726 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5730 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5734 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5738 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5742 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5746 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5750 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5758 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5762 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5778 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5782 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5798 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5802 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5822 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5846 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5858 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5862 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on type"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5866 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on domain"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5870 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5874 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5878 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5882 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5894 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5901 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5905 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5909 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5913 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5917 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5921 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5925 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 5929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 5933 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 5937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 5941 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 5949 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 5953 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 5961 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 5965 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 5969 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 5973 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 5979 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 5985 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 5991 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 5997 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6003 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6009 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6015 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6025 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6036 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6047 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6058 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6069 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6080 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6091 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6107 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6123 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6139 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6150 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6166 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6177 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6193 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6208 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6212 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6220 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6224 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6231 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6239 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6243 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6251 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6263 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6267 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6275 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6279 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6287 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6291 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6295 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6299 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6307 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6311 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6315 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6319 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6323 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6327 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6331 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6335 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6339 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6343 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6347 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6351 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6355 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6359 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6363 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6367 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6375 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6391 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6403 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6410 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6414 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6422 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6430 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6438 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6442 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6450 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6454 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6461 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6465 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6472 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6480 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6484 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6491 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6495 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6499 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6507 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6511 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6515 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6543 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6547 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[(2) - (17)].str),mm_strdup("index"),(yyvsp[(4) - (17)].str),mm_strdup("if not exists"),(yyvsp[(8) - (17)].str),mm_strdup("on"),(yyvsp[(10) - (17)].str),(yyvsp[(11) - (17)].str),mm_strdup("("),(yyvsp[(13) - (17)].str),mm_strdup(")"),(yyvsp[(15) - (17)].str),(yyvsp[(16) - (17)].str),(yyvsp[(17) - (17)].str));
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6559 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6570 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6577 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6581 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6588 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6592 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6599 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6603 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6611 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6615 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6619 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6627 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6631 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6638 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6642 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6646 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6653 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6657 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6661 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6668 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6672 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6676 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6683 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6687 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6691 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6703 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6710 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6722 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6726 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6734 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6746 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6758 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6762 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6766 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6770 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6774 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6782 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6798 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6806 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6814 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6822 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6830 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6838 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6842 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6854 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6867 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6871 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6875 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (6)].str),mm_strdup("order by"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6883 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6887 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6895 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6899 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6955 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6963 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6975 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6987 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6995 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 6999 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7011 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup(", for type"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7019 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7023 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7030 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7038 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7042 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7050 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7058 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7062 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7070 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7074 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7081 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7085 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7093 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7097 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7105 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7109 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7117 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7121 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7125 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7129 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7137 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7141 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7149 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7157 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7169 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7173 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7181 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7185 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7189 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7197 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7201 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7205 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7212 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7220 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7224 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7231 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("transform for"),(yyvsp[(5) - (10)].str),mm_strdup("language"),(yyvsp[(7) - (10)].str),mm_strdup("("),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7239 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[(5) - (11)].str),mm_strdup(", to sql with function"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7243 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[(5) - (11)].str),mm_strdup(", from sql with function"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7247 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7251 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7259 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[(3) - (8)].str),mm_strdup("for"),(yyvsp[(5) - (8)].str),mm_strdup("language"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7267 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7271 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7275 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7279 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7315 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7319 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7335 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7339 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7347 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7351 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7355 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7359 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7363 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7367 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7371 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7375 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7379 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7383 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7387 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7391 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7395 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7399 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("rename to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7403 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7407 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7411 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7415 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7419 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7423 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7427 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7431 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7443 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7447 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7451 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7455 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7459 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7463 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7467 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7471 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7475 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7479 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename constraint"),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7483 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7487 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7491 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7495 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7499 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7503 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7507 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7511 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7515 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7519 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7523 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7527 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7531 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7535 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7547 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7558 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7565 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7569 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7573 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7577 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7581 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7585 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7589 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7593 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7597 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7601 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7605 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7609 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7613 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7617 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7621 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7625 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7629 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7633 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7637 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7641 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7645 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7649 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7653 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7657 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7665 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7669 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7673 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7677 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7681 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7685 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7689 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7693 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7697 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7701 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7705 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7709 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7713 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7717 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7721 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7725 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7729 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7733 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7737 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7745 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7753 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7757 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7761 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7769 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7773 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7781 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7785 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7789 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7793 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7797 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7805 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7809 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7816 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7820 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7824 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7828 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7836 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7840 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7844 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7851 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7855 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7863 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7871 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7875 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7894 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7906 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7910 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7914 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7918 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7922 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7930 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 7934 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 7938 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 7942 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 7946 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 7950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 7954 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 7966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 7970 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 7977 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 7981 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 7985 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 7989 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 7993 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8005 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8009 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8017 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8021 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8028 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8032 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8036 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("recursive view"),(yyvsp[(5) - (12)].str),mm_strdup("("),(yyvsp[(7) - (12)].str),mm_strdup(")"),(yyvsp[(9) - (12)].str),mm_strdup("as"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8041 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[(4) - (14)].str),mm_strdup("recursive view"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),mm_strdup("as"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with check option");
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8054 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8058 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with local check option");
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8062 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8069 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8077 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8085 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8089 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8100 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8108 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8112 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8116 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8124 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8128 "preproc.y"
    { 
 (yyval.str) = mm_strdup("connection limit");
}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8132 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8136 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8140 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8144 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8148 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8156 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8160 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8167 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),mm_strdup("with"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8171 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8175 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8183 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8203 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8207 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8215 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8223 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8227 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8231 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8235 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8239 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8243 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8247 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8259 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8266 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8274 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8278 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8282 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8286 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8290 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8294 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8314 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8322 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8326 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8330 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8338 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8342 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8349 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8353 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8357 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8361 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8365 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8373 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8377 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8385 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8409 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8429 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8433 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8440 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8444 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8455 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8462 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8466 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8473 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8477 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8481 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8485 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8493 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8497 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8501 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8505 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8509 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8513 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8517 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8521 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8525 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8533 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8537 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8545 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8553 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8565 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8569 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8573 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8580 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8586 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8596 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8600 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8607 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8611 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8615 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8619 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8627 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8629 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8637 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8641 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8648 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("insert into"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8656 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8660 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8668 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8672 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8676 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8684 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8688 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8696 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8704 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[(3) - (8)].str),mm_strdup("do update set"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8708 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[(3) - (5)].str),mm_strdup("do nothing"));
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8712 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8719 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8723 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8727 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8738 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8745 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8757 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8764 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8772 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8776 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8823 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("skip locked");
}
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8838 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8845 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8853 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8857 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8865 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8869 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8877 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8885 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8889 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8897 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8909 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8917 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8974 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8986 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8989 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8993 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8997 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9001 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9009 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9016 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9020 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9028 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9032 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9040 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9044 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9052 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9056 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9060 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9064 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9068 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9072 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9076 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9080 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9088 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9092 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9100 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9104 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9108 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9112 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9116 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9120 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9124 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9132 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9136 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9140 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9148 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9152 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9160 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9168 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9172 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9179 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9183 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9185 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9192 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9196 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9204 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9208 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9216 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9224 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9232 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9236 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9251 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9262 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9274 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9281 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9285 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9292 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9300 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9304 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9312 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9316 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9324 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9328 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9332 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9336 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9344 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9348 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9355 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9359 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9364 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9372 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9376 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9384 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9388 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9396 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9404 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9408 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9412 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9419 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9451 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9455 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9462 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9466 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9474 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9478 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9482 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9486 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9490 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9506 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9530 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9534 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9541 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9545 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9553 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9557 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9564 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9576 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9584 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for update");
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9588 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for no key update");
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9592 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for share");
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9596 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for key share");
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9604 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9608 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9615 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9619 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9627 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9631 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9638 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9658 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9662 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9666 "preproc.y"
    { 
	if ((yyvsp[(2) - (2)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9673 "preproc.y"
    { 
	if ((yyvsp[(3) - (3)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9680 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9684 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9692 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9696 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9700 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9704 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9708 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9712 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9720 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9724 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9728 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9732 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9740 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9744 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9751 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9759 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9763 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9767 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9774 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9778 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9782 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9798 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9805 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9809 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9817 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9821 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9825 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9829 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9837 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9841 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9849 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9853 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9857 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9865 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[(2) - (6)].str),mm_strdup("("),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9873 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9877 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9884 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9888 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9896 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9904 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9908 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9916 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9920 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9931 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9942 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9953 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9958 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9965 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9969 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9976 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9980 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9996 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 9998 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 10000 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 10004 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 10008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 10012 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 10020 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 10030 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 10040 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 10050 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 10054 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 10058 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 10062 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 10066 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 10070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 10074 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 10082 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 10086 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 10090 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 10094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 10102 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 10106 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 10114 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 10118 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 10125 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 10129 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 10133 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 10137 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 10141 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 10145 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 10149 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 10153 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 10157 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 10161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 10165 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 10173 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 10177 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 10184 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 10188 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10196 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10200 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10208 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10224 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10228 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10236 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10248 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10256 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10264 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10268 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10276 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10280 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10284 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10292 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10296 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10303 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10307 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10314 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10318 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10322 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10326 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10350 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10357 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10361 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10365 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10369 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10373 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10377 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10393 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10401 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10409 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10420 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10428 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10432 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10436 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10440 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10444 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10448 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10452 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10456 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10460 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10464 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10468 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10472 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10476 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10480 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10484 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10488 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10492 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10496 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<>"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10500 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10504 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10508 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10512 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10520 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10524 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10528 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10532 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10536 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10540 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10544 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10548 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10552 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10556 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10560 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10564 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10568 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10572 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10576 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
}
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10580 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10584 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10588 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10592 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10596 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10600 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10604 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10608 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10612 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10616 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10620 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10624 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10628 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10632 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10636 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10640 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10644 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10648 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10652 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10656 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10660 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10664 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10668 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10673 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10677 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10685 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10689 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10693 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10697 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10701 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10705 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10709 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10713 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10717 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10721 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10729 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10733 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10737 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10741 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10745 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<>"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10749 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10757 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10761 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10765 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10769 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10773 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10777 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10781 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10789 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10793 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10797 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10801 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10805 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10809 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10813 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10817 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10821 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10825 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10829 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10833 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10837 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10841 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10849 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("( )"));
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10853 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10857 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10861 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10865 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( all"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10869 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( distinct"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10873 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("( * )"));
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10881 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10885 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10893 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10905 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10909 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10913 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10917 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10921 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10925 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10933 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10937 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10941 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10945 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10949 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10953 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10957 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10961 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10965 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10969 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10973 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10977 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10981 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10985 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10989 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10993 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 10997 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 11001 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 11005 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 11009 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 11013 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 11017 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 11021 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 11025 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 11029 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 11033 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 11037 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 11041 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
}
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 11045 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 11049 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 11053 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 11057 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 11061 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 11065 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 11069 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 11077 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 11081 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 11089 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 11093 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 11097 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 11101 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 11108 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 11116 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 11120 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 11128 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 11132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 11140 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 11144 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 11152 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 11156 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 11160 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 11167 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 11171 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 11175 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 11179 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 11187 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 11191 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 11198 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 11202 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 11209 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 11213 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 11220 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 11224 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 11232 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 11240 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 11244 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 11248 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 11255 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 11263 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 11274 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 11278 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 11285 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11290 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11294 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11301 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11305 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11313 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11317 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11321 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11325 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11329 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11337 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11341 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11345 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11353 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11357 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11365 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11373 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11377 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11389 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11393 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11401 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11405 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11425 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11429 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11433 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11437 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<=");
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11441 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">=");
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11445 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<>");
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11453 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11457 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11465 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11477 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11481 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
}
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11505 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11509 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11517 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11521 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11529 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11537 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("=>"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11545 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11557 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11561 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11565 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11573 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11577 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11585 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11589 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11596 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11600 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11604 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11608 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11616 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11620 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11624 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11632 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11636 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11644 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11652 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11656 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11690 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11698 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11706 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11710 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11714 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11722 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11726 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11734 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11742 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11746 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11754 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11762 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11766 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11773 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11777 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11784 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11788 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11796 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11800 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11804 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11808 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11816 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11820 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11828 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11843 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11850 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11854 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11862 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11866 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11874 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11882 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11886 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11893 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11897 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11905 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11909 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11913 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11917 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11925 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11929 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11937 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11949 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11953 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11961 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11969 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11977 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11985 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11993 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 12001 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 12009 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 12013 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 12021 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 12025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 12029 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 12033 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 12037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 12041 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 12045 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 12049 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 12053 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 12057 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 12061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 12065 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 12069 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 12072 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 12073 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 12079 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 12085 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 12088 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 12090 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 12094 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 12102 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 12110 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 12114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 12118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 12126 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 12130 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 12138 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 12142 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 12146 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 12150 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 12158 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 12162 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 12166 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 12170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 12174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 12178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 12182 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 12186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 12190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 12194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
}
    break;

  case 2090:

/* Line 1806 of yacc.c  */
#line 12198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
}
    break;

  case 2091:

/* Line 1806 of yacc.c  */
#line 12202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
}
    break;

  case 2092:

/* Line 1806 of yacc.c  */
#line 12206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
}
    break;

  case 2093:

/* Line 1806 of yacc.c  */
#line 12210 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
}
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 12214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
}
    break;

  case 2095:

/* Line 1806 of yacc.c  */
#line 12218 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
}
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 12222 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 2097:

/* Line 1806 of yacc.c  */
#line 12226 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
}
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 12230 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 12234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
}
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 12238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
}
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 12242 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 12246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
}
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 12250 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
}
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 12254 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
}
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 12258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
}
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 12262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 12266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
}
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 12270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
}
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 12274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 12278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 12282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 12286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
}
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 12290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
}
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 12294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
}
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 12298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conflict");
}
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 12302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 12306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 12310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
}
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 12314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 12318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
}
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 12322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
}
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 12326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 12330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cube");
}
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 12334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
}
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 12338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 12342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
}
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 12346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 12350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
}
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 12354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
}
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 12358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 12362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 12366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 12370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 12374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 12378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
}
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 12382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
}
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 12386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 12390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
}
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 12394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 12398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 12402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
}
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 12406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 12410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 12414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 12418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 2146:

/* Line 1806 of yacc.c  */
#line 12422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
}
    break;

  case 2148:

/* Line 1806 of yacc.c  */
#line 12430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
}
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event");
}
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
}
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
}
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12446 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12450 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
}
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
}
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
}
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
}
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("filter");
}
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
}
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12490 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
}
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
}
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
}
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
}
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12510 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12514 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
}
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12518 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
}
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12522 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12538 "preproc.y"
    { 
 (yyval.str) = mm_strdup("import");
}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12542 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
}
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12546 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
}
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12550 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
}
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
}
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
}
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
}
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
}
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
}
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12598 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12606 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12610 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12614 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
}
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
}
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
}
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
}
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("locked");
}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("logged");
}
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12650 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized");
}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
}
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
}
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
}
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
}
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
}
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
}
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
}
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12698 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 2216:

/* Line 1806 of yacc.c  */
#line 12702 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
}
    break;

  case 2217:

/* Line 1806 of yacc.c  */
#line 12706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
}
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12710 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
}
    break;

  case 2219:

/* Line 1806 of yacc.c  */
#line 12714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
}
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12718 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 2221:

/* Line 1806 of yacc.c  */
#line 12722 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
}
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12726 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
}
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12730 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
}
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12734 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ordinality");
}
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
}
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12742 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
}
    break;

  case 2227:

/* Line 1806 of yacc.c  */
#line 12746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 2228:

/* Line 1806 of yacc.c  */
#line 12750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
}
    break;

  case 2229:

/* Line 1806 of yacc.c  */
#line 12754 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
}
    break;

  case 2230:

/* Line 1806 of yacc.c  */
#line 12758 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
}
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12762 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
}
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
}
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("policy");
}
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12778 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
}
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12782 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
}
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
}
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
}
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
}
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12798 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
}
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12802 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
}
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
}
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
}
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12822 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
}
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
}
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
}
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
}
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("refresh");
}
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12846 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
}
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
}
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12854 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
}
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
}
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
}
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12866 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
}
    break;

  case 2258:

/* Line 1806 of yacc.c  */
#line 12870 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
}
    break;

  case 2259:

/* Line 1806 of yacc.c  */
#line 12874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
}
    break;

  case 2260:

/* Line 1806 of yacc.c  */
#line 12878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 2261:

/* Line 1806 of yacc.c  */
#line 12882 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 2262:

/* Line 1806 of yacc.c  */
#line 12886 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
}
    break;

  case 2263:

/* Line 1806 of yacc.c  */
#line 12890 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
}
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12894 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12898 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
}
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12902 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollup");
}
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
}
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
}
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
}
    break;

  case 2272:

/* Line 1806 of yacc.c  */
#line 12926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
}
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
}
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12946 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
}
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
}
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sets");
}
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
}
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
}
    break;

  case 2284:

/* Line 1806 of yacc.c  */
#line 12974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("skip");
}
    break;

  case 2285:

/* Line 1806 of yacc.c  */
#line 12978 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
}
    break;

  case 2286:

/* Line 1806 of yacc.c  */
#line 12982 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sql");
}
    break;

  case 2287:

/* Line 1806 of yacc.c  */
#line 12986 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 2288:

/* Line 1806 of yacc.c  */
#line 12990 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
}
    break;

  case 2289:

/* Line 1806 of yacc.c  */
#line 12994 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
}
    break;

  case 2290:

/* Line 1806 of yacc.c  */
#line 12998 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 2291:

/* Line 1806 of yacc.c  */
#line 13002 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
}
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 13006 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 13010 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 13014 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 2295:

/* Line 1806 of yacc.c  */
#line 13018 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 2296:

/* Line 1806 of yacc.c  */
#line 13022 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
}
    break;

  case 2297:

/* Line 1806 of yacc.c  */
#line 13026 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
}
    break;

  case 2298:

/* Line 1806 of yacc.c  */
#line 13030 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 2299:

/* Line 1806 of yacc.c  */
#line 13034 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 2300:

/* Line 1806 of yacc.c  */
#line 13038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 2301:

/* Line 1806 of yacc.c  */
#line 13042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 2302:

/* Line 1806 of yacc.c  */
#line 13046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 13050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 13054 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
}
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 13058 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 13062 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transform");
}
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 13066 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
}
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 13070 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 13074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 13078 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 13082 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 13086 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
}
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 13090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
    break;

  case 2314:

/* Line 1806 of yacc.c  */
#line 13094 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 13098 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
}
    break;

  case 2316:

/* Line 1806 of yacc.c  */
#line 13102 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
}
    break;

  case 2317:

/* Line 1806 of yacc.c  */
#line 13106 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 13110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
}
    break;

  case 2319:

/* Line 1806 of yacc.c  */
#line 13114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 13118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
}
    break;

  case 2321:

/* Line 1806 of yacc.c  */
#line 13122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
}
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 13126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
}
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 13130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
}
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 13134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
}
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 13138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 13142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
}
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 13146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 13150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("views");
}
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 13154 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 13158 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
}
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 13162 "preproc.y"
    { 
 (yyval.str) = mm_strdup("within");
}
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 13166 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
}
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 13170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 13174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
}
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 13178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
}
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 13182 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
}
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 13186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
}
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 13190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
}
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 13198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
}
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 13202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 13206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
}
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 13210 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
}
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13218 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
}
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13222 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
}
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13226 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
}
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13230 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
}
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
}
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
}
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13242 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
}
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grouping");
}
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13250 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 2353:

/* Line 1806 of yacc.c  */
#line 13254 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 2354:

/* Line 1806 of yacc.c  */
#line 13258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
}
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
}
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
}
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
}
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
}
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
}
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
}
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
}
    break;

  case 2364:

/* Line 1806 of yacc.c  */
#line 13298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
}
    break;

  case 2365:

/* Line 1806 of yacc.c  */
#line 13302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 2366:

/* Line 1806 of yacc.c  */
#line 13306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 2367:

/* Line 1806 of yacc.c  */
#line 13310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
}
    break;

  case 2368:

/* Line 1806 of yacc.c  */
#line 13314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 2369:

/* Line 1806 of yacc.c  */
#line 13318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
}
    break;

  case 2370:

/* Line 1806 of yacc.c  */
#line 13322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
}
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
}
    break;

  case 2372:

/* Line 1806 of yacc.c  */
#line 13330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
}
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
}
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
}
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 2386:

/* Line 1806 of yacc.c  */
#line 13390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 2387:

/* Line 1806 of yacc.c  */
#line 13394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
}
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
}
    break;

  case 2395:

/* Line 1806 of yacc.c  */
#line 13426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
}
    break;

  case 2396:

/* Line 1806 of yacc.c  */
#line 13430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
}
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
}
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
}
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13446 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
}
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13450 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
}
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
}
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
}
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablesample");
}
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 2410:

/* Line 1806 of yacc.c  */
#line 13490 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
}
    break;

  case 2411:

/* Line 1806 of yacc.c  */
#line 13494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
}
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 2414:

/* Line 1806 of yacc.c  */
#line 13506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 2415:

/* Line 1806 of yacc.c  */
#line 13510 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13514 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
}
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13518 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
}
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13522 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
}
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
}
    break;

  case 2420:

/* Line 1806 of yacc.c  */
#line 13530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
}
    break;

  case 2421:

/* Line 1806 of yacc.c  */
#line 13534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 2422:

/* Line 1806 of yacc.c  */
#line 13538 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
}
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13542 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
}
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13546 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 2425:

/* Line 1806 of yacc.c  */
#line 13550 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 2426:

/* Line 1806 of yacc.c  */
#line 13554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 2428:

/* Line 1806 of yacc.c  */
#line 13562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 2429:

/* Line 1806 of yacc.c  */
#line 13566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
}
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
}
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
}
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13598 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13606 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
}
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13610 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
}
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13614 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
}
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
}
    break;

  case 2444:

/* Line 1806 of yacc.c  */
#line 13626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
}
    break;

  case 2445:

/* Line 1806 of yacc.c  */
#line 13630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
}
    break;

  case 2446:

/* Line 1806 of yacc.c  */
#line 13634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 2447:

/* Line 1806 of yacc.c  */
#line 13638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
}
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
}
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
}
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13650 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lateral");
}
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
}
    break;

  case 2452:

/* Line 1806 of yacc.c  */
#line 13658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
}
    break;

  case 2453:

/* Line 1806 of yacc.c  */
#line 13662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 2454:

/* Line 1806 of yacc.c  */
#line 13666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
}
    break;

  case 2456:

/* Line 1806 of yacc.c  */
#line 13674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2457:

/* Line 1806 of yacc.c  */
#line 13678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
}
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
}
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
}
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
}
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13698 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
}
    break;

  case 2463:

/* Line 1806 of yacc.c  */
#line 13702 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
}
    break;

  case 2464:

/* Line 1806 of yacc.c  */
#line 13706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
}
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13710 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
}
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 2467:

/* Line 1806 of yacc.c  */
#line 13718 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2468:

/* Line 1806 of yacc.c  */
#line 13722 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13726 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
}
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13730 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13734 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
}
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
}
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13742 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13754 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13758 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13762 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
}
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
}
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 2484:

/* Line 1806 of yacc.c  */
#line 13787 "preproc.y"
    { connection = NULL; }
    break;

  case 2486:

/* Line 1806 of yacc.c  */
#line 13790 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				}
    break;

  case 2488:

/* Line 1806 of yacc.c  */
#line 13796 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13797 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13798 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13800 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13812 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13813 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13822 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13837 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13839 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13842 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); }
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13844 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); }
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13848 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		}
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13860 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)), (yyvsp[(7) - (7)].str), mm_strdup("\"")));
		}
    break;

  case 2501:

/* Line 1806 of yacc.c  */
#line 13876 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2502:

/* Line 1806 of yacc.c  */
#line 13880 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2503:

/* Line 1806 of yacc.c  */
#line 13890 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13891 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13895 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 13907 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 13915 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 13916 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 13919 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2510:

/* Line 1806 of yacc.c  */
#line 13920 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2511:

/* Line 1806 of yacc.c  */
#line 13921 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 13924 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 13925 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2514:

/* Line 1806 of yacc.c  */
#line 13928 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2515:

/* Line 1806 of yacc.c  */
#line 13929 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 13932 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 13933 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); }
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 13937 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); }
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 13939 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 13941 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2521:

/* Line 1806 of yacc.c  */
#line 13943 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2522:

/* Line 1806 of yacc.c  */
#line 13947 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 13954 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 13961 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2525:

/* Line 1806 of yacc.c  */
#line 13977 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2526:

/* Line 1806 of yacc.c  */
#line 14011 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 14020 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 14024 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			}
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 14028 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 14040 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 14042 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 14044 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 14046 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2534:

/* Line 1806 of yacc.c  */
#line 14050 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		}
    break;

  case 2535:

/* Line 1806 of yacc.c  */
#line 14063 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2536:

/* Line 1806 of yacc.c  */
#line 14071 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 14132 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2539:

/* Line 1806 of yacc.c  */
#line 14142 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 14143 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 14146 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 14148 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 14149 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 14152 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 14153 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 14154 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 14155 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 14156 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); }
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 14163 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 14165 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 14172 "preproc.y"
    {}
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 14174 "preproc.y"
    {}
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 14176 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 14177 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 14180 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 14181 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 14182 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2558:

/* Line 1806 of yacc.c  */
#line 14183 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2559:

/* Line 1806 of yacc.c  */
#line 14186 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2560:

/* Line 1806 of yacc.c  */
#line 14187 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 14191 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2562:

/* Line 1806 of yacc.c  */
#line 14197 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
    break;

  case 2563:

/* Line 1806 of yacc.c  */
#line 14207 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2564:

/* Line 1806 of yacc.c  */
#line 14217 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		}
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 14221 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2566:

/* Line 1806 of yacc.c  */
#line 14231 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		}
    break;

  case 2567:

/* Line 1806 of yacc.c  */
#line 14235 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		}
    break;

  case 2568:

/* Line 1806 of yacc.c  */
#line 14240 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2569:

/* Line 1806 of yacc.c  */
#line 14241 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2570:

/* Line 1806 of yacc.c  */
#line 14245 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2571:

/* Line 1806 of yacc.c  */
#line 14246 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2572:

/* Line 1806 of yacc.c  */
#line 14247 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2573:

/* Line 1806 of yacc.c  */
#line 14250 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2574:

/* Line 1806 of yacc.c  */
#line 14251 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2575:

/* Line 1806 of yacc.c  */
#line 14252 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2576:

/* Line 1806 of yacc.c  */
#line 14253 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2577:

/* Line 1806 of yacc.c  */
#line 14256 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2578:

/* Line 1806 of yacc.c  */
#line 14257 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2579:

/* Line 1806 of yacc.c  */
#line 14261 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2580:

/* Line 1806 of yacc.c  */
#line 14269 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2581:

/* Line 1806 of yacc.c  */
#line 14286 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2582:

/* Line 1806 of yacc.c  */
#line 14294 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2583:

/* Line 1806 of yacc.c  */
#line 14317 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2584:

/* Line 1806 of yacc.c  */
#line 14423 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2585:

/* Line 1806 of yacc.c  */
#line 14457 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2586:

/* Line 1806 of yacc.c  */
#line 14459 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2587:

/* Line 1806 of yacc.c  */
#line 14461 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2588:

/* Line 1806 of yacc.c  */
#line 14465 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2589:

/* Line 1806 of yacc.c  */
#line 14468 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2590:

/* Line 1806 of yacc.c  */
#line 14475 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2591:

/* Line 1806 of yacc.c  */
#line 14518 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2592:

/* Line 1806 of yacc.c  */
#line 14520 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2593:

/* Line 1806 of yacc.c  */
#line 14526 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2594:

/* Line 1806 of yacc.c  */
#line 14535 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
    break;

  case 2595:

/* Line 1806 of yacc.c  */
#line 14541 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2596:

/* Line 1806 of yacc.c  */
#line 14548 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
    break;

  case 2597:

/* Line 1806 of yacc.c  */
#line 14553 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		}
    break;

  case 2598:

/* Line 1806 of yacc.c  */
#line 14558 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2599:

/* Line 1806 of yacc.c  */
#line 14559 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2600:

/* Line 1806 of yacc.c  */
#line 14562 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2601:

/* Line 1806 of yacc.c  */
#line 14563 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2602:

/* Line 1806 of yacc.c  */
#line 14564 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2603:

/* Line 1806 of yacc.c  */
#line 14565 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2604:

/* Line 1806 of yacc.c  */
#line 14566 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2605:

/* Line 1806 of yacc.c  */
#line 14567 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2606:

/* Line 1806 of yacc.c  */
#line 14569 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2607:

/* Line 1806 of yacc.c  */
#line 14577 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2608:

/* Line 1806 of yacc.c  */
#line 14584 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2609:

/* Line 1806 of yacc.c  */
#line 14587 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2610:

/* Line 1806 of yacc.c  */
#line 14588 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2611:

/* Line 1806 of yacc.c  */
#line 14589 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2612:

/* Line 1806 of yacc.c  */
#line 14590 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2613:

/* Line 1806 of yacc.c  */
#line 14591 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2614:

/* Line 1806 of yacc.c  */
#line 14593 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2615:

/* Line 1806 of yacc.c  */
#line 14601 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2616:

/* Line 1806 of yacc.c  */
#line 14608 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2617:

/* Line 1806 of yacc.c  */
#line 14609 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2618:

/* Line 1806 of yacc.c  */
#line 14610 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2621:

/* Line 1806 of yacc.c  */
#line 14618 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2622:

/* Line 1806 of yacc.c  */
#line 14620 "preproc.y"
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(";"), (yyvsp[(3) - (3)].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2623:

/* Line 1806 of yacc.c  */
#line 14629 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2624:

/* Line 1806 of yacc.c  */
#line 14716 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2625:

/* Line 1806 of yacc.c  */
#line 14718 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2626:

/* Line 1806 of yacc.c  */
#line 14724 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2627:

/* Line 1806 of yacc.c  */
#line 14725 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2628:

/* Line 1806 of yacc.c  */
#line 14726 "preproc.y"
    { (yyval.str) = mm_strdup("**"); }
    break;

  case 2629:

/* Line 1806 of yacc.c  */
#line 14733 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		}
    break;

  case 2630:

/* Line 1806 of yacc.c  */
#line 14741 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2631:

/* Line 1806 of yacc.c  */
#line 14744 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2632:

/* Line 1806 of yacc.c  */
#line 14745 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2633:

/* Line 1806 of yacc.c  */
#line 14746 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); }
    break;

  case 2634:

/* Line 1806 of yacc.c  */
#line 14747 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2635:

/* Line 1806 of yacc.c  */
#line 14750 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2636:

/* Line 1806 of yacc.c  */
#line 14751 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
    break;

  case 2637:

/* Line 1806 of yacc.c  */
#line 14752 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2638:

/* Line 1806 of yacc.c  */
#line 14756 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2639:

/* Line 1806 of yacc.c  */
#line 14758 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2640:

/* Line 1806 of yacc.c  */
#line 14765 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2641:

/* Line 1806 of yacc.c  */
#line 14766 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2642:

/* Line 1806 of yacc.c  */
#line 14773 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2643:

/* Line 1806 of yacc.c  */
#line 14780 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2644:

/* Line 1806 of yacc.c  */
#line 14781 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2645:

/* Line 1806 of yacc.c  */
#line 14784 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2646:

/* Line 1806 of yacc.c  */
#line 14785 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2647:

/* Line 1806 of yacc.c  */
#line 14789 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2648:

/* Line 1806 of yacc.c  */
#line 14794 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2649:

/* Line 1806 of yacc.c  */
#line 14801 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2650:

/* Line 1806 of yacc.c  */
#line 14806 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2651:

/* Line 1806 of yacc.c  */
#line 14813 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2654:

/* Line 1806 of yacc.c  */
#line 14822 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2655:

/* Line 1806 of yacc.c  */
#line 14828 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2656:

/* Line 1806 of yacc.c  */
#line 14829 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2657:

/* Line 1806 of yacc.c  */
#line 14832 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2658:

/* Line 1806 of yacc.c  */
#line 14833 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2659:

/* Line 1806 of yacc.c  */
#line 14834 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2660:

/* Line 1806 of yacc.c  */
#line 14835 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2661:

/* Line 1806 of yacc.c  */
#line 14836 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2662:

/* Line 1806 of yacc.c  */
#line 14837 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2663:

/* Line 1806 of yacc.c  */
#line 14838 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2664:

/* Line 1806 of yacc.c  */
#line 14839 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2665:

/* Line 1806 of yacc.c  */
#line 14840 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2666:

/* Line 1806 of yacc.c  */
#line 14847 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2667:

/* Line 1806 of yacc.c  */
#line 14854 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2668:

/* Line 1806 of yacc.c  */
#line 14866 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2669:

/* Line 1806 of yacc.c  */
#line 14872 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2670:

/* Line 1806 of yacc.c  */
#line 14879 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2671:

/* Line 1806 of yacc.c  */
#line 14886 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2672:

/* Line 1806 of yacc.c  */
#line 14887 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2673:

/* Line 1806 of yacc.c  */
#line 14900 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2674:

/* Line 1806 of yacc.c  */
#line 14911 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2675:

/* Line 1806 of yacc.c  */
#line 14922 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2678:

/* Line 1806 of yacc.c  */
#line 14930 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2679:

/* Line 1806 of yacc.c  */
#line 14935 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2682:

/* Line 1806 of yacc.c  */
#line 14943 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2683:

/* Line 1806 of yacc.c  */
#line 14949 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2684:

/* Line 1806 of yacc.c  */
#line 14957 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2685:

/* Line 1806 of yacc.c  */
#line 14962 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2686:

/* Line 1806 of yacc.c  */
#line 14970 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2689:

/* Line 1806 of yacc.c  */
#line 14977 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2690:

/* Line 1806 of yacc.c  */
#line 14981 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2693:

/* Line 1806 of yacc.c  */
#line 14989 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2694:

/* Line 1806 of yacc.c  */
#line 14995 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2695:

/* Line 1806 of yacc.c  */
#line 15004 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2696:

/* Line 1806 of yacc.c  */
#line 15009 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2697:

/* Line 1806 of yacc.c  */
#line 15019 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2698:

/* Line 1806 of yacc.c  */
#line 15029 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2699:

/* Line 1806 of yacc.c  */
#line 15040 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2700:

/* Line 1806 of yacc.c  */
#line 15041 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2701:

/* Line 1806 of yacc.c  */
#line 15042 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2702:

/* Line 1806 of yacc.c  */
#line 15043 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2703:

/* Line 1806 of yacc.c  */
#line 15044 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2704:

/* Line 1806 of yacc.c  */
#line 15045 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2705:

/* Line 1806 of yacc.c  */
#line 15046 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2706:

/* Line 1806 of yacc.c  */
#line 15047 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2707:

/* Line 1806 of yacc.c  */
#line 15048 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2708:

/* Line 1806 of yacc.c  */
#line 15049 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2709:

/* Line 1806 of yacc.c  */
#line 15050 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2710:

/* Line 1806 of yacc.c  */
#line 15051 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2711:

/* Line 1806 of yacc.c  */
#line 15052 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2712:

/* Line 1806 of yacc.c  */
#line 15053 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2713:

/* Line 1806 of yacc.c  */
#line 15054 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2714:

/* Line 1806 of yacc.c  */
#line 15061 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2715:

/* Line 1806 of yacc.c  */
#line 15062 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2716:

/* Line 1806 of yacc.c  */
#line 15065 "preproc.y"
    { (yyval.str) = mm_strdup("on"); }
    break;

  case 2717:

/* Line 1806 of yacc.c  */
#line 15066 "preproc.y"
    { (yyval.str) = mm_strdup("off"); }
    break;

  case 2718:

/* Line 1806 of yacc.c  */
#line 15073 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2719:

/* Line 1806 of yacc.c  */
#line 15074 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2720:

/* Line 1806 of yacc.c  */
#line 15075 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2721:

/* Line 1806 of yacc.c  */
#line 15082 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2722:

/* Line 1806 of yacc.c  */
#line 15088 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		}
    break;

  case 2723:

/* Line 1806 of yacc.c  */
#line 15098 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); }
    break;

  case 2724:

/* Line 1806 of yacc.c  */
#line 15099 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2725:

/* Line 1806 of yacc.c  */
#line 15106 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2726:

/* Line 1806 of yacc.c  */
#line 15112 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		}
    break;

  case 2727:

/* Line 1806 of yacc.c  */
#line 15176 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2728:

/* Line 1806 of yacc.c  */
#line 15182 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		}
    break;

  case 2729:

/* Line 1806 of yacc.c  */
#line 15188 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2730:

/* Line 1806 of yacc.c  */
#line 15196 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
    break;

  case 2731:

/* Line 1806 of yacc.c  */
#line 15202 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
    break;

  case 2732:

/* Line 1806 of yacc.c  */
#line 15208 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
    break;

  case 2733:

/* Line 1806 of yacc.c  */
#line 15214 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2734:

/* Line 1806 of yacc.c  */
#line 15220 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2735:

/* Line 1806 of yacc.c  */
#line 15226 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2736:

/* Line 1806 of yacc.c  */
#line 15232 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
    break;

  case 2737:

/* Line 1806 of yacc.c  */
#line 15238 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2738:

/* Line 1806 of yacc.c  */
#line 15244 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2739:

/* Line 1806 of yacc.c  */
#line 15254 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2740:

/* Line 1806 of yacc.c  */
#line 15255 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2741:

/* Line 1806 of yacc.c  */
#line 15258 "preproc.y"
    { (yyval.str) = mm_strdup("break"); }
    break;

  case 2742:

/* Line 1806 of yacc.c  */
#line 15259 "preproc.y"
    { (yyval.str) = mm_strdup("call"); }
    break;

  case 2743:

/* Line 1806 of yacc.c  */
#line 15260 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); }
    break;

  case 2744:

/* Line 1806 of yacc.c  */
#line 15261 "preproc.y"
    { (yyval.str) = mm_strdup("count"); }
    break;

  case 2745:

/* Line 1806 of yacc.c  */
#line 15262 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
    break;

  case 2746:

/* Line 1806 of yacc.c  */
#line 15263 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
    break;

  case 2747:

/* Line 1806 of yacc.c  */
#line 15264 "preproc.y"
    { (yyval.str) = mm_strdup("found"); }
    break;

  case 2748:

/* Line 1806 of yacc.c  */
#line 15265 "preproc.y"
    { (yyval.str) = mm_strdup("go"); }
    break;

  case 2749:

/* Line 1806 of yacc.c  */
#line 15266 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); }
    break;

  case 2750:

/* Line 1806 of yacc.c  */
#line 15267 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); }
    break;

  case 2751:

/* Line 1806 of yacc.c  */
#line 15268 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); }
    break;

  case 2752:

/* Line 1806 of yacc.c  */
#line 15269 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); }
    break;

  case 2753:

/* Line 1806 of yacc.c  */
#line 15270 "preproc.y"
    { (yyval.str) = mm_strdup("length"); }
    break;

  case 2754:

/* Line 1806 of yacc.c  */
#line 15271 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); }
    break;

  case 2755:

/* Line 1806 of yacc.c  */
#line 15272 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); }
    break;

  case 2756:

/* Line 1806 of yacc.c  */
#line 15273 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); }
    break;

  case 2757:

/* Line 1806 of yacc.c  */
#line 15274 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); }
    break;

  case 2758:

/* Line 1806 of yacc.c  */
#line 15275 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); }
    break;

  case 2759:

/* Line 1806 of yacc.c  */
#line 15276 "preproc.y"
    { (yyval.str) = mm_strdup("section"); }
    break;

  case 2760:

/* Line 1806 of yacc.c  */
#line 15277 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); }
    break;

  case 2761:

/* Line 1806 of yacc.c  */
#line 15278 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); }
    break;

  case 2762:

/* Line 1806 of yacc.c  */
#line 15279 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); }
    break;

  case 2763:

/* Line 1806 of yacc.c  */
#line 15280 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); }
    break;

  case 2764:

/* Line 1806 of yacc.c  */
#line 15283 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); }
    break;

  case 2765:

/* Line 1806 of yacc.c  */
#line 15284 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); }
    break;

  case 2766:

/* Line 1806 of yacc.c  */
#line 15285 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); }
    break;

  case 2767:

/* Line 1806 of yacc.c  */
#line 15286 "preproc.y"
    { (yyval.str) = mm_strdup("open"); }
    break;

  case 2768:

/* Line 1806 of yacc.c  */
#line 15287 "preproc.y"
    { (yyval.str) = mm_strdup("var"); }
    break;

  case 2769:

/* Line 1806 of yacc.c  */
#line 15288 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); }
    break;

  case 2770:

/* Line 1806 of yacc.c  */
#line 15292 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2771:

/* Line 1806 of yacc.c  */
#line 15293 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2772:

/* Line 1806 of yacc.c  */
#line 15294 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2773:

/* Line 1806 of yacc.c  */
#line 15295 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2774:

/* Line 1806 of yacc.c  */
#line 15296 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2775:

/* Line 1806 of yacc.c  */
#line 15297 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2776:

/* Line 1806 of yacc.c  */
#line 15298 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2777:

/* Line 1806 of yacc.c  */
#line 15301 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2778:

/* Line 1806 of yacc.c  */
#line 15304 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2779:

/* Line 1806 of yacc.c  */
#line 15305 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2780:

/* Line 1806 of yacc.c  */
#line 15306 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2781:

/* Line 1806 of yacc.c  */
#line 15307 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2782:

/* Line 1806 of yacc.c  */
#line 15308 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2783:

/* Line 1806 of yacc.c  */
#line 15309 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2784:

/* Line 1806 of yacc.c  */
#line 15310 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2785:

/* Line 1806 of yacc.c  */
#line 15311 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2786:

/* Line 1806 of yacc.c  */
#line 15324 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2787:

/* Line 1806 of yacc.c  */
#line 15325 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2788:

/* Line 1806 of yacc.c  */
#line 15326 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2789:

/* Line 1806 of yacc.c  */
#line 15327 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2790:

/* Line 1806 of yacc.c  */
#line 15328 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2791:

/* Line 1806 of yacc.c  */
#line 15329 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2792:

/* Line 1806 of yacc.c  */
#line 15330 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2793:

/* Line 1806 of yacc.c  */
#line 15335 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2794:

/* Line 1806 of yacc.c  */
#line 15336 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2795:

/* Line 1806 of yacc.c  */
#line 15337 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2796:

/* Line 1806 of yacc.c  */
#line 15338 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2797:

/* Line 1806 of yacc.c  */
#line 15339 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2798:

/* Line 1806 of yacc.c  */
#line 15340 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2799:

/* Line 1806 of yacc.c  */
#line 15346 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2800:

/* Line 1806 of yacc.c  */
#line 15347 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2801:

/* Line 1806 of yacc.c  */
#line 15348 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2802:

/* Line 1806 of yacc.c  */
#line 15349 "preproc.y"
    { (yyval.str) = mm_strdup("current"); }
    break;

  case 2803:

/* Line 1806 of yacc.c  */
#line 15350 "preproc.y"
    { (yyval.str) = mm_strdup("input"); }
    break;

  case 2804:

/* Line 1806 of yacc.c  */
#line 15351 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2805:

/* Line 1806 of yacc.c  */
#line 15352 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2806:

/* Line 1806 of yacc.c  */
#line 15353 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2807:

/* Line 1806 of yacc.c  */
#line 15354 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2808:

/* Line 1806 of yacc.c  */
#line 15355 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2809:

/* Line 1806 of yacc.c  */
#line 15356 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2810:

/* Line 1806 of yacc.c  */
#line 15359 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2811:

/* Line 1806 of yacc.c  */
#line 15360 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2812:

/* Line 1806 of yacc.c  */
#line 15361 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2813:

/* Line 1806 of yacc.c  */
#line 15362 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2814:

/* Line 1806 of yacc.c  */
#line 15363 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2815:

/* Line 1806 of yacc.c  */
#line 15366 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2816:

/* Line 1806 of yacc.c  */
#line 15367 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2817:

/* Line 1806 of yacc.c  */
#line 15368 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2818:

/* Line 1806 of yacc.c  */
#line 15369 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2819:

/* Line 1806 of yacc.c  */
#line 15372 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2820:

/* Line 1806 of yacc.c  */
#line 15373 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2821:

/* Line 1806 of yacc.c  */
#line 15374 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2822:

/* Line 1806 of yacc.c  */
#line 15375 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2823:

/* Line 1806 of yacc.c  */
#line 15376 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2824:

/* Line 1806 of yacc.c  */
#line 15377 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2825:

/* Line 1806 of yacc.c  */
#line 15378 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2826:

/* Line 1806 of yacc.c  */
#line 15395 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2827:

/* Line 1806 of yacc.c  */
#line 15396 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2828:

/* Line 1806 of yacc.c  */
#line 15397 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2829:

/* Line 1806 of yacc.c  */
#line 15400 "preproc.y"
    { (yyval.str) = mm_strdup("day"); }
    break;

  case 2830:

/* Line 1806 of yacc.c  */
#line 15401 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2831:

/* Line 1806 of yacc.c  */
#line 15402 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2832:

/* Line 1806 of yacc.c  */
#line 15403 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2833:

/* Line 1806 of yacc.c  */
#line 15404 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2834:

/* Line 1806 of yacc.c  */
#line 15405 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2837:

/* Line 1806 of yacc.c  */
#line 15412 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2838:

/* Line 1806 of yacc.c  */
#line 15418 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2839:

/* Line 1806 of yacc.c  */
#line 15419 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2840:

/* Line 1806 of yacc.c  */
#line 15423 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2841:

/* Line 1806 of yacc.c  */
#line 15425 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2842:

/* Line 1806 of yacc.c  */
#line 15430 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2843:

/* Line 1806 of yacc.c  */
#line 15440 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2844:

/* Line 1806 of yacc.c  */
#line 15451 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2845:

/* Line 1806 of yacc.c  */
#line 15457 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2846:

/* Line 1806 of yacc.c  */
#line 15458 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2847:

/* Line 1806 of yacc.c  */
#line 15459 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2848:

/* Line 1806 of yacc.c  */
#line 15463 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2849:

/* Line 1806 of yacc.c  */
#line 15495 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2850:

/* Line 1806 of yacc.c  */
#line 15497 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2851:

/* Line 1806 of yacc.c  */
#line 15499 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2852:

/* Line 1806 of yacc.c  */
#line 15503 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2853:

/* Line 1806 of yacc.c  */
#line 15513 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2854:

/* Line 1806 of yacc.c  */
#line 15523 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2855:

/* Line 1806 of yacc.c  */
#line 15532 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2856:

/* Line 1806 of yacc.c  */
#line 15533 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2857:

/* Line 1806 of yacc.c  */
#line 15536 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2858:

/* Line 1806 of yacc.c  */
#line 15538 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2859:

/* Line 1806 of yacc.c  */
#line 15539 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2860:

/* Line 1806 of yacc.c  */
#line 15540 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2861:

/* Line 1806 of yacc.c  */
#line 15544 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2862:

/* Line 1806 of yacc.c  */
#line 15546 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); }
    break;

  case 2863:

/* Line 1806 of yacc.c  */
#line 15553 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2864:

/* Line 1806 of yacc.c  */
#line 15554 "preproc.y"
    { (yyval.str) = mm_strdup("()"); }
    break;

  case 2865:

/* Line 1806 of yacc.c  */
#line 15556 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2866:

/* Line 1806 of yacc.c  */
#line 15559 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2867:

/* Line 1806 of yacc.c  */
#line 15561 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2868:

/* Line 1806 of yacc.c  */
#line 15564 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2869:

/* Line 1806 of yacc.c  */
#line 15565 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2870:

/* Line 1806 of yacc.c  */
#line 15568 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2871:

/* Line 1806 of yacc.c  */
#line 15569 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2872:

/* Line 1806 of yacc.c  */
#line 15572 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2873:

/* Line 1806 of yacc.c  */
#line 15573 "preproc.y"
    { (yyval.str) = mm_strdup("("); }
    break;

  case 2874:

/* Line 1806 of yacc.c  */
#line 15574 "preproc.y"
    { (yyval.str) = mm_strdup(")"); }
    break;

  case 2875:

/* Line 1806 of yacc.c  */
#line 15575 "preproc.y"
    { (yyval.str) = mm_strdup(","); }
    break;

  case 2876:

/* Line 1806 of yacc.c  */
#line 15576 "preproc.y"
    { (yyval.str) = mm_strdup(";"); }
    break;

  case 2877:

/* Line 1806 of yacc.c  */
#line 15579 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2878:

/* Line 1806 of yacc.c  */
#line 15580 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2879:

/* Line 1806 of yacc.c  */
#line 15581 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2880:

/* Line 1806 of yacc.c  */
#line 15582 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2881:

/* Line 1806 of yacc.c  */
#line 15583 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2882:

/* Line 1806 of yacc.c  */
#line 15584 "preproc.y"
    { (yyval.str) = mm_strdup("+"); }
    break;

  case 2883:

/* Line 1806 of yacc.c  */
#line 15585 "preproc.y"
    { (yyval.str) = mm_strdup("-"); }
    break;

  case 2884:

/* Line 1806 of yacc.c  */
#line 15586 "preproc.y"
    { (yyval.str) = mm_strdup("/"); }
    break;

  case 2885:

/* Line 1806 of yacc.c  */
#line 15587 "preproc.y"
    { (yyval.str) = mm_strdup("%"); }
    break;

  case 2886:

/* Line 1806 of yacc.c  */
#line 15588 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2887:

/* Line 1806 of yacc.c  */
#line 15589 "preproc.y"
    { (yyval.str) = mm_strdup("+="); }
    break;

  case 2888:

/* Line 1806 of yacc.c  */
#line 15590 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); }
    break;

  case 2889:

/* Line 1806 of yacc.c  */
#line 15591 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2890:

/* Line 1806 of yacc.c  */
#line 15592 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2891:

/* Line 1806 of yacc.c  */
#line 15593 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2892:

/* Line 1806 of yacc.c  */
#line 15594 "preproc.y"
    { (yyval.str) = mm_strdup("--"); }
    break;

  case 2893:

/* Line 1806 of yacc.c  */
#line 15595 "preproc.y"
    { (yyval.str) = mm_strdup("/="); }
    break;

  case 2894:

/* Line 1806 of yacc.c  */
#line 15596 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); }
    break;

  case 2895:

/* Line 1806 of yacc.c  */
#line 15597 "preproc.y"
    { (yyval.str) = mm_strdup("=="); }
    break;

  case 2896:

/* Line 1806 of yacc.c  */
#line 15598 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2897:

/* Line 1806 of yacc.c  */
#line 15599 "preproc.y"
    { (yyval.str) = mm_strdup("++"); }
    break;

  case 2898:

/* Line 1806 of yacc.c  */
#line 15600 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); }
    break;

  case 2899:

/* Line 1806 of yacc.c  */
#line 15601 "preproc.y"
    { (yyval.str) = mm_strdup("->"); }
    break;

  case 2900:

/* Line 1806 of yacc.c  */
#line 15602 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); }
    break;

  case 2901:

/* Line 1806 of yacc.c  */
#line 15603 "preproc.y"
    { (yyval.str) = mm_strdup("%="); }
    break;

  case 2902:

/* Line 1806 of yacc.c  */
#line 15604 "preproc.y"
    { (yyval.str) = mm_strdup("*="); }
    break;

  case 2903:

/* Line 1806 of yacc.c  */
#line 15605 "preproc.y"
    { (yyval.str) = mm_strdup("!="); }
    break;

  case 2904:

/* Line 1806 of yacc.c  */
#line 15606 "preproc.y"
    { (yyval.str) = mm_strdup("||"); }
    break;

  case 2905:

/* Line 1806 of yacc.c  */
#line 15607 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2906:

/* Line 1806 of yacc.c  */
#line 15608 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); }
    break;

  case 2907:

/* Line 1806 of yacc.c  */
#line 15609 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2908:

/* Line 1806 of yacc.c  */
#line 15610 "preproc.y"
    { (yyval.str) = mm_strdup("-="); }
    break;

  case 2909:

/* Line 1806 of yacc.c  */
#line 15611 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2910:

/* Line 1806 of yacc.c  */
#line 15612 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2911:

/* Line 1806 of yacc.c  */
#line 15613 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2912:

/* Line 1806 of yacc.c  */
#line 15614 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); }
    break;

  case 2913:

/* Line 1806 of yacc.c  */
#line 15615 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2914:

/* Line 1806 of yacc.c  */
#line 15616 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2915:

/* Line 1806 of yacc.c  */
#line 15617 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2916:

/* Line 1806 of yacc.c  */
#line 15618 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2917:

/* Line 1806 of yacc.c  */
#line 15619 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2918:

/* Line 1806 of yacc.c  */
#line 15620 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2919:

/* Line 1806 of yacc.c  */
#line 15621 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2920:

/* Line 1806 of yacc.c  */
#line 15622 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2921:

/* Line 1806 of yacc.c  */
#line 15623 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2922:

/* Line 1806 of yacc.c  */
#line 15624 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2923:

/* Line 1806 of yacc.c  */
#line 15625 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2924:

/* Line 1806 of yacc.c  */
#line 15626 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2925:

/* Line 1806 of yacc.c  */
#line 15627 "preproc.y"
    { (yyval.str) = mm_strdup("float"); }
    break;

  case 2926:

/* Line 1806 of yacc.c  */
#line 15628 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2927:

/* Line 1806 of yacc.c  */
#line 15629 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2928:

/* Line 1806 of yacc.c  */
#line 15630 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); }
    break;

  case 2929:

/* Line 1806 of yacc.c  */
#line 15631 "preproc.y"
    { (yyval.str) = mm_strdup("["); }
    break;

  case 2930:

/* Line 1806 of yacc.c  */
#line 15632 "preproc.y"
    { (yyval.str) = mm_strdup("]"); }
    break;

  case 2931:

/* Line 1806 of yacc.c  */
#line 15633 "preproc.y"
    { (yyval.str) = mm_strdup("="); }
    break;

  case 2932:

/* Line 1806 of yacc.c  */
#line 15634 "preproc.y"
    { (yyval.str) = mm_strdup(":"); }
    break;

  case 2933:

/* Line 1806 of yacc.c  */
#line 15637 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2934:

/* Line 1806 of yacc.c  */
#line 15638 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2935:

/* Line 1806 of yacc.c  */
#line 15639 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2936:

/* Line 1806 of yacc.c  */
#line 15640 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2937:

/* Line 1806 of yacc.c  */
#line 15643 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2938:

/* Line 1806 of yacc.c  */
#line 15644 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2939:

/* Line 1806 of yacc.c  */
#line 15645 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2940:

/* Line 1806 of yacc.c  */
#line 15646 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2941:

/* Line 1806 of yacc.c  */
#line 15647 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2942:

/* Line 1806 of yacc.c  */
#line 15648 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2943:

/* Line 1806 of yacc.c  */
#line 15649 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2944:

/* Line 1806 of yacc.c  */
#line 15650 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2945:

/* Line 1806 of yacc.c  */
#line 15651 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2946:

/* Line 1806 of yacc.c  */
#line 15652 "preproc.y"
    { if (pg_strcasecmp((yyvsp[(1) - (4)].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[(1) - (4)].str), mm_strdup("("), (yyvsp[(3) - (4)].type).type_str, mm_strdup(")"));
						}
    break;

  case 2947:

/* Line 1806 of yacc.c  */
#line 15659 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2948:

/* Line 1806 of yacc.c  */
#line 15660 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2949:

/* Line 1806 of yacc.c  */
#line 15661 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2950:

/* Line 1806 of yacc.c  */
#line 15662 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2951:

/* Line 1806 of yacc.c  */
#line 15663 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2952:

/* Line 1806 of yacc.c  */
#line 15666 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2953:

/* Line 1806 of yacc.c  */
#line 15667 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2954:

/* Line 1806 of yacc.c  */
#line 15670 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2955:

/* Line 1806 of yacc.c  */
#line 15672 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2956:

/* Line 1806 of yacc.c  */
#line 15682 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2957:

/* Line 1806 of yacc.c  */
#line 15683 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 58347 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 15686 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

